HotDocs Help - Home

  • « Back
  • Home
  • Index
  • Contact
  • Glossary
  • Help

Help Topics for HotDocs User

This Help file contains information you need to use HotDocs User. The following links represent an overview of features you can find in HotDocs.

+ Getting Started

+ What's New in HotDocs User

  • New and Enhanced Features of HotDocs 10

+ Installing HotDocs

  • What Is HotDocs?
  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • System Requirements
  • Install HotDocs
  • Understand HotDocs Installation
  • Default File Locations in HotDocs 10
  • Use International Characters in HotDocs
  • HotDocs and XML File Formats
  • Uninstall HotDocs

+ Using the Keyboard in HotDocs

  • Use the Keyboard to Work in HotDocs
  • Full List of Keyboard Shortcuts

+ Setting HotDocs Options

+ Setting HotDocs Options

  • Overview: HotDocs Options
  • Interviews and Dialogs
  • Document Assembly
  • Document Markup
  • Form Documents
  • Question and Answer Summaries
  • Personal Information
  • Spell Checking
  • Word Processors
  • File Locations
  • File Management
  • Template Set Updates

+ Using Libraries

+ Using HotDocs Libraries

  • Overview: Use HotDocs Libraries
  • Create a Library
  • Open a Library
  • Add Templates and Other Files to a Library
  • Work with Templates and Other Files in a Libary
  • Remove Items from a Library
  • Change the Properties of a Single Library Item
  • Change the Properties for Multiple Items in a Library
  • Sort Items in a Library
  • Organize the Contents of a Library
  • Create a Favorites Folder in the Template Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Print a List of Items in a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Move Items Within a Library
  • Move Items to New Locations on Disk
  • Copy Templates to New Locations

+ Assembling Documents

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Using Command-Line Options

+ Using Command-Line Options

  • Overview: Command-Line Options
  • Full List of Command-Line Options
  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File
  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

+ Troubleshooting

+ Document Assembly

  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Moving to the Next Dialog After Entering a Date or Number
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document Takes Incredibly Long Time
  • Printing Form Document is Off-Center
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

+ Legal Notices

+ Legal Notices

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

HotDocs Ltd. | About HotDocs Ltd.

Copyright © 2012 HotDocs Ltd. All rights reserved


HotDocs Help - Index

  • Glossary
  • Help

Index

Filter by first letter: All / 0-9 A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Filter by index keyword:

Keyword not found.

The keyword you entered could not be found in the Index. Please try one of the following steps:

  • Try searching using similar keywords.
  • Use the full-text Search feature instead. (Enter your search term in the Search box located in the upper-right corner of the Help window.)

.NET Framework

installing

/af

/as

/cl

/da

/df

/ex

/fia

/ha

/hi

/hl

/is=u

/kig

/la

/lf

/ll

/na

/ni

/nw

/of

/ov

/pa

/pb

/pc

/pd

/po

/pr

/ps

/pt

/pw

/qs

/sa

/sap

/sig

/sl

/ss

/ssn

/stw

/sw

/tf

1900-century years

2000-century years

About

answer files

answer management

assembling a form document

command-line options

interview process

libraries

using files located on the Internet

Accessing

Answer File Manager

answer files

HotDocs files on the Internet

HotDocs libraries

Add Another button

using

Add Answer File button

Add Item button

Addendum label text

defining for regular field overflow

defining for run-on field overflow

Addendum

changing properties of at form

creating default references to

customizing text within

numbering codes to use in

specifying default properties of

splitting answers between form and

starting on new page

Adding

answer files to Answer File Manager

auto-assemble files on the Internet to HotDocs libraries

auto-install files to libraries

folders to the answer library

multiple items to a library

templates to libraries

Web pages to HotDocs libraries

Adjusting

toolbars

windows and panes sizes

Adobe

automatically send assembled forms to

saving assembled form documents to

saving other document types to

saving text documents to

using to print assembled form documents

Aligning

text in edit fields

text in multi-line form fields

Alphabetizing

answers in a spreadsheet

American dates, using

Annotations, using to mark up templates

Answer File command-line option

Answer file folder, changing location of default

Answer File Manager button

Answer File Manager

about

adding answer files to

adding folders to

creating new answer files using

displaying

setting option for always using

using

Answer files

about

accessing

adding to answer library

assembling documents with (3)

  • Create a New Answer File
  • Save an Answer File During Assembly
  • Select an Answer File for Assembly

attaching to e-mail messages

automatically prompting user for

automatically suggesting the answers used last

creating (2)

  • Create a New Answer File
  • Save an Answer File During Assembly

default

deleting

editing titles or descriptions

linking to specific templates

managing

merging answers into another answer file

overlaying

searching for

suggesting for every assembly

uploading to Web servers

Answer Font button

Answer summaries

changing appearance of

viewing

Answer Summary command-line option

Answer-field reformatting

Answer-gathering dialogs, navigating

Answering

Date variables

questions in an interview

questions to create Question Summary

using answer sources (pick lists) or external applications

Answers

about (2)

  • Overview: Save Answers
  • Overview: Use Answer Management

applying standard information

assembling documents with

checking for any that overflow

editing at Document Preview tab

flowing across two or more form fields

flowing across two or more form pages

gathering information to assemble other documents

loading automatically using default answer file

organizing

overwriting with another answer file

saving

spell checking

too long for answer field

typing directly in form fields

using international characters in

ANX file name extension

Appearance

of assembly window, changing

of edit fields in forms

of fields in a text template

Application IDs, defining for third-party integrations

Arranging

items in a library

order of documents to be assembled

windows and panes

Asking

only unanswered questions

Assemble button

Assembling

about

clause libraries

creating new answer files while

documents

documents without showing the interview

fillable PDFs

from Web browsers

information from a database application

interview templates

multiple documents

previewing templates before

switching answer files while

using the Assembly Queue

warn when adding more templates to queue

Assembly Queue button

Assembly Queue

about

always listing completed assemblies

assembling multiple documents

displaying warning when adding to

statuses

Assembly window

bypassing to view assembled document

closing after assembly session

customizing the look of

Assigning

answer files to templates

form check-box field properties

Asterisks

using as placeholders for unanswered questions

using to mark required questions

Attaching

answer files to e-mail messages

text or form documents to e-mail messages

Auto-assemble files

adding Internet link to library

downloading files for use offline

MIME types information

updating

Auto-install files

accessing from the Internet

installing a template set

MIME types information

Automatically

checking for updated template sets

expanding child dialogs in interview outline

selecting text when tabbing between fields

Background colors

changing for dialog pane

changing for form fields

Bar codes

customizing properties of

displaying in forms

Binary

saving files as

BMPs

inserting in form fields

Borders

changing properties of field

changing the size of detectable

detecting to create or resize fields

British dates

Browsers

launching from HotDocs

registering HotDocs as a helper application for

Buttons

customizing layout of toolbar

viewing resource

Bypassing

End of Interview dialog to view assembled document

entire interview to view document

Caches, updating versions of auto-assemble files

Calendars, using to answer date questions

Canceling

assembly from End of Interview dialog

assembly of a document

Caret paths, assigning for templates

Centimeters as a unit of measure in forms

Century-rollover dates

Changing

a form field's size

appearance of variable names and background colors for fields

dialogs shown in interview outlines

file location for templates in a library

file location of answer files

fonts used for form fields

form field borders and margins

order of documents awaiting assembly

overflow properties for regular form fields

overflow properties for run-on form fields

paragraph formatting in a form field

properties for multiple items in library

rotation of a form field

tab order of form fields

word processor file locations

Characters, using specific for check-box fields

Check Spelling button

Check-box fields

detecting

specifying properties for

Checking

form fields for answers that overflow

spelling of answers

Child dialogs

controlling appearance in interview outline

Choosing

answer files for assembly

database records during assembly

End of Interview options

Circling answers on a form

Clause libraries

assembling

moving on local disks or networks

selecting clauses from

Clause Name command-line option

Clauses

assembling

Closing

assembly window after interview

HotDocs

HotDocs Filler

CMP file name extension

Collapsing

all folders in a library

child dialogs in outline

Color themes

changing default for dialog pane

changing default for form fields

changing default for text template fields

Columns

using in summaries

Command-line options

about

Answer File

Answer Summary

Clause Name

Default Answer File

Discard Answers

Exit HotDocs

Finish Interview Action

full list of

Hide Library

HotDocs Auto-Assemble File

HotDocs Auto-Install File

Interview Scope

Keep Interview Group

Library File

Lock Answer File

Lock Library

New Answer File

No Assembly Window

No Interview

Output File

Overlay Answer File

Paper Size

Paper Tray

Print

Print Answers Only

Print Both

Print Copies

Print Duplex

Print Form Only

Print Without Dialogs

Question Summary

Save Answers

Save Answers Prompt

Send to Word Processor

Show Library

Start Interview Group

Suggest Save

Suggest Save New

Suppress Unanswered Warning

Template File

Commands

in the assembly window

in the End of Interview dialog

in the template library

Compatibility with other versions of HotDocs

Completed assemblies, displaying in queue

Component file properties

setting for new templates

Conditional text

using in question summaries

Connecting

specific answers to templates

to third-party applications

Contacting technical support

Controlling

appearance of Answer File dialog box

text placement in multi-line field

Converting

answers on a form to bar code format

Copying

clause libraries across disks or networks

files when exporting libraries

form fields

library items to new locations on disk

library items to new places within library

template files to new locations

template libraries from disk or network

Copyright

Creating

answer files during assembly

fields using Detect command

form fields

new answer files

new libraries

new libraries by exporting existing libraries

PDF files (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

questionnaires

summaries (2)

  • View an Answer Summary
  • View a Question Summary

Cross-references

defining for regular field overflow

defining for run-on field overflow

specifying properties of addendum items

Crossing out static text on a document

Customizing

colors used in dialog pane

entries on a form addendum for regular fields

entries on a form addendum for run-on fields

options in End of Interview dialog

Database applications

assembling documents linked to

Date entry order, specifying

Date variables

ways to answer

Dates

displaying in answer fields

specifying default format for in assembled documents

specifying the date order

Day-Month-Year date order

Default Answer File command-line option

Default

answer files

date formats

form printing options, specifying

size of check-box fields

word processor, changing

Defining field borders and margins

Delete Repetition button

Deleting

answer files

folders in Answer File Manager

library items

Delivering

answer files using e-mail

assembled document files using e-mail

Descriptions

for HotDocs files

modifying library item

searching for specific templates

Detect Field button

Detecting

fields on a form

setting default properties for check-box fields

Dialog navigation, tabbing between fields

Dialog pane, customizing

Dialogs

"End of Interview"

accessing resource information while viewing

changing the look of

navigating through during assembly

Direct-fill assembly of form documents

Directories

for HotDocs program files

for the various HotDocs files

for word processor files

Discard Answers command-line option

Displaying

Answer File Manager

forms in multiple windows

Distributing

template sets to many users

Document assembly

canceling

multiple

using clause libraries during (2)

  • Assemble a Clause Library from the Template Library
  • Select Clauses During an Interview

using overlay answer files for

using pick lists or third-party applications during

viewing list of queued assemblies

viewing status of current

Document Managers

defining settings for

setting up to work with answer files

setting up to work with assembled documents

Document Text Editor

toolbar

using

Documents

attaching to e-mail messages

double-checking answers in

previewing assembled text

printing assembled text

printing form

saving

saving as PDF files (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

sending to word processor

viewing assembled form

DOT file name extension

Double-sided forms, printing

Downloading

auto-assemble files for use offline

HotDocs files

Duplex printing for forms

Duplicating

form fields

E-mail

attaching answer files to

attaching text or form documents to

Edit Document Text button

Edit fields (forms)

specifying properties of

Editable text

modifying

Editing document text

at the assembly window

Editing

answers at Document Preview tab

assembled form documents

library item properties

Personal Information variable answers

properties in Answer File Manager

End of Interview dialog

bypassing to display assembled document

choosing which options appear in

hiding

using options at

Enter key

using in multi-line text fields

using to move between dialogs

Entering answers directly in a form field

Exit HotDocs command-line option

Exiting

HotDocs

HotDocs Filler

the assembly window

Expanding

all folders in a library

child dialogs in interview outline always

child dialogs in outline

Explorer, opening for a selected template

Exporting existing library to create new libraries

eXtensible markup language

External applications

answering variables with

Web browsers

Favorites folder, create in your template library

Feedback, providing for HotDocs documentation

Field borders

changing properties of

detecting to create or resize fields

Field numbering codes, using in addendum

Field Properties

Bar code

Image

non-printing

Strike-through

Fields (forms)

assigning font properties to

borders

changing colors of

checking for overflow

circling

copying

creating

detecting borders to create or resize

handling overflow of

margins

moving

resizing

rotating answers in

selecting

showing background color for

specifying tab order for

ungrouping

File formats

XML as

File name extensions

changing all in a folder

list of HotDocs-specific

modifying library items

Files

changing location of HotDocs program

changing location of word processor

copying when exporting libraries

modifying file paths for library items

moving

organizing in libraries

storing answer files

Fill order, specifying in forms

Fillable PDFs

assembling

Filtering

database records during assembly

Finding

specific templates in libraries

Finish button, defining what happens when used

Finish Interview Action command-line option

Folders

adding all included items to a library

changing all items in

deleting from libraries

for HotDocs program files

for the various HotDocs files

for word processor files

in HotDocs libraries

locked

using in Answer File Manager

Fonts

assigning to form fields

changing properties of in dialog pane

specifying default for edit fields (forms)

Foreign characters, using

Foreign languages

support when completing interview

Form documents

assembling

editing

printing

saving

saving as PDF files

spanning answer across multiple pages in

specify default printing options for

viewing

Form templates

viewing in multiple windows

Four-digit years

Frequently used templates, grouping

Go To Answer in Document button

Go to Answer in Interview button

Graphics

inserting in form fields

Group name property, assigning for form fields

Grouping

form fields

undoing a form field

HAL file name extension

Handling field overflow

HCL file name extension

HDA file name extension

HDI file name extension

HDI files

installing

HDL file name extension

HDP file name extension

Headers

modifying text of form addendum

Height or width of form field, adjusting

Help (Resources)

displaying buttons for viewing

viewing during assembly

Help file

get help using

searching

Helper applications (2)

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers

HFD file name extension

HFT file name extension

Hide Library command-line option

Hiding

End of Interview dialog

form field backgrounds

variable names in form fields

Highlight Fields button (2)

  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab

Highlighting

form fields

text when tabbing between answer fields

Histories for answer files

Honoring IF instructions in a question summary

HotDocs Auto-Assemble File command-line option

HotDocs Auto-Install File command-line option

HotDocs Filler

starting

HotDocs Options button

HotDocs

closing

starting and exiting

what is it?

HPD file name extension

HPL file name extension

HPT file name extension

HTML

converting summaries to

Hyperlinks

to published files on the Internet

Icons

in interview outline

Identifying correct templates for assembling

Image files

inserting in form fields

Import Answer File button

Importing

answers from another answer file

answers from pick lists or external applications

library files from other libraries

templates or clause libraries from other libraries

Inactive form fields, displaying a warning when typing in

Inches as a unit of measure in forms

Indenting

answers in a form field

answers in form addendum

Information-gathering dialogs, using

Insert Repetition button

Inserted dialogs

answering during assembly

Inserting

answer files in e-mail messages

clauses in assembled text documents (2)

  • Assemble a Clause Library from the Template Library
  • Select Clauses During an Interview

document files in e-mail messages

Installation, changes to

Installing

HotDocs

HotDocs Compare

new word processors after HotDocs is installed

template sets (HDIs)

Instant Update button

Instant Update, using

Internationalization in answers

Internationalization, HotDocs

Internet

adding auto-assemble files to HotDocs libraries

adding Web pages to HotDocs libraries

launching browsers from HotDocs

publishing HotDocs files on

registering browser helper applications

starting HotDocs assemblies from browsers

uploading answer files to Web servers

Interview outlines

icons in

updating during assembly

Interview Scope command-line option

Interview templates

assembling

Interviews

displaying repeated dialog icon in

End of Interview dialog

speeding up processing of

verifying information before ending

Item Properties button

JPGs

inserting in form fields

Keep Interview Group command-line option

Keyboard shortcuts, list of

Keywords

using for reference paths

Labels

assigning to addendum items

Launching

HotDocs Filler

Layout

customizing windows and panes

library windows

Libraries

about

adding auto-assemble files to

adding items to

adding web pages to

changing items in (2)

  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item

commands available in

copying items in

creating

creating by exporting existing

deleting items in

dividing into smaller libraries

exporting

importing other libraries into

layout of

limiting access to

opening

organizing items in (2)

  • Move Items Within a Library
  • Organize the Contents of a Library

printing contents of (2)

  • Organize the Contents of a Library
  • Print a List of Items in a Library

references to actual files (2)

  • Overview: Use HotDocs Libraries
  • Move Items to New Locations on Disk

saving

saving contents as text file

searching for specific templates

sorting items in

switching to a different library

Library File command-line option

Line format properties in form fields

Line spacing, determining for form fields

Lines per inch option for fields

Linking

answer files to templates

Lists

displayed for completed assemblies

of answers in a document

of questions in a template

printing of library contents

providing answers to create (3)

  • Use Repeated Dialogs During Assembly
  • Enter List of Answers in a Series
  • Enter Repeated Answers in a Spreadsheet

Loading template sets

Local disks, saving libraries to different locations on

Locating

correct templates

items in a library

Locations, template (default)

Lock Answer File command-line option

Lock Library command-line option

Maintaining templates on a network

Managing

answer files

answer files through library commands

assembled documents

Mapping

installation of published templates

Margins

changing for form fields

specifying for form edit fields

Markup View

looking at an assembled document in

setting options for

Maximum number of lines for a text field

Measurement, defining units of

Merging

answers into other answer files

Microsoft .NET

installing

MIME types, registering HotDocs as a helper application

Minimum

shrink-to-size option for form fields

Modifying

the properties for a single library item

the properties for multiple library items

Month-Day-Year date order

Move Repetition Down button

Move Repetition Up button

Moving

around in a form

files on local disk or network

form fields

library items

templates or clause libraries from other libraries

through answer-gathering process

windows and panes

Multi-line form fields

formatting

splitting between form and addendum

Multiple form fields, splitting answers across

Multiple

lines in fields, typing in

word processors, using

Names

searching for specific templates

Navigating

through interview

Navigation bar

controlling tab order in

using to get through interview

Networks

access to answer files

copying libraries from

maintaining templates on

New Answer File button

New Answer File command-line option

New features of HotDocs 10

New features of HotDocs 10 HF1

New features of HotDocs 10 HF2

New features of HotDocs 10 HF3

New features of HotDocs 10.1

New features of HotDocs 10.2

New features of HotDocs

10

New Library button

New

answer files, creating

form fields, creating

libraries, creating

Next button first in Navigation Bar tab order

Next Page command, using

No Assembly Window command-line option

No Interview command-line option

Non-printing fields, assigning

Number of lines allowed in a single-line field

ODMA DLL file locations

Offline, using downloaded auto-assemble files

Open Library button

Opening

Answer File Manager

assembled documents in other applications

HotDocs libraries

Web pages from HotDocs

Operating systems

supported

Ordering

fields in a form

Organizing

answer files

HotDocs files

Orientation, changing for form fields

Outline of dialogs, updating

Output File command-line option

Output format of assembled document

Overflow

checking form fields for

defining properties for regular form fields

defining properties for run-on form fields

warning about answer

Overlay Answer File command-line option

Overlay answer files

Override Field command, using

Overriding

answers or formats in form documents

form answers, displaying a warning when

Overwriting

answers with other answer files

Packaging templates or clause libraries to send to other users

Page numbering codes, using in addendum

Panes

accessing resources

customizing layout

Paper size and source for printing, selecting

Paper Size command-line option

Paper size, choosing for forms

Paper Tray command-line option

Paper tray, choosing for forms

Paragraphs

formatting in multi-line form fields

Pasting

form fields

PDF Driver

assigning security options when using

PDF files

creating from assembled documents (2)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF

printing

sending assembled documents automatically to

PDF417 bar codes, creating

Personal Information variables

editing

Pick lists (answer sources)

answering variables using

differences from answer files

gathering information for

Pictures

inserting in form fields

Placeholders

default text for all unanswered variables

PNGs

inserting in form fields

Points as a unit of measure in forms, using

Pressing Enter to insert lines

Previewing

assembled text document before sending to word processor

form documents

templates before assembly

Previous and Next buttons

in the dialog pane

Previous Page command, using

Print Answers Only command-line option

Print Both command-line option

Print command-line option

Print Copies command-line option

Print Document button (2)

  • Print an Assembled Form Document
  • Print an Assembled Text Document

Print Duplex command-line option

Print Form Only command-line option

Print Without Dialogs command-line option

Printing

assembled form documents

assembled text documents

blank copies of templates

fields, keep from

lists of files in a library

specifying default for forms

specifying default options for forms

to create PDF files (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

troubleshooting problems with forms

using Adobe or Filler functionality

warn when using default options

Prompt before printing assembled document via word processor option

Properties

assigning font to form template fields

modifying library item

specifying for form edit fields

Question summaries

changing appearance of

controlling asked variables in

creating

Question Summary command-line option

Questions, not asking during assembly

Reference paths, assigning

References to answer overflow in addendum

Reformatting in answer fields

Refreshing

cache for auto-assemble files

Registering

HotDocs to work with Web browsers

Registry

understand how HotDocs works with

Remembering

answer file used last

Remove Item button

Removing

answers from a repeated dialog

HotDocs from your computer

Repeated dialogs (answering)

removing answers from

using special icons to denote

using to enter list answers (3)

  • Use Repeated Dialogs During Assembly
  • Enter List of Answers in a Series
  • Enter Repeated Answers in a Spreadsheet

Replacing

existing libraries

Requirements for using HotDocs

Requiring

four-digit years in answers

Resizing

fields

fields using Detect command

windows and panes

Resolving answer overflow

Resource buttons, using

Resource Pane button

Resources

viewing for dialogs and variables during assembly

Restoring

default colors used in dialogs

default HotDocs settings

installation defaults

Reviewer, displaying templates for a

Reviewing answers used in an interview

Rotating answers in a form field

Rows, viewing individually during interview

RTF file name extension

Run-on fields

creating

specifying overflow properties for

Save Answer File button

Save Answers command-line option

Save Answers Prompt command-line option

Save Document button

Saving

answers (2)

  • Create a Default Answer File
  • Save an Answer File During Assembly

assembled documents always

assembled documents as PDF files (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

assembled text or form documents

database records in answer file

fillable PDF documents

from End of Interview dialog

information about used printers

libraries

library contents as text file

PDF documents (3)

  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Save Other Document Types as PDF

Schemas, using for XML-based files

Scrolling around in a form

Search query, forming

Searching

for specific answer files

for specific templates in libraries

Security

for PDF documents

Select button, using

Select Tool button

Selecting

answer files

answer files before assembly option

clauses from clause libraries

existing answers when tabbing between fields

form fields

records in a database during assembly

Send Document button

Send to Word Processor command-line option

Sending answers to addendum to resolve form overflow (2)

  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields

Sending

answer files in e-mail messages

answers to an addendum

assembled documents to default word processor

clauses to an open word processor document

document files in e-mail messages

text documents to word processor

Separate addendums, creating

Servers

uploading answer files to

Shortcut keys for the keyboard

Show Fields button

Show Library command-line option

Show Variables button

Showing

form field backgrounds

variable names in form fields

Shrinking

answers to fit in fields

answers to resolve regular field overflow

Silverlight

downloading

Single-line fields, typing in

Singled-sided forms, printing

Slowness, fixing in interviews

Software

e-mail applications

requirements for using HotDocs

using answers from other applications

Sorting

answers in a spreadsheet

answers in an answer source

database records during assembly

library items

Speed, increasing interview processing time during assembly

Spell checking

answers

options for

Splitting

answer across multiple form fields

answer across two or more form pages

multi-line answers between form and addendum

Spreadsheets

answering questions in

Spreadsheet

viewing individual rows of during the interview

Standard answers, assigning to templates

Start Interview Group command-line option

Starting

assembly sessions

HotDocs

HotDocs Filler

Static content

circling

detecting underlying to create new fields

Status bar, information about queued assemblies

Status

of templates selected for assembly

Stopping

assembly sessions

Storing

answer files

answers for a single template

assembled documents

typical answers

Striking through static text on a form document

Suggest Save command-line option

Suggest Save New command-line option

Suggesting

frequently used answer files

Summaries

lists of answers

lists of questions

Support, getting for HotDocs

Supported

operating systems

word processors

Suppress Unanswered Warning command-line option

Switches, full list of command-line

Switching answer files during assemblies

System defaults, restoring

System Requirements

Tab order

controlling in Navigation Bar

specifying for direct-fill assembly

Table of Contents, updating in Word after assembly

Tables (form templates)

sending overflow answers to addendum

Tabs (assembly and library windows)

Answer Summary

choose assembly window placement of

choose library placement of

Document Preview

Form Document

Interview

Preview

Properties

Question Summary

Technical Support

in the United States

outside the United States

Template File command-line option

Template files

adding to libraries

changing default file locations of

descriptions in libraries

grouping in Favorites folder in library

installing sets of

linking to specific answer files

moving files on local disks or networks

organizing groups into separate libraries

previewing before an assembly

searching for specific in libraries

Template set updates

checking for

setting properties for

Text documents

printing

saving as PDF files

Text files, saving libraries as

Text

specifying labels in addendum

Third-party applications

defining settings for

Tiling form windows

Time

answering questions about

Titles

modifying library items

Toolbars

Component Manager

displaying full in assembly window

Document Text Editor

HotDocs assembly window

Tracking

answer file histories

Trading answer files during assembly

Transferring

answer files to other users

assembled documents to editing application

document files to other users

library items into a new library

library items into existing library

library items to other libraries

Troubleshooting

form printer problems

Two-digit years

Two-dimensional bar codes, creating

Typing answers directly in a form field

Unanswered variables

asking only

formatting

reported at End of Interview dialog

warning about

Underscore as a placeholder

Ungrouping fields

Unicode support

Unicode, using in HotDocs

Uninstalling HotDocs

Updating

all item properties in a library folder

dialogs shown in interview outlines

downloaded auto-assemble files

existing answer files with new answers

template sets via the Internet

Upgrading to newer versions of HotDocs

Uploading

answer files

answers to Web servers

URLs

adding to HotDocs libraries

correct format for adding auto-assemble files from the Internet

Variable name, determining for question in interview

Variables

showing names for in form fields

viewing resources during assembly

Verifying

accurate information in form document before ending interviews

accurate information in text document before ending interviews

Viewing

answer file histories and contents

answers used to assemble a document

assembled form documents

assembled text documents

form page height or page width

form page in more than one window

lists of documents recently assembled

questions used in templates

saved text or form documents

W3C information about XML

Warnings

when adding assembly to queue

when answers are reformatted

when fields overflow

when overriding a field's answer

when printing via the word processor

when typing in inactive fields

when variables are unanswered

Web

accessing published files from

adding addresses to libraries

registering browser helper applications

starting HotDocs assemblies from browsers

uploading answer files to Web servers

What's This? Help button

Width or height of form field, adjusting

Windows Explorer command, issuing for templates

Windows

accessing answer files with Explorer

accessing saved documents with Explorer

customizing HotDocs layout

viewing forms in multiple

Word processors

changing settings for working with

installing new ones after installing HotDocs

sending assembled clauses to open

sending text documents to

supported

viewing saved documents in

Word

differences between Word 2007-2010, and other versions

WPT file name extension

Wrapping an answer across two pages

Write access to answer files, allowing

XML

explanation of

saving files as

Zooming in on a form

Home > Index


HotDocs Help - What's New in HotDocs User

All About...

  • Installing HotDocs
  • Using the Keyboard in HotDocs

What's New in HotDocs User

New and Enhanced Features of HotDocs 10

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs User


HotDocs Help - New and Enhanced Features of HotDocs 10

Reference Material

  • New and Enhanced Features of HotDocs 10

New and Enhanced Features of HotDocs 10

New and Enhanced Features of HotDocs 10.2

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10.1

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10 HF3

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10 HF2

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10

Edition Name Changes

HotDocs is now available in three different editions:

New Name | Previous Name
Developer | Professional
Developer LE | Standard
User |
Player | Player

Interviews

Interviews have been updated and improved for HotDocs 10.

Changes to Files and Folders

HotDocs Files

New Filename | Previous Filename
hotdocs.exe | hotdocs6.exe

HotDocs Default Installation Folder

New Folder | Previous Folder
C:\Program Files\HotDocs | C:\Program Files\HotDocs 6

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > What's New in HotDocs User > New and Enhanced Features of HotDocs 10


HotDocs Help - Installing HotDocs

All About...

  • Using the Keyboard in HotDocs
  • What's New in HotDocs User

Installing HotDocs

What Is HotDocs?

Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs

System Requirements

Install HotDocs

Understand HotDocs Installation

Default File Locations in HotDocs 10

Use International Characters in HotDocs

HotDocs and XML File Formats

Uninstall HotDocs

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs


HotDocs Help - What Is HotDocs?

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Overviews

  • Quick Help Links

What Is HotDocs?

HotDocs is an award-winning software application that significantly reduces the time spent generating customized documents, such as contracts, sales proposals, government and court forms, legal documents, loan applications, and medical forms.

Using HotDocs, you can transform any word processor file into an interactive template by marking changeable text with HotDocs variables. Then, the next time you want to generate a completed text document, just assemble the interactive template you've created. As you do this, you will be prompted for the information needed in the document and that information will be merged into the document.

When using HotDocs, you can perfect a template, minimizing the "human error" factor that repetitive typing introduces. Additionally, you can automate your templates so that verb tenses, gender references, dates, numbers, calculations, and more are updated automatically as users enter information. Custom interview questions and help resources guide you or your users through the interview.

Virtually any document in your workflow can be converted to a HotDocs template, including lengthy and complex documents. HotDocs templates then become your gold standard—experienced colleagues can share their knowledge, and new colleagues come up to speed faster. Using HotDocs, you can compile an invaluable repository of special language, unique clauses or terms, correspondence, and more.

The following diagram shows the HotDocs process, from template development to document assembly:

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > What Is HotDocs?

More... (1)

Home > All About... > Becoming Familiar with HotDocs > What Is HotDocs?


HotDocs Help - Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs

This topic describes the compatibility of files between earlier versions of HotDocs and HotDocs 10:

Installation of Program Files

When you install HotDocs 10 over earlier versions of HotDocs or Professional Edition (starting with HotDocs 6), it overwrites that installation.

Library Files

Template Libraries

Template libraries created and saved in HotDocs 2008 and earlier were saved in binary format. Starting with the release of HotDocs 2009, however, template libraries can be saved in either binary format or as XML. When you open an existing template library in HotDocs 10, HotDocs keeps it in binary format until you either manually convert the file to XML format, or you attempt to use foreign characters in the properties of the library, at which time HotDocs will prompt you to save the file in XML format. (To manually save the file in either format, choose Save Library As from the File menu and then choose the option you want from the Save as type drop-down list. Foreign characters are characters that are not compatible with your system's default language.)

Answer Libraries

HotDocs 6 through HotDocs 2008 supported binary answer libraries (or answer libraries with the .HAL file name extension). Starting with the release of HotDocs 2009, however, HotDocs now supports both binary answer libraries and XML-based answer libraries (which use the .HDL file name extension). By default, HotDocs will continue to use binary answer libraries as long as the answer file properties of items in the library use characters that are compatible with your system's default language. If you define answer file properties that contain foreign characters, HotDocs will create an XML-based answer library (so that it can properly display these characters in the Properties tab of the library window.)

Caution: If you are working in HotDocs 10, but the library needs to be compatible with HotDocs 2005-2008, do not use any foreign characters (for example, characters that are not compatible with your system's default language) in the library properties. Any foreign characters you use will appear as boxes or question marks in HotDocs 2005-2008.

Templates

Answer Files

HotDocs 6 through HotDocs 2008 support two types of answer files—binary answer files (.ANS) and XML answer files (.ANX). Starting with HotDocs 2009, answer files are saved in XML format only. This means that if you open a binary answer file (an .ANS file) in HotDocs 10, change one or more answers, and then save, the answer file will be saved as XML. The file extension will not be changed, but will continue to be .ANS even though the file is in XML format.

If you are using HotDocs 10 to create answer files for use with a pre-2009 version of HotDocs, you must save the answer file in a backwards-compatible format. Specifically, if you need to use the answer file with HotDocs 2005 through HotDocs 2008, you must save the file as a HotDocs 2005-2008 answer file. You can select this format at the New Answer File dialog box or the Save Answer File As dialog box. You can also select it at the Properties dialog box for the answer file. Any unsupported foreign characters you use will appear as boxes or question marks in HotDocs 2005-2008.

Note: HotDocs 10 answer files can be used with HotDocs 2008 SR2 without making the files backwards compatible.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs


HotDocs Help - System Requirements

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

System Requirements

To ensure the best performance using HotDocs, please note the following requirements for hardware and software:

Hardware

  • 900 MHz processor (2GHz, recommended)
  • 1 GB RAM (2 GB, recommended)
  • 1024 x 768 screen resolution with at least 16-bit color

Software

  • Windows XP (SP2 or higher), Windows Vista (32-bit or 64-bit), or Windows 7 (32-bit or 64-bit)
  • Microsoft Internet Explorer 6.0 or later
  • Microsoft Word 2000, XP, 2003, 2007, or 2010
  • Corel WordPerfect 8, 9, 10, 11, 12, X3, X4, or X5
    Caution:WordPerfect X3 SP2 and later are the only versions of WordPerfect supported for use on Windows Vista and later.

Databases

If you plan to integrate HotDocs with a database, you must have one of the following applications or servers installed:

  • Microsoft Access
  • Microsoft SQL Server
  • Oracle 8i or 9i with the OraOLEDB OLEDB provider
  • Most other ODBC-compliant database

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > System Requirements


HotDocs Help - Install HotDocs

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Install HotDocs

When you insert the HotDocs installation disk in your CD-ROM drive, a CD browser window should automatically appear. From this window, you can view the Readme and install HotDocs. Once installation has started, HotDocs prompts you for all of the information it needs to complete the process.

Before installing HotDocs, make sure your computer meets the minimum requirements necessary for using HotDocs. (See System Requirements.)

To install HotDocs

  1. Close all open programs, especially any word processors or existing versions of HotDocs you may have open.
  2. Insert the HotDocs installation CD into your CD-ROM drive. The CD browser window appears.
  3. Click Install HotDocs User. The installation program begins installing HotDocs.
  4. Follow the on-screen prompts to complete the installation.
Note:
  • To manually install HotDocs, select Run from the Start menu. If you are running a 32-bit operating system, type D:\setup. If you are running a 64-bit operating system, type D:\setup64 (substitute the correct drive letter if your CD-ROM drive is not mapped to D:\). Follow the on-screen prompts to complete the installation.
  • For a description of how HotDocs is installed, see Understand HotDocs Installation.

Home > All About... > Installing HotDocs > Install HotDocs


HotDocs Help - Understand HotDocs Installation

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Understand HotDocs Installation

When you install HotDocs, two different installations actually happen—the HotDocs Setup and the Current User Setup. This two-part installation process not only allows the program be installed just once for multiple users on a single workstation, but it also allows each user who logs on to the workstation to have his or her own custom files and settings.

HotDocs Setup

When you first install HotDocs (see Install HotDocs) from setup.exe (for 32-bit operating systems) or setup64.exe (for 64-bit operating systems), HotDocs installs the program files needed to use HotDocs, including any executable files used to run HotDocs. Among others, it also installs the HotDocs Help files. These files are installed, by default, to C:\Program Files\HotDocs. This location is not user-specific, which allows all users of a single workstation access to the files.

As HotDocs installs these files, it registers information about them in the Local Machine key of the Windows System Registry. For example, the Registry stores information about where the executable file for HotDocs is located on disk, as well as which word processors HotDocs supports. It also sets some preliminary file location information for the various files HotDocs uses, including information about library files and template set files. All of this information must be registered in order for HotDocs to work correctly.

Current User Setup

When you install HotDocs, the installation creates a folder named Source in the HotDocs program folder. These files must be in user-specific folders on the disk. However, because multiple users may use a single workstation, HotDocs Setup doesn’t install these files. Instead, when a user logs on to the workstation and runs HotDocs, the Current User Setup copies these files to the correct locations for the user. (See Default File Locations in HotDocs 10.)

The Current User Setup also registers information about each user in the Current User key of the System Registry. This information includes default file locations for such things as templates, answer files, and library files. As each user specifies preferences for working with HotDocs, these settings are likewise written to the Current User key. This allows each workstation user to have his or her own HotDocs settings without other users overriding those preferences with their own.

The Current User Setup happens each time a user starts HotDocs. This means that each time you run HotDocs, HotDocs checks to make sure all of the required files (such as word processor startup files) are located where it expects to find them. If the file isn’t found, HotDocs replaces it using a copy it finds in the Source folder.

Restore Installation Defaults

At times, you may want to restore default settings in HotDocs. You can accomplish this by clearing the Current User key of the Registry.

Please see Restore Installation Defaults for instructions on how to do this.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > Understand HotDocs Installation


HotDocs Help - Default File Locations in HotDocs 10

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Default File Locations in HotDocs 10

When you install and use HotDocs, the program makes several entries in the System Registry that indicate to HotDocs where to look for files, as well as where to suggest you save files. (See Understand HotDocs Installation.) In most situations, HotDocs uses this information each time you perform a task in HotDocs. For example, each time you create a new template, HotDocs suggests a default location for the new template, based on the information it finds in the System Registry.

The following is a list of these default locations:

Caution:In Windows Vista, the My Documents folder has been renamed as Documents. The All Users Documents folder has been renamed as Public Documents.
File Type | Default Location
Program Files | C:\Program Files\HotDocs
Help Files | Program Files\HotDocs
Spelling Dictionary File | My Documents\HotDocs\Spelling
Library Files | My Documents\HotDocs\Libraries
Template Files | My Documents\HotDocs\Templates Note: Even though HotDocs saves all template types to this folder, it still maintains separate default settings for text templates, form templates, and interview templates.
WordPerfect Macro Files | Word Processor Macro Folder
MS Word Startup Files | Word Processor Startup Folder
Template Sets | All Users Documents\HotDocs\Templates
Text Document Files | Word Processor Documents Folder
Form Document Files | My Documents
Answer Files | My Documents\HotDocs\Answers
Catalog Files | All Users Documents\HotDocs\Catalogs

If you need to change these default locations after HotDocs is installed, you can do so at HotDocs Options. See Change Word Processor File Locations and Change HotDocs Program File Locations for details.

Caution:
  • If you are upgrading from HotDocs 6.1 or earlier and your libraries are saved in the HotDocs 6 Program Files folder, HotDocs will set this folder as the default location for libraries. If you do not have library files saved here, HotDocs will use My Documents\HotDocs\Libraries.
  • If you perform a custom installation, HotDocs will install files and set registry entries using the information you specify during installation. Whatever settings you specify during installation will be used for all users of the workstation.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > Default File Locations in HotDocs 10


HotDocs Help - Use International Characters in HotDocs

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Use International Characters in HotDocs

What is Unicode?

Unicode is a computer specification that makes it possible for computers to represent and manipulate characters used in most of the world’s written languages.

According to the technical description given by the Unicode Consortium, “Unicode provides a consistent way of encoding multilingual plain text and brings order to a chaotic state of affairs that has made it difficult to exchange text files internationally. Computer users who deal with multilingual text—business people, linguists, researchers, scientists, and others—will find that the Unicode Standard greatly simplifies their work. Mathematicians and technicians, who regularly use mathematical symbols and other technical characters, will also find the Unicode Standard valuable.”1

HotDocs and Unicode

Unicode support in HotDocs makes it possible to automate and assemble documents in non-native, left-to-right-reading languages. This includes automating and assembling Microsoft Word templates as well as PDF-based form templates.

Caution:WordPerfect does not support Unicode. As such, Unicode characters that are assembled into WordPerfect documents will not appear correctly.

For example, say you need to automate a template using the German language. You can draft the underlying template text in German, and then create all of the components in the template using German. This includes assigning component names, titles, prompts, resources, and so forth in that language. Users can then complete the interview by entering their answers in German. The resulting assembled document can be entirely in German.

Using Fonts that Contain Unicode Characters

Even though HotDocs supports Unicode characters, these characters may not appear correctly if you do not have fonts installed that can display them.

For example, say you automate your template using the Tahoma font on Windows Vista. If the template is used on an earlier operating system, some of the characters you have used may not appear correctly because those characters may not be supported in the version of Tahoma available on that operating system.

Or, perhaps you use a very specialized font for displaying symbolic characters. If your users do not have the same font installed on their computers, your text will appear as unrecognized characters—usually boxes or question marks.

Additionally, you must also be careful when assigning font styles (such as bold or italic) to international characters, as characters may not display correctly when these styles are applied.

Unicode and Backwards Compatibility

HotDocs 2008 and earlier does not support Unicode. (The exception to this is HotDocs 2008 answer files where you could use Unicode characters in answers.) If you attempt to use a HotDocs 2009 (or later) template with an earlier version of HotDocs, any foreign characters you have used will appear as boxes or question marks. In some cases, HotDocs will warn you when you attempt to use one of these types of files.

Detailed, technical information on Unicode can be found by visiting any of the following Web sites:

  • http://www.w3.org/
  • http://www.unicode.org/
  • http://en.wikipedia.org/wiki/Unicode
Note:
  • While the template, interview, and assembled document may appear in most languages supported by Unicode, the HotDocs application itself continues to be supported in English only.
  • This help file defines Unicode characters that are not part of your typical language set as foreign or international characters.

1 "The Unicode Standard: A Technical Introduction. 17 Sept, 2008, 12:27 PM. 5 Dec 2008 http://www.unicode.org/standard/principles.html.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > Use International Characters in HotDocs


HotDocs Help - HotDocs and XML File Formats

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

HotDocs and XML File Formats

In versions of HotDocs prior to HotDocs 2009, HotDocs-specific files—such as library files, component files, and so forth—were saved in binary formats.

Binary file formats are common in most software applications. They allow information about the files to be encoded for storage and processing purposes. However, one limitation of storing information in HotDocs in binary format is that third-party application developers aren't able to inspect, edit, or otherwise make use of information contained in the files. Another limitation is that the binary formats used in HotDocs do not support the use of foreign characters, or international characters that are not represented in your computer system's default language.

From the release of HotDocs 2009 onwards, however, users can save libraries and component files in either binary format or in XML format. Saving HotDocs files in XML format allows third-party developers easier access to the data stored in these files, making it easier to create integrations with other applications. The XML format also supports a wide range of left-to-right-reading international characters.

As you work in HotDocs 10, you can choose which format you use to save your HotDocs files. Here are some guidelines to help you decide:

  • XML library and component file formats are only supported in HotDocs 2009 and later. This means that if you need to use your files with earlier versions of HotDocs, you must save them in binary format. For example, say you are using HotDocs 10 to automate templates, but your users are still using HotDocs 2008. Or, perhaps you are using a published template set with HotDocs Player 10 but you’re still using HotDocs 2008 for your own template development. In order to maintain compatibility between these different versions of HotDocs, you must save your files in the format that is supported in both versions. In this case, it would be the binary format.
  • If you plan to use international characters (characters not typically supported by your default system language), you must choose to save your files in XML format.
Caution:If you generate XML files using a program other than HotDocs, you must make sure the encoding declaration in the XML file matches the actual encoding used in the document.
Note:
  • HotDocs uses XML schema documents (or XSD files) to validate XML content. By default, these documents are found in C:\Program Files\HotDocs\Schemas.
  • Previous versions of HotDocs supported both binary answer files and XML answer files. However, all answer files in HotDocs 2009 onwards are saved in XML format. See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs for additional details on using backwards-compatible HotDocs 10 answer files.
  • One benefit of saving files in XML format is the ability to more easily recover files that become corrupted or unusable in HotDocs. Using the XML schema documents, you (or someone with XML programming experience) can examine how the contents can be reconstructed, where possible.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Installing HotDocs > HotDocs and XML File Formats


HotDocs Help - Uninstall HotDocs

Reference Material

  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • Default File Locations in HotDocs 10
  • HotDocs and XML File Formats
  • System Requirements
  • Understand HotDocs Installation
  • Use International Characters in HotDocs
  • What Is HotDocs?

How Do I...?

  • Install HotDocs
  • Uninstall HotDocs

Uninstall HotDocs

You can remove existing versions of HotDocs from your computer by using the HotDocs uninstall program. When you uninstall, all of the program files are removed from your computer. However, the program does not remove any custom templates, libraries, or answer files you have created.

To uninstall HotDocs in Windows XP

  1. At the Start menu, select Settings > Control Panel. The Control Panel dialog box appears.
  2. Click Add or Remove Programs. The Add or Remove Programs dialog box appears.
  3. Select the version of HotDocs that needs to be removed, then click Remove. The HotDocs uninstall process starts.
  4. Follow the on-screen prompts to remove the program.

You can remove existing versions of HotDocs from your computer by using the HotDocs uninstall program. When you uninstall, all of the program files are removed from your computer. However, the program does not remove any custom templates, libraries, or answer files you have created.

To uninstall HotDocs in Windows Vista and above

  1. At the Start menu, select Control Panel > Programs > Uninstall a Program.
  2. Select the version of HotDocs that needs to be removed, then click Uninstall. The HotDocs uninstall process starts.
  3. Follow the on-screen prompts to remove the program.
Caution: If you plan to reinstall HotDocs to restore default settings, you must delete the user-specific settings HotDocs entered in the Windows System Registry. For details on doing this, see Restore Installation Defaults.

Home > All About... > Installing HotDocs > Uninstall HotDocs


HotDocs Help - Using the Keyboard in HotDocs

All About...

  • Installing HotDocs
  • What's New in HotDocs User

Using the Keyboard in HotDocs

Use the Keyboard to Work in HotDocs

Full List of Keyboard Shortcuts

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs


HotDocs Help - Use the Keyboard to Work in HotDocs

Overviews

  • Full List of Keyboard Shortcuts

Use the Keyboard to Work in HotDocs

You can use the keyboard to complete many tasks in HotDocs. The following describes some of these keyboard options.

Caution: The options described below refer to using a standard U.S. keyboard. Commands that require you to press two keys simultaneously are displayed using a plus (+) character. For example, to describe the Print command, the keyboard shortcut would appear as Ctrl+P.

There are four ways you can use the keyboard to work in HotDocs:

Tab Between the Elements in a Window, Dialog Box

Press the Tab key to move between the different elements of a HotDocs window or dialog box. Similarly, press Shift+Tab to move through the different elements in reverse order.

If certain elements don't appear in the tab order, use one of the other methods described in this topic, such as use an accelerator key.

For example, if you're viewing the template library and you want to assemble a document, you can press the Tab key to move focus to the item list of the library. Then press the Up Arrow or Down Arrow key to move between items in the library. Once the template you want to assemble is selected, press Alt+M (to view the Template menu). Finally, either press the Down Arrow key to select Assemble from the menu, or press the A key to activate the accelerator key in the Assemble command. The assembly window appears.

Use Accelerator Keys

Many commands and options in HotDocs can be accessed using an accelerator key. Accelerators appear as underlined letters in a command name or prompt. To access them, press the Alt key while also pressing the underlined letter. If you aren't in a text box (or a field where you can enter or select text), you can simply press the underlined letter and HotDocs will move you to that element or command.

For example, to save an answer file during an interview, at the assembly window, press Alt+F. The File menu appears. Then press S. The Save Answer File dialog box appears.

Caution:For some Windows 2000 and XP users, accelerator keys aren't identified until the Alt key is pressed. To always view accelerator keys, go to Start menu > Settings > Control Panel > Display. Click the Advanced tab, and then click Effects. Clear Hide underlined letters for keyboard navigation until I press the Alt key. To always view accelerator keys on Windows Vista, go to Control Panel > Ease of Access > Ease of Access Center > Make the keyboard easier to use and select Underline keyboard shortcuts and access keys.

Use the Shortcut Menu

When working with specific elements in a window or dialog, you can frequently access a list of commands for that element by displaying the shortcut menu. To access the shortcut menu, place focus on the element and then either press the Windows Application Windows Application key on your Windows keyboard, or press Shift+F10. Use the arrow keys to move between options in the menu.

For example, to view where the answer to a specific question is used in the assembled document, while your cursor is in an answer field, press the Windows Application Windows Application key on your keyboard. (Or, press Shift+F10.) A shortcut menu appears. Then, either press the Down Arrow key to select Go to Answer in Document (and then press Enter), or press the G key to issue the command.

Note: To close a shortcut menu without choosing an option in it, press the Esc key.

Use Shortcut Keys

Several commands within HotDocs can be accessed using a shortcut key, which is a key or a combination of keys you can press that will quickly execute the command. (Accelerator keys can be considered shortcut keys.)

For example, to send an assembled document to the word processor, press the F11 key. Or, to move between the different tabs of the assembly window, press Ctrl+Tab. (Pressing Ctrl+Shift+Tab moves through the tabs in reverse order.)

Click here for a complete list of shortcut keys.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Use the Keyboard to Work in HotDocs


HotDocs Help - Full List of Keyboard Shortcuts

Reference Material

  • Use the Keyboard to Work in HotDocs

Full List of Keyboard Shortcuts

You can use keyboard shortcuts to complete many tasks in HotDocs. A keyboard shortcut is a key or a combination of keys you can press that will quickly execute the command.

For example, to send an assembled document to the word processor, press the F11 key. Or, to move between the different tabs of the assembly window, press Ctrl+Tab. (Pressing Ctrl+Shift+Tab moves through the tabs in reverse order.)

Click one of the links below to see the keyboard shortcuts for that specific part of HotDocs:

Keyboard Shortcuts at Template Library

Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Document Preview Tab of the Assembly Window

Keyboard Shortcuts for the Form Document Tab of the Assembly Window

Keyboard Shortcuts for the Comparison Tab of the Assembly Window

Keyboard Shortcuts for a Clause Library at the Assembly Window

Keyboard Shortcuts for Answer File Manager

General Keyboard Shortcuts

Keyboard Shortcuts for JavaScript Interviews

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts


HotDocs Help - Setting HotDocs Options

Setting HotDocs Options

Overview: HotDocs Options

Interviews and Dialogs

Document Assembly

Document Markup

Form Documents

Question and Answer Summaries

Personal Information

Spell Checking

Word Processors

File Locations

File Management

Template Set Updates

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options


HotDocs Help - Overview: HotDocs Options

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Overview: HotDocs Options

You can change the way HotDocs looks and works by changing your preferences at HotDocs Options. These changes affect the program regardless of which template you are using. (Some options, however, can be controlled at the template or component file level.)

Note: Settings specified at HotDocs Options are user-specific and are saved in the Current User key of the Windows System Registry. For information on working with the registry, see the Windows Help file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Overview: HotDocs Options


HotDocs Help - Interviews and Dialogs

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Interviews and Dialogs

The following topics discuss the options available in the Interviews and Dialogs folder of HotDocs Options:

Display Repeated Dialogs Using a Special Icon

Control How Child Dialogs Appear in the Interview Outline

Control the Tab Order of Buttons on the Navigation Bar

Select Existing Answers When Tabbing Between Answer Fields

Display Warning When Trying to Add a New Repetition

Control the Functionality of the Enter Key During the Interview

Display Resource Buttons Next to Answer Fields

Warn When HotDocs Reformats Date and Number Answers

Specify How HotDocs Should Process the Date Order

Control How HotDocs Handles Two-Digit and Four-Digit Years

Change the Way Dates Appear in Answer Fields

Customize the Look of the Dialog Pane

Customize the End of Interview Dialog

Control What Happens When You Finish an Interview

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs


HotDocs Help - Document Assembly

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Document Assembly

The following topics discuss the options available in the Document Assembly folder of HotDocs Options:

Make Assembly Window Toolbars Automatically Wrap

Display Warning When Questions are Unanswered

Prompt to Save the Assembled Document When Closing the Assembly Window

Warn When Printing Assembled Text Documents

Prompt to Select an Answer File Before Assembly

Specify a Default Date Format

Format Unanswered Variables in a Document

Set Properties for Viewing Answers and Editable Text in the Assembled Document

Warn When Adding Assemblies to Assembly Queue

Include List of Completed Assemblies in Assembly Queue

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly


HotDocs Help - Document Markup

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Document Markup

The following topics discuss the options available in the Document Markup folder of HotDocs Options:

Specify How Documents Should Be Marked Up

Define Field Colors

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Markup


HotDocs Help - Form Documents

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Form Documents

The following topics discuss the options available in the Form Documents folder of HotDocs Options:

Change the Units of Measurement for Forms

Change Colors in HotDocs Forms

Send Assembled PDF Documents to Adobe

Control How Forms Appear When Opened

Control Warnings During Assembly

Save Printer Information for Printing Forms

Specify How PDF-based Forms Should Be Printed

Set Properties for New Edit Fields

Set Properties for New Check-Box Fields

Set Rules for Handling Answer Overflow

Specify Addendum References and Labels for Answer Overflow

Set Paper Size and Paper Source Defaults for Printing Forms

Customize the Appearance of Addenda

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents


HotDocs Help - Question and Answer Summaries

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Question and Answer Summaries

The following topics discuss the options available in the Question and Answer Summaries folder of HotDocs Options:

Change the Way Question and Answer Summaries Appear

Control Which Variables are Asked in a Question Summary

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Question and Answer Summaries


HotDocs Help - Personal Information

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Personal Information

The following topics discuss the options available in the Personal Information folder of HotDocs Options:

Edit Answers for Built-In Personal Information Variables

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Personal Information


HotDocs Help - Spell Checking

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Spell Checking

The following topics discuss the options available in the Spell Checking folder of HotDocs Options:

Change Your Spell Checking Options

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Spell Checking


HotDocs Help - Word Processors

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Word Processors

The following topics discuss the options available in the Word Processors folder of HotDocs Options:

Install Support for New Word Processors

Change Your Default Word Processor

Change Word Processor File Locations

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Word Processors


HotDocs Help - File Locations

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

File Locations

The following topics discuss the options available in the File Locations folder of HotDocs Options:

Change HotDocs Program File Locations

Assign Reference Paths to HotDocs Files

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Locations


HotDocs Help - File Management

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

File Management

The following topics discuss the options available in the File Management folder of HotDocs Options:

Manage Answer Files

Manage Assembled Document Files

Specify Document Management Settings

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Management


HotDocs Help - Template Set Updates

Overviews

  • Document Assembly
  • Document Markup
  • File Locations
  • File Management
  • Form Documents
  • Interviews and Dialogs
  • Overview: HotDocs Options
  • Personal Information
  • Question and Answer Summaries
  • Spell Checking
  • Template Set Updates
  • Word Processors

Template Set Updates

The following topics discuss the options available in the Template Set Updates folder of HotDocs Options:

Determine How Frequently HotDocs Checks for Template Set Updates

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Set Updates


HotDocs Help - Using HotDocs Libraries

Using HotDocs Libraries

Overview: Use HotDocs Libraries

Create a Library

Open a Library

Add Templates and Other Files to a Library

Work with Templates and Other Files in a Libary

Remove Items from a Library

Change the Properties of a Single Library Item

Change the Properties for Multiple Items in a Library

Sort Items in a Library

Organize the Contents of a Library

Create a Favorites Folder in the Template Library

Create a New Library By Exporting Part of an Existing Library

Import One Library Into Another

Print a List of Items in a Library

Save a Library

Save the Contents of a Library as a Text File

Move Items Within a Library

Move Items to New Locations on Disk

Copy Templates to New Locations

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries


HotDocs Help - Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Overview: Use HotDocs Libraries

HotDocs files—such as templates, clause libraries, and answer files—reside in folders on your local disk or on a network. To make it easier to organize templates and clause libraries, you can use a HotDocs template library or, for answer files, the Answer File Manager. Using a library lets you assign titles and descriptions to files, and, in the case of answer files, track the history of when a file is used.

Template libraries help you organize template files and provide quick access to many HotDocs tools, such as the Assembly Queue and HotDocs Options:

The Answer File Manager is a library of answer files. You can group answer files as well as sort them. You can also view a history of when a specific answer file was used:

Both the template library and Answer File Manager are divided into two panes. The left pane shows a list of the items referenced in the library. Depending on what kind of library it is, these items can include folders, templates, clause libraries, or answer files. The right pane displays information about the selected item. A different view shows the contents of the file.

The items you see in the left pane are not the actual HotDocs files on your local disk or network. Instead, they are references to the files, operating similar to Windows-type shortcuts. When you select an item for assembly, HotDocs follows the assigned file path and locates the actual template or answer file.

Additionally, folders in a library help you organize the list of files in the library—not the actual folders on the local disk or network.

Caution: Because the items in the library work like shortcuts to the actual files, you must be cautious when working with the actual files. Moving an actual file without updating the reference in the library will make the file inaccessible from the library. If you need to move the files in the library, use either the Move command or the Copy command (see Move Items Within a Library and Copy Templates to New Locations). If you need to update references, choose Properties or Multiple from the Edit menu. (See Change the Properties of a Single Library Item or Change the Properties for Multiple Items in a Library.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Overview: Use HotDocs Libraries


HotDocs Help - Create a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Create a Library

You may want to use separate libraries for templates that deal with different matters. For example, you may want to create one library for divorce templates and another library for estate planning templates. When you create a library, you create an .HDL file on the disk. Once it's created, you can add references to templates to it as well as organize it in whatever way you need.

By default, all new libraries you create will be saved in XML format. If you need to use the library with versions of HotDocs prior to HotDocs 2009, you must specify this format by choosing Save Library As from the File menu and then choosing HotDocs 2005-2008 Library from the Save as type drop-down list. (See HotDocs and XML File Formats for details.)

To create a library

  1. At the HotDocs library window, click the New Library New Library button. The New Library dialog box appears.
  2. Click the Browse Browse button next to the File name box. The New Library File Name dialog box appears.
  3. Browse to the location where you want to save the file and enter a name in the File name box. (Click OK once you have specified the file location.)
  4. At the New Library dialog box, enter a name for the library in the Title box. This title appears as the top folder in the library window. (Library titles can be up to 100 characters long.)
  5. Optionally, type a description of the library in the Description box. The description appears in the Properties tab when the user views the main folder in the library.

Once you create a new library, you can add templates and other files to it. See Add Templates and Other Files to a Library.

Note: See Change HotDocs Program File Locations for information on the default location HotDocs looks for and saves library files.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Create a Library


HotDocs Help - Open a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Open a Library

Often you have templates that are located in different libraries. You can access any library by using the Open command at the library you are currently viewing.

To open a different HotDocs library

  1. Start HotDocs. (See Start HotDocs.)
  2. At the library window, click the Open Library Open Library button. The Open Library dialog box appears.
  3. Locate and select the library (.HDL) file with which you want to work, then click Open. The folders, templates, and clause libraries in the new library appear in the template list.
Note: See Change HotDocs Program File Locations for information on the default location HotDocs looks for and saves library files.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Open a Library


HotDocs Help - Add Templates and Other Files to a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Add Templates and Other Files to a Library

After you create a library, you can add files to it. This includes folders, template files, Web addresses, and so forth. You can also add these types of files to an existing library.

When you create new templates, they are automatically added to the library. Clause libraries created at the template library are likewise added to the library automatically.

To add an item to a library

  1. At the HotDocs library window, select a folder.
  2. Click the Add Add button. The Add Item dialog box appears.
  3. From the Type drop-down list, select the appropriate kind of library item. (Your options include Text Template, Form Template, Interview Template, Clause Library, Auto-Assemble File, Web Address, and Folder.)
  4. Click the Browse Browse button next to the File name box and locate the library item.
  5. Select the item you want to add and click OK. The Add Item dialog box appears again.
  6. In the Title box, enter a title for the library item (100 characters or less). The title will identify the item in the library.
  7. Optionally, enter a description in the Description box. The description appears in the Properties tab when the library item is selected.
Note:
  • You can add multiple files to a library simultaneously. However, doing this doesn't allow you to assign properties (such as titles and descriptions) to each individual file. To add multiple files, select all the files you want to add in the folder you are browsing. Once they are added, you can modify the properties. See Change the Properties of a Single Library Item for details.
  • You can also add items by dragging files from a Windows Explorer folder to the library. This method allows you to add files like PDF files, word processor documents, and so forth to the library. Once you add the file, you may need to update the item properties (such as add a title or description). See Change the Properties of a Single Library Item for details.
  • Adding an item to a library does not affect the files on your local disk or network. For example, you could select a form template from a library on your network and add it to a library on your local disk. However, the actual file would remain on the network.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Add Templates and Other Files to a Library


HotDocs Help - Work with Templates and Other Files in a Libary

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Work with Templates and Other Files in a Libary

You use a HotDocs library to organize and maintain your template set, including adding and removing templates from the library and changing the properties of templates in the library. (See Organize the Contents of a Library.) You can also use commands in the library to work directly with the templates. For example, you can select a template and assemble it.

To use the library to access the templates and clause libraries

  1. At the HotDocs library window, open the desired HotDocs library. (See Open a Library.)
  2. Perform tasks as explained in the following table:
    To | Do This
    Assemble the selected document | Select the template and click the Assemble Assemble button.
    Create a new folder in the library | Choose Add Folder (Edit menu).
    Add an existing item to the library | Click the Add Item Add Item button. (See Add Templates and Other Files to a Library.)
    Remove the selected item from a library | Click the Remove Item Remove Item button. (See Remove Items from a Library.)
    Move items up or down in the library list | Click on the item and drag it up or down in the list. HotDocs displays a horizontal bar indicating where the item will be placed when you release the mouse.
    Modify the selected item's file name, title, or description | Click the Properties Properties button. (See Change the Properties of a Single Library Item.)
    View or hide all of the items within a folder in the library list | Choose Expand All (View menu). (To hide the list again, choose Collapse All.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Work with Templates and Other Files in a Libary


HotDocs Help - Remove Items from a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Remove Items from a Library

Libraries do not contain the actual files that HotDocs uses, such as template files, component files, or answer files. Libraries only contain references to those files, similar to shortcut icons on a Windows desktop. When you remove an item from a library, you can choose to remove just the reference, or you can choose to delete the actual file from disk.

The available options for removing items in a library depend on the type of item:

  • When you remove the reference for a template, you can choose to also delete the associated template file, component file, and clause library file (if any) from disk. If you do this, the files you delete are either sent to the Windows Recycle Bin (if the template is stored on your local disk) or permanently deleted (if it's stored on a network drive). Or, you can delete only the reference, leaving the template, component file, and clause library file in place on the disk—perhaps for use in another library.
  • When you remove the reference for a folder, you can choose to delete the items within the folder. If you choose to remove the items in the folder, all of the items in that folder and in all subfolders will be removed. If you choose to leave the files, they will be moved to the next higher folder.

To remove items from a library

  1. At the HotDocs library window, select the item (or items).
  2. Click the Remove Remove Item button. The Remove Item dialog box appears, asking if you want to remove the reference to the file from the library.
  3. Optionally, if you have selected a folder and you want to remove items within the folder, select Remove the unselected items contained in selected folders.
  4. Optionally, if you want to delete the actual files from disk, select Permanently delete the files for selected items from the disk.
  5. Click Yes.
Note: If the template you are deleting is in the same folder as another template with the same file name but a different file name extension (for example, you are deleting Invoice.rtf and the same folder also contains Invoice.wpt), HotDocs doesn't delete the associated files, like the component file. You need these files for the other template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Remove Items from a Library


HotDocs Help - Change the Properties of a Single Library Item

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Change the Properties of a Single Library Item

You can change the title and description of a library item. If the item is a template or clause library, you can also change the file name and add command-line options.

Caution: Changes made at the Item Properties dialog box affect only the reference to the item—not the template or clause library files themselves. For example, if you change a template's file name at the Item Properties dialog box, it does not change the template's name on your local disk or network. Unless you also update the underlying file, the template may no longer work because the reference is incorrect.

To modify a library item

  1. At the HotDocs library window, select the item you want to modify.
  2. Click the Properties Properties button. The Item Properties dialog box appears.
  3. Make changes based on the following options:
    To | Do This
    Change the file path | In the File name box, type the new file path, or click the Browse Browse button and specify a new path.
    Change the item title | In the Title box, either type a new title in the box, or click the Get Title Get Title button to use the default title. (Titles can be 100 characters long.)
    Change the command-line options | In the File name box, type the new options. (For example, Refund.wpt /af=bwhittington.anx). See Overview: Command-Line Options.
    Change the item description | In the Description box, enter a new description. (The description appears in the Properties tab when the library item is selected.)
Note: You can change the properties of several other library items at once. See Change the Properties for Multiple Items in a Library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Change the Properties of a Single Library Item


HotDocs Help - Change the Properties for Multiple Items in a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Change the Properties for Multiple Items in a Library

You can change the folder paths, file name extensions, and command-line options for two or more library items in a folder. For example, if you have used Windows Explorer to move templates from one folder to another, you can update all the file paths in the library at once. (Remember, moving the files on disk does not automatically update the references to those files in the library.)

If you select a folder, the changes affect all items in the folder and in any subfolders. For example, if you select the top folder of a library, you will change the properties for every item in the library.

Caution: Changing properties of library items does not affect the files on your local disk or network. For example, changing the file path in the Multiple Item Properties dialog box does not actually move the file to a different folder—you must manually move the files. (See Move Items to New Locations on Disk.)

To change the properties of two or more items in a library folder

  1. Select the items (or the folder that contains the items) and select Multiple Multiple (Edit menu). The Multiple Item Properties dialog box appears.
  2. Make changes as specified in the following table:
    To Do This
    Change the file path for the selected items

    Click the File path Browse Browse button and browse to the new folder. Then click OK. The new folder path is inserted. (Click the File path drop-down button to view a list of all the various file paths used for the templates in your list.)

    To specify the default folder the different files, choose <default> from the File path drop-down list and click OK. (The default folder is the location HotDocs looks for the file when no file path is given. You can specify what this default location is at HotDocs Options. See Change HotDocs Program File Locations.)

    Change the reference path for the selected items

    Click the Reference Path Reference path button and choose a path from the Select Reference Path dialog box. When you click OK, HotDocs inserts the reference path keyword in the File path box.

    To remove all reference paths and specify the default folder for the different files, choose <default> from the File path drop-down list and click OK. (The default folder is the location HotDocs looks for the file when no file path is given. You can specify what this default location is at HotDocs Options. See Change HotDocs Program File Locations.)

    The Reference Path Reference path button isn't available unless you have at least one reference path defined in the File Locations folder of HotDocs Options. (See Assign Reference Paths to HotDocs Files.)

    Change the file name extension for the selected items

    Click the File name extension drop-down button and make a selection. If the desired extension is not listed, type it.

    HotDocs displays a list of the file name extensions for all the items you have selected in the File path drop-down list. If you have multiple file types selected, <various> appears in the File name extension box.

    Change the command-line option or options for the selected items

    Type the command-line option (for example, /af=path and file name) in the Command-line options box and click OK. If assigning multiple options, include spaces between each option. (See Overview: Command Line Options.)

    To remove existing command-line options, select <none> from the Command-line options drop-down list and click OK.

  3. Click OK at the Multiple Item Properties dialog box.
  4. When HotDocs confirms the change, click Yes.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Change the Properties for Multiple Items in a Library


HotDocs Help - Sort Items in a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Sort Items in a Library

To help you locate or organize files in the library, you can sort the items in a folder in alphanumeric order.

To sort library items

  1. At the HotDocs library window, select the folder whose items you want to sort.
  2. Click the Sort Items Sort button. The Folder Sort Options dialog box appears.
  3. Select the order for sorting the library items:
    • To organize them A to Z and 1 to 9, select Ascending, then click OK.
    • To organize them Z to A and 9 to 1, select Descending, then click OK.
  4. Optionally, select Sort Subfolders to sort the folders inside the selected folder.

The template list changes to show the rearranged library items.

Note: You can save templates you frequently use to a Favorites folder in the library for quicker access, select the template and click Add to Favorites (View menu). See Create a Favorites Folder in the Template Library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Sort Items in a Library


HotDocs Help - Organize the Contents of a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Organize the Contents of a Library

Once you create a library and add templates to it, you often want to organize the contents of the library into logical groups. This may include grouping items by subject matter in folders, or grouping items alphabetically. Additionally, you may need to print a list of templates in the library or remove templates you no longer need.

To organize the contents of a HotDocs library

  1. At the HotDocs library window, open the desired HotDocs library. (See Open a Library.)
  2. Use any of the following commands to work with files in the library:
    To | Do This
    Add a folder to the library so you can group library items | Choose Add Folder (Edit menu). The Add Item dialog box appears where you can specify the folder name and a description. (Once you create a folder, you can move items to it.)
    Print a list of the titles, file names, and descriptions of templates and folders in a library | Click the Print Library Print Library button. (See Print a List of Items in a Library.)
    Remove an item from the library | Select the item and click Remove Item Remove Item button. (See Remove Items from a Library.)
    Remove an item from the library and places a copy of it on the Clipboard so you can paste it elsewhere in the library | Select the item and click the Cut Cut button.
    Copy an item in the library to the Clipboard so you can paste it elsewhere in the library | Select the item and click the Copy Copy button.
    Paste an item to a new location in the library | Select the folder in the library where you want the item pasted and click the Paste Paste button.
    Sort items in a library in ascending or descending order based on their titles | Select the folder on which you want to sort, and click the Sort Sort button. (See Sort Items in a Library.)
    Change an item's file name, title, or description | Select the item and click the Properties Properties button.
    Search for a specific template in the library list | Type the text for which you are searching in the Find box. HotDocs will show only those files that contain the search text in the template title, file name, or description. (See Search for a Specific Template in a Library.)
    Group templates you use most frequently in a Favorites folder | Select the template and choose Add to Favorites (Edit menu). (See Create a Favorites Folder in the Template Library.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Organize the Contents of a Library


HotDocs Help - Create a Favorites Folder in the Template Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Create a Favorites Folder in the Template Library

You can create a Favorites folder in your template library and add templates to it. This may be useful if you find you assemble some documents more than others and you want to access them quickly each time you view the library.

To add templates to a Favorites folder in the library

  1. At the template library, select the template you want to add to the Favorites folder.
  2. Click Add to Favorites (Edit menu).

If no Favorites folder exists, HotDocs creates the folder and adds the template to it.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Create a Favorites Folder in the Template Library


HotDocs Help - Create a New Library By Exporting Part of an Existing Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Create a New Library By Exporting Part of an Existing Library

You can create smaller libraries by exporting some of the folders and files of a larger, existing library. Creating a library this way eliminates the need to manually create a new library and then add each folder, template, or clause library to it.

When you export part of a library, HotDocs asks you for the file name and title of the new library. Then it creates the library, and finally creates the library references in it. During the process, you can choose to have HotDocs copy the files in the library you are exporting to the new location, or you can choose to have the library reference the original files.

Caution: Exporting will only export the files you select at the library. This means that if a template you are exporting contains references to other templates or files not listed in the library, those items will not be exported and you may receive errors when you attempt to use the template for assembly.

To export part of an existing library

  1. At the HotDocs library window, select the library items you want to export. (If you select a folder, all the items in the folder will be exported.)
  2. Choose File > Export Library To > HotDocs Library File. The Export HotDocs Library File dialog box appears.
  3. At the File name box, click Browse Browse, select a location for the new library, and enter a library name in the File name box. (Click OK when you are finished.)
  4. At the Export HotDocs Library File dialog box, enter a name for the new library in the Title box, or accept the suggestion HotDocs makes. This title will appear in the Properties tab of the HotDocs library window.
  5. Optionally, in the Description box, type a description of the library. (The description appears in the Properties tab when a library (or folder) is selected.)
  6. Click OK. HotDocs asks if you want to export the selected files:
    • Click Yes to copy the selected files to the same folder as the new library.
    • Click No to have the new library refer to the files in their current location.

After exporting the items, the original library items are still available. (HotDocs does not delete the references from the original library—templates can be referenced in multiple libraries.) If you want the old references deleted, select the library items and click Remove Item Remove Item.

HotDocs does not automatically display the new library. To open it, click Open Library Open and select the file name for the new library. (See Open a Library.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Create a New Library By Exporting Part of an Existing Library


HotDocs Help - Import One Library Into Another

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Import One Library Into Another

You can import a copy of another library into the current library. The imported library will become a folder in the current library.

There are three types of imported libraries. Which type you choose depends on how you need to use the library and its contents:

To import one library into another

  1. At the HotDocs library window, select the folder where you want the imported library to be located.
  2. Click Import Library (File menu). The Import Library dialog box appears.
  3. Select the library you want to import and click Import. The Import Library dialog box appears.
  4. Choose how you want to import the templates:
    • Click Assembly Only to assemble documents from the templates—and nothing else.
  5. If you select Editing and Assembly, HotDocs displays another dialog box, prompting you to choose whether to copy the associated files or use the originals:

    Copyright © 2012 HotDocs Ltd. All rights reserved

    Home > All About... > Using HotDocs Libraries > Import One Library Into Another


HotDocs Help - Print a List of Items in a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Print a List of Items in a Library

You can print a list of the files and folders in the library currently displayed in the HotDocs library window, allowing you to see the library structure, as well as the file path and the description of each item.

To print a HotDocs library

  1. At the HotDocs library window, open the library whose contents you want to print. (See Open a Library.)
  2. Click the Print Print Library button. The Print dialog box appears.
  3. Click OK. The list of titles, file names, and descriptions are printed at the selected printer.
Note: To preview what the printout will look like before you print it, select Print Preview Print Preview (File menu). To return to the library window, click Close.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Print a List of Items in a Library


HotDocs Help - Save a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Save a Library

HotDocs saves all changes you make to a library immediately after you make the change. Clicking Save (File menu) simply displays a message confirming this.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Save a Library


HotDocs Help - Save the Contents of a Library as a Text File

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Save the Contents of a Library as a Text File

You can save the contents of a HotDocs library—including folder names, template file names, titles, and descriptions—as a text file. The hierarchy of the library is preserved within the text file. This is useful if you want to spell check the text used in your library. (To do this, you must open the text file in a word processor with spell-checking capabilities).

To save the library as a text file

  1. At the HotDocs library, select Export Library To > Plain Text File (File menu). The Save As dialog box appears.
  2. Select a location to save the text file to, enter a name for the file, then click Save. A .TXT file containing a tabbed list of the folder names and template titles is saved to the location you choose.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Save the Contents of a Library as a Text File


HotDocs Help - Move Items Within a Library

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Move Items Within a Library

To organize your library, you can move an item to a different location in the same library by dragging, by cutting and pasting, or by copying and pasting.

Caution: These methods do not move the actual file to a different location on your local disk or network. See Move Items to New Locations on Disk for information on doing this.

To drag library items to a new location

  • At the HotDocs library window, select the library item and drag it to the new location using the mouse. (As you drag, HotDocs uses a horizontal bar to indicate where the item will be placed when you release the mouse button.)

To cut and paste several library items

  1. At the HotDocs library window, select the items you want to move.
  2. Click the Cut Cut button (or press Ctrl+X.)
  3. Select the new location and click the Paste Paste button (or press Ctrl+V).

To copy and paste several library items within the library

  1. At the HotDocs library window, select the items you want to copy.
  2. Click the Copy Copy button (or press Ctrl+C).
  3. Select the new location and click the Paste Paste button (or press Ctrl+V).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Move Items Within a Library


HotDocs Help - Move Items to New Locations on Disk

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Move Items to New Locations on Disk

Using the Move command (Template menu) at the HotDocs library window, you can move template and clause library files to new locations on your local disk or network. Using this command also updates the library reference to the file. (Moving files in other ways, for example, by using Windows Explorer, requires that you manually update the library reference. See Change the Properties of a Single Library Item or Change the Properties for Multiple Items in a Library.)

To move template and clause library files

  1. At the HotDocs library window, select the templates and clause libraries you want to move.
  2. Select Move Template Move (Template menu). The Browse for Folder dialog box appears.
  3. Select the folder where you want to move the files.
  4. Click OK. HotDocs automatically removes all associated files (component files, default answer files, and so forth) from the old location, pastes them at the new location, and then updates the references to the files in the HotDocs library.

HotDocs handles the Move command a little differently if you are moving the template from a folder that contains another template with the same file name but different file name extension (for example, if you are moving Invoice.rtf from a folder that also has Invoice.wpt). In such a case, HotDocs copies the associated component file to the new folder, but does not delete it from the original folder because it is still needed by the other template.

Note: You can also copy templates to new locations on disk and have the library reference updated. See Copy Templates to New Locations for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Move Items to New Locations on Disk


HotDocs Help - Copy Templates to New Locations

Overviews

  • Overview: Use HotDocs Libraries

How Do I...?

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Favorites Folder in the Template Library
  • Create a Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Libary

Copy Templates to New Locations

Often you need to make a copy of a template and save it to a new location on disk. You can use the Copy command at the template library to do this. As you are copying, you can choose to make the template and component file read-only. You can also choose to update the reference to the file in the library so the library refers to the copied template rather than the original.

To copy the template to a different location

  1. At the HotDocs library window, select the templates and clause libraries you want to copy. (Press Ctrl or Shift to select multiple items.)
  2. Choose Copy (Template menu). The Folder for Copied Templates dialog box appears.
  3. Browse to the folder where you want to copy the template or templates and click OK. The Copy Templates dialog box appears, asking you to set some properties for the copied templates:
    • Select Mark newly created templates as read-only to keep users from editing the template. (This assigns the read-only property to both the template and the component file.)
    • Select Update library entries to refer to the newly created templates to have HotDocs change the file path for the library item so that it uses the file path for the copied template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using HotDocs Libraries > Copy Templates to New Locations


HotDocs Help - Completing an Interview

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Completing an Interview

Overview: Assemble a Text or Form Document

Adjust HotDocs Windows and Panes

Update Your Interview Outline and Document

Preview a Template Before Assembling It

Search for a Specific Template in a Library

Assemble a Text or Form Document

Select an Answer File for Assembly

Assemble an Interview Template

Assemble a Document Without Showing an Interview

Overlay Answers in the Current Answer File

Assemble Multiple Documents

Use the Assembly Queue

Assemble a Clause Library from the Template Library

Navigate Through Answer-Gathering Dialogs

View Resources During Assembly

Save an Answer File During Assembly

Switch Answer Files During Assembly

Use Repeated Dialogs During Assembly

Use Inserted Dialogs During Assembly

View Individual Rows in a Spreadsheet

Select Clauses During an Interview

View an Assembled Document in Markup View

Answer Date Questions

View an Answer's Variable Name

Use the End of Interview Dialog

Edit Answers at the Document Preview Tab

Spell Check Answers

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview


HotDocs Help - Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Overview: Assemble a Text or Form Document

There are two types of documents you can assemble—text documents and form documents:

  • Text documents are documents you view in your word processor. Once the document is assembled, you can edit any of the text.
  • Form documents are those in which the underlying text is static, meaning it cannot be modified. Only the answers that are merged into the document can be modified. (An IRS form is a good example of a form document.)

The process of assembling both of these types of documents is very similar. However, there are specific things you should know about assembling form documents. Please see Overview: Assemble a Form Document for a description of these differences.

When you assemble a document, HotDocs displays the assembly window, which is divided into three panes—the interview outline, the dialog pane, and the resource pane. The interview outline shows a list of dialogs (or groups of questions). You can click on any dialog in the outline and view (and answer) the questions in the dialog pane. Finally, where provided, the resource pane shows information to help you answer questions in the dialog.

As you answer questions, HotDocs merges your answers into the assembled document, which you can view by clicking the Document tab at the assembly window. As you are reviewing the assembled document, if you see an answer that needs to be edited or changed, you can make the change right in the Document Preview tab. (Some template providers may prohibit you from changing answers at the Document Preview tab. If this is the case, the buttons and commands that control this feature will be disabled.) Additionally, if the template provider has allowed it, you can edit the actual text of the document while viewing the Document Preview tab. (These features are available to Microsoft Word users only.) You can also use the document navigation bar to move between answers in the document.

If you need to generate quick views of the document—for example a list of just the questions or a list of questions and answers (without all of the other document text)—you can view the Question Summary tab or the Answer Summary tab. Both provide you with a short list of information required in the document.

Once all of the answers are provided and the document is correct, you can send a copy of the document to a word processor (if you are assembling a text document) or you can view the assembled document at the Form Document tab (if you're assembling a form document). If no further editing is needed, you can print the document or save it to disk. You also can save the answers you've provided in an answer file, which can then be used to assemble other documents.

The following diagram shows the assembly process:

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Overview: Assemble a Text or Form Document


HotDocs Help - Adjust HotDocs Windows and Panes

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Adjust HotDocs Windows and Panes

You can arrange the HotDocs windows and panes to match your work preference.

To work with HotDocs windows

  1. At the HotDocs window, complete any of the following steps:
  • To move a window, click on the title bar and drag the window to another location.
  • To maximize or minimize the window, click either the Maximize or Minimize buttons in the window title bar. The Maximize button causes the window to fill the entire screen, while Minimize closes the window and places it on the Windows taskbar.
  • To resize the window to a specific size, move the mouse pointer to a border or corner of the window. When the icon becomes a resize arrow, click and drag the border to the desired position.
  • To resize a pane within a window, move the mouse pointer to a border between two panes. The icon becomes a resize arrow. Click and drag the border to the desired proportions.
  • To rearrange toolbars, move the mouse pointer to the anchor bar of one of the toolbars. Drag the toolbar to the desired location in the window.
Note: When moving toolbars, you can separate toolbars from the assembly window. To reattach the toolbar, move it to a position over the menu bar. You can also remove toolbars by clearing the toolbar at the View menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Adjust HotDocs Windows and Panes


HotDocs Help - Update Your Interview Outline and Document

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Update Your Interview Outline and Document

Some answers you enter during an interview may cause HotDocs to update the appearance of the interview outline. Additionally, each time you change an answer while viewing the Document tab, HotDocs updates the entire document. Depending on the complexity of the interview or the document, this updating may take longer than desired. You can minimize the amount of time HotDocs takes to update the interview or document with your changes by forcing it to update only when it needs to. You do this by turning Instant Update Instant Update off.

When Instant Update Instant Update is turned off, information in the interview and document may become outdated. When this happens, the Instant Update Instant Update button changes appearance. You can click the button and HotDocs will update the interview or document so that all information will be current. (HotDocs also updates the document and interview when you move between tabs in the assembly window, as well as when you print, save, or send the assembled document to the word processor.)

To control when HotDocs updates the interview outline or document

  1. While viewing either the Interview tab or the Document tab at the assembly window, click the Instant Update Instant Update button.
  • When the button is selected (or pressed in), HotDocs updates the interview outline as you move between answer fields. If you're viewing the Document tab, it updates the entire document.
  • When the button is not selected (or not pressed in), HotDocs updates the outline only when you move between dialogs. If you're viewing the Document tab, it updates just the answer field you are currently viewing (and any other answer fields that merge the same answer).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Update Your Interview Outline and Document


HotDocs Help - Preview a Template Before Assembling It

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Preview a Template Before Assembling It

To help you identify the correct template, you can preview the template before you select it for assembly. The Preview tab shows the text of the document, as well as where HotDocs variable fields are merged.

To preview a template

  1. At the HotDocs library window, select a template.
  2. Click the Preview tab. The library window changes to show the template text.
Note:
  • To remove the Preview tab from the library window, choose Preview Tab (View menu).
  • To move the Properties and Preview tabs to the top of the pane, select Tabs at Top (View menu.)
  • The Preview tab shows the information in the template correctly; however, it may not be formatted correctly—particularly when previewing WordPerfect templates. Additionally, previewing form templates will not show you variable fields.
  • You can preview a simpler version of the template by choosing Markup View at the template library window. This changes the preview so it shows simple mark-up fields, rather than complicated automation. (Markup View is supported for Word templates only.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Preview a Template Before Assembling It


HotDocs Help - Search for a Specific Template in a Library

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Search for a Specific Template in a Library

Some libraries may contain a long list of templates. Instead of browsing through the template list, you can search for a specific template or clause library based on the template's title, file name, or description.

To search for a template or clause library

  1. At the HotDocs library window, select the Find check box, located below the template list. The template list changes, showing each template in the library in alphabetical order.
  2. In the Find box, type the text that is in the title, description, or file name of the desired template. The template list changes to show only the items that contain the text you type. (The Find text box is not case-sensitive.)
  3. To view the entire library again, clear the Find check box.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Search for a Specific Template in a Library


HotDocs Help - Assemble a Text or Form Document

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble a Text or Form Document

You assemble a document by selecting a template and then answering the questions in the interview. Answers to your questions are then merged in the correct places in the document. Once all of the questions are answered, you can view, print, or save the document.

To assemble a document

  1. At the HotDocs library window, select a template. (If you're assembling a form document, see Overview: Assemble a Form Document for additional instructions.)
  2. Click Assemble Assemble. The Answer File dialog box appears. (You can also start an interview by double-clicking the template.)
  3. Select an answer file (see Select an Answer File for Assembly), then click OK. The assembly window appears, showing the interview outline and the first information-gathering dialog.
  4. Answer the questions in each dialog, clicking Next Next to advance to each new dialog. (See Navigate Through Answer-Gathering Dialogs.) (You can also advance to the next dialog by pressing Alt+N, Enter, or Page Down.)

After the final dialog, the End of Interview dialog identifies how many questions are unanswered. This dialog also provides options for working with the assembled document. See Use the End of Interview Dialog for specific details.

Note: HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble a Text or Form Document


HotDocs Help - Select an Answer File for Assembly

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Select an Answer File for Assembly

When you assemble a document, you must choose whether to use a new answer file or an existing file. After you complete each interview, HotDocs can save your answers for use with other assemblies.

To select an answer file

  1. At the HotDocs library window, select a template, then click Assemble Assemble. The Answer File dialog box appears.
  2. Accept the suggested answer file or change the answer file by choosing one of the following options:
    • Click the Open Answer File Open Answer File button to open the Open Answer File dialog box where you can choose an existing answer file. After making your selection, click Open Answer File Open.
    • Click the New Answer File New Answer File button to create an empty, untitled answer file.
    • Select Automatically select this answer file for use with the next assembly to have HotDocs suggest this answer file for all subsequent documents you assemble.
  3. At the Answer File dialog box, click OK. The assembly window appears.
Note:
  • You can also use Windows Explorer to access your answer files. See Overview: Use Answer Management.
  • Some templates may have an answer file assigned by the template provider. For templates like this, the Answer File dialog box does not appear.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Select an Answer File for Assembly


HotDocs Help - Assemble an Interview Template

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble an Interview Template

An interview template is distinguished from other templates in the library by its icon: Interview Template. An interview template does not produce an assembled document. Instead, it gathers and (and sometimes automatically saves) information (such as court, attorney, or client information) that can be used in assembling other documents.

For example, a template library might include an interview template named Client Information. This template could gather personal information about each client—such as name, address, gender, birth date, and so forth. This information may be needed in other templates in the library. Before you ever assemble any of these other documents, you could assemble the interview template and create a set of answers. Then, whenever a dialog requires client information, you can access the answers you've already entered. (See Answer Questions in a Dialog Using an Answer Source.)

To assemble an interview template

  1. At the HotDocs library window, select the Interview Template interview template and click Assemble Assemble. The Answer File dialog box appears. (If the template is already associated with an external answer source, you will not be prompted to select an answer file. Skip to step 3.)
  2. Select an answer file, then click OK. (See Select an Answer File for Assembly.) HotDocs displays the assembly window.
  3. Answer the questions in each dialog, clicking Next Next or Previous Previous to move between dialogs.
  4. At the end of the assembly, HotDocs may prompt you to save your answers in an answer file.
    • If this prompt appears, click Save or Save As to view the Save Answer File dialog box, where you can save the answers you've provided. Or, click Don't Save to discard the answers.
    • If this prompt doesn't appear, the template is probably associated with an external answer source, so HotDocs automatically saves the answers to that answer source. (See Answer Questions in a Dialog Using an Answer Source for information on using an answer source.)
  5. Close the assembly window.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble an Interview Template


HotDocs Help - Assemble a Document Without Showing an Interview

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble a Document Without Showing an Interview

You can assemble a document without answering any questions in the interview. When you do this, HotDocs uses the answer file you specify and assembles the document. Depending on which Finish Interview Action options you have selected, you can choose where you will view the assembled document—either in the word processor (text templates), HotDocs Filler (form documents), or at the Document tab of the assembly window. (See Control What Happens When You Finish an Interview.)

To assemble a document without viewing the interview

  1. At the HotDocs library window, select one or more templates.
  2. Click Assemble Assemble. The Answer File dialog box appears.
  3. Select an answer file. (See Select an Answer File for Assembly.)
  4. Select Send / Go directly to ... without displaying an interview and click OK. HotDocs assembles the document using the answers in the answer file you selected. It then displays the assembled document in the application specified at HotDocs Options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble a Document Without Showing an Interview


HotDocs Help - Overlay Answers in the Current Answer File

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Overlay Answers in the Current Answer File

When you assemble a document, you can use answers from an existing answer file and overlay them in the current answer file. When an overlay answer file is loaded, it overwrites any existing answers in the current answer file.

For example, perhaps you have an answer file that contains only client-specific answers (such as names and addresses). These answers could be used in assembling several related documents. However, to use this answer file in the traditional way (selecting it at the Answer File dialog box), you would most likely add answers to the file, making it less useful in assembling other documents. To avoid this, you can select a new or existing answer file at the Answer File dialog box, and then use the answer file that contains your client-specific answers as an overlay answer file. Answers you enter or change during the interview are saved to the current answer file—not the overlay answer file.

To use an overlay answer file during assembly

  1. At the HotDocs library window, select a template and click Assemble Assemble. The Answer File dialog box appears.
  2. Select an answer file, and click OK. The assembly window appears. (See Select an Answer File for Assembly.)
  3. Click Overlay Answers (File menu). The Open Answer File dialog box appears.
  4. Select an answer file to overlay, and click the Open Open button. The assembly window appears again, showing information from the overlay answer file; however, the answer file you selected in step two is still assigned (as seen in the Current Answer File drop-down list).
Caution:HotDocs 5 users: You can no longer save or load pattern answer files. Instead, to merge specific answers from one file into the current answer file, use the Overlay Answers command at the File menu of the assembly window. To distinguish overlay answer files from regular answer files (as you could with pattern answer files), create a separate folder in Answer File Manager and store your overlay answer files there. (See Add, Modify, and Delete Folders in Answer File Manager.)
Note: You can also specify an overlay answer file at the command line. (See Overview: Command-Line Options and Overlay Answer File.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Overlay Answers in the Current Answer File


HotDocs Help - Assemble Multiple Documents

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble Multiple Documents

You can select multiple templates or clause libraries, and then start one assembly process that will address each template. Each template or clause library will create a separate document, using the same answer file, unless you select a different answer file during the interview. (See Switch Answer Files During Assembly.)

To assemble multiple documents

  1. At the HotDocs library window, press Ctrl or Shift, then select all the templates and clause libraries you want to assemble.
  2. Click Assemble Assemble. The assembly queue status box (located in the status bar of the assembly window) displays how many assemblies are waiting, and the Answer File dialog box appears.
  3. Select an answer file and click OK. (Select an Answer File for Assembly.) The assembly window appears.
    • If the item is a template, the first answer-gathering dialog is shown. (See Assemble a Text or Form Document.)
    • If the item is a clause library, the clause library is shown. (See Select Clauses During an Interview.)
  4. Provide answers or select clauses for the interview.
  5. After completing the interview, the End of Interview dialog notifies you that other assemblies are ready to begin.
  6. Close the assembly window, and begin assembling the next document.
Note: The assembly queue and assembly queue status box (located in both the library and the assembly window status bars) can help you track the assembly of each document. See Use the Assembly Queue for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble Multiple Documents


HotDocs Help - Use the Assembly Queue

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Use the Assembly Queue

The assembly queue shows a list of templates—some that may be waiting to be assembled and some that may have recently been assembled. Using the assembly queue, you can start and stop assemblies, change the assembly order, and change how assemblies are started. In addition, the assembly queue status box (which is located in the status bar of the template library window and assembly window) also shows when templates are queued for assembly.

The assembly queue provides two methods for starting assemblies: auto mode and manual mode. These methods are controlled by the Auto Start Auto Start button in the assembly queue toolbar. When assembling multiple templates and Auto Start Auto Start is selected, HotDocs automatically starts each assembly, following the order in which the templates are added to the queue. When assembling multiple templates and Auto Start Auto Start is not selected, HotDocs starts the first assembly, but then waits for you to start each subsequent assembly by clicking the Assemble Assemble button on the assembly queue toolbar.

As templates are added to the assembly queue, they are assigned a status, which helps you identify each template's stage in the assembly process. (For a description of template statuses, click here.)

To work with templates in the assembly queue

  1. At the HotDocs library window, click the Assembly Queue Assembly Queue button. The Assembly Queue dialog box appears. (You can also select Assembly Queue (Tools menu) or double-click the assembly queue status box in the status bar of the template library window.)
  2. At the library window, select multiple templates and click Assemble Assemble. Entries for each template appear in the assembly queue. Then the Answer File dialog box appears. (See Assemble Multiple Documents.)
  3. At the Answer File dialog box, select an answer file and click OK. (See Select an Answer File for Assembly.) The first dialog appears in the assembly window.
  4. Throughout the interview process, perform any of the following tasks using the following commands in the Assembly Queue:
    To | Do This
    Change the order in which pending or confirmed templates are assembled | Select the item in the assembly list and click either the Move Up Up button or the Move Down Down button. (Templates that are currently assembling cannot be moved in the queue.)
    Remove a confirmed assembly | Select the item in the assembly list and click the Delete Delete button. (Templates that are currently assembling cannot be removed from the queue.)
    Change whether assemblies start automatically or manually | Click the Auto Start Auto Start button. When Auto Start is turned off, clicking the Assemble Assemble button at the HotDocs library only starts the first assembly. To begin subsequent assemblies, you must also select an entry in the assembly queue and click the Assemble Assemble button there.
    Manually start an assembly | Click the Assemble Assemble button.
    Remove the entries for all completed assemblies from the Assembly Queue | Click the Clean Up Clean Up button.
Note:
  • When HotDocs closes, it remembers the assembly queue display setting. If you close HotDocs while the queue is showing, the queue will automatically be displayed the next time you open HotDocs.
  • You can have completed assemblies automatically removed from the assembly queue. See Include List of Completed Assemblies in Assembly Queue for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Use the Assembly Queue


HotDocs Help - Assemble a Clause Library from the Template Library

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Assemble a Clause Library from the Template Library

A clause is a section of text, usually a commonly used paragraph, and a clause library is a collection of clauses. You can select clauses from a clause library and use them to assemble text documents.

In HotDocs, there are two places where you may view a clause library and select clauses for inclusion in a document—at the template library or during the interview for a text template:

  • When a clause library is referenced in a template library, you assemble the clause library and then choose where the assembled clause text is merged. You can choose to send the assembled clauses to a new, empty document; copy the assembled text to the Windows Clipboard (so you can paste it into an existing document); or paste the assembled text directly into an open word processor document. (Instructions for this method are included below.)
  • When a clause library is asked during the interview of a text template, the clause text is automatically inserted into that assembled document. (See Select Clauses During an Interview for instructions on using this method.)

To assemble a clause library from the template library

  1. At the HotDocs library window, select a clause library and click Assemble Assemble. The Answer File dialog box appears.
  2. Select an answer file and click OK. The clause library appears in the dialog pane. (See Select an Answer File for Assembly.)
  3. Optionally, perform either of the following tasks:
    • Select the Find check box to find all of the clauses with specific text in their title or description. In the text box, type the text for which you are searching.
    • Click Preview Preview to view the clause text in a pop-up dialog box. To return to the clause library, click the X in the upper-right corner of the pop-up dialog box.
  4. From the Available list, select each clause you want to use and click Select Select to add it to the Selected list. To remove a clause, select it, then click Remove Remove. (Press Ctrl or Shift to select multiple items.)
  5. Optionally, reorder the clauses in the Selected list by selecting and dragging a clause to the desired position. The clauses will be inserted into the document in this order.
  6. When all the necessary clauses are in the Selected list, click Next Next on the navigation bar.
  7. Answer any questions in the interview. Once all questions are answered, complete any of the following steps:
    • Click the Send Document Send the assembled document to the word processor button (or press F11) to open the assembled document in your word processor.
    • Click Paste Document Paste the assembled document into the open word processor document (or press Shift+F11) at the End of Interview dialog. This will insert the assembled document into an open word processor document.
    • Microsoft Word users: Choose File > Send Document To > Clipboard (or press Ctrl+F11) to place a copy of the document on the Windows Clipboard. You can then open an existing document and paste the text in the desired location.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Assemble a Clause Library from the Template Library


HotDocs Help - Navigate Through Answer-Gathering Dialogs

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Navigate Through Answer-Gathering Dialogs

To assemble a document, you must answer interview questions. To help you, you can use the navigation bar, located at the bottom of the dialog pane.

As you answer questions, the icons in the interview outline change color. This can help you identify how much of the interview is left to complete:

Unanswered Dialog None of the questions in the dialog are answered.

Partially Answered Dialog At least one of the questions in the dialog is answered.

Completely Answered Dialog All of the questions in the dialog are answered.

Repeated Dialog Repeats the dialog, allowing you to enter more than one set of answers.

Add New Dialog Allows you to enter a new set of answers in a list.

The final dialog in every interview is usually the End of Interview dialog, which reports how many questions are unanswered. This dialog also provides options for working with the assembled document. For information on these options, or to learn about hiding or customizing the End of Interview dialog, see Use the End of Interview Dialog.

To navigate through HotDocs dialogs

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. The HotDocs assembly window appears. Complete any of the tasks using commands listed in the following table:
    To | Do This
    Enter an answer for the question

    Depending on the type of answer required, type a text or number answer, enter a date, select a check box, or choose an option from a list of options.

    When entering a multi-line text answer, you can control whether the Enter key inserts a line break or a paragraph mark in the assembled Word document. To enter a line break, simply press Enter. To enter a paragraph break, press Ctrl+Enter. (In some situations, the template developer may have specified which break to use.)

    When entering a patterned time of day, enter the hour first, then press the right arrow key to move past the colon to enter the minutes. You can also click the up and down arrows next to the answer field to select the hours and minutes.

    Move to another dialg in the interview outline | Click a dialog icon in the interview outline.
    Go to the next or previous dialog | Click either the Next Next Dialog button or the Previous Previous Dialog button. (You can also press Page Down/Page Up, or Alt+N/Alt+P.)
    Go to the next dialog or the previous dialog that contains an unanswered variable | Click either the Next Unanswered Next Unanswered button or the Previous Unanswered Previous Unanswered button. You can also press Ctrl+Page Up/Ctrl+Page Down.
    Go to the first or the last dialog in the interview | Click either the First Dialog First Dialog button or the Last Dialog Last Dialog button.
    Finish the interview and view the assembled document | Click the Finish Interview Finish Interview button. (Where you view the assembled document depends on the Finish Interview action you've specified. See Control What Happens When You Finish an Interview.)
    View additional information about a specific answer or the contents of a dialog | Click the View Resource View Resource button. (See View Resources During Assembly.)
    View where the answer is merged into the document (This option is available to Word users only.) | Click the Go to Document Go to Answer in Document button. HotDocs displays the Document tab and moves the cursor to the first place in the document where the answer is merged.
    Hide the interview outline | Clear Interview outline (View menu).
    Preview an assembled text document before sending it to the word processor | Click the Document Preview tab. (See Preview the Assembled Text Document.)
    View an assembled form document | Click the Form Document tab. (See View the Assembled Form Document .)
    View a list of all questions in the template | Click the Question Summary tab. (See View a Question Summary.)
    View a list of all the questions and their answers in the interview | Click the Answer Summary tab. (See View an Answer Summary.)
Note:
  • HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)
  • Sometimes the format of your answer may be changed. To verify these changes, you can specify an option that forces HotDocs to warn you of answer format changes before moving to the next dialog. (See Warn When HotDocs Reformats Date and Number Answers.)
  • To display the different tabs along the bottom of the window (instead of the top), clear Tabs at Top (View menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Navigate Through Answer-Gathering Dialogs


HotDocs Help - View Resources During Assembly

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

View Resources During Assembly

Template providers can include helpful information with dialogs and questions in the interview. When such information is available, it appears in the resource pane. (To view the resource pane, either choose Resource Pane (View menu) or click the Resource Pane Resource button in the assembly window toolbar.)

To view resource information

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to a dialog that shows a resource.
    • If the resource pane is already displayed, the information automatically appears there. (You can change the size of the resource pane by selecting the top border of the pane and dragging it up or down.)
    • If the resource pane isn't displayed, you can either click the Resource Pane Resource button in the toolbar or click the Resource Pane Resource button that appears next to the answer field.
Note: Resources help you answer questions in the interview. For help using HotDocs, see Get Help Using HotDocs.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > View Resources During Assembly


HotDocs Help - Save an Answer File During Assembly

Overviews

  • Overview: Assemble a Text or Form Document
  • Overview: Save Answers

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Save an Answer File During Assembly

While assembling a document, you can save the answers you have entered. This allows you to save your work and perhaps start a different assembly without closing the assembly window. Saving answers also allows you to use the information you enter with other templates, thus saving you time.

To save answers during assembly

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. At the assembly window, click the Save Answers Save Answers button. If you are using an existing answer file, the new answers are saved. If you are using a new answer file, the Save Answer File dialog box appears where you can perform any of the following tasks:
    To | Do This
    Enter the file name

    At the File name box, enter a name. When you click OK, the answer file will be saved to the default Answers folder and a reference to it will be added to Answer File Manager.

    To save the answers to a location other than the default Answers folder, click the Browse Browse button and navigate to the location.

    Enter the title that identifies the answer file in Answer File Manager | At the Title box, enter a name or accept the suggestion HotDocs makes.
    Add information to help identify the file | At the Description box, type notes about the answer file's purpose or contents. (The description will appear at the Properties tab of the Answer File Manager. When searching for specific answer files, you can search for text in the description.)
    Save the answer file so it is compatible with versions of HotDocs earlier than HotDocs 2009 | Select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.)
Note:
  • See Overview: Use Answer Management for information on using Windows Explorer instead of Answer File Manager.
  • The Save Answers Save Answers button may be disabled because the template provider wants to prevent the answer file from being altered. You can assemble a document using new answers, but when you close the assembly window, the new answers are automatically discarded.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Save an Answer File During Assembly

More... (1)

Home > All About... > Completing an Interview > Save an Answer File During Assembly


HotDocs Help - Switch Answer Files During Assembly

Overviews

  • Overview: Assemble a Text or Form Document
  • Overview: Save Answers

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Switch Answer Files During Assembly

While assembling a document, you may want to use another answer file. At any point during the interview, you can select a different answer file, then continue the interview using the new answers.

To switch answer files

  1. At the HotDocs library window, select a template and begin assembling a document. (See Assemble a Text or Form Document.)
  2. During the interview, click Open Open Answers. The Open Answer File dialog box appears. (Depending on the file management settings you have selected, a Windows Explorer dialog box or a window from your document management program may appear instead. See Manage Answer Files.)
  3. Select an answer file and click Open Open.
  4. If prompted to save the old answers, click Save, Save As, or Don't Save, depending on your needs. (See Save an Answer File During Assembly.)
  5. The assembly window appears again, using the newly selected answer file.
Note: When viewing the answer library, you can sort the answer files. To do this, select a folder and click Sort Sort. To search for a specific answer file, select the Find check box, then type the text for which you are searching in the text box.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Switch Answer Files During Assembly

More... (1)

Home > All About... > Completing an Interview > Switch Answer Files During Assembly


HotDocs Help - Use Repeated Dialogs During Assembly

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Use Repeated Dialogs During Assembly

Dialogs can be repeatedly asked to gather several sets of answers for the same questions. A repeated dialog can appear as a series of dialogs or as a spreadsheet.

Once you have created a list of answers, you can use commands in the toolbar to move records within the list.

Note:
  • You can change the way repeated dialogs are represented in the interview outline. (See Display Repeated Dialogs Using a Special Icon.)
  • HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)

To enter answers in a series of dialogs

  1. At the repeated dialog, enter answers for the questions.
  2. Click the Add Another Repetition Add Another button to add another repetition of the dialog to the series. The repetition number next to the dialog icon increases each time you enter a new set of answers. (You can also press Alt+A to add new repetitions to a list.)
  3. To move to the next dialog after entering all the answers in the list, click Next Next in the navigation bar. (You can also click on the next dialog icon in the interview outline, or press Page Down or Alt+N.)
Note: When entering a list of answers within another list of answers, you can press Alt+Left Arrow to return to the parent dialog. (You can also choose Parent Dialog from the Navigate menu.)

To enter answers in a repeated spreadsheet

  1. At an answer-gathering dialog that includes a repeated dialog formatted as a spreadsheet, click in the first spreadsheet cell and enter your answer.
  2. Press Tab to move to the next cell in the row (or use the mouse to click in the next cell) and enter your answer.
  3. Repeat this process for each answer.

To work with repeated answers

  1. Answer questions in the repeated dialog.
  2. Select the record with which you want to work. (If you are editing records in a dialog series, select the dialog icon in the interview outline. If you are editing records in a spreadsheet, click on the row you want to edit.)
  3. Use the options described in the following table to complete additional tasks:
    To | Do This
    Remove a specific dialog from the list of answers | Select the dialog you want to delete and either click the Delete Repetition Delete Repetition button, or choose Delete Repetition from the Edit menu.
    Insert a new dialog between existing dialogs | Either click the Insert Repetition Insert Repetition button, or choose Insert Repetition from the Edit menu.
    Move an existing dialog up in the list of answers | Select the dialog you want to move and click the Move Repetition Up Move Repetition Up button (located on the Edit toolbar).
    Move an existing dialog down in the list of answers | Select the dialog you want to move and click the Move Repetition Down Move Repetition Down button (located on the Edit toolbar).
    Sort the contents of a spreadsheet dialog in alphanumeric order | Click in the column on which you want to sort and click the Sort Sort button (located on the Edit toolbar). The Sort Spreadsheet dialog box appears where you can specify your sorting preferences. If the template developer has specified any sorting options, answers will be merged in the document using those sort options. Otherwise the sort order you specify here will be used in the assembled document.
    Edit the contents of the row in a regular dialog | Click in the row you want to edit and either click the Edit Row Edit Row button, or right-click and choose Edit Row from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Use Repeated Dialogs During Assembly


HotDocs Help - Use Inserted Dialogs During Assembly

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Use Inserted Dialogs During Assembly

In some templates, one dialog may contain other dialogs. For example, a dialog may ask for information about a client; then, if the client is married, an inserted dialog may ask for information about the spouse.

To use an inserted dialog

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to a dialog that contains an inserted dialog.
  3. Select the inserted dialog and provide information for the answer fields, based on the following information:
    • If the dialogs are not grouped: For each inserted dialog, HotDocs displays an icon in the dialog pane and in the interview outline. If you don't answer questions in the inserted dialogs, HotDocs counts them as unanswered questions and warns you about them.
    • If the dialogs are grouped for single selection: HotDocs adds an option button next to each inserted dialog icon. Until you select one of the option buttons or click the child dialog icon or title, no icon for the inserted dialog appears in the interview outline. If you don't select an option button and don't answer any questions in the inserted dialogs, HotDocs doesn't count them as unanswered questions.
    • If the dialogs are grouped for multiple selection: HotDocs adds a check box next to each inserted dialog icon. Until you select the check boxes or click the child dialog icon or title, no inserted dialogs appear in the interview outline. If you don't select any check boxes and don't answer any questions in the inserted dialogs, HotDocs doesn't count them as unanswered questions.
Note:
  • You can hide all inserted dialogs in the interview outline by selecting Collapse All (View menu) or by pressing Alt+-.
  • HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Use Inserted Dialogs During Assembly


HotDocs Help - View Individual Rows in a Spreadsheet

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

View Individual Rows in a Spreadsheet

Some documents may require a list of information. To generate a list, template providers create a repeated dialog, which may be formatted as a spreadsheet. This format may be awkward to work with when there are large numbers of questions (or columns)—the spreadsheet may extend beyond the viewable area. However, to see all the questions at once, you can view one row of the spreadsheet in dialog format.

To answer a single set of answers in a spreadsheet

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. At the assembly window, navigate to a repeated dialog that is formatted as a spreadsheet.
  3. At the spreadsheet, click Edit Row Edit Row. A pop-up interview appears. (You can also right-click and choose Edit Row from the shortcut menu.)
  4. Type answers in the answer fields, then click Next Next. The answers are saved and a new set of answer fields appears.
  5. After providing all the necessary answers, close the pop-up interview by clicking Finish Finish.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > View Individual Rows in a Spreadsheet


HotDocs Help - Select Clauses During an Interview

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Select Clauses During an Interview

A clause is a section of text, usually a commonly used paragraph, and a clause library is a collection of clauses. You can select clauses from a clause library and use them to assemble text documents.

In HotDocs, there are two places where you may view a clause library and select clauses for inclusion in a document—at the template library or during the interview for a text template:

  • When a clause library is referenced in a template library, you assemble the clause library and then choose where the assembled clause text is merged. You can choose to send the assembled clauses to a new, empty document; copy the assembled text to the Windows Clipboard (so you can paste it into an existing document); or paste the assembled text directly into an open word processor document. (See Assemble a Clause Library from the Template Library for instructions on using this method.)
  • When a clause library is asked during the interview of a text template, the clause text is automatically inserted into that assembled document. (Instructions for this method are included below.)

To select clauses from an inserted clause library

  1. At the HotDocs library window, select a template that contains an inserted clause library and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to the dialog where the clause library is located. The clause library appears in the dialog pane.
  3. Optionally, perform either of the following tasks:
    • Select the Find check box to find all of the clauses with specific text in their title or description. In the text box, type the text for which you are searching.
    • Click Preview Preview to view the clause text in a pop-up dialog box. To return to the clause library, click the X in the upper-right corner of the pop-up dialog box.
  4. From the Available list, select each clause you want to use and click Select Select to add it to the Selected list. To remove a clause, select it, then click Remove Remove. (Press Ctrl or Shift to select multiple items.)
  5. Optionally, reorder the clauses in the Selected list by selecting and dragging a clause to the desired position. The clauses will be inserted into the document in this order.
  6. When all the necessary clauses are in the Selected list, click Next Next on the navigation bar.
  7. Answer any questions in the interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Select Clauses During an Interview


HotDocs Help - View an Assembled Document in Markup View

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Open a Saved Text Document for Editing
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Answer File During Assembly
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Send the Assembled Text Document to the Word Processor
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

View an Assembled Document in Markup View

Caution: If you are not a template developer, please click here for a brief explanation of template development terms. Understanding these terms will help you understand how the assembled document is marked up.

As you assemble Microsoft Word documents, there may be times when you want to assemble only a partial document and then submit it to an attorney or peer for revisions or corrections. To make the document easier for a non-HotDocs user to review, you can change the formatting of the document to Markup View and then provide the reviewer a copy of it.

When displaying markup, HotDocs replaces unanswered fields and instructions in the document with markup, which includes markers (such as brackets) and variable names. How the resulting markup fields look depend on the type of fields they are:

  • Answer fields: By default, answer fields are marked using brackets. If the template developer has assigned a comment to the variable, the comment text may be used as the field name. If no comment is used, HotDocs will use either the title or the name the template developer assigned to the variable.
  • Conditional and repeated text blocks: By default, conditional and repeated text blocks are marked using brackets. If a comment is assigned to these text blocks, the comment can be merged in the field label. If no comment is assigned, HotDocs will simply merge the field markers around the text block. The text block can be marked using an annotated footnote or endnote (depending on your preferences).
  • Insertion fields: HotDocs will merge the file name of the template being inserted.

Once you assemble the document using as many answers as needed, you can switch to Markup View and save a copy of the document. You can then provide a copy of it to the reviewer.

To view a document in Markup View

  1. Define the Markup View options you want to use in the document. (See Specify How Documents Should Be Marked Up.)
  2. Assemble the Word document for which you want to generate markup.
  3. Answer only the questions whose answers you want to appear in the assembled document. Leave all other questions unanswered. (These unanswered questions are the fields that will be marked using the scheme you define in step 1.)
  4. Choose Markup View (View menu). The document changes to show the marked up document.
Note:
  • By default, merge fields in the document appear in color—red for unanswered questions and blue for answered questions. Sometimes, however, if an answer field is within a text block that is conditional or repeated, it appears (and remains) blue until the condition is met or the REPEAT instruction is answered. Editable text likewise appears using the colors you've defined at HotDocs Options.
  • Additionally, merge fields in the document are italicized by default. If you've used international characters in your answers, the italicized version of the font used in the document may not display the foreign characters correctly. If this is the case, clear the Italic attribute for Markup View. See Specify How Documents Should Be Marked Up for details.
  • If the template developer has used merge fields in question prompts, those merge fields can be displayed as markup fields. (Choose Markup View (View menu) while at the Interview tab.) Additionally, you can switch to Markup View while assembling form documents.
  • To view a non-marked up version of the assembled document again, clear Markup View (View menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > View an Assembled Document in Markup View

More... (1)

Home > All About... > Working with Assembled Text Documents > View an Assembled Document in Markup View


HotDocs Help - Answer Date Questions

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Answer Date Questions

To make it easier to answer Date variables, HotDocs provides three different ways to enter a date:

  • Type the letter t, then move to the next answer field. HotDocs converts the letter to the current date.
  • Type a date using a common format, such as MM/DD/YYYY. HotDocs converts the format to match the format specified for the template.
  • Click the Calendar Calendar button to access the Calendar dialog box. Then use the Next or Previous arrows to find the desired month and year. Select a day, and click OK.
Note:
  • HotDocs requires a four-digit year for Date variables. However, you can enter a two-digit year, and then let HotDocs convert it to a four-digit year. You can control which years are converted to 1900-century dates, and which are converted to 2000-century dates. See Control How HotDocs Handles Two-Digit and Four-Digit Years.
  • The Calendar Calendar button is not available when a Date variable is in a dialog repeated as a spreadsheet. However, if you click Edit Row, the pop-up interview will show the calendar button.
  • HotDocs may format dates in the interview different from the way they will appear in the assembled document. The appearance in the interview is controlled by a setting in the HotDocs Options dialog box. (See Change the Way Dates Appear in Answer Fields.) When a date appears in the document, however, it is formatted according to the format assigned to that variable.
  • HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Answer Date Questions


HotDocs Help - View an Answer's Variable Name

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

View an Answer's Variable Name

Sometimes as you complete an interview, you may need to ask the template provider about a specific question asked in the interview. Being able to identify the question by variable name may help the template provider better understand the kind of information you need. You can have HotDocs show you the name of the variable.

To view the variable name for a question in the interview

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to the dialog that contains the question.
  3. Place your cursor in the answer field, right-click, and choose Variable Name from the shortcut menu. A message box appears, showing you the variable name.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > View an Answer's Variable Name


HotDocs Help - Use the End of Interview Dialog

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Use the End of Interview Dialog

The End of Interview dialog appears after the last dialog in each interview. At this dialog, you can view a report of unanswered questions, as well as access commands for working with the assembled document.

To work with assembled documents at the End of Interview dialog

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After completing the interview, the End of Interview dialog appears. The following table describes the commands available here:
    To | Do This
    Return to the first unanswered question in the interview | Click First Unanswered Go to the first unanswered question in the interview.
    Send the assembled text document to the word processor so you can view it in its final format

    Click Send Document Send the assembled document to the word processor.

    You can choose the default word processor to which assembled documents are always sent, or you can let HotDocs choose the word processor each time based on the file type. See Change Your Default Word Processor.

    View the assembled form document | Click the View Form Document View the assembled form document at the Form Document tab button. (See View the Assembled Form Document.)
    Insert the assembled document into an open word processor document

    Click Paste Document Paste the assembled document into the open word processor document.

    This command will paste the document text into a document already open in your word processor. If there is not a document already open, HotDocs will create a new document.

    Copy the document text to the Clipboard (only available when assembling Microsoft Word documents) | Click Copy Document Copy the assembled document to the Clipboard.
    Save a copy of the assembled document | Click Save Save the assembled document in a file.

    Save an assembled text or form document as a PDF file

    Click Save as PDF Save the assembled document as a PDF.

    Close the assembly window without saving a copy of the assembled document | Click Close Window Close this window without saving the assembled document.
    Choose which buttons are displayed in the End of Interview dialog | Click Options Choose which buttons are displayed on this dialog.
Note:
  • When you assemble multiple documents, the End of Interview dialog also notifies you that other assemblies are ready to begin.
  • To keep the End of Interview dialog from appearing, clear End of Interview Dialog at the View menu of the assembly window. Then, when you click Next at the last dialog in the interview, HotDocs will either send the assembled document to the word processor or HotDocs Filler, or it will display the Document tab of the assembly window. To specify which action HotDocs performs, see Control What Happens When You Finish an Interview.
  • You can choose which options appear in the End of Interview dialog. See Customize the End of Interview Dialog.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Use the End of Interview Dialog


HotDocs Help - Edit Answers at the Document Preview Tab

Overviews

  • Overview: Assemble a Text or Form Document

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Open a Saved Text Document for Editing
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Answer File During Assembly
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Send the Assembled Text Document to the Word Processor
  • Spell Check Answers
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Edit Answers at the Document Preview Tab

Note: The ability to edit answers at the Document Preview tab is available to Microsoft Word users only. Additionally, this option is available only if the template provider has allowed it.

If you are viewing the Document Preview tab, you can edit answers you've entered. Additionally, you can move from an answer in the document to its question in the interview and vice versa. Seeing answers in the context of the document helps you pinpoint errors and makes it easy for you to correct them without having to go back to the interview.

To help you review answers in the document, you can use the Document Navigation Bar. Just like the Interview Navigation Bar, this toolbar can help you move between answers, unanswered fields, and matching answers.

Caution: Some template providers may prohibit you from changing answers at the Document Preview tab. If so, the buttons and commands that control this feature will be disabled.

To change answers while previewing the document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document.
  3. Click the Highlight Fields Highlight Fields button. This assigns colors to both answered questions and unanswered questions in the document. (You can change the default colors assigned to answered fields as well as unanswered fields. See Set Properties for Viewing Answers and Editable Text in the Assembled Document.)
  4. Double-click on an answer field. A pop-up interview appears, showing the dialog in which the question is used.
  5. Change your answer and click Next Next or Finish Finish. The pop-up interview closes and the answer is updated in the document.
  6. Use any of the following commands to help you edit answers in the document:
    To Do This

    Jump to the place in the interview where the question is asked

    Caution: Because of scripting in the template, sometimes you will not be able to move between the Interview and Document tabs. HotDocs will warn you when this is the case.

    Place your cursor in the answer field and click the Name Go to Answer in Interview button.

    While viewing the Interview tab, you can go to the place in the document where the answer is merged. To do this, place your cursor in the answer field and click the Go to Answer in Document Go to Answer in Document button.

    Move between answers in the document

    Click Next Next or Previous Previous to move to the next or previous answer in the document.

    Click the Next Unanswered Next Unanswered or Previous Unanswered Previous Unanswered button to move to the next unanswered or previous unanswered question in the document.

    Press Ctrl+M or Ctrl+Shift+M to move between matching answers in the document (for example, those answers in the document that are exact matches). (You can also press Shift as you click the Next Next or Previous Previous button.)

    Click Go to End End or Go to Start Beginning to go to end of the document or the beginning of the document.

Note:
  • If you experience a delay when changing answers in your document, click the Instant Update Document Instant Update button (so it isn't pressed in). Then, when you change an answer, HotDocs will just update the field you are editing (and any other fields that merge the exact same answer). Be aware, however, that turning Instant Update Instant Update off may cause some of the information in the document to be out of date if you change answers. (You can tell when the document is out of date by the appearance of the Instant Update Instant Update button. To update the document, click the button again. (The document will automatically update if you attempt to save it, print it, or send it to the word processor.)
  • Once your cursor is in an answer field, you can press Enter and the pop-up interview will appear.
  • If the template provider has allowed it, you can also edit the text of the document. See Edit Document Text at the Document Preview Tab for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Completing an Interview > Edit Answers at the Document Preview Tab

More... (1)

Home > All About... > Working with Assembled Text Documents > Edit Answers at the Document Preview Tab


HotDocs Help - Spell Check Answers

Overviews

  • Overview: Assemble a Text or Form Document
  • Overview: Save Answers

How Do I...?

  • Adjust HotDocs Windows and Panes
  • Answer Date Questions
  • Assemble a Clause Library from the Template Library
  • Assemble a Document Without Showing an Interview
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble Multiple Documents
  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Edit Answers at the Document Preview Tab
  • Navigate Through Answer-Gathering Dialogs
  • Overlay Answers in the Current Answer File
  • Preview a Template Before Assembling It
  • Save an Answer File During Assembly
  • Search for a Specific Template in a Library
  • Select an Answer File for Assembly
  • Select Clauses During an Interview
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly
  • Update Your Interview Outline and Document
  • Use Inserted Dialogs During Assembly
  • Use the Assembly Queue
  • Use the End of Interview Dialog
  • View an Answer's Variable Name
  • View an Assembled Document in Markup View
  • View Individual Rows in a Spreadsheet
  • View Resources During Assembly

Reference Material

  • Use Repeated Dialogs During Assembly

Spell Check Answers

You can spell check text answers you have entered at any time during an interview.

To spell check your answers

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Check Spelling Check Spelling button. If HotDocs finds any unrecognized words, the Check Spelling dialog box appears. In the Answer being checked box, HotDocs shows a section of the text that contains the misspelled word, which is highlighted. Options for working with the misspelled word appear below it.
  3. Make your selection, based on the options described in the following table:
    To | Do This
    Ignore the current instance of the word and continue spell checking | Click Ignore.
    Ignore all instances of the word and continue spell checking | Click Ignore All.
    Correct only the current instance of the word and continue spell checking | Select an existing replacement from the Change to list (or type the replacement in the Change to box) and click Change.
    Correct all instances of the misspelled word and continue spell checking | Select an existing replacement from the Change to list (or type the replacement in the Change to box) and click Change All.
    Add the word to your personal dictionary so that the spelling checker will not question the word again | Click Add.
    Display additional spelling alternatives for the unrecognized word

    Click Suggest.

    A deeper search takes longer but produces better possible replacements. If the button is unavailable, HotDocs is searching at the deepest level.

    Change your spell checking options, such as which words the spelling checker looks at and how it determines whether a word is a possible replacement | Click Options. (You can also change your options at the HotDocs Options dialog box. See Change Your Spell Checking Options.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Spell Check Answers

More... (1)

Home > All About... > Completing an Interview > Spell Check Answers


HotDocs Help - Working with Assembled Text Documents

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents

Working with Assembled Text Documents

Preview the Assembled Text Document

Edit Answers at the Document Preview Tab

Edit Document Text at the Document Preview Tab

View an Assembled Document in Markup View

Send the Assembled Text Document to the Word Processor

Open a Saved Text Document for Editing

Print an Assembled Text Document

Save an Assembled Text or Form Document

Save Assembled Text Document as PDF

Save Assembled Form Document as PDF

Assign Security Options to a PDF Document

Home > All About... > Working with Assembled Text Documents


HotDocs Help - Preview the Assembled Text Document

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Preview the Assembled Text Document

After assembling a text document, you can print the document, send it as an e-mail attachment, or save it as a word processor file. However, once you perform any of these actions, the document is no longer associated with HotDocs. That means any changes you make to the text of the document will not be updated in the answer file or template. Because of this, it is helpful to preview the assembled document in the assembly window and make sure the information in the document is accurate before you perform any of the aforementioned tasks.

Caution:
  • While the information in the Document Preview tab is shown accurately, the document may not be formatted correctly, particularly in WordPerfect documents. To view the actual formatting, send the document to the word processor. (See Send the Assembled Text Document to the Word Processor.)
  • Some template providers may not allow you to edit answers or text at the Document Preview tab. If not, these commands will be disabled.

To preview an assembled text document

  1. At the HotDocs library window, select a template and begin the assembly. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document. By default, answers that have not been entered are marked with asterisks (for example, ***Employee Name***). You can choose a different unanswered format, however. See Format Unanswered Variables in a Document for details.
  3. (Word users) Optionally, to edit an answer or document text, click the Highlight Fields Highlight Fields button, then double-click on an answer field or section of editable text. (See Edit Answers at the Document Preview Tab and Edit Document Text at the Document Preview Tab for details.)
  4. Once you have verified that the document is correct, use any of the following commands to work with the assembled document:
    To | Do This
    Save the assembled text document to disk | Click the Save Document Save Document button. (See Save an Assembled Text or Form Document.)
    Send the assembled text document to the word processor so you can see it in its final format | Click the Send Document Send Document button. (See Send the Assembled Text Document to the Word Processor.)
    Print the assembled text document | Click the Print Print Document button. (See Print an Assembled Text Document or Print an Assembled Form Document.)
    Close the assembly window | Choose Close (File menu)
Note: If an assembled text document contains any cross references, including a table of contents or index, you may need to update the references once you send the document to the word processor. To do this, select all of the document text (press Ctrl+A) and then press the F9 key.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Preview the Assembled Text Document


HotDocs Help - Edit Document Text at the Document Preview Tab

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Edit Document Text at the Document Preview Tab

Note: The ability to edit the text of an assembled document is available to Microsoft Word users only. Additionally, this option is available only if the template provider has allowed it. (You can tell if the developer has made text editable by the color of the document text. By default, editable text is green.)

After you finish answering questions in an interview and before you send the document to the word processor or save it, you should review it. As you do, you may see that you need to change the language of a particular paragraph, or you may need to change a word or phrase to fit your particular needs. If the template developer has allowed it, you can edit the document text while viewing the Document Preview tab. Changes you make can be saved in an answer file so that if you reassemble the document, those changes will be reapplied. (You can always send the document to the word processor and make the changes there. However, those changes are specific to the word processor and will not be saved to HotDocs.)

When you edit the text of the assembled document, the text appears in a pop-up window called the Document Text Editor. This editor provides many of the text-editing tools you need, including font options, spell checking, printing, and copying and pasting. As you edit, you can add new text or remove existing text. You can also change the formatting of text.

Caution: You cannot edit variable (or answer) fields at the Document Text Editor. To edit answers, return to the assembly window and make the change at the Interview tab.

To edit the text of the document

  1. At the HotDocs library window, select a Microsoft Word template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document.
  3. Click the Highlight Fields Highlight Fields button. Text in the document that can be edited changes color.
  4. Place your cursor in an editable section of text and click the Edit Document Text Edit Document Text button (or double-click on the text). The Document Text Editor appears. (If there are multiple sections of text you can edit, HotDocs may ask you which section you want to edit.)
  5. Edit the text using the commands in the Document Text Editor toolbar. (See Document Text Editor Toolbar for a description of each command.)
  6. When you are finished making your changes, click Save and Close Save and Close. The editor closes and your changes are merged in the assembled document.

When you are finished reviewing the document, you can save your answers and the changes you made to the document are saved to the answer file. Then, if you reassemble the document using that answer file, the document will update with the changes you made.

Note:
  • To move between sections of editable text, click the Next Editable Text Next Editable Text or the Previous Editable TExt Previous Editable Text buttons in the navigation bar.
  • You can choose specific colors for marking editable and edited text in the document. See Set Properties for Viewing Answers and Editable Text in the Assembled Document.
  • When viewing the document in the Document Text Editor, if you click the Show Codes Show Codes button, you will see an extra paragraph mark at the end of the document. This paragraph mark is merged by the text editor and will be deleted when you save your changes and the text is inserted back into the document. Because of this, do not modify the paragraph mark.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Edit Document Text at the Document Preview Tab


HotDocs Help - Send the Assembled Text Document to the Word Processor

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Send the Assembled Text Document to the Word Processor

Once you complete an interview, you often want to view the document in its final format. For text documents, this must be done in the word processor.

To send the assembled text document to the word processor

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Send to Word Processor Send Document to the Word Processor button. The word processor appears, showing the assembled document.
  3. Using the word processor's tools, modify the document. Be aware, however, that any changes you make to answers in the document will not be reflected in the answer file.
Note:
  • If you have more than one word processor installed, you can choose which word processor will be used for viewing assembled documents. See Change Your Default Word Processor for details.
  • You can preview a text document at the Document Preview tab. While this preview shows the information in the document correctly, it may not be formatted correctly—particularly in WordPerfect documents.
  • If the template provider has allowed it, you may be able to edit the text of the document while still viewing it in the assembly window. For details, see Edit Document Text at the Document Preview Tab (Word users only).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Send the Assembled Text Document to the Word Processor


HotDocs Help - Open a Saved Text Document for Editing

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Open a Saved Text Document for Editing

After assembling and saving a document, you can later edit the document using the appropriate program:

  • Text documents are saved as word processor files (.DOC, .WPD, or .RTF). To edit these files, you must use a word processor.
  • Form documents are saved as HotDocs form files (.HFD or .HPD). To edit these files, you must use HotDocs Filler. See Edit a Saved Form Document for instructions on completing these actions.

To open a saved text document using Windows Explorer

  • Using Windows Explorer, locate the document file and double-click it. Your word processor appears, showing the saved document.

To open a saved text document using the word processor

  • Using your word processor program's commands, locate and open the desired document file.
Caution: When an assembled document is saved, the file is separated from the template file, component file, and answer file that created it. This means that changes you make to a saved document are not reflected in the answer file used to assemble that document. Finally, if you do make changes to the document, you must identify and change each instance of the answer manually, including re-evaluating any computations or conditions affected by changed answers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Open a Saved Text Document for Editing


HotDocs Help - Print an Assembled Text Document

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Print an Assembled Text Document

Many projects require you to print copies of assembled documents.

To print an assembled text document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document.
  3. Click the Print Print Document button. The document is printed at the printer you specify.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Print an Assembled Text Document


HotDocs Help - Save an Assembled Text or Form Document

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Save an Assembled Text or Form Document

Some projects may require you to save an electronic copy of every document. Also, you may need to move the document to a disk or laptop, so you can take an editable, printable version of the document to another location.

Caution: When you save a text or form document, the file is separated from the answer file, so any changes made to a saved document are not saved to the answer file.

To save an assembled text or form document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Save Save Document button in the toolbar or at the End of Interview dialog. The Save As dialog box appears.
  3. Navigate to the folder where you want the document to be saved.
  4. In the File name box, enter a name for the document and click Save.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Save an Assembled Text or Form Document


HotDocs Help - Save Assembled Text Document as PDF

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Save Assembled Text Document as PDF

With HotDocs Developer, you can use the PDF printer driver to save assembled text and form documents as PDF documents. Creating PDF files allows you to take advantage of features available in Adobe Acrobat.

To save a document as PDF

  1. At the HotDocs library window, select a text template and click Assemble Assemble. (See Assemble a Text or Form Document.)
  2. Answer questions in each dialog.
  3. After answering all of the questions, choose Save Document As (File menu). The Save As dialog box appears.
  4. Specify the file name and folder path for the file.
  5. At the Save as drop-down list, make sure PDF File (*.pdf) is selected.
  6. Optionally, click Security to assign any security options you need to the document. (See Assign Security Options to a PDF Document.)
  7. Click Save. The Convert to PDF dialog box appears.
  8. Optionally, you can add information about the document's title, subject, author, or search keywords. Otherwise, click OK. The assembled document is saved in PDF format.
Note: Information you type in the Convert to PDF dialog box is saved as metadata embedded in the PDF-based file. HotDocs does not use this information, but other programs that work with PDF files may access this metadata. (For instance, if you open a PDF or PDF-based form template in Adobe Acrobat, you can select Document Properties (File menu) to see the values in these fields.) For form templates, the values input here will also be set in any PDF documents assembled with that template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Save Assembled Text Document as PDF


HotDocs Help - Save Assembled Form Document as PDF

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Save Assembled Form Document as PDF

With HotDocs, you can use the PDF printer driver to save assembled PDF form documents as PDF documents. Creating PDF files allows you to take advantage of features available in Adobe Acrobat.

To save assembled PDF forms as PDF

  1. At the HotDocs library window, select a PDF template and click Assemble Assemble. (See Assemble a Text or Form Document.)
  2. At the End of Interview dialog, click Save the assembled document as a PDF. The Save As dialog box appears.
  3. Specify the file path and name for the PDF file, and select PDF File (*.pdf) from the Save as type drop-down list.
  4. Optionally, click Security to assign any security options you need to the document. (See Assign Security Options to a PDF Document.)
  5. Click Save. The Convert to PDF dialog box appears.
  6. Optionally, you can add information about the document's title, subject, author, or search keywords. Otherwise, click OK. The assembled document is saved in PDF format.
Caution: If the file you're using to create a PDF document is a form document, the answer fields and other HotDocs features are removed. Only the current answers are shown as static text on the PDF document. If you may need to edit the answers later, you should first save the file as a PDF-based form document (.HPD), then save another copy of the file as a PDF.
Note: Information you type in the Convert to PDF dialog box is saved as metadata embedded in the PDF-based file. HotDocs does not use this information, but other programs that work with PDF files may access this metadata. (For instance, if you open a PDF or PDF-based form template in Adobe Acrobat, you can select Document Properties (File menu) to see the values in these fields.) For form templates, the values input here will also be set in any PDF documents assembled with that template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Save Assembled Form Document as PDF


HotDocs Help - Assign Security Options to a PDF Document

How Do I...?

  • Assign Security Options to a PDF Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • Open a Saved Text Document for Editing
  • Preview the Assembled Text Document
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Form Document as PDF
  • Save Assembled Text Document as PDF
  • Send the Assembled Text Document to the Word Processor
  • View an Assembled Document in Markup View

Assign Security Options to a PDF Document

When creating PDF documents, you may want to protect the content of the document. You can do this by assigning security options to the document.

To assign security options at the HotDocs Save As dialog box

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. Choose Save Document As (HotDocs File menu). The Save As dialog box appears.
  3. Click the Save as type drop-down button and choose PDF File (*.pdf).
  4. Click the Security button. The PDF Security Settings dialog box appears.
  5. Make your selection, based on the following information (for additional information about each of these options, see the Adobe Help file):
    • Select None to leave the document unprotected. No security options will be applied and the user can edit the document (using Adobe Acrobat Professional).
    • Select 40-bit RC4 encryption to apply less-stringent security options to the document (and make the document compatible with all versions of Adobe starting Adobe 3.x). (Selecting this option affects which options are available in the rest of the dialog box.)
    • Select 128-bit RC4 encryption to apply more stringent security options to the document (and restrict use of the document to Acrobat 5.x and later users). (Selecting this option affects which options are available in the rest of the dialog box.)
    • Select Master password and enter (and confirm) the required password to require the user to enter a password when changing security options for the document.
    • Select User password and enter (and confirm) the required password, require the user to enter a password when attempting to open the document.
    • Select one of the printing options: Fully allowed, Low resolution only, and Not allowed to allow varying levels of printing.
    • Clear Allow content copying and extraction to keep users from copying the text in the document and pasting it into other applications.
    • Select Allow access for visually impaired to allow the document to be read out loud by Acrobat.
    • Select Allow content editing to let users can modify the pages of the document, including adding or removing pages, or rotating pages to let users make changes to the document.
    • Select Allow page-level editing (insert, delete, rotate) to let users make changes to page properties of the document (such as inserting pages).
    • Select Allow annotations to let users make comments or other notes in the document.
    • Select Allow form filling to let users enter information in Adobe fields on the form.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Text Documents > Assign Security Options to a PDF Document


HotDocs Help - Working with Assembled Form Documents

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Text Documents

Working with Assembled Form Documents

Overview: Assemble a Form Document

Enter Answers Directly at the Form Document Tab

View the Assembled Form Document

Assemble a Fillable PDF Document

Override an Answer in a Form

Print an Assembled Form Document

Choose Default Form Printing Options for a Form

Edit a Saved Form Document

Create a Form Field

Select a Field

Detect Borders to Create or Resize a Field

Move a Field on a Form

Change the Borders and Margins of a Field

Copy One or More Form Fields

Resize Form Fields

Change the Tab Order of Fields

Group Form Fields So Answers Can Flow From One Field to Another

Ungroup Form Fields

Change the Font Used for a Field

Format Lines and Paragraphs of Text in a Form Field

Rotate Answers in a Field

Keep Contents of Form Fields from Printing

Cross Out Static Text on the Form

Circle Static Text on a Form

Insert a Graphic File in a Form

Convert Answers on the Form to Bar Code Format

Flow a Single Answer Across Two or More Pages in a Form

Check Form Fields for Answer Overflow

Customize the Look of the Addendum

Define Overflow Properties for a Regular Field

Split a Multi-Line Answer Between the Form and the Addendum

Home > All About... > Working with Assembled Form Documents


HotDocs Help - Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Overview: Assemble a Form Document

In most cases, you assemble a form document exactly as you assemble a text document. (See Assemble a Text or Form Document.) However, HotDocs form documents provide some additional capabilities. For example, you can enter answers directly in the form document, moving from field to field. You can also print a blank copy of the form that can be completed by hand. Finally, you can create and modify an addendum to save answers that require more space than the form provides.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Overview: Assemble a Form Document


HotDocs Help - Enter Answers Directly at the Form Document Tab

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Enter Answers Directly at the Form Document Tab

When assembling text documents, you answer questions in the interview and those answers are merged into the document. When assembling form documents, however, you can either enter your answers in the interview or you can enter your answers directly on the form document. This latter method of assembly is called direct-fill assembly. In some cases, the template provider designs templates so that the only method for assembly is by direct-fill.

To enter your answers directly into the fields

  1. At the HotDocs library window, select a form template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. If you're not viewing it, click the Form Document tab. The assembly window changes to show the form document.
  3. Click on a field and enter an answer.
  4. Press Tab to move to the next field, or use the mouse to click on another field.

    As you tab between fields, HotDocs will skip any conditioned fields that have been resolved in such a way that it isn't necessary to answer the field.

  5. Optionally, you can perform any of the following tasks:
    To | Do This
    Create a new field on the document | Click the Select Tool Select Tool button and draw the field. (See Create a Form Field.) To enter text in the field click on the Fill Tool Fill Tool and then click in the field.
    Add additional answers to a table | If the template developer has included it, click the Table Wizard Table Wizard button next to the field.
    Answer questions that compute the answer for a field or control the inclusion of other answers | If the template developer has included it, click the Answer Wizard Answer Wizard button next to the field.
    Show or hide the colored fields | Click the Show Fields Show Fields button.
    Quickly browse through the pages of a form document | Click the Show Thumbnails Show Thumbnails button. This displays small images of each page in the document in the left margin of the form view. You can click one of these images and go to that page immediately.
    Jump to a specific page of the assembled document | Choose Go To (Edit menu) and enter the page number of the page you want to view.
    Move through the answers in a document

    Place your cursor in a field and click one of the following navigation buttons: (If the Form Navigation Bar isn't showing, choose it at the View menu.)

    • Clicking Next Next or Previous Previous moves you to the next or previous answer in the document.
    • Clicking the Next Unanswered Next Unanswered or Previous Unanswered Previous Unanswered button moves you to the next unanswered question in the document
    • Pressing Ctrl+M or Shift+Ctrl+M moves between matching answers in the document (for example, those answers in the document that are exact matches). (You can also press Shift as you click the Next Next or Previous Previous button.)
    • Clicking End End or Beginning Beginning to go to the end of the document or the beginning of the document.
Note:
  • To access answer wizards, table wizards, and calendars during direct-fill assembly, right-click on the field and choose the option from the shortcut menu. For example, to view the calendar for a date field, right-click on the field and choose Calendar from the shortcut menu.
  • Some answers may be too large to fit in the field. If this happens, HotDocs warns you by displaying the Overflow Options dialog box. See Check Form Fields for Answer Overflow. Similarly, you can specify when this warning should appear. See Set Rules for Handling Answer Overflow.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Enter Answers Directly at the Form Document Tab


HotDocs Help - View the Assembled Form Document

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

View the Assembled Form Document

Before saving the assembled form document, it is a good idea to review the document. You can do this at the Form Document tab of the assembly window. Doing this allows you to make changes to answers in the document and have those changes automatically updated in the answer file.

To view assembled form documents

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After answering the questions in the interview, click the Form Document tab. The assembly window changes to show the assembled document.
  3. Optionally, select a field and enter a different answer. (See Enter Answers Directly at the Form Document Tab.)
  4. Once you have finished entering answers, complete any of the following options:
    • Click the Save Document Save Document button to save the assembled form document to disk. (See Save an Assembled Text or Form Document.)
    • Click the Print Document Print Document button to print the assembled form document. (See Print an Assembled Form Document.)
    • Click Send Document To > Mail Recipient (File menu)to attach the assembled form document to an e-mail message. (See Attach a Text or Form Document to an E-mail Message.)
    • Click Close (File menu) to close the assembly window. HotDocs prompts you to save any changed answers.
Note: See Overview: Assemble a Form Document for a list of changes you can make to an assembled form document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > View the Assembled Form Document


HotDocs Help - Assemble a Fillable PDF Document

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Assemble a Fillable PDF Document

Some form templates you assemble can be saved as fillable PDF documents. Fillable PDF documents allow users to enter answers on the form while editing the form in Adobe Acrobat or Reader.

The process of assembling a fillable PDF is nearly the same as the process for assembling a regular form document—you can enter answers in the interview or type your answers directly on the form at the Form Document tab. You can also choose to save the assembled document as a HotDocs form document, a regular PDF, or a fillable PDF. If you plan to save the assembled document as a fillable PDF, however, there are a few things you should understand:

  • Adobe Acrobat/Reader does not support the creation of an addendum when an answer overflows its field. If a field overflows in HotDocs, Adobe may attempt to force the answer to fit in the field when you save it as a fillable PDF. If the answer doesn't fit, it will simply appear cut off. If possible, you should review the assembled document for any field overflow before sending it to Adobe so that you can minimize the chance answers won't appear correctly in the field. See Check Form Fields for Answer Overflow for details.
  • When viewing the document in HotDocs, some answers may appear differently than when viewing the assembled document in Adobe Acrobat/Reader. This is because the underlying Adobe fields may have formats or patterns assigned to them that are different than what was assigned in HotDocs.
  • If you create additional fields on the assembled document, any text you enter in the fields will appear as static text when you save the document as a fillable PDF.
  • If you change the properties of an existing fillable field, those changes will not be honored when you save the document as a fillable PDF.

To assemble a fillable PDF document

  1. Follow the instructions for assembling a form document in Assemble a Text or Form Document.
  2. Complete the interview. (See Navigate Through Answer-Gathering Dialogs.)
  3. At the Form Document tab, review your answers.
  4. Choose Check for Overflow (Tools menu) and resolve any fields that overflow.
  5. Click the Save Document Save Document button. The Save As dialog box appears
  6. Click the Save as type drop-down button and select Fillable PDF Form from the list of options.
  7. Enter a name in the File name box and click Save. The document is saved.

Once you save the document, you should review it to make sure the answers appear correctly.

Caution:When creating a fillable PDF document, form designers can enable usage rights within the document. These rights allow Adobe Reader users to save copies of the document with changes they have made to the document—including entering or changing answers they have entered in the fillable PDF. However, when a rights-enabled fillable PDF is converted to template format, the document is changed in such a way that usage rights are no longer in effect. This means that you will not be able to save changes you make when editing the assembled document in Adobe Reader.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Assemble a Fillable PDF Document


HotDocs Help - Override an Answer in a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Override an Answer in a Form

In a HotDocs form document, fields are designed to hold certain types or formats of information. However, there may be times when you need to enter a type of answer that HotDocs won't allow. You can override the field type and enter any answer you need.

For example, a field with a Number variable attached to it is designed to hold only digits. However, if the number you enter (say, $325,000,000) is too large for the field, but you don't want to send the answer to the addendum, you can override the field and enter $325 m.

Answers entered in overridden fields are not saved in the answer file. The original answer is saved in the answer file and used in any computations or other fields that require it.

To override an answer

  1. At the HotDocs library window, select a form template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After entering answers, click the Form Document tab. The assembly window changes to show the document.
  3. Select the field you want to override.
  4. Click the Override Field Override Field button and, at the Override Field warning message, click OK. The assembly window appears again.
  5. In the field, enter the answer you want, then move to a different field. The overridden field changes to gray.

To remove the overridden answer, select the field and click the Override Field Override Field button again. The current answer is removed and the saved answer reappears. Removing the override, however, may create answer overflow situations. See Check Form Fields for Answer Overflow for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Override an Answer in a Form


HotDocs Help - Print an Assembled Form Document

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Print an Assembled Form Document

Many projects require you to print copies of assembled form documents. The options available for printing a form depend on which type of form you are printing. Specifically, you can print:

  • HotDocs form documents (or .HFDs).
  • HotDocs PDF documents (or .HPDs).

To print a form document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Form Document tab. The assembly window changes to show the assembled document.
  3. Click the Print Document Print Document button.
  4. If you are printing a HotDocs form document (or .HFD file), select any of the following printing options. (If you're printing a PDF form document, skip to step #5.)
    • To print the form and answers, select Form with Answers in the Output group.
    • To print only the static text of the form, select Form Only (Blank Form) in the Output group.
    • To print the answers onto a pre-printed copy of the form, select Answers Only (Use Preprinted Form) in the Output group.
    • To change the double-sided printing options, select the desired option. Single-sided prints the document using one side of each sheet of paper. Double-Sided, Side-to-Side prints the document with the tops of both pages at the same end of the paper, like a traditional book. Double-Sided, Top-to-Bottom, prints the document with the bottom of the second page at the same end as the top of the first page, like a flip-chart.
  5. If you are printing a PDF form document (or .HPD file), you must choose whether to print using the functionality of HotDocs or Adobe Acrobat. (See Print PDF-Based Documents Dialog Box for tips on which printing option you should choose.)
    • Choose HotDocs, which prints at a slower speed but provides a wider range of printing options.
    • Choose Adobe Acrobat, which prints at a faster speed but provides few printing options.

Some types of printers have been known to cause problems when printing a form template or document, and should be tested before use with finished products. These printers include:

  • Ink jet printers
  • Brother printers
  • 16-bit postscript printer drivers
  • DeskJet printers
  • Xerox printers
  • "All-in-one" printers (printers that include copying, scanning, printing, and faxing capabilities)

For best results, it is recommended that you use an HP LaserJet with at least two megabytes of memory.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Print an Assembled Form Document


HotDocs Help - Choose Default Form Printing Options for a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Choose Default Form Printing Options for a Form

Different forms may require different printing settings. You can specify that a form should be printed single-sided, double-sided side-to-side, or double-sided top-to-bottom. You can also control what size of paper to use as well as which paper tray should feed the paper to the printer.

The option you specify is set as the default in the Print dialog box, but you can select a different option.

To specify form printing options

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Click File > Document Properties > Printing. The Printing Properties dialog box appears.
  3. Select the printing settings from the following options:
    • Single-sided prints the document using one side of each sheet of paper (default setting).
    • Double-sided, side-to-side prints the document double-sided, with the tops of both pages at the same end of the paper. (This option allows you to turn through the pages like a traditional book.)
    • Double-sided, top-to-bottom prints the document double-sided with the bottom of the second page at the same end as the top of the first page. (This option allows you to turn through the pages like a flip chart.)
    • Paper size specifies the dimensions of the paper used to print the document.
    • Paper source specifies what tray of paper is used to print the document.
Note: You can use command-line options to control the paper size and paper source. (See Paper Size and Paper Tray.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Choose Default Form Printing Options for a Form


HotDocs Help - Edit a Saved Form Document

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Edit a Saved Form Document

After assembling a form document, you often need to save the document to disk. Once saved, you can re-open the document using HotDocs Filler.

Once a form document is saved to disk, it is no longer associated with the answer file. This means that changes you make to answers in the document do not affect the answer file. If you want to save changes you're making to the answers, re-assemble the form document and change your answers in the interview. Then save your answer file again.

To work with a saved form document in Filler

  1. Using Windows Explorer, locate and double-click the appropriate form document. HotDocs Filler appears, showing the form document.
  2. Optionally, you can perform any of the following tasks:
    To | Do This
    Change an answer in a field

    Click on a field. The field becomes active, allowing you to enter an answer.

    Caution: You can edit answers in a saved form document, but you must re-evaluate any computations or conditions affected by changed answers. Similarly, changes you make are not reflected in the answer file used to assemble the document.
    Create new fields

    With the Select Tool Select Tool button selected, press the left mouse button and move the mouse pointer to draw a rectangle. To type in this field, select the Fill Tool Fill Tool button.

    The fields you create in Filler have no variable associated with them. They are simply text boxes where you can type information.

    Print the document | Click the Print Print button.
    Open a different HotDocs form file | Click the Open Open button, and then locate the desired file. (You can also press Ctrl+O.)
  3. Once you have the assembled form document open for editing, there are several other things you can do. For example, you can:
    • Change the field type. (See Change the Field Type.)
    • Change the size of a field. (See Resize Form Fields.)
    • Change the position or margins of a field. (See Move a Field on a Form and Change the Borders and Margins of a Field.)
    • Create a new answer field. (See Create a Form Field.)
    • Rotate text in a field. (See Rotate Answers in a Field.)
    • Convert answers on the form to bar code format. (See Convert Answers on the Form to Bar Code Format.)
    • Insert a graphic into a field. (See Insert a Graphic File in a Form.)
    • Cross out static text on the form. (See Cross Out Static Text on the Form.)
    • Circle static text on a form. (See Circle Static Text on a Form.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Edit a Saved Form Document


HotDocs Help - Create a Form Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Create a Form Field

You can create a form field on an assembled form document.

When you create a field, HotDocs determines the type of field you are creating based on the size of the field—if a field is smaller than a certain dimension, HotDocs creates a check-box field. If a field is larger, then it creates an edit field. (You can define these dimensions at HotDocs Options. See Set Properties for New Edit Fields.)

Sometimes when you create a field, HotDocs can detect the borders of the underlying form and adjust its size to fit within those borders. This helps ensure the field fits best in the space allotted. See Detect Borders to Create or Resize a Field.

Once a field is created, you can enter any text you need in it.

To create a form field

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Click the Select Tool Select Tool button.
  3. Position the mouse pointer at one end of the intended field.
  4. Press and hold down the left mouse button, then drag the pointer to the opposite corner of the field.
  5. Release the mouse pointer. The field is created.
  6. Optionally, click Detect to have HotDocs adjust the size of the field to more closely match the underlying static line or lines.
  7. Optionally, you can customize the appearance of your fields in the following ways:
    • Change the field type. (See Change the Field Type.)
    • Adjust the size. (See Resize Form Fields.)
    • Change the field's position on the form. (See Move a Field on a Form.)
Note:
  • To move multiple fields once they have been created, select the fields and press the arrow key that indicates which direction you want to move them. To move fields more quickly, press the Shift key while pressing the arrow keys.
  • You can also create a standard-size field by double-clicking on the form. Or, you can click to set the field cross-hair and press F8.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Create a Form Field

More... (1)

Home > All About... > Creating Form Fields > Create a Form Field


HotDocs Help - Select a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Select a Field

In order to work with a field, you must first select it. When you select a field, handles appear on the field borders showing that you can edit the borders or other properties. You can select a single field to work with, or you can select multiple fields to group them or to make the same change to all of the fields.

To select fields

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Click the Select Select Tool button
  3. Click on the field you want to work with.
  4. Optionally, to select multiple fields, either press the Ctrl key while clicking each field, or press the Shift key, then press the mouse button and drag the mouse pointer to create a bounding frame. All fields included in or touched by this frame will be selected.
  5. Use any of the following additional methods for selecting fields or canceling the selection, as described in the following table:
    To | Do This
    Select all the fields on the current page | Click Select All (Edit menu). (You can also press Ctrl+A.)
    Cancel the selection of all selected fields | Click outside the fields, or press the Esc key.
    Cancel the selection of only one of a group of selected fields | Hold down the Ctrl key and click that field.
    Add fields to your group of selected fields without canceling the selection of those already selected | Hold down the Ctrl key and click the new fields.
Note:
  • If you have trouble selecting the field you want, the field may be in a group. If this is the case, you must first ungroup the fields by clicking Ungroup (Field menu). (See Ungroup Form Fields.)
  • Click the Show Fields Show Fields button to show and hide field colors.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Select a Field

More... (1)

Home > All About... > Creating Form Fields > Select a Field


HotDocs Help - Detect Borders to Create or Resize a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Detect Borders to Create or Resize a Field

When you create fields on a form, you often use the underlying static text as a guide as to where the field should be placed. Often, you want the borders of the fields to match the borders of the static text. To help you align these borders, you can use the Detect Detect feature. This feature is useful both when you create a new field and when you need to resize a field to fit within its allotted space.

If HotDocs is unable to automatically create or resize a field to the size and position you want, you must create the field manually. Several factors may contribute to these difficulties:

  • Insufficient surrounding features: To detect a field, HotDocs searches for surrounding features, such as lines, text, or graphics. If there are insufficient surrounding features, HotDocs may have difficulty detecting a field. In such cases, HotDocs creates a field of the default size.
  • Label text: When label text is inside the field area and there is enough space between the text and the bottom of the field area, the Detect Detect command will extend the field up to the bottom of the label text. If you want the field to occupy the area to the left or right of the label, or if you want to include the label inside the field, you must create the field manually.
  • Field not completely visible: If part of the intended field is not visible (for example, it's scrolled out of the window), HotDocs attempts to scroll to detect the field. It is recommended that you use a zoom level such as Fit Page to Width Fit Page to Width so HotDocs can find the entire field on the screen.

To detect the borders of the underlying static text

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. On the form, complete one of the following steps:
    • If the field is already created, select the field and choose Detect (Field menu).
    • If you are creating a new field, place your cursor where the new field should be created and choose Detect (Field menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Detect Borders to Create or Resize a Field

More... (1)

Home > All About... > Creating Form Fields > Detect Borders to Create or Resize a Field


HotDocs Help - Move a Field on a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Move a Field on a Form

As you create fields on a form, you will frequently need to move the fields. You can do this using the mouse or keyboard. You can also specify a precise location using the Field Properties dialog box.

To move a field using the mouse

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Position the mouse pointer over the selected field. The cursor changes.
  3. Hold down the mouse button and drag the field to the new position.

To move a field using the keyboard

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select a field. (See Select a Field.)
  3. Press the arrow keys to move the field one unit of measurement in that direction. (To move the field more quickly, hold down the Shift key as you press the arrow keys.)

To move a field using the Position/Size dialog box

  1. Edit a form template. (See Edit a Form Template.) Edit a form document. (See Edit a Saved Form Document.)
  2. Select a field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Additional tab. The view changes to show the positioning options.
  5. In the Position group, enter the desired distance from the left and top margins of the page in the Left and Top boxes. (You can also click the up or down arrows for each field to change the distance.)
Note:
  • If a field you want to move is part of a group, you must first ungroup the fields. (See Ungroup Form Fields.)
  • The Field Properties dialog box includes the First, Previous, Next, and Last buttons to move you between fields. When you have multiple fields selected, these buttons are not available.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Move a Field on a Form

More... (2)

Home > All About... > Changing Field Properties > Move a Field on a Form

Home > All About... > Creating Form Fields > Move a Field on a Form


HotDocs Help - Change the Borders and Margins of a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Change the Borders and Margins of a Field

You can change the borders and margins of a form template field. Borders control the thickness of the field box, and margins control the distance between the border of the field and the answer text.

To change field borders or margins

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the field whose borders or margins you want to change.
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Layout tab. The view changes to show layout options.
  5. In the Borders and Margins groupings, make your selections. (Remember, borders affect the thickness of field boxes, while margins affect the distance between the border of the field and the answer in the field.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Change the Borders and Margins of a Field

More... (1)

Home > All About... > Creating Form Fields > Change the Borders and Margins of a Field


HotDocs Help - Copy One or More Form Fields

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Copy One or More Form Fields

Frequently, you need to copy fields on a form. For example, say you need to create a group of fields that all have the same properties. Rather than creating each field individually and modifying its properties, you can create a single field, assign the properties, and then copy the field to create the others in the group.

When a field is copied to a new place in the same template, all the field’s properties (size, font, line formatting, fill order, etc.) are copied with it.

When you copy fields to a new location, the cursor position tells HotDocs where to paste the copied fields. If you copy a single field, the lower-left corner of the field will be at the cursor position. Likewise, if you copy two or more fields at the same time, the lower-left corner of an invisible boundary box drawn around all of the copied fields will be at the cursor position. If there is no cursor, the field is pasted on top of the original.

You can copy fields on only one page at a time.

To copy and paste one or more fields

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the field or fields you want to copy. (See Select a Field.)
  3. Choose Copy (Edit menu). The field is copied to the Windows Clipboard. (You can also select the field and press Ctrl+C, or you can right-click on the field and choose Copy from the shortcut menu.)
  4. Place the mouse cursor where you want the lower-left corner of the copied field to be, and then click the mouse to set the cross-hair.
  5. Choose Paste (Edit menu). The copied field is pasted at that location. (You can also press Ctrl+V, or you can right-click on the field and choose Paste from the shortcut menu.)
Note: You can also copy a field by holding down the Ctrl key while dragging the field to its new location.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Copy One or More Form Fields

More... (1)

Home > All About... > Creating Form Fields > Copy One or More Form Fields


HotDocs Help - Resize Form Fields

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Resize Form Fields

You may need to adjust the size of a field to fit it into the available space on the form. You can change a field's size using the mouse, the keyboard, or the Position/Size tab of the Field Properties dialog box.

To resize a field using a mouse

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the field. (See Select a Field.)
  3. Click a handle or field border. (When the mouse pointer is on a handle, the pointer changes to a double-arrow, indicating the directions the border can be moved.)
  4. Hold down the mouse button and drag the border to a new position.

To resize a field using the keyboard

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the field. (See Select a Field.)
  3. Press the Page Up or Page Down keys to move the top border of the field up or down, and the End or Home keys to move the right border of the field right or left. (To resize the field more quickly, hold down the Shift key as you press the keys.)

To resize a field using the Field Properties dialog box

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Additional tab and, in the Size group, enter the desired distance from the left and top borders of the field in the Width or Height boxes. (You can also click the up or down arrows for each field to change the size.) The field size is changed.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Resize Form Fields

More... (1)

Home > All About... > Creating Form Fields > Resize Form Fields


HotDocs Help - Change the Tab Order of Fields

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Change the Tab Order of Fields

When determining the order to ask questions in the interview, HotDocs begins with the top-left field of the form and processes all of the fields until it reaches the bottom-right field. This processing affects two things—the order questions are asked in the default interview and the order in which the user is able to tab through fields on the form.

Because of this default field ordering, sometimes you may find the tab order of fields to be incorrect. You can change this order.

Note: Once you specify a fill order for one field, you must specify the order for every field you want processed after that field. In effect, when you specify a fill order for just one field, you set that field to be answered last. This is because all the other fields are still set to Row 0, Column 0—they are lower than the Row 1 or Column 1 , so they will be filled first. Therefore, to change the order of the fields in the middle of the form, you must also change the order for every remaining field.

The following rules control field ordering:

  • Fill order is determined first by row, then by column.
  • All field values are initially set the same—Row 0, Column 0.
  • When fields have different row numbers, fields with lower row numbers are asked first, for example, Row 0, Column 0; Row 1, Column 0; etc.
  • When fields have the same row numbers, but different column numbers, fields with lower column numbers are asked first, for example, Row 1, Column 0; Row 1, Column 1; etc.
  • Fill order is treated separately for each page of the template—you cannot specify a fill order that runs from one page to another.

To change the tab order for fields

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Additional tab. The view changes to show ordering options.
  5. In the Row box, type the row number.
  6. If you need to specify the order for fields in the same row, type a number in the Column box.
  7. Optionally, at the Order dialog box, you can click the First, Previous, Next, or Last button to save the current field's settings and display the next field's order.

By selecting and ordering different groups of fields, you can use fill order to handle various situations. For example:

  • Remove all fill order settings: Select all fields and set the Row and Column numbers to 0.
  • Organize large sections of fields: Select the desired fields and specify the order.
  • Flow answers across fields contrary to the default order (top to bottom, left to right): Set the desired order, then group the fields. (See Group Form Fields So Answers Can Flow From One Field to Another.)
  • Fill table columns in an order different from the static text: Set the desired order, then group the fields as a table.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Change the Tab Order of Fields

More... (1)

Home > All About... > Creating Form Fields > Change the Tab Order of Fields


HotDocs Help - Group Form Fields So Answers Can Flow From One Field to Another

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Group Form Fields So Answers Can Flow From One Field to Another

Sometimes an answer must begin in one field and continue in other fields. For example, you may have an answer that must span two or more pre-printed lines. You can create edit fields for each line, and then group the fields so that answers flow from one field to another. Fields grouped this way are called run-on groups.

Once fields are grouped, HotDocs treats the group as a single field.

To flow an answer across multiple fields

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Create all the text fields across which the answer should flow. (See Create a Form Field.)
  3. Select all the fields that will be used for the answer. (See Select a Field.)
  4. Click Group (Field menu). A bounding frame appears around the grouped fields. (You can also right-click and select Group from the shortcut menu.)
Caution: When fields are grouped, you cannot change properties for individual fields. You must first ungroup the fields. (See Ungroup Form Fields.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Group Form Fields So Answers Can Flow From One Field to Another

More... (1)

Home > All About... > Creating Form Fields > Group Form Fields So Answers Can Flow From One Field to Another


HotDocs Help - Ungroup Form Fields

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Ungroup Form Fields

When fields are grouped, you cannot modify the individual fields. You must first ungroup the fields.

To ungroup the fields

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select one of the grouped fields. The whole group is selected. (See Select a Field.)
  3. Click Ungroup (Field menu). (You can also right-click on the field and choose Ungroup from the shortcut menu.)

Some properties that were assigned to the group, such as text, margin, and line format properties remain applied to the individual fields that made up the group. Other properties, such as a field order or a condition, are lost until you regroup the fields. Regrouping the fields restores the properties that were previously applied to the group.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Ungroup Form Fields

More... (1)

Home > All About... > Creating Form Fields > Ungroup Form Fields


HotDocs Help - Change the Font Used for a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Change the Font Used for a Field

You can choose the font that is used for answers on a form. When choosing the font, you can also indicate the style (for example, bold or italics), size, effects, and color that are used.

As is always the case when working with fonts, if the form requires a specific font be used, you must ensure the font is installed on all computers where the form will be viewed.

To change the font for a field or group of fields

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the field or fields whose font you want to change.
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, click Font. The Font dialog box appears.
  5. Make your font selections.
Note: You can specify default font properties for all new fields you create at HotDocs Options. See Set Properties for New Edit Fields for more details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Change the Font Used for a Field

More... (1)

Home > All About... > Changing Field Properties > Change the Font Used for a Field


HotDocs Help - Format Lines and Paragraphs of Text in a Form Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Format Lines and Paragraphs of Text in a Form Field

Sometimes you need to format the text within a multi-line text field. For example, perhaps you need to indent the first line of a paragraph, or maybe you need to adjust the number of lines that fit in an inch of vertical space. To do this, you can adjust the line format of a field.

To format lines and paragraphs

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Create a multi-line field.
  3. With the field selected, click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Layout tab. The view changes to show the different options for formatting the field.
  5. In the Line Format group, complete one of the following options:
    To | Do This
    Indent the first line of text in the paragraph | Enter how much space to include between the margin of the field and the first character of the answer in the First line indent box. (You can either type the number or click the up or down arrows.)
    Force a certain number of lines to appear in an inch of space in the field | Enter the number of lines in the Lines per inch box.
    Indicate how many lines can appear in the field | Enter the number of lines in the Maximum lines box. If the answer contains more lines than is specified, the field will overflow.
    Indicate the maximum number of characters that can appear in a given line of text | Enter the number of characters in the Max chars/line box. When the number of characters exceeds this limit, text will wrap to the next line.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Format Lines and Paragraphs of Text in a Form Field

More... (1)

Home > All About... > Changing Field Properties > Format Lines and Paragraphs of Text in a Form Field


HotDocs Help - Rotate Answers in a Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Rotate Answers in a Field

By default, answers in fields appear in horizontal rows and can be read from left to right. You can rotate text so answers will read from bottom to top, top to bottom, or upside-down from right to left.

To rotate text in a field

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the fields you want to rotate. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Layout tab. The view changes to show field layout properties.
  5. In the Rotation group, select a degree of rotation: 0º, 90º, 180º, or 270º, for example:

    Text Rotation Example

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Rotate Answers in a Field

More... (1)

Home > All About... > Changing Field Properties > Rotate Answers in a Field


HotDocs Help - Keep Contents of Form Fields from Printing

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Keep Contents of Form Fields from Printing

Sometimes you want field text to appear on the form during direct-fill assembly, but you don't want the text to appear when you print a copy of the form. You can select an option that keeps this text from printing.

To designate that a field's contents shouldn't be printed

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Create or select the field whose text you want to appear only on the form.
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, select Non-printing field.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Keep Contents of Form Fields from Printing

More... (1)

Home > All About... > Changing Field Properties > Keep Contents of Form Fields from Printing


HotDocs Help - Cross Out Static Text on the Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Cross Out Static Text on the Form

Sometimes a form includes static text that must be crossed out. For example, say a form includes a list of medical conditions. Instructions on the form tell you to cross out any conditions that do not apply to you. You could manually cross out these conditions once you've printed the form; however, HotDocs allows you to create a strike-through field, which crosses out the text for you, depending on answers you enter during the interview.

A strike-through field, which is transparent, overlays the static text. You can choose the character that will be used to cross out the text.

To create a strike-through field in a form

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Create a field that covers the static text on the form. (See Create a Form Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears. (You can also right-click and select Field Properties from the shortcut menu.)
  4. Click the Type tab.
  5. In the Field type group, select the type of field you want to associate with the strike-through field.
  6. In the Display type group, select Strike-through.
  7. In the Strike-through character box, enter the character you want to be used for crossing out the text.
  8. Optionally, click Font to change the font properties (perhaps to make the font size larger or smaller).
  9. Close the Field Properties dialog box. The text on the form is crossed out.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Cross Out Static Text on the Form

More... (1)

Home > All About... > Changing Field Properties > Cross Out Static Text on the Form


HotDocs Help - Circle Static Text on a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Circle Static Text on a Form

Sometimes instructions on a form ask users to circle a preprinted option. Rather than make users print the form and manually circle the option using a pen, you can create a form field that overlays a circle on the text. You can attach a variable to the field so that the user can select which option should be circled during the interview. Creating circle fields not only preserves the professional look of the form, but allows the answer associated with the selection to be saved in the answer file.

To create a field that circles text

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Create a field that covers the static option on the form you want to select. (See Create a Form Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears. (You can also right-click and select Field Properties from the shortcut menu.)
  4. Click the Type tab.
  5. In the Field type group, select the type of field you want to associate with the circled field.
  6. In the Display type group, select Circled.
  7. Optionally, to control the width of the circle's border, click the Layout tab and change the Line thickness in the Circle group.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Circle Static Text on a Form

More... (1)

Home > All About... > Changing Field Properties > Circle Static Text on a Form


HotDocs Help - Insert a Graphic File in a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Insert a Graphic File in a Form

Sometimes you may need to include an image on your form, such as a signature or seal. You can create a field and assign as one of its properties a graphic file. Supported file formats include .JPG, .BMP, and .PNG. Image files should be saved to the same folder as the template.

To create a graphic field without using a variable

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Create a field. (See Create a Form Field.)
  3. With the field still selected, click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, select Image from the Display type group.
  5. Click the Open Open button next to the Image file name box. The Open dialog box appears.
  6. Locate and select the desired graphic file and click Open. The path and file name appear in the box.

The image is visible at the Form Document tab.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Insert a Graphic File in a Form

More... (1)

Home > All About... > Changing Field Properties > Insert a Graphic File in a Form


HotDocs Help - Convert Answers on the Form to Bar Code Format

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Convert Answers on the Form to Bar Code Format

You can create a two-dimensional bar code field that displays a single answer or group of answers. This may be useful if the organization to which you submit your documents requires certain data in the document be in bar code format. This allows the organization to scan the information and save it in some data retrieval system, such as a database.

For example, say you must submit a form to the court. When the court files the form, rather than manually entering case information (such as party names, case numbers, etc.), it can simply scan the bar code and have the information automatically entered in the system.

Typically, bar codes display data in a pattern of lines and formats, which should be readable by most hand-held laser scanners or charge-coupled device (CCD) scanners. The scanner should be able to read the size of the bars, which is 0.01 inch.

Use the following tips when working with bar codes:

  • The format HotDocs uses for bar codes is PDF417, or Portable Data File 417. It is one of several recognized 2-D bar code formats.
  • Bar codes in HotDocs can store about 1,500 characters, including numbers and other standard text symbols.
  • Printing a form that has a bar code requires a high-density printer, such as a laser printer.
  • Bar code fields can overflow, but all overflow properties assigned to the field are ignored. When too much text is entered for a bar code, no bar code appears. If you are having trouble getting the bar code to fit in the field, you can enlarge the field or reduce the field margins. (See Resize Form Fields or Change the Borders and Margins of a Field.)

To create a bar code using predefined text

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Create a field. (See Create a Form Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, select Bar code.
  5. Type the data you want encoded in the Bar code text box. As you type the text, HotDocs displays the bar code in the underlying form field. (If you are entering a group of answers that must be interpreted by the bar code scanner as individual answers, you must separate each answer with some sort of delimiting character, such as a tilde (~) or vertical bar (|).)

    For example, Superior Court of Ada County|12 N. Elm Street|Boise|99999.

Note:
  • For information on changing the bar code specifications, see Understand Bar Code Settings.
  • To access the Field Properties dialog box, you can also right-click and select Field Properties from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Convert Answers on the Form to Bar Code Format

More... (1)

Home > All About... > Changing Field Properties > Convert Answers on the Form to Bar Code Format


HotDocs Help - Flow a Single Answer Across Two or More Pages in a Form

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Show and Hide Fields
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Flow a Single Answer Across Two or More Pages in a Form

At times, a single answer field will start at the bottom of one page and continue to the top of the next page. However, HotDocs will not allow you to create a single field that spans across both pages. You can, however, create two fields—one on each page—and then link them using the Group Fields command.

To group fields on separate pages

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Create the first field in the series of spanned fields. (See Create a Form Field.)
  3. Select the field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Overflow tab, and in the Group name box, enter a name. It can be any text as long as it is the same for each field in the group.
  5. On the following page(s), create the fields that will contain any overflow.
  6. Repeat the preceding steps for each field in the group, using the same group name as you assigned to the first field.

Now, answers that do not fit in the first field will overflow to the next field named in the group.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Flow a Single Answer Across Two or More Pages in a Form

More... (1)

Home > All About... > Changing Field Properties > Flow a Single Answer Across Two or More Pages in a Form


HotDocs Help - Check Form Fields for Answer Overflow

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Check Form Fields for Answer Overflow

HotDocs can compare the size of a field and the length of the answer. If an answer uses more space than is available in that field, HotDocs warns you and lets you resolve the overflow. Your options for resolving the overflow include reducing the answer's font size, sending answers to the addendum, editing the answer, resizing the field in which the answer is merged, and overriding the field to enter a differently formatted answer.

After you complete an interview, you can manually check for answer overflow. Also, when you direct-fill assemble a form document, HotDocs automatically checks each field when you move to another field. Finally, when you print a document, HotDocs checks for any unresolved answer overflows.

To manually check for field overflow

  1. At the HotDocs library window, select a form template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After answering the questions in each dialog, click the Form Document tab to view the assembled document.
  3. Click Check for Overflow (Tools menu). HotDocs begins comparing the size of each field and answer.
  4. If an answer is too long, HotDocs selects the field and displays the Overflow Status dialog box. Information about the status of any answers that overflow is displayed at the top of the dialog box.
  5. Make adjustments as explained in the following table:
    To | Do This
    Reduce the answer's font size to the minimum size allowed for the field | Select Shrink the answer to fit in the field. The answer's font size is reduced to a smaller point size. If the answer still doesn't fit in the answer field, you must choose another option for resolving the overflow.
    Send the answer to the addendum and insert cross-reference text in the answer field

    Select Send the answer to the addendum. The answer is moved to the addendum. HotDocs then merges text in the field that indicates the answer can be found in the addendum.

    Select Split answer if you want only the part of the answer that doesn't fit in the field to be sent to the addendum.

    Change the text of the answer, such as reduce the number of words in the answer

    Click Edit. HotDocs highlights the field that contains the answer so you can edit the text.

    Once you edit your answer, click back on the Overflow Status dialog box to have HotDocs the overflow.

    Make the answer field larger

    Click Resize. HotDocs selects the field so you can click one of its handles to resize it.

    Once you resize the answer field, click back on the Overflow Status dialog box to have HotDocs recheck the overflow.

    Override any settings or formats of the field and enter any text in the field

    Click Override and enter the text you choose in the field.

    Note: Overriding a field does not change the original answer. In fact, HotDocs continues to use the original answer in any calculations or scripts that require it. It also saves the original answer to the answer file. Choosing to override a field simply allows you to define only the text that needs to appear on the form.

    Once you override the answer field, click back on the Overflow Status dialog box to have HotDocs recheck the overflow.

    Resolve the overflow at a later time | Click Ignore. The Overflow Status dialog box is closed and you are able to work with other answer fields in the document. If you click on the overflowing answer field again, or if you check for answer overflow, you will be asked to resolve the overflow again.
    Resolve the overflow on your own | Choose Close. HotDocs highlights the overflowing field so you can change the answer in whatever way you choose.

Once you resolve the overflow, you can click Close to close the dialog box. Any other fields that overflow will display a similar dialog box.

Note: You can prevent HotDocs from checking for field overflow during assembly. See Set Rules for Handling Answer Overflow for details.
Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Check Form Fields for Answer Overflow


HotDocs Help - Customize the Look of the Addendum

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Create Independent Addendums for Forms
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Customize the Look of the Addendum

Sometimes when assembling a form document, an answer is too long for the form field. One way to resolve this overflow is to send the overflowing text to an addendum, which is a section of the form designed to display such answers. You can modify the appearance of the addendum—for example, you can choose what page margins to use, define what text appears in the headers and footers, and choose the font properties for the text that is used in the addendum. You can also define how pages are numbered in the addendum.

To change the addendum format

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Click File > Document Properties > Addendum. The Addendum Properties dialog box appears.
  3. Complete any of the following steps:
    To | Do This
    Define how much white space there is between the addendum page edges and the text in the addendum | Enter the dimensions in the Page margins group.
    Define the text that appears at the top of each addendum page

    Enter the text in the Header text box.

    To learn how to merge page numbers in the header, see Use Answer Overflow and Addendum Text Codes.

    Define the text that appears at the bottom of each addendum page

    Enter the text in the Footer text box.

    To learn how to merge page numbers in the footer, see Use Answer Overflow and Addendum Text Codes.

    Change the font properties (including font face, size, and style) of the header or footer text | In the respective Header properties and Footer properties groups, click the Font button and make the changes at the Font dialog box.
    Define how much vertical space the header or footer text requires | In the respective Header properties and Footer properties groups, enter a number in the Height box.
    Change the alignment of the header or footer text | In the respective Header properties and Footer properties groups, click the Alignment button and choose your alignment option.
    Define the font properties (including font face, size, and style) for answers that appear in the addendum | In the Addendum entries group, click the Font button and make your changes at the Font dialog box.
    Define how much space there should be between the addendum label and the answer | In the Addendum entries group, enter a number in the Indentation box.
    Define how much space there should be between each answer in the addendum | In the Addendum entries group, enter a number in the Space between box.
    Make the addendum appear as a pleading paper | Select Number lines to format as pleading paper.

Once an answer has been sent to the addendum, you cannot edit the actual addendum—you must either modify your answers at the Form Document tab or Interview tab, or you must send the addendum to the word processor (choose File > Send Addendum To > Word Processor). You can also send the addendum to the Windows Clipboard (choose File > Send Addendum To > Clipboard) to paste it into a different program for editing.

Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Customize the Look of the Addendum

More... (1)

Home > All About... > Defining Form Overflow Properties > Customize the Look of the Addendum


HotDocs Help - Define Overflow Properties for a Regular Field

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Create Independent Addendums for Forms
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Define Overflow Properties for a Regular Field

When an answer is too large to fit in its field, HotDocs, by default, warns you and asks how to handle the overflow. You can customize the field overflow properties, controlling how HotDocs automatically handles answer overflows.

For example, you can have HotDocs automatically create an addendum, where each answer that overflows is sent. In the field that overflows, HotDocs can insert cross-reference text that points you to a specific item in the addendum. You can designate the text that is used both for the cross-reference and for the label in the addendum.

Another option is for you to have HotDocs automatically reduce the answer’s font size. You can set a minimum point size and control if the answer is automatically reduced to this size before displaying an overflow warning message. (Be careful reducing the font size since others may find the smaller size harder to read.) (See Change the Font Used for a Field.)

How you define overflow properties depends on the type of field you are creating. For example, in an addendum, grouped fields are handled a little differently from regular fields. See Define Overflow Properties for Run-on Fields.

To set overflow properties for regular fields

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the field whose overflow properties you want to define.
  3. Click the Field Properties Field Properties button and click the Overflow tab.
  4. Complete any of the following steps:
    To | Do This
    Automatically shrink an answer that overflows to a specific point size | Select Shrink answer as needed and enter a point size in the points box.
    Automatically send an answer that overflows to the addendum | Select Send answer to addendum. (To send only part of a multi-line answer to the addendum, select Split answer. (See Split a Multi-Line Answer Between the Form and the Addendum.)
    Define the text that appears in the answer field when an answer is sent to the addendum | Enter the text in the Cross-reference text box. (See here for a list of reference numbering codes you can use.)
    Define the text that identifies the answer once it has been sent to the addendum | Enter the text in the Addendum label text box.
    Make an answer the first item on its addendum page | Select Begin addendum entry on a new page.
    Make an answer the last item on its addendum page | Select Begin new page following addendum entry.
Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Define Overflow Properties for a Regular Field

More... (1)

Home > All About... > Defining Form Overflow Properties > Define Overflow Properties for a Regular Field


HotDocs Help - Split a Multi-Line Answer Between the Form and the Addendum

Overviews

  • Overview: Assemble a Form Document

How Do I...?

  • Select a Field
  • Assemble a Fillable PDF Document
  • Change the Borders and Margins of a Field
  • Change the Font Used for a Field
  • Change the Tab Order of Fields
  • Check Form Fields for Answer Overflow
  • Choose Default Form Printing Options for a Form
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Copy One or More Form Fields
  • Create a Form Field
  • Create Independent Addendums for Forms
  • Cross Out Static Text on the Form
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Detect Borders to Create or Resize a Field
  • Edit a Saved Form Document
  • Enter Answers Directly at the Form Document Tab
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Resize Form Fields
  • Rotate Answers in a Field
  • Split a Multi-Line Answer Between the Form and the Addendum
  • Ungroup Form Fields
  • View the Assembled Form Document

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Split a Multi-Line Answer Between the Form and the Addendum

When creating multi-line fields, you can select an overflow option that sends either all of the answer to the addendum, or only the part of the answer that doesn't fit in the field to the addendum.

When you split the answer between the form and the addendum, you can customize the reference and label text, based on your selection. For example, if you choose to send the entire answer to the addendum, you can specify See Addendum 1 as the cross-reference text. However, if you choose to send just part of the answer, you can specify Continued in Addendum 1 as the reference text.

To choose overflow options for a multi-line answer

  1. Create a multi-line field. (See Create a Form Field.)
  2. Select the field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  3. Click the Overflow tab. The view changes to show overflow options.
  4. Complete any of the following steps:
    To Do This
    Always send the answer to the addendum without prompting the user

    Select Send answer to addendum.

    To send just the part of the answer that doesn't fit in the field to the addendum, select Split answer.

    Specify the text that will be merged in the field as well as the addendum if the user chooses just to send to addendum

    Enter the text in the Cross-reference text and Addendum label text boxes, respectively.

    To specify alternate text that will be merged in the field and addendum if the user chooses to split the answer between the form and the addendum, type a vertical bar (|) and then enter the alternate text after the bar. For example:

    Cross-reference text: See Addendum 1|Continued in Addendum 1

    Addendum label text: Addendum 1|(con't) Addendum 1

Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Working with Assembled Form Documents > Split a Multi-Line Answer Between the Form and the Addendum

More... (1)

Home > All About... > Defining Form Overflow Properties > Split a Multi-Line Answer Between the Form and the Addendum


HotDocs Help - Creating Template and Document Summaries

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Creating Template and Document Summaries

Overview: Question and Answer Summaries

View a Question Summary

View an Answer Summary

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Template and Document Summaries


HotDocs Help - Overview: Question and Answer Summaries

How Do I...?

  • View a Question Summary
  • View an Answer Summary

Overview: Question and Answer Summaries

Some projects may require a printout of the information in the template. A Question Summary lists each question followed by a blank space so an answer can be written in, as if being filled out like a questionnaire. An Answer Summary lists each question and the associated answer. These printouts can be concise records of exactly what information was used when the document was assembled.

The following is an example of an Answer Summary:

Note:
  • You can specify a one-column or two-column format for your summaries. In one-column format, dialogs, questions, and answers are displayed as an indented outline. In two-column format, the information is presented as a table, with each answer appearing on the same row as its question. (See Change the Way Question and Answer Summaries Appear.)
  • If you're assembling a form document, you can create a questionnaire by printing a blank copy of the form itself.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Template and Document Summaries > Overview: Question and Answer Summaries


HotDocs Help - View a Question Summary

Overviews

  • Overview: Question and Answer Summaries

How Do I...?

  • View a Question Summary
  • View an Answer Summary

View a Question Summary

You can create a concise list of the questions that appear in an interview. This can be useful when you want to create a questionnaire, gathering information from one person so that a second person can enter the information using HotDocs. A question summary can also give a quick overview of what questions will be asked during an interview.

You can format a question summary to appear as an indented bullet list, or as a table with one column for questions and a second column for answers. (See Change the Way Question and Answer Summaries Appear.) Also, in a question summary, you can control which conditional sections are included. (See Control Which Variables are Asked in a Question Summary.)

To assemble a question summary

  1. Assemble a text or form document. (See Assemble a Text or Form Document.)
  2. At the assembly window, click the Question Summary tab. The assembly window shows the HotDocs variables and other information about the template. (To hide or show the tab, choose Question Summary Tab at the View menu.)
  3. Optionally, complete any of the following tasks:
    To | Do This
    Print a copy of the summary | Click the Print Summary Print button.
    Attaches the summary (in HTML format) to an e-mail message to send to another person | Choose Send Summary to Mail Recipient (File menu).
    Send the summary to the word processor so you can edit it or format it | Click the Send to Word Processor Send Summary to Word Processor button.
    Save a copy of the summary as an HTML document | Click the Save Document Save Summary button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Template and Document Summaries > View a Question Summary


HotDocs Help - View an Answer Summary

Overviews

  • Overview: Question and Answer Summaries

How Do I...?

  • View a Question Summary
  • View an Answer Summary

View an Answer Summary

An answer summary is a list of the questions and the answers in an assembled document. It provides a way to quickly scan and review information, rather than reading through a document or paging through dialogs in the assembly window.

You can format an answer summary to appear as an indented bullet list, or as a table with one column for questions and a second column for answers. (See Change the Way Question and Answer Summaries Appear.)

To view an answer summary

  1. At the HotDocs library window, select a template and begin assembling a document. (See Assemble a Text or Form Document.)
  2. After answering the questions, click the Answer Summary tab. The assembly window shows the HotDocs variables and the answers you have entered in the interview.
  3. Optionally, perform any of the following tasks:
    To | Do This
    Print a copy of the summary | Click the Print Summary Print button.
    Attaches the summary (in HTML format) to an e-mail message to send to another person | Choose Send Summary to Mail Recipient (File menu).
    Send the summary to the word processor so you can edit it or format it | Click the Send to Word Processor Send Summary to Word Processor button.
    Save a copy of the summary as an HTML document | Click the Save Document Save Summary button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating Template and Document Summaries > View an Answer Summary


HotDocs Help - Answer Files: Saving Answer Files

All About...

  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Answer Files: Saving Answer Files

Overview: Save Answers

Create a New Answer File

Create a Default Answer File

Suggest an Answer File for Every Assembly

Save an Answer File During Assembly

Switch Answer Files During Assembly

Attach an Answer File to an E-mail Message

Spell Check Answers

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files


HotDocs Help - Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Overview: Save Answers

When you assemble a document, you can save the answers you enter in an answer file, which can then be used later to recreate the same document or assemble other documents that require the same information.

For example, perhaps you are creating several estate planning documents that require much of the same information, like names, addresses, and important dates. You can save your answers in an answer file and then use that answer file when assembling other estate planning documents. This eliminates the need to re-enter information you've already provided. Answer files are saved in XML format.

You can organize your answer files with the Answer File Manager, or you can use Windows Explorer to manage your answer files. (See Manage Answer Files.)

Note: See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs for details on making answer files compatible with versions of HotDocs prior to HotDocs 2009 and HotDocs 10.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Overview: Save Answers


HotDocs Help - Create a New Answer File

Overviews

  • Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Create a New Answer File

Often, you want to save answers you enter during an interview so they can be used with other interviews. Saving answers in an answer file and then reusing those answers keeps you from having to enter the same information multiple times.

To create a new answer file by assembling a document

  1. At the HotDocs library window, select a template and begin assembling a document with a new, untitled answer file. (See Assemble a Text or Form Document.)
  2. Answer the questions in the interview and click the Save Answers Save Answers button. The Save Answer File dialog box appears.
  3. In the File name box, enter a file name. (To save the answer file in a folder other than the default Answers folder, click the Browse Browse button and select a location.)
  4. In the Title box, enter a name for the new answer file. This name will identify the answer file in Answer File Manager.
  5. Optionally, type a note in the Description box to help identify the answer file. (The description will appear at the Properties tab of Answer File Manager. When searching for specific answer files, you can search based on text in the description.)
  6. If the answer file will be used with HotDocs 2005-2008, select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.)
Note:
  • To save an existing answer file as a new answer file, choose Save As (File menu) and enter a new name for the answer file. To create a new, empty answer file while in Answer File Manager, click the New Answer File New Answer File button and enter the appropriate information about the file you want to create.
  • By default, answer files are saved in the answer file folder specified during installation (for example C:\Documents and Settings\Username\My Documents\HotDocs\Answers). To change this default location, see Change HotDocs Program File Locations.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Create a New Answer File


HotDocs Help - Create a Default Answer File

Overviews

  • Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Create a Default Answer File

When certain answers are used frequently in a specific document, you can have those answers automatically inserted each time you assemble the document. To do this, create a default answer file for that document.

A default answer file must be saved to the same folder as the template's component file. It must also have the exact same file name as the component file, but the file name extension must be either .ANX or .ANS. In most cases, the file name and path for the component file are identical to the file name and path for the template file. (The exception would be if the template is pointing to a shared component file, in which case you would use the shared component file name.) You can find this information by selecting the template at the HotDocs library window and viewing the Properties tab.

To create a default answer file for a document

  1. At the HotDocs library window, select a template and begin assembling the document, using a new answer file. (See Assemble a Text or Form Document.)
  2. Type information for only the answers you want to be default answers.
  3. Click the Save Answers Save Answers button. The Save Answer File dialog box appears.
  4. At the File name box, click the Browse Browse button and locate the folder that contains the component file. Then enter a name that matches the component file's name, followed by an answer file name extension. For example, if the component file is named Invoice.cmp, the answer file name would be Invoice.anx.
  5. In the Title box, type a name for the default answer file.
  6. Optionally, in the Description box, type a description for the answer file.
  7. If the answer file will be used with HotDocs 2005-2008, select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.)

The next time you assemble the document, HotDocs automatically inserts the answers from the default answer file into the template's answer fields. You can then modify the answers as necessary and save a new answer file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Create a Default Answer File


HotDocs Help - Suggest an Answer File for Every Assembly

Overviews

  • Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Suggest an Answer File for Every Assembly

You may use a certain answer file more frequently than any others. You can select an option that will automatically suggest that answer file every time you assemble a document.

To suggest an answer file for every assembly

  1. At the HotDocs library window, select a template and click Assemble Assemble. The Answer File dialog box appears.
  2. Click the Open Answer File Open Answer File button. The Open Answer File dialog box appears.
  3. Choose an answer file and click Select Select. The Answer File dialog box appears again.
  4. Select Automatically select this answer file for use with the next assembly, then click OK.

The next time you assemble any document, the same answer file will automatically be selected at the Answer File dialog box. To change the answer file, click the Open Answer File Open Answer File button and choose a different file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Suggest an Answer File for Every Assembly


HotDocs Help - Attach an Answer File to an E-mail Message

Overviews

  • Overview: Save Answers

How Do I...?

  • Attach an Answer File to an E-mail Message
  • Create a Default Answer File
  • Create a New Answer File
  • Save an Answer File During Assembly
  • Spell Check Answers
  • Suggest an Answer File for Every Assembly
  • Switch Answer Files During Assembly

Attach an Answer File to an E-mail Message

After gathering information in an interview, you may need to send those answers to another user. You can do this by attaching the answer file to an e-mail message.

Caution:Internet-based e-mail services are not compatible with this feature. You must have an e-mail program, such as Microsoft Outlook, installed on your computer.

To attach an answer file to an e-mail message

  1. At the HotDocs library window, select a template and begin assembly. (See Assemble a Text or Form Document.)
  2. After completing the interview, click Send Answers To (File menu). The Send Answers to Mail Recipient dialog box appears.
  3. In the Attachment name box, enter a name for the answer file attachment. Make sure to leave the file name extension on the attachment name.
  4. Optionally, if you want the answer file to be compatible with versions of HotDocs prior to HotDocs 2009, select HotDocs 2005-2008 answer file.
  5. Click OK. HotDocs opens an e-mail message and attaches the answer file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Saving Answer Files > Attach an Answer File to an E-mail Message


HotDocs Help - Answer Files: Using Answer File Manager

All About...

  • Answer Files: Saving Answer Files
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Answer Files: Using Answer File Manager

Overview: Use Answer Management

Open and Close Answer File Manager

Add an Answer File to Answer File Manager

Work with Answer File Manager

Add, Modify, and Delete Folders in Answer File Manager

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager


HotDocs Help - Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Overview: Use Answer Management

By default, each answer file you create or use is managed through the Answer File Manager. The Answer File Manager is similar to the HotDocs template library in that it allows you to organize your answer files according to project specifications. It also lets you sort and search for answer files. (See Overview: Use HotDocs Libraries.)

At times you may prefer to not use the Answer File Manager. For example, you can manage answer files using a document manager instead of Answer File Manager. Or, if you have multiple users accessing the same set of answer files, you can use Windows Explorer, since only one person can have write access to Answer File Manager. (All other users have read-only access, which keeps them from saving or adding answer files to the answer library.)

Note: HotDocs 6 through HotDocs 2008 supported binary answer libraries (or answer libraries with the .HAL file name extension). Starting with the release of HotDocs 2009, however, HotDocs now supports both binary answer libraries and XML-based answer libraries (which use the .HDL file name extension). By default, HotDocs will continue to use binary answer libraries as long as the file properties of items in the library use characters that are compatible with your system's default language. If you define answer file properties that contain foreign characters, HotDocs will create an XML-based answer library (so that it can properly display these characters in the Properties tab of the library window.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Overview: Use Answer Management


HotDocs Help - Open and Close Answer File Manager

Overviews

  • Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Open and Close Answer File Manager

When you use Answer File Manager to manage your answer files, you have greater control over the organization of your files (see Work with Answer File Manager). To use Answer File Manager, however, you must first open it.

To open Answer File Manager

  • At the HotDocs library, click the Answer File Manager Answer File Manager button. Answer File Manager appears.

To close Answer File Manager

  • At Answer File Manager, click the X in the upper-right corner of the dialog box.
Note: You can also open Answer File Manager by choosing Answer File Manager at the Tools menu. To close Answer File Manager using the keyboard, press Alt+F4.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Open and Close Answer File Manager


HotDocs Help - Add an Answer File to Answer File Manager

Overviews

  • Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Add an Answer File to Answer File Manager

Answer File Manager allows you to organize your answer files. When you save your answers after an interview, a reference to the file is automatically added to Answer File Manager. When you need to use answer files that someone else has created (or if you have created them while using Windows Explorer to manage your files), you must add the files to Answer File Manager.

There are two ways to add an answer file to an answer library. You can import the answer file or you can add it using the Add Answer File Add button.

To import an answer file

  1. At the HotDocs library window, click the Answer File Manager Answer File Manager button. Answer File Manager appears.
  2. Click Import Import. The Import Answer File dialog box appears.
  3. Browse to and select the file you want to import. HotDocs confirms you want to import the file.
  4. Click Yes. The answer file is added to Answer File Manager. The file is also automatically included in any answer file drop-down lists.

To add an answer file to Answer File Manager using Add

  1. At the HotDocs library window, click the Answer File Manager Answer File Manager button. Answer File Manager appears.
  2. Click the Add Answer File Add button. The Add Item dialog box appears.
  3. In the File name box, enter the path and file name of the answer file you want to use (or click Browse Browse to locate and open the file).
  4. In the Title box, enter a name for the answer file. This title will identify the answer file in Answer File Manager.
  5. Optionally, in the Description box, enter a description to help you identify the answer file. (This description appears at the Properties tab, and can be used when searching for specific answer files.)
Note:
  • By default, answer libraries are saved in binary format, which does not support the use of international characters. If you attempt to add an answer file that contains international characters in its properties to Answer File Manager, HotDocs will prompt you to choose whether to create a new, XML-based answer library (which will support these characters) or convert the foreign characters to an approximate character that can be read in binary format. If you choose to create a new XML-based library, HotDocs 2005-2008 will continue to use the older binary-format library, while HotDocs 10 and HotDocs 2009 will use the XML-based library.
  • If the answer file is located in a folder other than the default Answers folder, you can import the file, which copies the file to the default Answers folder and adds it to Answer File Manager. To do this, click Import Import and then locate the answer file.
  • When adding files to the library, press Ctrl or Shift to select multiple files at once.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Add an Answer File to Answer File Manager


HotDocs Help - Work with Answer File Manager

Overviews

  • Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Work with Answer File Manager

Answer File Manager helps you organize answer files, much like a HotDocs library helps you organize templates and clause libraries.

When you save answer files, they are added to Answer File Manager. Once added, you can organize the files and modify the properties of the files. In addition, you can view an answer file's history—a list of dates and times the answer file was used, including the template with which it was used. Finally, the Answer File Manager lets you preview the answers currently saved in an answer file.

Note: By default, answer libraries are saved in binary format, which does not support the use of international characters. If you are using a binary answer library and you either add an answer file that contains foreign characters in its properties to the library, or you change the properties or an existing file to include foreign characters, HotDocs will prompt you to either convert the answer library to XML format or manually remove the characters from the file's properties. If you choose to convert the answer library to XML format, you will have two answer libraries—one that works with HotDocs 2008 and earlier and one that works with HotDocs 2009 and later. (A third option allows you to keep the library in its current, non-XML format, but HotDocs will replace characters that are not compatible with your system's default language with the closest approximation available. Usually this means HotDocs will use question marks or square box characters.)

To display Answer File Manager

  1. At the template library, click the Answer File Manager button. The Answer File Manager dialog box appears.
  2. Complete any of the tasks described in the following table:
    To | Do This
    Create a new, empty answer file | Click the New Answer File New button. (See Create a New Answer File.)
    Add an existing answer file to the library

    Click the Add Answer File Add button. (See Add an Answer File to Answer File Manager.)

    To add multiple files one at a time, press Ctrl or Shift to select several files.

    Remove a reference to an answer file and optionally delete the actual file from disk | Select the answer file, then click Remove Answer File Remove.
    Simultaneously copy an answer file you receive to the Answers folder and add it to the answer library | Click Import Answer File Import. The Import Answer File Name dialog box appears, where you can browse to the answer file and select it. When you click OK, the file is copied to the Answers folder and added to the library.
    Sort answer files in alphanumeric order, based on answer file titles | Select a folder, then click the Sort Answer Files Sort button. The contents of the folder are reorganized.
    Search for a specific answer file | Select Find, then type the text from the answer file's title or description for which you are searching in the text box. Only files that have matching text in their title or description are shown.
    View the answers currently saved in an answer file

    Select the answer file, then click the Contents tab.

    In the Contents tab, you can sort the columns by clicking the column headings.

    View the history of when the selected answer file was used to assemble various templates | Select the answer file, then click the Properties tab.
    Change the title, path, file name, description, or format of an answer file

    Select the answer file, then click the Properties Properties button and make the necessary changes.

    Caution: Changing the file path does not change the location of the actual answer file. If you change the file path without moving the actual file to the new location on disk, that answer file will not be accessible.
    Add a folder so that you can better organize groups of answer files | Click the Add Answer File Add button, then select Folder at the Type drop-down box. (See Add, Modify, and Delete Folders in Answer File Manager.)
    Modify a folder's title or description | Select the folder, then click Properties Properties. (See Add, Modify, and Delete Folders in Answer File Manager.)
    Delete a folder | Select the folder, then click Remove Remove. HotDocs asks what you want to do with any answer files within the folder. (See Add, Modify, and Delete Folders in Answer File Manager.)
    Move an answer file into a folder | Double-click the folder to open it, then select the answer file and drag it to the folder.
    Change the format of an answer file so it is compatible with a specific version of HotDocs | Select the answer file, and then click Properties Properties. The Item Properties dialog box appears where you can select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs for details.)
    Use Windows Explorer to access answer files instead of Answer File Manager | Change the setting at the HotDocs Options dialog box. (See Manage Answer Files.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Work with Answer File Manager


HotDocs Help - Add, Modify, and Delete Folders in Answer File Manager

Overviews

  • Overview: Use Answer Management

How Do I...?

  • Add an Answer File to Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager
  • Open and Close Answer File Manager
  • Work with Answer File Manager

Add, Modify, and Delete Folders in Answer File Manager

To help organize your answer files, you can place them in folders and subfolders within Answer File Manager.

To add a new folder

  1. At the HotDocs library window, click the Answer File Manager Answer File Manager button. The Answer File Manager appears.
  2. Click the Add Answer File Add button. The Add Item dialog box appears.
  3. In the Type drop-down list, select Folder. The dialog box changes to show the options needed for new folders.
  4. In the Title field, enter a folder name.
  5. Optionally, in the Description field, enter notes to explain why the folder was created, or what kinds of answer files it contains. (This description appears at the Properties tab, and can be used when searching for specific answer files.)
  6. Click OK. The folder is added to the answer library. You can work with the folder using the following commands:
    To | Do This
    Move an answer file to a specific folder | Double-click the folder to open it, then select an answer file and drag it to the folder.
    Modify the title or description | Select the folder and click the Properties Properties button. The Item Properties dialog box appears, where you can change the title or description.
    Sort the contents of a folder in alphanumeric order | Select the folder and click Sort Sort. The answer files are rearranged based on title.
    Remove a folder | Select a folder and click Remove Remove. If you want to remove the items in the folder as well, select Remove the unselected items contained in the selected folders. Otherwise, any files referenced in the folder will be moved to the next folder level.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Answer Files: Using Answer File Manager > Add, Modify, and Delete Folders in Answer File Manager


HotDocs Help - Using Published and Web-Based Files

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Assembling Documents Linked to a Database
  • Completing an Interview
  • Creating Template and Document Summaries
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Using Published and Web-Based Files

Overview: Use Published Files on the Internet

Register HotDocs to Work with Web Browsers

Add an Auto-Assemble File on the Internet to a HotDocs Library

Download Auto-Assemble Files for Use Offline

Install a Template Set

Check for Template Set Updates

Upload Answers

Add a Web Page to a HotDocs Library

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files


HotDocs Help - Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Overview: Use Published Files on the Internet

When you install HotDocs, the installation program sets up HotDocs as a helper program for Microsoft Internet Explorer. This makes it possible for the browser to communicate with HotDocs. When you click on a hyperlink to an auto-install or auto-assemble file, the browser starts HotDocs and sends it the file. Then HotDocs begins installing or assembling the file.

In HotDocs, you can also add auto-assemble files from the Internet or from a corporate intranet to your HotDocs library. This allows you to access the files without starting your browser. If you will be unable to connect to the Internet at the time of assembly, you can download and cache copies of the auto-assemble files for use offline. If you add the URL for a Web page to a HotDocs library, you can start your browser from within HotDocs and display that Web page.

In HotDocs, if you are using a template that has been enabled for answer uploading, you can upload the answers you used to assemble a document to a Web server. (Note, however, that the URL of the Web server must be specified by the template developer.)

Finally, if you use a browser other than Internet Explorer, you may need to manually register HotDocs to work with your browser.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Overview: Use Published Files on the Internet


HotDocs Help - Register HotDocs to Work with Web Browsers

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Register HotDocs to Work with Web Browsers

If HotDocs is registered as a helper program with your Web browser, you can click on a HotDocs auto-install (.HDI) or auto-assemble (.HDA) file listed on a Web page and have your browser start HotDocs and pass the file to it.

The HotDocs installation program automatically registers HotDocs with Microsoft Internet Explorer. If you use a different Web browser, you will need to register HotDocs as a helper program yourself. Specific instructions for your browser should be available in your browser’s online help system. (Search for the keywords MIME types, file types, helper programs, or associations.)

To register HotDocs with a Web browser (other than Internet Explorer)

  1. Find your browser’s list of MIME types. A MIME type is an association that tells the browser what to do when you download a particular type of file. Each entry in the list of MIME types consists of a MIME type, one or more associated file name extensions, and an action to take on files of this type—usually either by displaying the file in the browser, by using a plug-in to view it, or by starting a helper program. Depending on the browser, each entry may also have a descriptive name.
  2. For HotDocs auto-assemble files, make an entry in the MIME types list using the following settings:
    Option | Value
    Name (optional) | HotDocs Auto-Assemble File
    MIME type | application/x-hotdocs-auto
    Extension | hda
    Launch Application

    hd_dispatch.exe /ha=

    Note: By default, the launch application executable is found in C:\Program Files\HotDocs 6.
  3. For HotDocs auto-install files, make an entry in the MIME types list using the following settings:
    Option | Value
    Name (optional) | HotDocs Auto-Install File
    MIME type | application/x-hotdocs
    Extension | hdi
    Launch Application

    hd_dispatch.exe /hi=

    Note: By default, the launch application executable is found in C:\Program Files\HotDocs 6.
  4. Save these settings and restart your browser.
Note: If you upgrade or change browsers after installing HotDocs, you may need to reinstall HotDocs so it will be registered correctly with the new browser.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Register HotDocs to Work with Web Browsers


HotDocs Help - Add an Auto-Assemble File on the Internet to a HotDocs Library

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Add an Auto-Assemble File on the Internet to a HotDocs Library

You can add an auto-assemble file located on the Internet to the HotDocs library. You must know the URL for the file’s location on the Internet or intranet. When you select the auto-assemble file at the library window, and click the Assemble button, HotDocs downloads the file and begins assembling.

To make sure you always have the most current version of the auto-assemble file, you must be connected to the Internet at the time you assemble it. Otherwise, HotDocs uses the version of the file that has been cached.

To add an Internet-based auto-assemble file to a library

  1. At the HotDocs library window, select the folder in which you want the auto-assemble file and click the Add Add button. The Add Item dialog box appears.
  2. In the Type drop-down list, select Auto-Assemble File.
  3. At the File name box, type the URL for the file's location on the Internet or intranet, or click the Browse Browse button to locate the file on your local disk or network and click OK.
    Note: Make sure the URL is entered correctly. If you don’t include http:// or https:// or ftp:// (or if you are missing a slash or a colon), HotDocs will treat the URL as a regular file path.
  4. In the Title box, type a title for the auto-assemble file. The title identifies the file in the template library.
  5. Optionally, type a description in the Description box. The description appears at the Properties tab.
Note: The first time you use an auto-assemble file that is stored on a Web server to assemble a document, HotDocs caches the HDA on your hard disk. Then, each time you use the file, it checks to see if a newer version of the file is available and, if so, automatically downloads it. You can also force HotDocs to check for newer versions by choosing Refresh Cache from the Tools menu. (See Download Auto-Assemble Files for Use Offline.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Add an Auto-Assemble File on the Internet to a HotDocs Library


HotDocs Help - Download Auto-Assemble Files for Use Offline

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Download Auto-Assemble Files for Use Offline

In HotDocs, you can download the latest version of an auto-assemble (.HDA) file and store it on your local drive. When you are assembling, if HotDocs can't connect to the Internet or intranet, it uses the local copy.

To download auto-assemble files for use offline

  1. At the HotDocs library window, select the auto-assemble file you want to download. You can download all the auto-assemble files in a folder by selecting the folder.
  2. Click Refresh Cache (Tools menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Download Auto-Assemble Files for Use Offline


HotDocs Help - Install a Template Set

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Install a Template Set

Some template sets are published as an auto-install file. Because these templates are published, you can't simply add the templates to an existing library. Instead, you must first install them. When you do, HotDocs installs the library and templates to the locations you specify. You can then access the templates.

To install a template set

  1. At the HotDocs library window, click Install Templates (File menu). The Install Templates dialog box appears.
  2. Locate and select the auto-install (.HDI) file you want to install, then click Install. The Install Template Set dialog box appears.
  3. At the Specify where the templates should be installed box, accept the suggested Template Sets folder location, or click the Browse Browse button to choose a different location.
  4. Click the Choose where the library file should be installed drop-down button and choose whether to save the library to the shared Templates folder, the user-specific Libraries folder, or, if you installed the templates to a custom folder in step 3, to the same folder as specified for the templates.
  5. Click OK. HotDocs installs the template set (including the library) to the locations you specified.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Install a Template Set


HotDocs Help - Check for Template Set Updates

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Check for Template Set Updates

If you are using a published template set, HotDocs can check for updates to the set at regular intervals and notify you when updates are available. Updates can include new or revised template files, or they may include an important message from the template provider. Although the frequency of automatic update checks is set by the template provider, you can manually check for template set updates at any time.

To check for template set updates

  1. At the HotDocs library window, click Update Template Sets (Tools menu). The Update Template Sets dialog box appears.
  2. Select the template sets for which you want to check for updates, then click OK. The Template Set Update Progress dialog box appears, showing the progress as HotDocs checks for updates.
  3. When HotDocs has finished checking for updates, the Install Template Set Updates dialog box appears, displaying a list of updates. You can work with this list as described in the following table:
    To | Do This
    Install specific update items | Select Install for each item you want to install.
    Discard an update item to prevent HotDocs from prompting you to install the update | Select Discard for the item. If this box is disabled, the template provider has marked it as a required update and it cannot be discarded. (You can choose to not install the update, but it will be displayed every time you check for updates.)
    View a list of discarded updates | Select Discarded updates. The list changes to include discarded items.
    View a list of all installed updates | Select Installed updates. The list changes to include installed updates.
    Reinstall an update | Select Installed updates, then select the update you want to reinstall from the list.
  4. Click Continue. HotDocs installs the selected updates.
Note: You can hide the Template Set Update Progress dialog box or choose which template sets are checked for updates in the HotDocs Options dialog box. (See Determine How Frequently HotDocs Checks for Template Set Updates.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Check for Template Set Updates


HotDocs Help - Upload Answers

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Upload Answers

If a template has been enabled for answer uploading, the answers you provide to assemble a document can be uploaded to a Web server. The template developer specifies where and when answers will be uploaded. The developer may also specify that HotDocs automatically uploads the answers.

To upload answers

  1. If a template is enabled for uploading answers, HotDocs automatically displays the Upload Answers dialog box after you assemble a document and close the assembly window. (If the Upload Answers dialog box doesn't appear, it means either that the template isn't enabled for answer uploading, or that the template developer specified that HotDocs must always upload the answers.)
  2. Click one of the upload buttons to finish the upload process: Upload Now (uploads the answers immediately), Upload Later (lets you upload either when you start or exit HotDocs), or Don't Upload (doesn't upload the answers at all).
Note:
  • If errors occur when HotDocs tries to upload the answers (or if you click the Upload Later button), HotDocs creates a data file that contains the information needed about the files you need to upload. Then, every time HotDocs starts or closes, it checks to see if files are waiting to be uploaded and prompts you to upload them.
  • If you choose to Upload Later, you can then upload the files from the library window at any time by clicking Upload Answers (Tools menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Upload Answers


HotDocs Help - Add a Web Page to a HotDocs Library

Overviews

  • Overview: Use Published Files on the Internet

How Do I...?

  • Add a Web Page to a HotDocs Library
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Check for Template Set Updates
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Register HotDocs to Work with Web Browsers
  • Upload Answers

Add a Web Page to a HotDocs Library

You can include a URL in a HotDocs template library, making it possible to open a Web page and download published files. You can also use a URL to link to a support site where information about the template set is available.

When you click a URL in the template library, HotDocs launches a Web browser and displays the specified Web page.

To add a Web page to a template library

  1. At the HotDocs library, open the folder to which you want to add the URL.
  2. Click the Add Add button. The Add Item dialog box appears.
  3. At the Type drop-down list, select Web Address.
  4. In the URL box, enter the URL. Or, click the Browse Browse button to locate the address. Then close the browser window to save the URL to the Add Item dialog box.
    Note: Make sure the URL is entered correctly. If you don’t include http:// or https:// or ftp:// (or if you are missing a slash or a colon), HotDocs will treat the URL as a regular file path.
  5. In the Title box, enter a title for the URL. The title identifies the item in the template library.
  6. Optionally, type a description in the Description box. The description appears at the Properties tab.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Published and Web-Based Files > Add a Web Page to a HotDocs Library


HotDocs Help - Assembling Documents Linked to a Database

All About...

  • Answer Files: Saving Answer Files
  • Answer Files: Using Answer File Manager
  • Completing an Interview
  • Creating Template and Document Summaries
  • Using Published and Web-Based Files
  • Working with Assembled Form Documents
  • Working with Assembled Text Documents

Assembling Documents Linked to a Database

Overview: Assemble Documents Linked to a Database

Select Records During Document Assembly

Sort Database Records During Assembly

Filter Database Records During Assembly

Save Selected Records in an Answer File

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database


HotDocs Help - Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Overview: Assemble Documents Linked to a Database

For the most part, templates linked to database tables are assembled just like regular unlinked templates. However, instead of entering answers to questions, you select a record or records from a database table and HotDocs uses the information in those records and merges them into the assembled document. You can save your record selections in a HotDocs answer file.

Depending on how the template was designed, you may also have the ability to sort and filter records you view in the database table.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Overview: Assemble Documents Linked to a Database


HotDocs Help - Select Records During Document Assembly

Overviews

  • Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Select Records During Document Assembly

Instead of displaying questions during the interview for which you must enter individual answers, HotDocs presents a list of records from which you can choose. The information in the record or records you select will be merged into the assembled document.

In some situations, the template developer may allow you to select multiple records from the table, for example, to create a list of answers.

To select records from a database table

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. When a database table appears, click a single row in the table, or press and hold either Shift or Ctrl to click multiple rows.
  3. If selecting a single row, complete the following steps:
    1. Click Select. HotDocs places the record in the Selected Item pane of the assembly window. (You can also double-click a record and have it automatically placed in the Selected Item pane.)
    2. Click Next. HotDocs merges the answers from the database record into the assembled document.
  4. If selecting multiple rows, complete the following steps:
    1. Click Select. HotDocs adds the records you just selected to the Selected Items pane of the assembly window. (Additionally, to select multiple records, double-click the cell that uses a thicker border in the last record you selected.)
    2. Optionally, select a record and click the Up Up button (moves the record up to the next row in the list of records) or the Down Down button (moves the record down to the next row in the list of records). You can also click the column headings of the Selected Items list to automatically sort selected rows by any field. (These options are available if the template developer has given you permission to sort your records. If these buttons do not appear, you cannot change the order of selected rows.)
    3. Click Next Next. HotDocs merges the answers from the database into the assembled document.
Note:
  • If the template developer has assigned a filter to the table, you may see different results. For example, if only one record meets the filter criteria, that record will automatically be merged into the document without appearing in the interview. Similarly, if no records meet the filter criteria, HotDocs will ask the questions and allow you to enter your own answers. Finally, in some situations, the template developer may have opted to have any selections returned by the filter automatically merged into the assembled document without first prompting you.
  • To remove a selected record, you can either select a different record, or you can click Clear Clear.
  • To remove a single selected record from the Selected Items list, select the record and click Clear. To remove all selected records from the list, click Clear All.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Select Records During Document Assembly


HotDocs Help - Sort Database Records During Assembly

Overviews

  • Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Sort Database Records During Assembly

If the template developer has allowed it, you can sort the list of records in the database table to show the records in ascending (A to Z,1 to 9) or descending (Z to A, 9 to 1) order. You can sort on any column in the table. Additionally, if the template developer has allowed you to select multiple records (in order to create a list of answers), you can choose which order the answers will be merged into the document.

To sort database records in alphanumeric order

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. When the database table appears, click the heading for the column on which you want to sort. HotDocs sorts the list in alphanumeric order (A to Z, 1 to 9.)
  3. Optionally, to sort the list in reverse alphanumeric order, click the column heading again. HotDocs lists the entries from Z to A, 9 to 1.
  4. Optionally, if you have selected multiple records and want to control the order the answers are merged into the assembled document, click a record in the Selected Items list and then click the Up button (moves the record up to the next row in the list of records) or the Down button (moves the record down to the next row in the list of records). You can also click the column headings in the Selected Items list to automatically sort the selected items by any field.
Note: You may also be able to filter the list of records to show only those you think will be relevant to your selection. See Filter Database Records During Assembly for details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Sort Database Records During Assembly


HotDocs Help - Filter Database Records During Assembly

Overviews

  • Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Filter Database Records During Assembly

If the template developer has allowed it, you can filter the list of records in the database table to show only those records you think are relevant. To do this, you specify conditions that must be met for the records to appear. You can filter based on any field in the table.

To filter a list of records in a database table during assembly

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. When the database table appears, select Find records where all conditions are met. This causes filtering options to appear at the top of each database column.
  3. In the database table, select the drop-down button at the top of the column on which you want to filter and select a comparison operator. A comparison operator allows you to compare two values. If the comparison results in a true statement, the record will be included. If it's false, it will not be included.
  4. In the field directly below the comparison operator, type the value against which you want to filter. For example, to view only those companies whose names start with the letter A, you would click the drop-down button in the Company column, select begins with, and type the letter A in the next cell.
  5. Click Apply Filter. HotDocs filters the list of records to show only those that meet the criteria you specified.

Once the list is filtered, you can select a record or records (see Select Records During Document Assembly) and continue with the interview.

Note:
  • When you apply the filter, only those records that meet every condition you specified will be returned. This is because <all> is selected at the Find records where all conditions are met prompt. You can click the drop-down button and select <any> , which will return a record, even if only one of the conditions is true.
  • You can sort a list of records in alphanumeric order. For details, see Sort Database Records During Assembly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Filter Database Records During Assembly


HotDocs Help - Save Selected Records in an Answer File

Overviews

  • Overview: Assemble Documents Linked to a Database

How Do I...?

  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File
  • Select Records During Document Assembly
  • Sort Database Records During Assembly

Save Selected Records in an Answer File

If you are using a database to provide your answers during document assembly, you can save your answers using the same steps you follow when saving regular answer files. (See Create a New Answer File.)

However, if you think you may need an exact replica of a document assembled from a template that includes a database component, be sure to save a copy of the document. If you try to reassemble the document later, even if you use the same answer file, the document may not come out exactly the same because the information stored in the connected database may have changed.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Assembling Documents Linked to a Database > Save Selected Records in an Answer File


HotDocs Help - Using Command-Line Options

Using Command-Line Options

Overview: Command-Line Options

Full List of Command-Line Options

Answer File

Answer Summary

Clause Name

Default Answer File

Discard Answers

Exit HotDocs

Finish Interview Action

Hide Library

HotDocs Auto-Assemble File

HotDocs Auto-Install File

Interview Scope

Keep Interview Group

Library File

Lock Answer File

Lock Library

New Answer File

No Assembly Window

No Interview

Output File

Overlay Answer File

Paper Size

Paper Tray

Print

Print Answers Only

Print Both

Print Copies

Print Duplex

Print Form Only

Print Without Dialogs

Question Summary

Save Answers

Save Answers Prompt

Send to Word Processor

Show Library

Start Interview Group

Suggest Save

Suggest Save New

Suppress Unanswered Warning

Template File

Use Command-Line Options at File Properties

Use Command-Line Options When Starting HotDocs

Use Command-Line Options when Using a Shortcut to Start HotDocs

Home > All About... > Using Command-Line Options


HotDocs Help - Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Overview: Command-Line Options

You can use command-line options to control the way HotDocs assembles text and form documents. Most options can be placed on any command line that causes HotDocs to run. They are case-sensitive and must be typed in lowercase letters. If the option requires you to include a full file path, you must enclose the file path with quotation marks.

You can use command-line options in different ways, including specifying the options at the command line, at the Properties dialog box of a given template, and for the program file's shortcut.

Most command-line options control certain aspects of document assembly. For example, you can specify an option that always prints an assembled document once it has been sent to the word processor.

Caution:
  • When HotDocs is started from the command line, it will continue to run, even after the processing of the command-line request is completed. To tell HotDocs to close after processing the command-line request, use the Exit HotDocs option.
  • If you are using multiple options on a single command line, you must separate each option with a space character. If the command line includes space characters, you must enclose the path in quotation marks.

To use command-line options when starting HotDocs

  1. Choose Run from the Start menu. The Run dialog box appears.
  2. Type "C:\Program Files\hotdocs.exe" (including the quotation marks) followed by a space and the options you want in the Open box. For example:

    "C:\Program Files\HotDocs\Hotdocs.exe" /tf=demoempl.rtf

  3. Click OK. If HotDocs is not already running, it loads and then performs the command-line instructions. If HotDocs is already running, it performs the command-line instructions.

To use command-line options when using a shortcut to start HotDocs

  1. Locate the HotDocs program file shortcut. (A shortcut is an icon on the desktop or Start menu that a user can click to quickly access a program.)
  2. Right-click the icon and select Properties from the shortcut menu. The program item's Properties dialog box appears.
  3. Select the Shortcut tab.
  4. In the Target box, enter a space after the executable (.EXE) file and type the options you want.

To add command-line options to a library item

  1. Open a library at the HotDocs library window.
  2. Select the library item and click the Properties Properties button to open the Item Properties dialog box.
  3. In the File name box, following the file name, type a space and the command-line options you want to use. For example:

    /af="C:\Documents and Settings\Username\My Documents\HotDocs\Answers\jalvey.anx"

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Overview: Command-Line Options


HotDocs Help - Full List of Command-Line Options

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Full List of Command-Line Options

Option Name | Option | Description
Answer File | /af | The Answer File option is useful if you want to use a specific answer file when you assemble a document. The option does two things: 1) when a template is selected for assembly, it immediately opens the specified answer file without displaying the Answer File dialog box, and 2) it sets the value for path and file name as the current answer file name to be used when answers are saved. If the specified answer file doesn't exist, it will be created when the user saves the answers.
Answer Summary | /as | The Answer Summary option is used with the Output File option to specify the path and file name for saving an answer summary. It is useful if you want a certain template to always generate an answer summary document.
Clause Name | /cl | The Clause Name option is used by HotDocs to identify which clause component is associated with an item in a clause library. It is also used by HotDocs to process INSERT instructions during the assembly process. Generally speaking, developers should never have to modify this option unless they are converting clauses from one file format to another. Likewise, end users may see the Clause Name option while working with clauses at a clause library or during assembly, but should not modify it.
Default Answer File | /df | The Default Answer File option specifies a default answer file that is used to "seed" any answer file created during assembly. When a new answer file is created, it is automatically loaded with answers from the default answer file.
Discard Answers | /da | The Discard Answers option prevents the user from saving answers after the document has been assembled. This option is useful when you know you will never want to save the answers you use with a particular template (for example, a fax cover sheet), and you don't want HotDocs to ask about saving the answers when you close the assembly window. However, the user can save the answer file during the interview.
Exit HotDocs | /ex | The Exit HotDocs option closes HotDocs when both of the following conditions are met: 1) there are no documents waiting to be assembled, and 2) all other programs are finished using HotDocs.
Finish Interview Action | /fia | When a user starts assembling a template that has the Finish Interview Action command-line option applied, HotDocs will complete the action defined in HotDocs Options—either display the assembled document at the Document tab of the assembly window or send the document to the word processor or HotDocs Filler.
Hide Library | /hl | The Hide Library option causes HotDocs to assemble a document without first displaying the HotDocs template library. The user will not see the template library window at all during assembly. It is most commonly used by integrators who are using HotDocs with a third-party program and want to start an assembly without first displaying the template library window. (See also Show Library.)
HotDocs Auto-Assemble File | /ha | The HotDocs Auto-Assemble File option causes a document to be assembled using the specified auto-assemble (.HDA) file.
HotDocs Auto-Install File | /hi | The HotDocs Auto-Install File option causes the template set in the specified auto-install (.HDI) file to be installed. During this process, HotDocs prompts the user for any required information it needs to install the template library to the correct location.
Interview Scope | /is=u | The Interview Scope option allows you to ask only those dialogs that contain questions not answered by an existing answer file. This may be useful, for example, if you have some answers you are retrieving from a database that you don't want the user to change. Using this option will ask only those questions that don't have answers.
Keep Interview Group | /kig | The Keep Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Start Interview Group option, which must be assigned to each subsequent template within the group.
Library File | /lf | The Library File option allows you to start HotDocs and open a specific library. If HotDocs is already running, it opens the library specified by the path and file name.
Lock Answer File | /la | The Lock Answer File option prevents users from opening, closing, and saving answer files during document assembly. If it is the only option used, however, users can choose an answer file before assembly and save any answers they have entered after assembly.
Lock Library | /ll | The Lock Library option locks the current library and prevents the user from editing the library or its contents. Specifically, when HotDocs is launched and the library appears, users can select templates and assemble documents from them. They can also view the answer library and change user preferences at the HotDocs Options dialog box. All other options are unavailable.
New Answer File | /na | The New Answer File option specifies a new, untitled answer file to be used when assembling a given document. This option causes HotDocs to suppress the Answer File dialog box, which normally appears before assembly. Specifying a path and file name is optional. If a file name is specified, it will be used for the new answer file. If an answer file with that same name already exists, HotDocs overwrites the existing file with the new one. If no file name is specified, HotDocs displays a Save Answer File dialog box at the end of assembly.
No Assembly Window | /nw | The No Assembly Window option causes HotDocs to assemble a document without displaying the assembly window.
No Interview | /ni | The No Interview option removes the Interview tab from the assembly window, and, by default, displays the assembled document in the Document Preview or Form Document tab (depending on whether you are assembling a text or form document). To present a correctly assembled document, you should specify an answer file using the Answer File option. Otherwise, the document will be assembled without any answers.
Output File | /of | The Output File option causes HotDocs to assemble the document and save it using the file name specified. If you are using the Answer Summary or Question Summary options, the Output File option specifies the name for either of those generated documents. This is useful if you know you want to save an assembled document every time assembly of that document finishes.
Overlay Answer File | /ov | The Overlay Answer File option causes HotDocs to take answers from a specific answer file and overlay them in the current answer file. For example, if you have specific information about a client that can be used in assembling multiple documents, you can save just that information in an overlay answer file and then use the Overlay Answer File option to force HotDocs to use those answers when assembling a document. All answers entered during assembly (including overlaid answers) are saved to the current answer file—not the overlay answer file—thus maintaining the integrity of the overlay answer file. An overlay answer file is loaded after the regular answer file so that the answers contained therein can overlay existing answers.
Paper Size | /ps | The Paper Size option selects the specified paper size when the user prints a copy of the form template or document. The effect is the same as manually setting the page size from the Print dialog box. This option works with form templates and documents only.
Paper Tray | /pt | The Paper Tray option causes a specified printer paper tray or manual feed option to be used when printing a form document from HotDocs Filler. Paper tray values that can be used include manual, upper, lower, and so forth. For a complete list of acceptable values, either at the assembly window or at the HotDocs Filler window, click Document Properties > Printing (File menu) and click the Paper Source drop-down button.
Print | /pr | The Print option causes HotDocs to print a copy of the assembled text or form document once the user closes the assembly window. This is useful if you know you will always need to print a copy of a specific assembled document.
Print Answers Only | /pa | The Print Answers Only option selects the Answers Only (Use Preprinted Form) option at the Print dialog box. Then, when the user prints the assembled form document, it prints only the form's answers and not the underlying static text. This allows you to use preprinted forms.
Print Both | /pb | The Print Both option selects the Form with Answers option at the Print dialog box. Then, when the user prints the form document, the current form and its answers are printed.
Print Copies | /pc | The Print Copies option specifies the number of copies that should be printed when the user prints the form document. This number should appear in the Number of Copies box at the Print dialog box.
Print Duplex | /pd | The Print Duplex option sets the duplex printing option for a given form document. It prints the document Double-Sided, Side-to-Side, as if that option were selected at the Printing Properties dialog box (which you can access by clicking Document Properties > Printing (File menu).) When the user prints the form document, it is printed using this option.
Print Form Only | /po | The Print Form Only option selects the Form Only (Blank Form) option at the Print dialog box. Then, when the user prints the form document, it prints a blank copy of the form without answers.
Print Without Dialogs | /pw | The Print Without Dialog option causes HotDocs to bypass the Print dialog box and print the form using the current printer. The form is printed when the user clicks the Print Document button at the assembly window.
Question Summary | /qs | The Question Summary option is used with the Output File option to specify the path and file name for saving a question summary. It is useful if you want a certain template to always generate a question summary document.
Save Answers | /sa | The Save Answers option forces an answer file to be saved at the end of an assembly. If using an existing answer file, any answers entered during the interview will be saved automatically. If using a new, untitled answer file, HotDocs will force the user to specify an answer file name.
Save Answers Prompt | /sap | The Save Answers Prompt option prompts the user to save an answer file after completing an interview. Regardless of whether the user uses an existing answer file during assembly, when the user finishes that assembly, HotDocs prompts to save the answers in a different file.
Send to Word Processor | /stw | The Send to Word Processor option sends the assembled document to the word processor once the user closes the assembly window. This is useful if you know you always want to view the assembled document using the word processing program.
Show Library | /sl | The Show Library option forces HotDocs to display the template library if it is currently not showing. This is useful if you are integrating HotDocs with another program and you have hidden the library using the Hide Library option.
Start Interview Group | /sig | The Start Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Keep Interview Group option, which must be assigned to each subsequent template within the group.
Suggest Save | /ss | The Suggest Save option causes HotDocs to ask users after assembly of a document has finished if they want to save answers entered during the interview in an answer file. Specifically, if the user has assembled a document and made changes to an existing answer file, HotDocs prompts to save the answers to that file. If saving a new, untitled file, HotDocs allows the user to specify the new answer file name.
Suggest Save New | /ssn | The Suggest Save New option causes HotDocs to ask if answers should be saved in a new answer file after assembly of a document has finished. Regardless of whether the user is using an existing answer file during assembly, when the user finishes that assembly, HotDocs gives the user the option of saving the answers in a new answer file.
Suppress Unanswered Warning | /sw | The Suppress Unanswered Warning option keeps HotDocs from displaying the warning dialog box that appears when the user attempts to either print, save, or send the assembled document to the word processor and the assembled document still contains unanswered questions.
Template File | /tf | The Template File option causes HotDocs to assemble a document using the specified template or clause library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Full List of Command-Line Options


HotDocs Help - Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Answer File

/af="path and file name"

The Answer File option is useful if you want to use a specific answer file when you assemble a document. The option does two things: 1) when a template is selected for assembly, it immediately opens the specified answer file without displaying the Answer File dialog box, and 2) it sets the value for path and file name as the current answer file name to be used when answers are saved. If the specified answer file doesn't exist, it will be created when the user saves the answers.

When using an existing answer file, you can retrieve an answer file from a location on a Web server by specifying a URL for the path and file name (for example, /af=http://www.yoursite.com/answers.anx). (You cannot, however, save an answer file back to the server.)

Note:
  • You cannot assign the Answer File option to a HotDocs Auto-Assemble file.
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Answer File


HotDocs Help - Answer Summary

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Answer Summary

/as

The Answer Summary option is used with the Output File option to specify the path and file name for saving an answer summary. It is useful if you want a certain template to always generate an answer summary document.

The Answer Summary option is normally used with the No Assembly Window and Answer File options, which cause HotDocs to automatically create and save the answer summary document without displaying the assembly window.

Answer summaries are saved in HTML format.

Note: If using this option at the command line, include the Template File and Output File options. If using this option at the library properties, include the Output File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Answer Summary


HotDocs Help - Clause Name

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Clause Name

/cl=clausename

The Clause Name option is used by HotDocs to identify which clause component is associated with an item in a clause library. It is also used by HotDocs to process INSERT instructions during the assembly process. Generally speaking, developers should never have to modify this option unless they are converting clauses from one file format to another. Likewise, end users may see the Clause Name option while working with clauses at a clause library or during assembly, but should not modify it.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Clause Name


HotDocs Help - Default Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Default Answer File

/df="path and file name"

The Default Answer File option specifies a default answer file that is used to "seed" any answer file created during assembly. When a new answer file is created, it is automatically loaded with answers from the default answer file.

When specified, it does not need to have the same file name as the template's component file, nor does it need to be saved in the same folder as the component file. However, the default answer file name should be different from the current answer file name. Also, when using an existing default answer file, you can retrieve it from a location on a Web server by specifying a URL for the path and file name (for example, /df=http://www.yoursite.com/defaultanswers.anx).

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Default Answer File


HotDocs Help - Discard Answers

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Discard Answers

/da

The Discard Answers option prevents the user from saving answers after the document has been assembled. This option is useful when you know you will never want to save the answers you use with a particular template (for example, a fax cover sheet), and you don't want HotDocs to ask about saving the answers when you close the assembly window. However, the user can save the answer file during the interview.

Note:
  • To disable all answer file usage (saving, selecting new, and so forth) during a given assembly, use the Lock Answer File option.
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Discard Answers


HotDocs Help - Exit HotDocs

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Exit HotDocs

/ex

The Exit HotDocs option closes HotDocs when both of the following conditions are met: 1) there are no documents waiting to be assembled, and 2) all other programs are finished using HotDocs.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Exit HotDocs


HotDocs Help - Finish Interview Action

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Finish Interview Action

/fia

When a user starts assembling a template that has the Finish Interview Action command-line option applied, HotDocs will complete the action defined in HotDocs Options—either display the assembled document at the Document tab of the assembly window or send the document to the word processor or HotDocs Filler.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Finish Interview Action


HotDocs Help - Hide Library

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Hide Library

/hl

The Hide Library option causes HotDocs to assemble a document without first displaying the HotDocs template library. The user will not see the template library window at all during assembly. It is most commonly used by integrators who are using HotDocs with a third-party program and want to start an assembly without first displaying the template library window. (See also Show Library.)

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Hide Library


HotDocs Help - HotDocs Auto-Assemble File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

HotDocs Auto-Assemble File

/ha="path and file name"

The HotDocs Auto-Assemble File option causes a document to be assembled using the specified auto-assemble (.HDA) file.

You can also specify a URL for the path and file name (for example, /ha=http://www.yoursite.com/hdafile.hda).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > HotDocs Auto-Assemble File


HotDocs Help - HotDocs Auto-Install File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

HotDocs Auto-Install File

/hi="path and file name"

The HotDocs Auto-Install File option causes the template set in the specified auto-install (.HDI) file to be installed. During this process, HotDocs prompts the user for any required information it needs to install the template library to the correct location.

You can also specify a URL for the path and file name (for example, /hi=http://www.yoursite.com/hdifile.hdi). When this command is passed, HotDocs downloads the file and prompts the user for the information needed to install the template library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > HotDocs Auto-Install File


HotDocs Help - Interview Scope

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Interview Scope

/is=u

The Interview Scope option allows you to ask only those dialogs that contain questions not answered by an existing answer file. This may be useful, for example, if you have some answers you are retrieving from a database that you don't want the user to change. Using this option will ask only those questions that don't have answers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Interview Scope


HotDocs Help - Keep Interview Group

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Keep Interview Group

/kig

The Keep Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Start Interview Group option, which must be assigned to each subsequent template within the group.

For example, you have three related templates that will be added to the assembly queue (Template A, Template B, and Template C). Each of these templates uses Variable A. To keep Variable A from being asked in all three interviews, you would assign the Start Interview Group option to Template A. Then you would assign the Keep Interview Group option to Templates B and C. Once the user answers Variable A, it will not be asked in any subsequent interviews.

If a template is added to the assembly queue that doesn't use either of these options, it and any subsequent templates will not be included in the interview group.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Keep Interview Group


HotDocs Help - Library File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Library File

/lf="path and file name"

The Library File option allows you to start HotDocs and open a specific library. If HotDocs is already running, it opens the library specified by the path and file name.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Library File


HotDocs Help - Lock Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Lock Answer File

/la

The Lock Answer File option prevents users from opening, closing, and saving answer files during document assembly. If it is the only option used, however, users can choose an answer file before assembly and save any answers they have entered after assembly.

To keep users from choosing an answer file before assembly, specify an answer file using the Answer File option. To keep them from manually saving their answers, use either the Discard Answers option or the Save Answers option.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Lock Answer File


HotDocs Help - Lock Library

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Lock Library

/ll

The Lock Library option locks the current library and prevents the user from editing the library or its contents. Specifically, when HotDocs is launched and the library appears, users can select templates and assemble documents from them. They can also view the answer library and change user preferences at the HotDocs Options dialog box. All other options are unavailable.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Lock Library


HotDocs Help - New Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

New Answer File

/na[="path and file name"]

The New Answer File option specifies a new, untitled answer file to be used when assembling a given document. This option causes HotDocs to suppress the Answer File dialog box, which normally appears before assembly. Specifying a path and file name is optional. If a file name is specified, it will be used for the new answer file. If an answer file with that same name already exists, HotDocs overwrites the existing file with the new one. If no file name is specified, HotDocs displays a Save Answer File dialog box at the end of assembly.

When specifying an answer file name, you must include the file name extension .ANX.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > New Answer File


HotDocs Help - No Assembly Window

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

No Assembly Window

/nw

The No Assembly Window option causes HotDocs to assemble a document without displaying the assembly window.

Note:
  • If using this option at the command line, include the Template File and Answer File options. If using this option at the library properties, include the Answer File option.
  • You should also use the Output File or Send to Word Processor option if you want HotDocs to produce a document at the end of the assembly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > No Assembly Window


HotDocs Help - No Interview

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

No Interview

/ni

The No Interview option removes the Interview tab from the assembly window, and, by default, displays the assembled document in the Document Preview or Form Document tab (depending on whether you are assembling a text or form document). To present a correctly assembled document, you should specify an answer file using the Answer File option. Otherwise, the document will be assembled without any answers.

Note:
  • While viewing an assembled document that was generated using this command-line option, you cannot edit answers while viewing the Document tab.
  • If using this option at the command line, include the Template File and Answer File options. If using this option at the library properties, include the Answer File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > No Interview


HotDocs Help - Output File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Output File

/of="path and file name"

The Output File option causes HotDocs to assemble the document and save it using the file name specified. If you are using the Answer Summary or Question Summary options, the Output File option specifies the name for either of those generated documents. This is useful if you know you want to save an assembled document every time assembly of that document finishes.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Output File


HotDocs Help - Overlay Answer File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Overlay Answer File

/ov="path and file name"

The Overlay Answer File option causes HotDocs to take answers from a specific answer file and overlay them in the current answer file. For example, if you have specific information about a client that can be used in assembling multiple documents, you can save just that information in an overlay answer file and then use the Overlay Answer File option to force HotDocs to use those answers when assembling a document. All answers entered during assembly (including overlaid answers) are saved to the current answer file—not the overlay answer file—thus maintaining the integrity of the overlay answer file. An overlay answer file is loaded after the regular answer file so that the answers contained therein can overlay existing answers.

If you do not include a full path on the command-line, HotDocs will first look for the answer file in the same folder as the template. If it's not located there, HotDocs will look in the Answers folder.

You can retrieve an overlay answer file from a location on a Web server by specifying a URL for the path and file name (for example, /ov=http://www.yoursite.com/overlayanswers.anx).

Note:
  • If you are saving the overlay answer file to the same folder as the template, do not use the same name as the template. Otherwise, HotDocs will think the answer file is a default answer file. (See Create a Default Answer File.)
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Overlay Answer File


HotDocs Help - Paper Size

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Paper Size

/ps=paper size

The Paper Size option selects the specified paper size when the user prints a copy of the form template or document. The effect is the same as manually setting the page size from the Print dialog box. This option works with form templates and documents only.

Paper size values that can be used include letter, legal, and so forth. For a complete list of acceptable values, either at the assembly window or at the HotDocs Filler window, click Document Properties > Printing (File menu) and click the Paper Size drop-down button. Values that include a space character must be placed inside quotation marks. You can shorten the values as long as the shortened form matches only one paper size. Paper size values are not case-sensitive.

Note:
  • If a paper size is specified at the Printing Properties dialog box and the Paper Size command-line option is also used, the command-line option takes precedence.
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Paper Size


HotDocs Help - Paper Tray

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Paper Tray

/pt=paper tray
Caution:This option is used with form documents only.

The Paper Tray option causes a specified printer paper tray or manual feed option to be used when printing a form document from HotDocs Filler. Paper tray values that can be used include manual, upper, lower, and so forth. For a complete list of acceptable values, either at the assembly window or at the HotDocs Filler window, click Document Properties > Printing (File menu) and click the Paper Source drop-down button.

Note:
  • If a paper source is specified at the Printing Properties dialog box and the Paper Tray command-line option is also used, the command-line option takes precedence.
  • If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Paper Tray


HotDocs Help - Print

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print

/pr
Caution:This option is used with form documents only.

The Print option causes HotDocs to print a copy of the assembled text or form document once the user closes the assembly window. This is useful if you know you will always need to print a copy of a specific assembled document.

Note: If using this option at the command line, include the Template File option.

Home > All About... > Using Command-Line Options > Print


HotDocs Help - Print Answers Only

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Answers Only

/pa
Caution:This option is used with form documents only.

The Print Answers Only option selects the Answers Only (Use Preprinted Form) option at the Print dialog box. Then, when the user prints the assembled form document, it prints only the form's answers and not the underlying static text. This allows you to use preprinted forms.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Answers Only


HotDocs Help - Print Both

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Both

/pb
Caution:This option is used with form documents only.

The Print Both option selects the Form with Answers option at the Print dialog box. Then, when the user prints the form document, the current form and its answers are printed.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Both


HotDocs Help - Print Copies

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Copies

/pc=numberofcopies
Caution:This option is used with form documents only.

The Print Copies option specifies the number of copies that should be printed when the user prints the form document. This number should appear in the Number of Copies box at the Print dialog box.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Copies


HotDocs Help - Print Duplex

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Duplex

/pd
Caution:This option is used with form documents only.

The Print Duplex option sets the duplex printing option for a given form document. It prints the document Double-Sided, Side-to-Side, as if that option were selected at the Printing Properties dialog box (which you can access by clicking Document Properties > Printing (File menu).) When the user prints the form document, it is printed using this option.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Duplex


HotDocs Help - Print Form Only

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Form Only

/po
Caution:This option is used with form documents only.

The Print Form Only option selects the Form Only (Blank Form) option at the Print dialog box. Then, when the user prints the form document, it prints a blank copy of the form without answers.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Form Only


HotDocs Help - Print Without Dialogs

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Print Without Dialogs

/pw
Caution:This option is used with form documents only.

The Print Without Dialog option causes HotDocs to bypass the Print dialog box and print the form using the current printer. The form is printed when the user clicks the Print Document button at the assembly window.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Print Without Dialogs


HotDocs Help - Question Summary

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Question Summary

/qs

The Question Summary option is used with the Output File option to specify the path and file name for saving a question summary. It is useful if you want a certain template to always generate a question summary document.

The Question Summary option is normally used with the No Assembly Window option, which causes HotDocs to automatically create and save the question summary document without displaying the assembly window.

Question summaries are saved in HTML format.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Question Summary


HotDocs Help - Save Answers

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Save Answers

/sa

The Save Answers option forces an answer file to be saved at the end of an assembly. If using an existing answer file, any answers entered during the interview will be saved automatically. If using a new, untitled answer file, HotDocs will force the user to specify an answer file name.

Note:
  • To always force the user to save a new answer file after entering answers in an interview—even if using an existing answer file—use the Save Answers Prompt option.
  • To give users the option of saving an answer file, rather than forcing them to save, use either the Suggest Save or the Suggest Save New option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Save Answers


HotDocs Help - Save Answers Prompt

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Save Answers Prompt

/sap

The Save Answers Prompt option prompts the user to save an answer file after completing an interview. Regardless of whether the user uses an existing answer file during assembly, when the user finishes that assembly, HotDocs prompts to save the answers in a different file.

Note:
  • To always save an answer file without prompting the user for an answer file name (unless the user is using a new answer file) use the Save Answers option.
  • To give users the option of saving an answer file, rather than forcing them to save, use either the Suggest Save or the Suggest Save New option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Save Answers Prompt


HotDocs Help - Send to Word Processor

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Send to Word Processor

/stw

The Send to Word Processor option sends the assembled document to the word processor once the user closes the assembly window. This is useful if you know you always want to view the assembled document using the word processing program.

Note: If using this option at the command line, include the Template File option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Send to Word Processor


HotDocs Help - Show Library

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Show Library

/sl

The Show Library option forces HotDocs to display the template library if it is currently not showing. This is useful if you are integrating HotDocs with another program and you have hidden the library using the Hide Library option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Show Library


HotDocs Help - Start Interview Group

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Start Interview Group

/sig

The Start Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Keep Interview Group option, which must be assigned to each subsequent template within the group.

For example, you have three related templates that will be added to the assembly queue (Template A, Template B, and Template C). Each of these templates uses Variable A. To keep Variable A from being asked in all three interviews, you would assign the Start Interview Group option to Template A. Then you would assign the Keep Interview Group option to Templates B and C. Once the user answers Variable A, it will not be asked in any subsequent interviews.

If a template is added to the assembly queue that doesn't use either of these options, it and any subsequent templates will not be included in the interview group.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Start Interview Group


HotDocs Help - Suggest Save

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Suggest Save

/ss

The Suggest Save option causes HotDocs to ask users after assembly of a document has finished if they want to save answers entered during the interview in an answer file. Specifically, if the user has assembled a document and made changes to an existing answer file, HotDocs prompts to save the answers to that file. If saving a new, untitled file, HotDocs allows the user to specify the new answer file name.

Note:
  • If your user is using an existing answer file but you want to give the user the option of saving the answers in a new, different answer file, use the Suggest Save New option.
  • If you want to force users to save their answers after an assembly is finished, rather than give them the option, use either the Save Answers or the Save Answers Prompt options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Suggest Save


HotDocs Help - Suggest Save New

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Suggest Save New

/ssn

The Suggest Save New option causes HotDocs to ask if answers should be saved in a new answer file after assembly of a document has finished. Regardless of whether the user is using an existing answer file during assembly, when the user finishes that assembly, HotDocs gives the user the option of saving the answers in a new answer file.

Note:
  • If your users are using an existing answer file and you want them to save answers they have entered in that file instead of a new one, use the Suggest Save option.
  • If you want to force users to save their answers after an assembly is finished, rather than give them the option, use either the Save Answers or the Save Answers Prompt options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Suggest Save New


HotDocs Help - Suppress Unanswered Warning

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Suppress Unanswered Warning

/sw

The Suppress Unanswered Warning option keeps HotDocs from displaying the warning dialog box that appears when the user attempts to either print, save, or send the assembled document to the word processor and the assembled document still contains unanswered questions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Suppress Unanswered Warning


HotDocs Help - Template File

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Template File

/tf="path and file name"

The Template File option causes HotDocs to assemble a document using the specified template or clause library.

Caution: If you want an interview template (component file) started from the Template File command line, the component file must have an INTERVIEW or STARTUP computation in it or assembly will fail.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Template File


HotDocs Help - Use Command-Line Options at File Properties

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Use Command-Line Options at File Properties

To add command-line options to a library item

  1. Open a library at the HotDocs library window.
  2. Select the library item and click the Properties Properties button to open the Item Properties dialog box.
  3. In the File name box, following the file name, type a space and the command-line options you want to use. For example:

    /af="C:\Documents and Settings\Username\My Documents\HotDocs\Answers\jalvey.anx"

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Use Command-Line Options at File Properties


HotDocs Help - Use Command-Line Options When Starting HotDocs

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Use Command-Line Options When Starting HotDocs

To use command-line options when starting HotDocs

  1. Choose Run from the Start menu. The Run dialog box appears.
  2. Type "C:\Program Files\hotdocs.exe" (including the quotation marks) followed by a space and the options you want in the Open box. For example:

    "C:\Program Files\HotDocs\Hotdocs.exe" /tf=demoempl.rtf

  3. Click OK. If HotDocs is not already running, it loads and then performs the command-line instructions. If HotDocs is already running, it performs the command-line instructions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Use Command-Line Options When Starting HotDocs


HotDocs Help - Use Command-Line Options when Using a Shortcut to Start HotDocs

Overviews

  • Overview: Command-Line Options

Reference Material

  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Full List of Command-Line Options
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File

How Do I...?

  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Use Command-Line Options when Using a Shortcut to Start HotDocs

To use command-line options when using a shortcut to start HotDocs

  1. Locate the HotDocs program file shortcut. (A shortcut is an icon on the desktop or Start menu that a user can click to quickly access a program.)
  2. Right-click the icon and select Properties from the shortcut menu. The program item's Properties dialog box appears.
  3. Select the Shortcut tab.
  4. In the Target box, enter a space after the executable (.EXE) file and type the options you want.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using Command-Line Options > Use Command-Line Options when Using a Shortcut to Start HotDocs


HotDocs Help - Document Assembly

Document Assembly

Can't Attach Answer File or Document to Outlook 2007 E-mail Message

Changing Unanswered Text Markers

Discerning Between Template Preview and Actual Template

Downloading HDIs and HDAs as ZIP Files

Editing Answers in Assembled Document

Entering a Two-Digit Year

HotDocs Skips Questions When Navigating from Child Dialog

Increasing Font Size

Installing Support for New Word Processor

Moving Between Questions in Interview Slow

Moving to the Next Dialog After Entering a Date or Number

Organizing Files in the Library vs. on the Disk

Overriding an Answer in a Form

Printing Form Document Takes Incredibly Long Time

Printing Form Document is Off-Center

Receiving Error Messages When Launching HDAs, HDIs

Restoring System Defaults to HotDocs

Saving Answers During Interview

Specifying Printing Options When Printing Text Documents

Understanding What Happens When Deleting Templates from the Library

Updating Changes Made in Word Processor Document in the Answer File, Template

Updating Cross-References in an Assembled Document

Viewing File Names Instead of Template Titles at Library

Home > All About... > Document Assembly


HotDocs Help - Can't Attach Answer File or Document to Outlook 2007 E-mail Message

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Can't Attach Answer File or Document to Outlook 2007 E-mail Message

Problem

When I try to attach an answer file or an assembled document file to an e-mail message, HotDocs displays the following error message: "Error Sending Message. One or more unspecified errors occurred." I am using Outlook 2007.

Solution

This is an Outlook 2007 problem. It sometimes occurs when the Outlook 2007 forms cache becomes corrupt. To correct it (at least temporarily), follow these steps:

  1. In Outlook, choose Tools > Forms > Choose Form. The Choose Form dialog box appears.
  2. Click the Look In drop-down button and choose Standard Forms Library.
  3. Select one of the forms and open it.
  4. Close the form. (You don't need to make any changes.)
Note: You may need to restart HotDocs for this to work.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Can't Attach Answer File or Document to Outlook 2007 E-mail Message


HotDocs Help - Changing Unanswered Text Markers

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Changing Unanswered Text Markers

Problem

When I leave questions in the interview unanswered, HotDocs merges asterisks in the assembled document where the answer is supposed to go. I'd rather have it insert blank lines or something else less obtrusive. Can I change this?

Solution

You can choose the unanswered marker HotDocs uses when you leave questions unanswered in the interview. For details, see Format Unanswered Variables in a Document.

Note: The template provider may have selected a specific unanswered marker for some questions in the interview. If this is the case, these markers will override your selection.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Changing Unanswered Text Markers


HotDocs Help - Discerning Between Template Preview and Actual Template

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Discerning Between Template Preview and Actual Template

Problem

When I preview the template at the Preview tab of the library or at the Document Preview tab of the assembly window, the preview looks different from the actual template or assembled document when I view it in the word processor. Why this difference in appearance?

Solution

Because of technical restrictions, HotDocs cannot display the actual word processor document in the library or at the assembly window. Instead, it uses a third-party application to render the text of the template or document.

This application depicts a Microsoft Word template or document fairly accurately because it is able to convert the text to RTF (if it's not already in RTF format). Some of the formatting may be different, but, for the most part, it is a good representation. However, because WordPerfect text can't be converted to RTF at the time the document is displayed, the application is only able to display the text in plain format—there is no formatting.

In either case, however, the actual text in the template or document is correct.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Discerning Between Template Preview and Actual Template


HotDocs Help - Downloading HDIs and HDAs as ZIP Files

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Downloading HDIs and HDAs as ZIP Files

Problem

When downloading HotDocs auto-install (.HDI) or auto-assemble files (.HDA) from a server, files are saved to disk in ZIP format. Additionally, attempting to open or run the file results in HotDocs prompting the user for a ZIP file password.

Solution

The following are two solutions that should correct the problem.

  • Solution 1: See Receiving Error Messages When Launching HDAs, HDIs.
  • Solution 2: Repair your installation of HotDocs. To do this, go to Start > Settings > Control Panel > Add or Remove Programs. Select your version of HotDocs in the list of programs and click Change/Remove. When prompted to either repair or uninstall HotDocs, choose Repair and complete the installation.

The second possible (and more likely) problem occurs because Windows XP examines files being downloaded. If they appear to be in the ZIP format (which both HDI and HDA files are), then regardless of the download extension, Windows concludes they are ZIP files and applies a .ZIP file name extension. Even though you have a proper MIME type set up on your computer, Windows XP makes the change during the download.

To set the correct MIME types on the server

  1. Bring up the IIS management tool (i.e. go to Start > Programs > Administrative Tools > Internet Services Manager).
  2. Choose the Web site whose MIME types you need to change.
  3. Right-click and choose Properties from the shortcut menu.
  4. Click the HTTP Headers tab.
  5. Click the File Types button.
  6. Click the New Type button. (You will do this for both HDIs and HDAs.)
  7. Enter the following information for each file type:
    Type of File | MIME Type
    Auto-install (HDI) | application/x-hotdocs
    Auto-assemble (HDA) | application/x-hotdocs-auto

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Downloading HDIs and HDAs as ZIP Files


HotDocs Help - Editing Answers in Assembled Document

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Editing Answers in Assembled Document

Problem

When viewing the assembled document, I can't edit the answers that are merged in the document. The help file says I should be able to.

Solution

You may not be able to edit answers at the Document Preview tab for one of three reasons:

  • You are viewing a WordPerfect document. (Answer editing is not supported in WordPerfect templates and documents.)
  • The template developer has not allowed it.
  • The Highlight Fields option is turned off. To highlight fields again, click the Highlight Fields Highlight Fields button in the assembly window toolbar.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Editing Answers in Assembled Document


HotDocs Help - Entering a Two-Digit Year

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Entering a Two-Digit Year

Problem

I want to enter a two-digit year whenever I answer a date question, but HotDocs always displays the following error message: "You must enter a four-digit year".

Solution

As a safety precaution, HotDocs requires you to enter four digits when entering the year portion of a date. If you enter a two-digit date, such as 7/9/99, HotDocs responds with this message: "You must enter a four-digit year."

You can override this default option by specifying a century rollover year at the HotDocs Options dialog box. The number you enter controls how HotDocs interprets two-digit years. Two-digit years less than or equal to the number you enter are understood as 2000-century years. Two-digit years greater than the number you enter are understood as 1900-century years.

For example, if you specify a rollover value of 34, dates entered as 5/14/34 will appear as 14 May 2034. A date entered as 5/14/35 will appear as 14 May 1935.

Note: See Control How HotDocs Handles Two-Digit and Four-Digit Years for information on setting this option.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Entering a Two-Digit Year


HotDocs Help - HotDocs Skips Questions When Navigating from Child Dialog

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

HotDocs Skips Questions When Navigating from Child Dialog

Problem

After I answer questions in a child (or nested) dialog, I click Next Next and HotDocs takes me to the next dialog in the interview—not back to the main-level dialog I was in originally. How can I keep this from happening?

Solution

HotDocs moves to the next dialog in the interview outline because of a default setting. Its behavior is most useful when child dialogs appear as the last item in a dialog, and, after answering questions in the child dialog, you want to move to the next dialog in the interview. However, there are times when you need to return to the parent dialog and continue answering questions in the current dialog.

If, instead, you want to return to the main-level dialog that uses the child, you can clear this default setting. At the assembly window, clear Next Dialog Follows Outline (Navigate menu).

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > HotDocs Skips Questions When Navigating from Child Dialog


HotDocs Help - Increasing Font Size

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Increasing Font Size

Problem

When answering questions in the interview, the text used in the dialogs is too small or too hard to read. Can I change it?

Solution

You can change the font, size, and color of the text used in a dialog. You can also change the properties of text used in the interview outline. For details, see Customize the Look of the Dialog Pane.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Increasing Font Size


HotDocs Help - Installing Support for New Word Processor

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Installing Support for New Word Processor

Problem

I've installed a new word processor, but when I try to use HotDocs with it, HotDocs won't recognize it.

Solution

After you have installed the new word processor, you must run the word processor at least once. This creates entries in the Windows System Registry, which HotDocs must be able to access before it can integrate with it.

Once the registry is updated with the required information, you must select the new word processor at HotDocs Options and choose to install support for it. For details, see Install Support for New Word Processors.

It is possible your new word processor isn't compatible with HotDocs. If you are unsure, please see the list of HotDocs System Requirements (see System Requirements.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Installing Support for New Word Processor


HotDocs Help - Moving Between Questions in Interview Slow

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Moving Between Questions in Interview Slow

Problem

Whenever I answer a question in an interview and try to move to the next question, it seems like it takes HotDocs a long time to respond. Moving between dialogs in the interview also seems slow. What can I do to make this process faster?

Solution

In an effort to keep the assembly process up to date, HotDocs updates the dialog and the interview outline each time you enter or edit an answer in the interview. Depending on the complexity of the interview or the document, this updating may take longer than desired.

You can minimize the amount of time HotDocs takes to update the interview or document with your changes by forcing it to update only when it needs to. You do this by turning Instant Update Instant Update off. When instant update is off, HotDocs updates dialogs and interviews only when it needs to. For details, see Update Your Interview Outline and Document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Moving Between Questions in Interview Slow


HotDocs Help - Moving to the Next Dialog After Entering a Date or Number

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Moving to the Next Dialog After Entering a Date or Number

Problem

When I answer a date or number question in an interview and then click Next Next or Previous Previous, HotDocs doesn't move me to the next dialog. I have to click Next Next or Previous Previous again to move to that dialog.

Solution

When you type an answer in an answer field, HotDocs sometimes reads the answer and reformats it to appear a certain way. For example, if you type February 6, 2006 in a date field, HotDocs will reformat the answer to appear as 6 Feb 2006. Sometimes this reformatting can reveal an incorrectly interpreted answer, especially if the answer you typed is ambiguous. For example, the date 05/06/2006 may either be interpreted as June 5, 2006 or as May 6, 2006.

Depending on where the reformatted answer appears in the dialog, you may not even be aware that it has been reformatted. For example, when you enter an answer in one of the first answer fields in a dialog and then move to the next field, you will most likely see that your answer has been reformatted. However, if you enter an answer in the last answer field and click Next Next to advance to the next dialog, you may not see that the answer was reformatted.

In this situation, HotDocs keeps you in the dialog so you can review the change it has made to the format. For information on changing this default behavior, see Warn When HotDocs Reformats Date and Number Answers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Moving to the Next Dialog After Entering a Date or Number


HotDocs Help - Organizing Files in the Library vs. on the Disk

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Organizing Files in the Library vs. on the Disk

Problem

I don't understand the difference between how files are organized in my library and how they are organized on disk.

Solution

A HotDocs library is simply a tool for viewing and working with the files on the disk. Specifically:

  • Files in the library are shortcuts that link to the actual files on disk (much like a desktop shortcut to an application you use frequently links to a program in your Program Files folder).
  • Files in the library can be organized into "virtual" folders. These folders do not need to match the organization of folders on the desktop.
  • Files in the library can be viewed using either the template title or the template file name. Files on disk are viewed only by file name.
  • If you manually move a file on disk, you must update the reference to the file in the library or HotDocs will not know how to find the file. To move files while keeping the reference to the file updated in the library, use the Move or Copy commands in the library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Organizing Files in the Library vs. on the Disk


HotDocs Help - Overriding an Answer in a Form

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Overriding an Answer in a Form

Problem

What happens when I override an answer in a form document?

Solution

Sometimes you need to enter an answer in a form document, but you are unable to enter that answer because of formatting restrictions on that field. (Remember, dates and numbers must be formatted a certain way for HotDocs to consider them valid.) For example, say you enter 3,000,000 as an answer to a number variable. The field, however, may not be large enough to show the whole answer without sending it to the addendum. You can override the field's format and enter 3 mill. as the answer.

Or perhaps you have a date that is appearing in one format (19 May 2006), but you want it to appear in a different format (06/19/06). You can override the field and enter the answer you need.

Overriding the format of the field allows you to enter whatever text you need in the answer field.

See Override an Answer in a Form for details on overriding form fields.

Note: Overriding a field is like placing a sticky note over the field and writing on it—you can see what is written on the note, but HotDocs continues to use the original answer. Any other fields that use the answer, either in a calculation or a condition, will continue to do so. The original answer will likewise be saved in the answer file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Overriding an Answer in a Form


HotDocs Help - Printing Form Document Takes Incredibly Long Time

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Printing Form Document Takes Incredibly Long Time

Problem

When printing a PDF-based form document, it takes an incredibly long time for the document to actually print. What can I do to speed up this process?

Solution

This slowness happens when you print the document through HotDocs. To print more quickly, use Adobe Acrobat or Reader to print the document. See Print an Assembled Form Document for details on selecting this preference.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Printing Form Document Takes Incredibly Long Time


HotDocs Help - Printing Form Document is Off-Center

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Printing Form Document is Off-Center

Problem

When I print my PDF-based form, the document appears off-center on the printed page.

Solution

This problem appears when you use Adobe Acrobat to print the document and you're using a non-PostScript printer driver.

To correct the problem, always use a PostScript printer driver.

See Print an Assembled Form Document for more details.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Printing Form Document is Off-Center


HotDocs Help - Receiving Error Messages When Launching HDAs, HDIs

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Receiving Error Messages When Launching HDAs, HDIs

Problem

When attempting to run either a HotDocs Auto-Install file (HDI) or HotDocs Auto-Assemble file (HDA), HotDocs displays an error message and is unable to launch the file. The error message frequently says it cannot find hd_dispatch.exe, the application used to launch these files.

Solution

During installation, HotDocs creates certain entries in the Windows System Registry. One of these entries designates where the file hd_dispatch.exe should be found so that HDAs and HDIs can be properly run. By default, this file is usually created and registered in C:\Program Files\HotDocs. However, if you performed a custom installation and changed the program folder for HotDocs to some location other than C:\Program Files\HotDocs, this registry key was not updated with the new program files path. Because of this, HotDocs cannot run the HDA or HDI because it doesn't know where to look for hd_dispatch.exe.

To update the registry with the correct information

Caution: This workaround requires you to work in the Windows System Registry. Failure to follow these instructions carefully and entirely may result in you changing a setting that may adversely affect several other programs you use. If you are unsure of how to work with the registry, please ask your system administrator for assistance.
  1. Click Start > Run. The Run dialog box appears.
  2. In the Open box, type regedit. The Registry Editor appears.
  3. Open HKEY_CLASSES_ROOT > HotDocsHdaFile. (To update the information for an HDI file, navigate to HKEY_CLASSES_ROOT > HotDocsHdiFile.)
  4. Expand the folder so you can see its subfolders.
  5. Click the DefaultIcon folder.
  6. In the right pane, double-click (Default). The Edit String dialog box appears.
  7. Change the folder path in the Value data box so that it matches the folder where HotDocs is installed. Do not remove the ,1.
  8. Click OK.
  9. In the same subfolder (in the right pane), expand Shell > open > command.
  10. Repeat steps 6 through 8, updating the folder path so that it matches the folder where HotDocs is installed. Again, do not change the information after the file path.
  11. Remember to update the file locations for both HDAs and HDIs. See step 3 in the list above.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Receiving Error Messages When Launching HDAs, HDIs


HotDocs Help - Restoring System Defaults to HotDocs

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Restoring System Defaults to HotDocs

Problem

I've altered several default settings for HotDocs, but now I want to restore the default settings I had when I installed HotDocs. How can I do this?

Solution

HotDocs uses the Windows System Registry to store your personal preferences for working with HotDocs. If you need to restore the installation defaults, you must clear the Current User section of the HotDocs portion of the System Registry.

Caution: You must be extremely careful when working in the System Registry. Failure to follow the instructions below exactly could result in your making changes that negatively affect all of the programs on your computer. You may want to ask your system administrator for help if you are unsure of what you are doing.
Note: To understand HotDocs installation and the changes that are made to the registry, please see Understand HotDocs Installation.
  1. At the Start menu, select Run. The Run dialog box appears.
  2. In the Open box, type regedit and click OK. The Registry Editor appears.
  3. Navigate to HKEY_CURRENT_USER > Software > HotDocs > HotDocs.
  4. Select the HotDocs subfolder and press Delete. Click Yes to confirm the deletion.
  5. Check for the registry key HKEY_CURRENT_USER > Software > LexisNexis > HotDocs 6. If it exists, proceed to Step 6. Otherwise, proceed to Step 7.
  6. Select the HotDocs 6 subfolder and press Delete. Click Yes to confirm the deletion.
  7. Close the Registry Editor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Restoring System Defaults to HotDocs


HotDocs Help - Saving Answers During Interview

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Saving Answers During Interview

Problem

HotDocs won't let me save answers during an interview. The buttons and menu options for doing so are disabled.

Solution

If the buttons and menu options for saving an answer file are disabled, it is because the template provider has either prohibited you from saving the answer file, or because the answer file is being saved automatically. If you have specific questions, please contact the template provider.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Saving Answers During Interview


HotDocs Help - Specifying Printing Options When Printing Text Documents

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Specifying Printing Options When Printing Text Documents

Problem

When I print my assembled text document from the assembly window, HotDocs just automatically prints the document without prompting me for any of my preferences. (I don't get a Print or Print Options dialog box.) How do I first set my preferences before printing?

Solution

To set your preferences before you print the document, you must first send the document to the word processor. Once in the word processor, choose the Print command and then specify your settings.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Specifying Printing Options When Printing Text Documents


HotDocs Help - Understanding What Happens When Deleting Templates from the Library

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Understanding What Happens When Deleting Templates from the Library

Problem

What happens when you delete templates from a library?

Solution

When you select a template or folder in a HotDocs library and click the Remove Items Remove Items button, HotDocs asks if you want to remove just the reference to the file from the library or if you want to delete the actual files from disk, too.

If you remove just the reference from the library, that specific reference to the file is removed from the library but the actual file still exists on disk. Additionally, if the item is referenced any other place in the library or in a different library, those references still exist.

If you choose to delete the item from disk, the reference is removed from the library and the file is sent to the Recycle Bin (if working with files on your local drive) or permanently deleted (if you're working with files on a network drive).

When you remove a folder from the library, you can choose to delete just the folder (in which case, items in the folder are moved to the next highest folder), or you can choose to delete the folder along with all of the items referenced in the folder.

For details, see Remove Items from a Library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Understanding What Happens When Deleting Templates from the Library


HotDocs Help - Updating Changes Made in Word Processor Document in the Answer File, Template

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Updating Changes Made in Word Processor Document in the Answer File, Template

Problem

I've edited text in my assembled document but neither the template nor the answer file shows these changes. How do I update these files with my changes?

Solution

Once you send an assembled document to the word processor, it becomes "disconnected" from HotDocs. If you make changes to the document, those changes will not be represented in either the template or the answer file.

To update the template with your changes, you must edit the template and make the changes there. If you do not have editing privileges, you should notify the template publisher of your recommended changes.

If you need to update answers, you must reassemble the document using the saved answer file and make your changes during the interview. Make sure you save the answer file when you are finished.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Updating Changes Made in Word Processor Document in the Answer File, Template


HotDocs Help - Updating Cross-References in an Assembled Document

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Updating Cross-References in an Assembled Document

Problem

I've assembled a document and sent it to Microsoft Word, but now the Table of Contents is outdated. How do I update these cross-references?

Solution

To update cross-references in an assembled Word document

  1. Highlight all of the text in the document (press Ctrl+A or choose Select All (Edit menu)).
  2. Press the F9 key.
  3. Select your update options and click OK. Cross-references in the document are updated.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Updating Cross-References in an Assembled Document


HotDocs Help - Viewing File Names Instead of Template Titles at Library

Reference Material

  • Moving to the Next Dialog After Entering a Date or Number
  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document is Off-Center
  • Printing Form Document Takes Incredibly Long Time
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Viewing File Names Instead of Template Titles at Library

Problem

I'm looking for a specific template in my library. I know what its file name is, but am not sure how to find it based on its title. Is there some way to display templates by their file names in the item list?

Solution

To view items in the library by file name, choose File Names (View menu). To show template titles again, choose Template Titles.

You can search a list of library items for a specific template by using the Find command. Simply select Find and then enter the text for which you are searching in the box. HotDocs will search both template titles and file names for the text you enter. Any files that contain that specific text will be displayed in the list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Document Assembly > Viewing File Names Instead of Template Titles at Library


HotDocs Help - Legal Notices

Legal Notices

Copyright Information

Software License Agreement

Third-Party Software Acknowledgements

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Legal Notices


HotDocs Help - Copyright Information

Reference Material

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

Copyright Information

Copyright

Copyright © 2012 HotDocs Limited.

All rights reserved. No part of this product may be reproduced, transmitted, transcribed, stored in a retrieval system, or translated into any language in any form by any means without the express written permission of HotDocs Limited ("HotDocs").

Warranty Information

HotDocs makes no representations or warranties with respect to the contents or use of this product and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose. Information in this document is subject to change without notice and does not represent a commitment on the part of HotDocs.

Government Use

Use, duplication, or disclosure by the Federal Government is subject to restrictions as set forth in FAR clauses 52.227--14, “Rights in Data--General”; 52.227--19, “Commercial Computer Software--Restricted Rights”; and subdivision (c)(1)(ii) of the Rights in Technical Data and Computer Software clause DFAR 252.227--7013; and the limitations set forth in the standard commercial license agreement for this software. Unpublished rights are reserved under the copyright laws of the United States.

Trademark Information

HotDocs is a registered trademark of HotDocs Limited. Other product names may be trademarks or registered trademarks of their respective companies.

Home > All About... > Legal Notices > Copyright Information


HotDocs Help - Software License Agreement

Reference Material

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

Software License Agreement

IMPORTANT NOTICE: PLEASE READ CAREFULLY BEFORE INSTALLING THE SOFTWARE. This licence agreement (License) is a legal agreement between you (an individual or a single entity) and the licensor (Licensor) of this HotDocs software product, which includes computer software, the associated media, printed materials and electronic documentation (Software). Written approval is not a prerequisite to the validity and enforceability of this License and no solicitation of any such written approval by or on behalf of Licensor shall be construed as an inference to the contrary.

If you reside in the European Union: the Licensor is HotDocs Limited, a limited company registered in Scotland, UK, with company number SC166375 and with its registered office at Edinburgh Quay, 133 Fountainbridge, Edinburgh, EH3 9AG. This License, its subject matter or its formation (including non-contractual disputes or claims) shall be governed by and construed in accordance with English law and submitted to the exclusive jurisdiction of the English courts.

If you reside outside the European Union: the Licensor is HotDocs Corporation, a corporation incorporated in Delaware, USA, with its principal place of business at 387 South 520 West, Suite 210, Lindon, Utah 84042, USA. This License shall be governed by and construed under the laws of the State of Utah and the United States without regard to conflicts of laws provisions thereof. Unless otherwise elected by the Licensor in writing for the particular instance (which Licensor may do at its option), the sole jurisdiction and venue for actions related to the subject matter hereof shall be the Utah state and U.S. federal courts having within their jurisdiction the location of the Licensor’s principal place of business. Both parties consent to the jurisdiction of such courts and agree that process may be served in the manner provided herein for giving of notices or otherwise as allowed by Utah or federal law.

If you have a written agreement signed by the Licensor which relates to the supply of the Software and which expressly states that its terms prevail over the terms of any 'click-wrap' or 'shrink-wrap' agreement packaged with the Software, then the former agreement shall prevail over any inconsistent terms of this License. Otherwise, this License represents the entire agreement between us in relation to the licensing of the Software and supersedes any prior agreement, understanding or arrangement between us, whether oral or in writing.

THIS SOFTWARE REQUIRES A COMPUTER WITH SUFFICIENT MEMORY AND DISK SPACE, AND A COMPATIBLE OPERATING SYSTEM. SOME FUNCTIONALITY MAY REQUIRE A SPECIFIC INTERNET BROWSER OR OTHER SOFTWARE NOT INCLUDED WITH THIS SOFTWARE. BY CHOSING BELOW TO ACCEPT THE TERMS OF THIS LICENCE AGREEMENT YOU AGREE TO THE TERMS OF THIS LICENCE WHICH WILL BIND YOU. IF YOU DO NOT AGREE TO THE TERMS OF THIS LICENCE, WE ARE UNWILLING TO LICENSE THE SOFTWARE TO YOU AND YOU MUST DISCONTINUE INSTALLATION OF THE SOFTWARE NOW BY CLICKING ON THE "I DO NOT ACCEPT" BUTTON BELOW. IN THIS CASE YOU MUST RETURN THE MEDIA ON WHICH THE SOFTWARE IS STORED AND ALL ACCOMPANYING DOCUMENTATION TO THE SUPPLIER, TOGETHER WITH PROOF OF PAYMENT WITHIN 14 DAYS OF PURCHASE FOR A REFUND. IF YOU PURCHASED THIS SOFTWARE FROM AN AUTHORISED RESELLER, PLEASE NOTE THAT THE RESELLER HAS THE RIGHT TO ENTER INTO THIS LICENCE ON OUR BEHALF.

  1. In consideration of you agreeing to abide by the terms of this License and the payment of the licence fee (which is part of the price for this package), the Licensor hereby grants to you a non-exclusive, non-transferable licence to use the Software on a single computer or workstation. You may install the Software on a second computer for use by the same person. The Software may not be shared or used concurrently on other computers. If any updates, maintenance releases or other modified versions of the Software are made available to you they shall be deemed to be Software supplied under the terms of this License unless otherwise stated at the time of supply.
  2. You may make one copy of the Software for back-up purposes only. You may not transfer your rights to the back-up copy unless you also transfer your rights to the Software.
  3. Except as expressly set out in this License or as permitted by any local law, you shall not (and shall not allow a third party to):

    (a) copy the Software except where such copying is incidental to normal use of the Software or where it is necessary for the purpose of back-up or operational security;

    (b) rent, lease, sub-license, loan, translate, merge, adapt, vary or modify the Software;

    (c) make alterations to, or modifications of, the whole or any part of the Software;

    (d) disassemble, de-compile, reverse engineer or create derivative works based on the whole or any part of the Software.

  4. You acknowledge that all intellectual property rights in the Software throughout the world belong to HotDocs Limited, that rights in the Software are licensed (not sold) to you, and that you have no rights in, or to, the Software other than the right to use it in accordance with the terms of this License.
  5. The Licensor warrants that the media on which the Software is stored and distributed are (at the time of supply), and will be for the period of 90 days after that time (Warranty Period), free from defects in design, material and workmanship under normal use. If a defect in the media occurs during the Warranty Period, the Licensor will replace it free of charge if you return it to the Licensor with proof of purchase and (so far as you are able) a documented example of such defect or error.
  6. You acknowledge that the Software has not been developed to meet your individual requirements and that it is therefore your responsibility to ensure that the facilities and functions of the Software meet your requirements.
  7. You acknowledge that the Software may not be free of bugs or errors and you agree that the existence of any minor errors shall not constitute a breach of this License.
  8. If, within the Warranty Period, you notify the Licensor in writing of any defect in the Software in consequence of which it fails to perform substantially in accordance with the electronic documentation, and such defect does not result from you having amended the Software or used it in contravention of the terms of this License, the Licensor will, at its sole option, (i) repair or replace the Software or (ii) accept a return of the Software (with proof of purchase) and provide a refund of the purchase price, provided that you make available all information that may be necessary to assist the Licensor in resolving the defect or fault, including sufficient information to enable the Licensor to recreate the defect or fault.
  9. Nothing in this License shall limit or exclude the liability of either party for death or personal injury resulting from negligence, fraud, fraudulent misrepresentation, or for liability which cannot lawfully be excluded or limited.
  10. SUBJECT TO CONDITION 9:

    (a) THE LICENSOR SHALL NOT BE LIABLE FOR ANY LOSS OF PROFIT, LOSS OF BUSINESS, LOSS OF GOODWILL, LOSS OF SAVINGS, LOSS OF DATA, LOSS OF ANTICIPATED SAVINGS, WHETHER DIRECT OR INDIRECT IN EACH CASE, OR FOR ANY INDIRECT LOSS OR CONSEQUENTIAL LOSS WHATSOEVER AND HOWSOEVER CAUSED (EVEN IF CAUSED BY THE LICENSOR’S NEGLIGENCE AND/OR BREACH OF CONTRACT AND EVEN IF THE LICENSOR WAS ADVISED THAT SUCH LOSS WOULD PROBABLY RESULT);

    (b) THE LICENSOR'S MAXIMUM AGGREGATE LIABILITY UNDER OR IN CONNECTION WITH THIS LICENCE, OR ANY COLLATERAL CONTRACT, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE) OR OTHERWISE, SHALL BE LIMITED TO A SUM EQUAL TO THE ACTUAL PRICE YOU PAID FOR THE SOFTWARE.

  11. This License does not provide for maintenance or support for the Software, which must be purchased separately if required. Licensor has no obligation to provide maintenance, support or updates, modifications or new releases under this License.
  12. This License sets out the full extent of the Licensor's obligations and liabilities in respect of the supply of the Software. There are no conditions, warranties, representations or other terms, express or implied, that are binding on the Licensor except as specifically stated in this License. Any condition, warranty, representation or other term concerning the supply of the Software which might otherwise be implied into, or incorporated in, this License, or any collateral contract, whether by statute, common law or otherwise, is hereby excluded to the fullest extent permitted by law.
  13. You may not transfer, assign, charge or otherwise dispose of this License, or any of your rights or obligations arising under it, without our prior written consent.
  14. Upon request from time to time, you agree to certify to the Licensor the number of copies of the Software installed on your computers.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Legal Notices > Software License Agreement


HotDocs Help - Third-Party Software Acknowledgements

Reference Material

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

Third-Party Software Acknowledgements

Colosseum Builders, Inc.

This product uses the image library software created by Colosseum Builders, Inc., to load, decode, draw, and print .BMP, .JPG, and .PNG files in form templates and documents.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Legal Notices > Third-Party Software Acknowledgements


HotDocs Help - accelerator

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

accelerator

A key or key combination that quickly performs routine tasks in HotDocs. For example, rather than click the Print button, a user can press Ctrl+P and the document will be printed. Accelerators are useful when users don't want to use the mouse.

Home > HotDocs Glossary of Terms > accelerator


HotDocs Help - addendum

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

addendum

The last section of a form document that contains answers that don't fit in their allotted fields on the actual form. (See also overflow.)

Home > HotDocs Glossary of Terms > addendum


HotDocs Help - additional text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

additional text

See dialog element.

Home > HotDocs Glossary of Terms > additional text


HotDocs Help - ADO

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ADO

Short for ActiveX Data Objects, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ODBC.)

Home > HotDocs Glossary of Terms > ADO


HotDocs Help - .ANS

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.ANS

File name extension that designates that the file is a HotDocs answer file. Starting with the release of HotDocs 2009, all answers files (even those with the .ANS file name extension) are saved in XML format. The .ANS file name extension is retained to ensure backwards compatibility with HotDocs 2008.

Home > HotDocs Glossary of Terms > .ANS


HotDocs Help - answer

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer

Data users enter during an interview. Answers are usually merged into the document, but sometimes they are used to calculate other answers that are used in the document.

Home > HotDocs Glossary of Terms > answer


HotDocs Help - answer file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer file

A saved file that contains the answers entered during an interview. Often users save their answers in a file so they can use them to assemble other similar documents.

Home > HotDocs Glossary of Terms > answer file


HotDocs Help - Answer File Dialog Box

Answer File Dialog Box

Note:To access this dialog box:Select a template. > Click Assemble Assemble.

When you assemble a document, you can use an existing answer file, or you can create a new, empty answer file. Then, when you finish assembling the document, you can save your answers and use them when assembling other documents.

Options Available

Answer file to use with this assembly:Shows the answer file currently assigned for this assembly. If this option says New Answer File, the answer file is empty. You can click the drop-down button or the Open Answer File Open Answer File button to select an existing answer file.

New Answer File New Answer File button:Selects an untitled, empty answer file for assembly.

Automatically select this answer file for use with the next assembly:Remembers the answer file you have selected here and suggests it for each subsequent assembly.

Send / Go directly to ... without displaying an interview:Displays the assembled document—either in the word processor (text templates), HotDocs Filler (form templates), or the Document tab of the assembly window—depending on the Finish Interview Action options you specified at HotDocs Options. (See Control What Happens When You Finish an Interview for details.)

Home > Answer File Dialog Box


HotDocs Help - Answer File Manager

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Answer File Manager

The library used to manage answer files. With Answer File Manager, users can group answer files, view histories of their usage, and so forth. (The alternative is using Windows Explorer to find, view, and use answer files.)

Home > HotDocs Glossary of Terms > Answer File Manager


HotDocs Help - answer library

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer library

See library and Answer File Manager.

Home > HotDocs Glossary of Terms > answer library


HotDocs Help - answer management

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer management

The system of using Answer File Manager to store and manage answer files. (The alternative is using Windows Explorer to find, view, and use answer files.)

Home > HotDocs Glossary of Terms > answer management


HotDocs Help - answer sharing

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer sharing

The process of creating and using same-named variables in multiple templates so that a user can use the same answer file to assemble multiple documents. (Can also be called variable flow-through.)

Home > HotDocs Glossary of Terms > answer sharing


HotDocs Help - Answer Summary

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Answer Summary

A brief report HotDocs generates that lists the questions asked during an interview, followed by the answers that were entered. (See also Question Summary.)

Home > HotDocs Glossary of Terms > Answer Summary


HotDocs Help - answer wizard

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer wizard

A button attached to a form field that users can click during direct-fill assembly. When they click this button ( Answer Wizard), a pop-up interview appears, asking one or more questions that are required in order for an answer to be merged in the field. Frequently, answer wizards are assigned to inactive fields in a form.

Home > HotDocs Glossary of Terms > answer wizard


HotDocs Help - .ANX

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.ANX

File name extension that designates a HotDocs answer file.

Home > HotDocs Glossary of Terms > .ANX


HotDocs Help - ascend

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ascend

The process of sorting answers in alphanumeric order, from 1 to 9, and from A to Z. (See also descend.) You can also sort items in a template library, clause library, and answer library.

Home > HotDocs Glossary of Terms > ascend


HotDocs Help - ASK instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ASK instruction

An instruction that forces a dialog to be asked at a specific location in the script or template. Frequently, ASK instructions are used when creating an interview component. They allow developers to control the order in which dialogs are asked during the interview.

Home > HotDocs Glossary of Terms > ASK instruction


HotDocs Help - assemble, assembly

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

assemble, assembly

See document assembly.

Home > HotDocs Glossary of Terms > assemble, assembly


HotDocs Help - Answer Questions in a Dialog Using an Answer Source

Answer Questions in a Dialog Using an Answer Source

Template providers can link questions in a dialog to an answer source, or an answer file that contains existing answers. When a dialog is linked to one of these sources, a Answer Source Select button appears on the dialog. You can click the Answer Source Select button to open the answer source and select a record. You can also add a new record to the answers.

Each record contains answers to one or more questions. For example, the records may contain the names, addresses, and phone numbers of attorneys in an office. After selecting one attorney's record, that attorney's information will be merged into the answer fields. This saves you from having to re-enter answers you use frequently as you assemble documents.

To access an answer source

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. When a Answer Source Select button appears on a dialog, click it. The list of answers appears.
  3. Use any of the following commands to complete different tasks associated with an answer source:
    To | Do This
    Use an existing set of answers | Select the desired record, then click the Select button.
    Add a new record

    Select an empty row in the spreadsheet and click Edit Row Edit Row. Then enter your answers in the pop-up interview.

    You can either gradually build the list, entering a different record each time you complete an interview; or you can enter several records at once. You can delete, edit, or add new records at any time. Answers are automatically saved as you add them to the answer source.

    Insert a record in between other records | Select the record you want to be after the new record and click Insert Row Insert Row. Then click Edit Row Edit Row to enter your answers.
    Edit an existing record | Select the record and click Edit Row Edit Row. Make your changes in the pop-up interview.
    Delete a record | Select the record and click Delete Row Delete Row. The answers are deleted.
    Sort or alphabetize columns in an answer source

    Click in the column on which you want to sort, right-click and choose Sort from the shortcut menu. The Sort Spreadsheet dialog box appears. Designate your sorting preferences and click OK.

    To sort on a second level, enter your preferences in the and then fields.

An answer source may be populated in different ways. For example, the template provider can either add answers to the answer source during development, or allow you to add answers during the interview. Additionally, an answer source may be an Outlook Contacts list or a Time Matters Contacts or Matters record, which the template provider has integrated with HotDocs.

Note: If your dialog is linked to a Time Matters Contacts or Matters answer source and you change answers once they have been retrieved, you may be prompted to write the answers back to Time Matters.

Home > Answer Questions in a Dialog Using an Answer Source


HotDocs Help - Assembly Queue Statuses

Assembly Queue Statuses

The following table describes the different statuses of templates listed in the assembly queue:

Template Status | Description
Confirmed | The assembly queue has confirmed the location of the template and is ready to assemble it.
Assembling | HotDocs is currently assembling this document.
Pending

This template is in the queue because of instructions in the template currently being assembled. After the current interview is finished, the Pending status changes to Confirmed.

Note: Template developers often include instructions within the template that HotDocs should assemble other documents. Often your answers determine whether these documents get assembled.
Complete | Assembly is finished. Complete status doesn't necessarily mean that all the questions in a template have been answered. For example, when creating a question summary, even though the assembly window opens, no questions are answered, but HotDocs still considers the assembly complete.
Error | An error has occurred, preventing the interview from being completed.

Home > Assembly Queue Statuses


HotDocs Help - HotDocs Assembly Window Toolbar

HotDocs Assembly Window Toolbar

The following buttons and commands appear on the HotDocs assembly window toolbar:

Button or Command | Description
HotDocs | Brings the HotDocs library to the front.
Answer file drop-down menu | Shows the answer file that is currently being used to assemble the document. You can click the drop-down button and choose a different answer file.
New Answer File New Answer File | Creates a new, empty answer file.
Open Answer File Open Answer File | Opens Answer File Manager (or a Windows Explorer window) so you can select a different answer file to use for this assembly.
Save Answer File Save Answer File | Saves the current answer file. If it is a new answer file, you will be prompted to enter a name for the file.
Send Document | Sends an assembled text document to the word processor or the Document Preview tab, depending on your preferences. Sends an assembled form document to HotDocs Filler or the Form Document tab, depending on your preferences.
Save Document | Saves a copy of the assembled document to disk.
Print Document | Prints a copy of the assembled document.
Instant Update | When pressed in, causes HotDocs to update the interview or document only when it's absolutely necessary. (This can help improve speed when an interview or document requires a lot of processing to stay current.)
Show/Hide Resource Pane Show/Hide Resource Pane | Shows and hides the resource pane.
Check Spelling | Checks the spelling of answers you've entered in the interview.
Assembly Queue | Opens and displays the HotDocs Assembly Queue, which lists all of the assemblies for a given HotDocs session. If you have multiple assemblies listed in the queue, you can change the order in which the documents will be assembled. You can also remove unstarted or completed assemblies from the queue.
Options | Displays the HotDocs Options dialog box where you can customize your experience working with hotDocs.
What's This? Help What's This? Help | Displays the What's This? Help cursor, which allows you to get help for specific elements in the HotDocs interface.
Erase Answer | Clears an answer from an answer field.
Undo / Redo Undo/Redo | Removes the most recent changes you've made to the interview, or reapplies any changes you may have undone.
Cut | Removes an answer from an answer field and places a copy of it on the Windows Clipboard. (You can paste the text in a different answer field.)
Copy | Copies an answer to the Windows Clipboard. (You can paste the text in a different answer field.)
Paste | Pastes text that was either cut or copied to the Windows Clipboard to the new answer field.
Insert Repetition | Adds a new, empty repetition to the repeated dialog.
Delete Repetition | Removes the selected repetition from the repeated dialog.
Move Repetition Up Move Repetition Up | Moves the selected repetition of the repeated dialog up in the series.
Move Repetition Down Move Repetition Down | Moves the selected repetition of the repeated dialog down in the series.
Sort Spreadsheet | Sorts the selected column in a repeated spreadsheet in alphanumeric order.
Highlight Fields | Highlights answer fields and editable text in the Document Preview tab. (Word users only.)
Edit Document Text Edit Document Text | Lets you make changes to editable text in the Document Preview tab. (Word users only.)
Text / Text Go to Document/Go to Interview | Moves your cursor to the place in the document where the answer is used, or moves your cursor to the place in the interview where the question is asked, respectively. (Word users only.)

Home > HotDocs Assembly Window Toolbar


HotDocs Help - Attach a Text or Form Document to an E-mail Message

Attach a Text or Form Document to an E-mail Message

After assembling a document, you can attach it to an e-mail message and send it to another user.

Caution: Internet-based e-mail services are not compatible with this feature. You must have an e-mail program, such as Microsoft Outlook, installed on your computer.

To attach a document to an e-mail message

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click Send Document To > Mail Recipient (File menu). The Send Document To Mail Recipient dialog box appears.
  3. Type a name for the attachment, then click OK. An e-mail message window appears.
  4. Complete the e-mail message and send it.

Home > Attach a Text or Form Document to an E-mail Message


HotDocs Help - Document Text Editor Toolbar

Document Text Editor Toolbar

While editing the text of the assembled document at the Document Text Editor, you can use any of the following options:

Name Save and Close | Saves your changes, closes the Document Text Editor, and merges the new text in the assembled document.
Restore Restore Original Text | Discards any changes you've made to the text and restores the original document text.
Print Print | Prints a copy of the text you are editing.
Undo Undo | Undoes the most recent change to the text you are editing.
Redo Redo | Reapplies the most recent change to the text you are editing.
Cut Cut | Removes the selected text and saves it to the Windows Clipboard. You can then paste the text using the Paste command.
Copy Copy | Copies the selected text and saves it to the Windows Clipboard. You can then paste the text using the Paste command.
Paste Paste | Pastes any text saved to the Windows Clipboard at the cursor position.
Find Find | Displays a dialog box where you can specify the text for which you are searching.
Find Next Find Next | Searches the document for the next instance of text for which you are searching.
Find and Replace Find and Replace | Displays a dialog box where you can specify a text string for which you are searching, as well as text you'd like to use as a replacement
Show Ruler Show Ruler | Displays a ruler in the Document Text Editor toolbar.
Show Codes Show Codes | Displays editing codes, such as paragraph marks, in the document.
Spell Check Spell Check | Checks the spelling of text in the document.
Close Wtihout Saving Close Without Saving Changes | Closes the Document Text Editor without saving the changes you have made.

Home > Document Text Editor Toolbar


HotDocs Help - Enter Answers in International Languages

Enter Answers in International Languages

As you complete an interview, you can enter answers in any left-to-right reading language. Answers you enter will be merged into the assembled document.

Answers entered in these languages will be merged correctly anywhere the variable is used—either in the assembled document or in other questions or text used in the interview.

HotDocs supports all left-to-right reading characters in the Unicode specification. However, not all fonts installed on your computer can display these characters. If you are using a font either in the interview display or in the assembled document that cannot display these characters, they will appear as unknown characters (usually boxes or question marks). When working with international languages, always make sure you are using fonts (like Arial Unicode MS or Tahoma) that support a wide range of characters. This includes making sure other users who will be accessing your assembled documents or answer files likewise have correct fonts installed.

Note: For more information on using international characters in HotDocs, see Use International Characters in HotDocs.

Home > Enter Answers in International Languages


HotDocs Help - Enter List of Answers in a Series

Enter List of Answers in a Series

To enter answers in a series of dialogs

  1. At the repeated dialog, enter answers for the questions.
  2. Click the Add Another Repetition Add Another button to add another repetition of the dialog to the series. The repetition number next to the dialog icon increases each time you enter a new set of answers. (You can also press Alt+A to add new repetitions to a list.)
  3. To move to the next dialog after entering all the answers in the list, click Next Next in the navigation bar. (You can also click on the next dialog icon in the interview outline, or press Page Down or Alt+N.)
Note: When entering a list of answers within another list of answers, you can press Alt+Left Arrow to return to the parent dialog. (You can also choose Parent Dialog from the Navigate menu.)

Home > Enter List of Answers in a Series


HotDocs Help - Enter Repeated Answers in a Spreadsheet

Enter Repeated Answers in a Spreadsheet

To enter answers in a repeated spreadsheet

  1. At an answer-gathering dialog that includes a repeated dialog formatted as a spreadsheet, click in the first spreadsheet cell and enter your answer.
  2. Press Tab to move to the next cell in the row (or use the mouse to click in the next cell) and enter your answer.
  3. Repeat this process for each answer.

Home > Enter Repeated Answers in a Spreadsheet


HotDocs Help - HotDocs Template Development Terms and Ideas

HotDocs Template Development Terms and Ideas

When creating a marked up document, there are some key terms and ideas you should understand—particularly if you are not a template developer.

Markup Term | Definition
Answer Field | An answer field is the place in an assembled document where answers you enter in the interview are merged. In template development, these fields are called variable fields. The template developer can assign many different properties to a variable, including a name, a title, and so forth.
Conditional Text | Some text in an assembled document should only be included under certain conditions. For example, information about the health needs of a child will only be included in a document if the client has children. In template development, conditional text is marked using IF instructions, which define the circumstances under which a paragraph is included or excluded.
Alternative Text | Sometimes there are different versions of text that should be merged in a document, depending on certain conditions. For example, maybe a client is late on making a payment. You can include specific text, depending on just how late the payment is. Like conditional text, alternative text is marked using IF instructions in template development.
Repeated Text | Frequently you need to enter two or more answers for a specific question. For example, when creating a will, you frequently need to enter more than just one beneficiary. This list of beneficiaries is called repeated text. In template development, repeated text is marked using a REPEAT instruction, which instructs HotDocs to repeat the question as many times as necessary.
Insertion Field | Sometimes the text in the assembled document comes from a separate template. This is especially common when there is boilerplate text that needs to be used in multiple documents. In template development, insertion fields are marked with INSERT instructions, which identify the file name and location of the file that will be inserted.
Editable Text | This is text in the assembled document that you can edit; however, it is not marked when viewing the document in Markup View.
Developer Comment | During template development, developers may include comments with the different types of fields they insert in a template. Comments may explain why the field is there or the conditions under which it is being used.
Multiple Choice Option Text | One type of variable developers can create is a Multiple Choice variable, which provides users with predefined options. The text that is merged in the document is called merge text. In Markup View, it is simply referred to as option text.

Home > HotDocs Template Development Terms and Ideas


HotDocs Help - Save Other Document Types as PDF

Save Other Document Types as PDF

With HotDocs, you can use the PDF printer driver to save documents not associated with HotDocs as PDF documents. Creating PDF files allows you to take advantage of features available in Adobe Acrobat.

To save other document types as PDF

  1. Open the document in a Windows program with printing capability.
  2. Select the Print command for that program.
  3. At the printing dialog box, select HotDocs PDF Driver as the printer.
  4. Optionally, click Properties and assign any properties to the document you may need.
  5. Click the Print or OK button. The Save As dialog box appears.
  6. Select a location and type a name for the new file.
  7. At the Save as type box, select PDF File (*.pdf).
  8. Optionally, select Document Settings and click the Edit button to add information about the document's title, subject, author, or search keywords.
  9. Optionally, select View Resulting PDF to open the PDF once it has been created.
  10. Click the Save button. The PDF file is created and saved to the location you specified.
Note: Information you type in the Convert to PDF dialog box is saved as metadata embedded in the PDF-based file. HotDocs does not use this information, but other programs that work with PDF files may access this metadata. (For instance, if you open a PDF or PDF-based form template in Adobe Acrobat, you can select Document Properties (File menu) to see the values in these fields.) For form templates, the values input here will also be set in any PDF documents assembled with that template.

Home > Save Other Document Types as PDF


HotDocs Help - Work with Records in a Repeated List

Work with Records in a Repeated List

To work with repeated answers

  1. Answer questions in the repeated dialog.
  2. Select the record with which you want to work. (If you are editing records in a dialog series, select the dialog icon in the interview outline. If you are editing records in a spreadsheet, click on the row you want to edit.)
  3. Use the options described in the following table to complete additional tasks:
    To | Do This
    Remove a specific dialog from the list of answers | Select the dialog you want to delete and either click the Delete Repetition Delete Repetition button, or choose Delete Repetition from the Edit menu.
    Insert a new dialog between existing dialogs | Either click the Insert Repetition Insert Repetition button, or choose Insert Repetition from the Edit menu.
    Move an existing dialog up in the list of answers | Select the dialog you want to move and click the Move Repetition Up Move Repetition Up button (located on the Edit toolbar).
    Move an existing dialog down in the list of answers | Select the dialog you want to move and click the Move Repetition Down Move Repetition Down button (located on the Edit toolbar).
    Sort the contents of a spreadsheet dialog in alphanumeric order | Click in the column on which you want to sort and click the Sort Sort button (located on the Edit toolbar). The Sort Spreadsheet dialog box appears where you can specify your sorting preferences. If the template developer has specified any sorting options, answers will be merged in the document using those sort options. Otherwise the sort order you specify here will be used in the assembled document.
    Edit the contents of the row in a regular dialog | Click in the row you want to edit and either click the Edit Row Edit Row button, or right-click and choose Edit Row from the shortcut menu.

Home > Work with Records in a Repeated List


HotDocs Help - Assembly Queue

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Assembly Queue

A dialog box that shows a list of assemblies—pending, current, and completed. Users can open the Assembly Queue by clicking its button ( Assembly Queue) in the assembly window toolbar. It is most useful when users have selected multiple templates for assembly.

Home > HotDocs Glossary of Terms > Assembly Queue


HotDocs Help - assembly window

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

assembly window

The window that appears when a user selects a template to assemble. By default, it includes the Interview tab, the Document tab, the Question Summary tab, and Answer Summary tab. Each of these tabs displays something unique about the document being assembled, such as the questions that are required to customize the document or the assembled document itself.

Home > HotDocs Glossary of Terms > assembly window


HotDocs Help - auto-assemble file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

auto-assemble file

A self-executable file that contains one or more templates and their related files. When packaged in an auto-assemble file (or HDA), the files are temporarily extracted and used to assemble the document. Once assembly is complete, the extracted files are deleted. Auto-assemble files are useful if template developers don't want users to have editing access to the template files themselves.

Home > HotDocs Glossary of Terms > auto-assemble file


HotDocs Help - auto-install file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

auto-install file

A self-executable file that contains one or more templates and their related files. When extracted, the files are saved to disk and references to them are added to a library. Auto-install files provide a useful way to distribute templates or updates to template sets.

Home > HotDocs Glossary of Terms > auto-install file


HotDocs Help - automate, automation

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

automate, automation

The process of converting any document (text or form) into an interactive template. At its very core, automation is replacing changeable text in the document with variables. Additional automation steps include making text in the template conditional, repeating sections of the template so multiple answers can be entered, and inserting other boilerplate text into the template.

Home > HotDocs Glossary of Terms > automate, automation


HotDocs Help - Automator

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Automator

See HotDocs Automator.

Home > HotDocs Glossary of Terms > Automator


HotDocs Help - bar code

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

bar code

A format for an answer or a group of answers so that data can be quickly scanned using an optical scanner. Bar codes are supported in both form templates and text templates.

Home > HotDocs Glossary of Terms > bar code


HotDocs Help - binary files

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

binary files

In versions of HotDocs prior to HotDocs 2009, represents the format HotDocs-specific files—such as library files, component files, and so forth—were saved in. Binary file formats are common in most software applications. They allow information about the files to be encoded for storage and processing purposes. However, one limitation of storing information in HotDocs in binary format is that third-party application developers aren't able to inspect, edit, or otherwise make use of information contained in the files. Another limitation is that the binary formats used in HotDocs do not support the use of foreign characters (for example, international characters that are not represented in your computer system's default language).

Home > HotDocs Glossary of Terms > binary files


HotDocs Help - browser

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

browser

A window that allows users to view HTML documents.

Home > HotDocs Glossary of Terms > browser


HotDocs Help - built-in variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

built-in variable

A predefined variable that performs a special function in a template, such as inserting either today's date or the name of the current answer file. Built-in variables include TODAY, PN#, ANSWER FILE NAME, and COUNTER.

Home > HotDocs Glossary of Terms > built-in variable


HotDocs Help - century rollover

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

century rollover

A HotDocs setting that controls whether years entered as two digits appear as 1900-century years or 2000-century years.

Home > HotDocs Glossary of Terms > century rollover


HotDocs Help - check-box field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

check-box field

A type of form template field that represents some sort of pre-existing option a user must select.

Home > HotDocs Glossary of Terms > check-box field


HotDocs Help - chevrons

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

chevrons

The double-angle brackets (« ») that surround a variable in a text template. Together, the chevrons and variable name make up the variable field, for example, «Client Name».

Home > HotDocs Glossary of Terms > chevrons


HotDocs Help - child dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

child dialog

A dialog that is inserted within another dialog. When it's inserted, it becomes linked to that dialog—users can't answer questions in it without first viewing the parent dialog. Usually the two dialogs are related in content or purpose.

Home > HotDocs Glossary of Terms > child dialog


HotDocs Help - clause

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

clause

Predefined sections of text that can be selected and added to an assembled document. Usually clauses are grouped together in a clause library so users can choose which ones they want to insert, although some clauses are merged in the document automatically.

Home > HotDocs Glossary of Terms > clause


HotDocs Help - clause archive

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

clause archive

A compressed file that contains all of the clauses for a given template or clause library. During assembly, clauses in the archive are extracted so they can be selected and added to an assembled document.

Home > HotDocs Glossary of Terms > clause archive


HotDocs Help - clause library

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

clause library

A file that contains a listing of available clauses. Users can select the clauses they want to use from the library, designate the order they should be merged in the document, and then answer any questions contained in the clauses. The clauses are then merged in the document.

Home > HotDocs Glossary of Terms > clause library


HotDocs Help - .CMP

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.CMP

File name extension that designates that the file is a component file.

Home > HotDocs Glossary of Terms > .CMP


HotDocs Help - command-line option

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

command-line option

An instruction used to control the operation of HotDocs. These instructions, or commands, are added to any command line that causes HotDocs to run. They can alter the operation of specific templates, or they can affect the overall operation of HotDocs.

Home > HotDocs Glossary of Terms > command-line option


HotDocs Help - comments

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

comments

Notes or thoughts entered by the template developer either in a script or in a template. Comments are one way to document processes within the template. If entered correctly, they will not be visible to users in the assembled document.

Home > HotDocs Glossary of Terms > comments


HotDocs Help - component

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

component

An element in a HotDocs template that displays or stores information about the answers that are merged. Examples of components include variables, dialogs, dialog elements, merge text groups, and formats.

Home > HotDocs Glossary of Terms > component


HotDocs Help - component file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

component file

The file that stores all of the components used in a template. The component file and template file are both necessary for template development and document assembly to work correctly. Developers use Component Manager to work with components.

Home > HotDocs Glossary of Terms > component file


HotDocs Help - Component Manager

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Component Manager

The tool used to coordinate component usage in a template. Component Manager shows all of the components used in the template and provides options for working with those components.

Home > HotDocs Glossary of Terms > Component Manager


HotDocs Help - Computation variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Computation variable

A type of component that performs calculations or executes other instructions within the template. Computation variable scripts are created using the HotDocs scripting language.

Home > HotDocs Glossary of Terms > Computation variable


HotDocs Help - conditional text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

conditional text

Text in the template that should be included in the assembled document only under certain circumstances. Conditions are controlled using IF instructions and expressions.

Home > HotDocs Glossary of Terms > conditional text


HotDocs Help - COUNTER

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

COUNTER

An expression that keeps track of the current number of repetitions in a repeated dialog. Each time a new repetition is added, the COUNTER is increased.

Home > HotDocs Glossary of Terms > COUNTER


.topic 11320
Closes the error message.

.topic 11312
Shows an outline of all scripting and variables used in the template. Viewing this condensed view of scripting can help you better understand the relationship between instructions and variables.

.topic 11319
Displays the list of errors found in the template.

.topic 11304
Lets you view the template's cursor location in the outline. For example, when Synch Template is on, you can click in the template and have HotDocs show you where in the outline your cursor is positioned.

.topic 11321
Lists the different field coloring options.

.topic 11324
Marks each level of IF and REPEAT instructions using a custom color. (For example, all first-level instructions IF instructions will use a specific color, while all second-level instructions will use a different color, and so on.)

.topic 11305
Includes variables in the list of instructions. Viewing variables in the context of their instructions can help you better understand scripting in the template.

.topic 11318
Lets you go to the place in the template where HotDocs detects the error occurs.

.topic 11327
Closes the Apply Colors dialog box without making any changes.

.topic 11303
Updates the HotDocs Outliner with any changes you've made to text in the template.

.topic 11322
Marks all variable and instruction fields black.

.topic 11301
Expands the list of items in the HotDocs Outliner to show all levels of instructions and variables.

.topic 11326
Closes the Apply Colors dialog box and assigns the selected color scheme to items in the outline.

.topic 11325
Marks each IF and REPEAT instruction field using a custom color. (For example, the first instruction in a template will be marked using one color, while the next instruction will be marked using a different color, and so on.)

.topic 11323
Marks all variable and instruction fields using a custom color specific to that field type. For example, all variables will be marked with one color, all IF instructions will be marked with a different color, all REPEAT instructions will use a different color, and so forth.

.topic 11302
Collapses the list of items in the HotDocs Outliner to show only first-level instructions and variables.

.topic 11306
Displays the Apply Colors dialog box, where you can choose which coloring scheme should be used to identify variables and instructions in the outline. (See the HotDocs Helps for a description of each available option.)

.topic 11307
Copies the contents of the outline to the Windows Clipboard so you can paste it in another application, such as a word processor.

.topic 11309
Displays the What's This help cursor. Once activated, you can click on a button, prompt, or other control and view a short explanation of that feature.

.topic 11310
Lets you view a specific variable in the Limit to drop-down list to see which instructions or conditions are associated with that specific variable. If you select <cursor position> from this list, you can click in a field in the template and view the same information. This helps you view scripting on a variable by variable basis.

.topic 11300
Places the HotDocs Outliner window next to the Word template window so you can view both windows simultaneously.

.topic 11311
Lets you view a specific variable in the Limit to drop-down list to see which instructions or conditions are associated with that specific variable. If you select <cursor position> from this list, you can click in a field in the template and view the same information. This helps you view scripting on a variable by variable basis.


HotDocs Help - custom interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

custom interview

A script that controls how and the order in which variables and dialogs are asked during an interview. The template developer creates this script.

Home > HotDocs Glossary of Terms > custom interview


HotDocs Help - database

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

database

A file that contains a collection of data. Template developers can map variables in templates to fields in a database table so that answers can be retrieved from it and merged in the assembled document.

Home > HotDocs Glossary of Terms > database


HotDocs Help - Database Connection

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Database Connection

See HotDocs Database Connection.

Home > HotDocs Glossary of Terms > Database Connection


HotDocs Help - date detection

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

date detection

The HotDocs setting that controls how HotDocs interprets and merges dates entered during the interview—for example, whether the date appears as DAY MONTH YEAR (British), or MONTH DAY YEAR (United States).

Home > HotDocs Glossary of Terms > date detection


HotDocs Help - Date variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Date variable

A type of component that merges a date in the document.

Home > HotDocs Glossary of Terms > Date variable


HotDocs Help - default interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

default interview

The interview HotDocs automatically generates based on the order variables are asked in the template.

Home > HotDocs Glossary of Terms > default interview


HotDocs Help - default word processor

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

default word processor

When multiple word processors (for example, Word and WordPerfect) or when multiple versions of a single word processor (for example, Word 2000 and Word XP) are installed, the word processor HotDocs uses by default for automation and document assembly.

Home > HotDocs Glossary of Terms > default word processor


HotDocs Help - delimiter

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

delimiter

A character, such as a tilde (~) or vertical bar (|), that delineates answers or values in a script or instruction.

Home > HotDocs Glossary of Terms > delimiter


HotDocs Help - descend

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

descend

The process of sorting answers in reverse alphanumeric order, from 9 to 1, and from Z to A. (See also ascend.)

Home > HotDocs Glossary of Terms > descend


HotDocs Help - Component Manager Toolbar

Component Manager Toolbar

The following buttons and commands appear on the Component Manager toolbar:

Button or Command | Description
Arrange Windows | Places the Component Manager window to the left of either the library window or the word processor window. This way, you can work in both windows simultaneously.
Save Component File Save Component File | Saves changes you have made to the component file.
Component File Properties Component File Properties | Opens the Component File Properties dialog box where you can select options that affect how the template is assembled.
Insert Variable | Inserts the selected variable in the template.
New Component | Creates a new component and adds it to the component file. (To add the variable to the template, place your cursor in the template where you want the field, then select the variable in Component Manager and click the Insert Variable Insert Variable button.
Edit Component | Opens the Component Editor for the selected component so you can make changes to it.
Delete Components | Removes the selected component(s) from the component file. Caution:Any fields in the template that still refer to the component will cause the template to no longer work.
Rename Components | Lets you rename components in the component file.
Duplicate Variables | Creates a copy of the variable(s) you have selected.
Restore All | Brings all open component editors to the front.
Minimize All | Minimizes all component windows to the Windows taskbar.
Save and Close All Save and Close All | Saves and closes all open component editors.
What's This? Help What's This? Help | Displays the What's This? Help cursor, which allows you to get help for specific elements in the HotDocs interface.
Sort Components | Sort components in the list in alphanumeric order.

Home > Component Manager Toolbar


HotDocs Help - Improve Interview Speed Using a Custom Interview

Improve Interview Speed Using a Custom Interview

Once you automate a template, the template can be used to generate an interview, which displays the questions the user must answer in order to produce a complete document.

How HotDocs generates this interview is important to understand. To start, HotDocs reads through the template text and extracts all variables and instructions from it. This produces what is called an extracted script.

This example shows a short template, followed by its corresponding extracted script:

(Template text)

Last Will of «Client Name»
I, «Client Name», being of sound mind, do make this my last will and testament. «IF Client Marital Status = "Married"»My «Client Spouse Gender: wife/husband»’s name is «Spouse Name». «Client Spouse Gender: she/he» is my personal representative. «ELSE IF Client Marital Status = "Never Married"»I have never been married. «END IF»

(Extracted script)

«Client Name»
«Client Name»
«IF Client Marital Status = "Married"»
«Client Spouse Gender: wife/husband»
«Spouse Name»
«Client Spouse Gender: She/He»
«ELSE IF Client Marital Status = "Never Married"»
«END IF»

Once HotDocs creates this script, it then processes the script and asks any variables referenced in it, displaying those questions in the interview. (When a variable is linked to a dialog, HotDocs displays the dialog instead.) Additionally, HotDocs processes other instructions (such as ASK, REPEAT, or IF instructions) included in the extracted script. While the extracted script may refer to a variable or instruction multiple times, once the variable or instruction has been answered, it will not be asked again.

For most templates, allowing HotDocs to generate the interview this way is sufficient. In fact, all templates are set, by default, to use this method.

For complicated templates that contain a lot of scripting, however, this default interview generation may produce an interview that is sluggish for the user to navigate. This is because HotDocs must repeatedly process every variable and instruction in the extracted script—even if the user has already answered the question or the instruction has already been executed. Depending on the complexity of the script, processing this script may cause a delay when moving between answers in the dialog or between dialogs in the interview.

If this happens, you can create a custom interview that contains only the required scripting and variables. You create this script using a Computation variable. Once you write the custom interview script, you must select a component file property that tells HotDocs to use this script instead of the default extracted script. The following example shows a custom interview script that might be created for the template shown above:

(Custom interview script)

ASK Client Information
IF Client Marital Status = "Married"
  ASK Spouse Name
END IF

For instructions on creating a custom interview so you can improve the responsiveness of the interview, see Define a Custom Interview.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining the Interview for the Document > Improve Interview Speed Using a Custom Interview


HotDocs Help - developer

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

developer

See template developer.

Home > HotDocs Glossary of Terms > developer


HotDocs Help - dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

dialog

  1. In template development, represents the component in which the developer groups variables and other components.
  2. In document assembly, represents the group of questions in the Interview tab of the assembly window where users enter their answers.

Home > HotDocs Glossary of Terms > dialog


HotDocs Help - dialog element

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

dialog element

A component that lets developers more easily add additional text, hyperlinks, buttons, graphics, lines, and spacing to dialogs. These can help make the dialog more visually pleasing and informative.

Home > HotDocs Glossary of Terms > dialog element


HotDocs Help - direct-fill assembly

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

direct-fill assembly

The process of entering answers directly at the Form Document tab of the assembly window rather than answering questions at the Interview tab.

Home > HotDocs Glossary of Terms > direct-fill assembly


HotDocs Help - .DOC

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.DOC

File name extension that designates that the file is a Microsoft Word document. (See text document.)

Home > HotDocs Glossary of Terms > .DOC


HotDocs Help - document

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

document

The file that is created after a template has been assembled.

Home > HotDocs Glossary of Terms > document


HotDocs Help - document assembly

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

document assembly

The process HotDocs goes through as it processes scripts in the template and merges answers into the document. At the end of the assembly process, the user has a document tailored to his or her needs.

Home > HotDocs Glossary of Terms > document assembly


HotDocs Help - document manager

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

document manager

A third-party application that stores various data files, including documents and answer files. Using a document manager, users can track versions and show histories of the document as well as enter other physical data about the files being stored, such as the date they were created, who created them, and so forth.

Home > HotDocs Glossary of Terms > document manager


HotDocs Help - Document Preview tab

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Document Preview tab

A tab of the assembly window that shows how the text document has been assembled using the answers entered in the interview. (See also Form Document tab and Interview tab.)

Home > HotDocs Glossary of Terms > Document Preview tab


HotDocs Help - .DOT

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.DOT

File name extension that designates that the file is a Microsoft Word DOT template. (See text document.)

Home > HotDocs Glossary of Terms > .DOT


HotDocs Help - double-angle bracket

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

double-angle bracket

See chevrons.

Home > HotDocs Glossary of Terms > double-angle bracket


HotDocs Help - driver

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

driver

See printer driver.

Home > HotDocs Glossary of Terms > driver


HotDocs Help - duplicate

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

duplicate

The process of copying a variable to create a new one.

Home > HotDocs Glossary of Terms > duplicate


HotDocs Help - Edit field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Edit field

A type of form template field that is used for entering text, dates, and numbers. It is the most commonly used type of field on a form.

Home > HotDocs Glossary of Terms > Edit field


HotDocs Help - ELSE IF / ELSE

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ELSE IF / ELSE

See IF instruction.

Home > HotDocs Glossary of Terms > ELSE IF / ELSE


HotDocs Help - End of Interview dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

End of Interview dialog

The last dialog displayed in an interview, which contains a report of the number of questions that are still unanswered. It also provides options for working with the assembled document.

Home > HotDocs Glossary of Terms > End of Interview dialog


HotDocs Help - Error Message Dialog Box

Error Message Dialog Box

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > Error Message Dialog Box


HotDocs Help - Error Reporting Dialog Box

Error Reporting Dialog Box

When HotDocs encounters something in a template or script that it doesn't understand, it generates a syntax error and displays an error message, such as the one you see in this message box. This warning describes the error and displays the processing stack for the error. The stack shows, starting from the bottom, the components HotDocs was processing when it found the error. The Field denotes the variable or instruction field in the template where the error occurred, while Position denotes the character position within the field or script.

Home > Error Reporting Dialog Box


HotDocs Help - example format

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

example format

A predefined format for how an answer should look when it is merged in the assembled document. This allows the user to enter the answer however they want in the interview, but forces it to appear a specific way in the finished document.

Home > HotDocs Glossary of Terms > example format


HotDocs Help - explicit index

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

explicit index

A reference to a specific answer in a list of answers. For example, to merge the third answer from a list, a template developer would assign the index number of [3] to the variable that is being merged, like this: «Service Date[3]». The third date in the list would then be merged.

Home > HotDocs Glossary of Terms > explicit index


HotDocs Help - expression

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

expression

A command in a script that retrieves a special value. Expressions help calculate dates, sums, and so forth.

Home > HotDocs Glossary of Terms > expression


HotDocs Help - field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

field

A place in the template that denotes where users' answers should be merged, or where a specific instruction should be executed. In a text template, a field is denoted by chevrons. In a form template, a field is denoted by a colored box that is overlaid on the form's static text.

Home > HotDocs Glossary of Terms > field


HotDocs Help - file name extension

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

file name extension

Three characters appended to a file name that identify the type of file so Windows knows what program to use to work with the file.

Home > HotDocs Glossary of Terms > file name extension


HotDocs Help - fill

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

fill

The process of assembling a form document.

Home > HotDocs Glossary of Terms > fill


HotDocs Help - fillable field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

fillable field

In Adobe Acrobat or Reader, represents a dynamic field in which a user can enter data while viewing the document. Using HotDocs, users can create fillable PDF templates from these PDF documents that contain fillable fields.

Home > HotDocs Glossary of Terms > fillable field


HotDocs Help - Filler

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Filler

See HotDocs Filler.

Home > HotDocs Glossary of Terms > Filler


HotDocs Help - filter

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

filter

A script that removes unrelated or unwanted answers from a list of answers. For example, perhaps there is a list of a client's children but only the names of minor children should be merged. A filter can extract just this data from the list.

Home > HotDocs Glossary of Terms > filter


HotDocs Help - fixed value

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

fixed value

A predefined answer, such as a date, number, or string of text. When working with instructions and expressions, placeholders are replaced either with fixed values or with variables.

Home > HotDocs Glossary of Terms > fixed value


HotDocs Help - foreign language DLL

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

foreign language DLL

A file that allows template developers and users to access Date variable and Number variable formats in languages other than English. This allows these dates and numbers to be formatted correctly in the assembled document. Supported languages include French, Spanish, German, Swiss German, Austrian German, Dutch, and Italian.

From HotDocs 10 onwards, the functionality provided by the Foreign Language DLL's is integrated with HotDocs.

Home > HotDocs Glossary of Terms > foreign language DLL


HotDocs Help - format example

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

format example

See example format.

Home > HotDocs Glossary of Terms > format example


HotDocs Help - form document

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

form document

The file that is created from an assembled form template. Form documents are distinguished from text documents by the design of the document—forms are static in nature, meaning the underlying text of the document cannot be changed or modified. (See also text document.)

Home > HotDocs Glossary of Terms > form document


HotDocs Help - Form Document tab

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Form Document tab

A tab of the assembly window that shows how the form document has been assembled using the answers entered in the interview. When viewing the Form Document tab, users can enter or change their answers by clicking on the form fields and changing the answer.

Home > HotDocs Glossary of Terms > Form Document tab


HotDocs Help - Troubleshoot Form Printer Problems

Troubleshoot Form Printer Problems

Some types of printers have been known to cause problems when printing a form template or document, and should be tested before use with finished products. These printers include:

  • Ink jet printers
  • Brother printers
  • 16-bit postscript printer drivers
  • DeskJet printers
  • Xerox printers
  • "All-in-one" printers (printers that include copying, scanning, printing, and faxing capabilities)

For best results, it is recommended that you use an HP LaserJet with at least two megabytes of memory.

Home > Troubleshoot Form Printer Problems


HotDocs Help - Show and Hide Fields

How Do I...?

  • Change the Font Used for a Field
  • Circle Static Text on a Form
  • Convert Answers on the Form to Bar Code Format
  • Cross Out Static Text on the Form
  • Flow a Single Answer Across Two or More Pages in a Form
  • Format Lines and Paragraphs of Text in a Form Field
  • Insert a Graphic File in a Form
  • Keep Contents of Form Fields from Printing
  • Move a Field on a Form
  • Rotate Answers in a Field
  • Show and Hide Fields

Show and Hide Fields

As you are viewing a form, field backgrounds are shown by default. You can hide field backgrounds, though, which may make it easier for you to scan through the form. When backgrounds are hidden, only the answer for the field appears.

To hide or show field backgrounds

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Click the Highlight Fields Highlight Fields button.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Changing Field Properties > Show and Hide Fields


HotDocs Help - Understand Bar Code Settings

Understand Bar Code Settings

When you convert an answer to a PDF417 bar code format, you can control some of the settings that are used to generate the bar code. These specifications are frequently determined by the agency to which you are submitting your form. Please check with the agency to determine which settings to specify.

  • X-Dimension (module width): The X-dimension is the width of the narrowest bar in a printed bar code. The smaller the number, the stricter the requirements are for printing the bar code. (For example, the bar code must be printed on higher quality paper, etc.)
  • Module aspect ratio: This determines the range of angles with which the bar code can be scanned. For example, when placed under the scanner, must the paper be flat and facing a single direction, or will the scanner be able to read the data regardless of how it's placed? The higher the number, the less restrictive the placement of the paper under the scanner will be.
  • Number of rows and Number of columns: These numbers control the number of rows and columns that appear in the bar code. These settings determine the width and/or height of the bar code.
  • Error level: This determines the redundancy of information in the bar code to compensate for any damage that may be done to the bar code (for example, if the paper is torn or if other marks have been made on the bar code). The higher the number, the less data can be stored in the bar code. (However, the greater the chances are that the bar code will be readable.)
  • Encoding: This setting allows answers that contain foreign characters to be encoded so they can be represented in the bar code correctly. To properly encode foreign characters, you must select UTF-8 from the drop-down list. (Choosing ANSI encodes the text in non-Unicode format, which means if you use foreign characters in the text, these characters may not appear correctly.)

Additional information about the PDF417 bar code specification can be found on the Internet.

Home > Understand Bar Code Settings


HotDocs Help - Move Around in a Form

Move Around in a Form

When working with a form, there are several ways to move around within the form, including changing the magnification of the form, scrolling the form vertically and horizontally, and moving between pages in the form.

To move around in a form

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Complete any of the following steps:
    To | Do This
    Scroll the form horizontally and vertically | Click the Scroll Tool Scroll Tool button and drag the mouse the direction you want to view. The form is scrolled in that direction.
    Zoom in on a particular section of the form | Click the Zoom Tool Zoom Tool button and then click on the form. The magnification on the form changes. (To zoom out, press the Ctrl or Shift key while clicking with the Zoom Tool Zoom Tool button.)
    View the next or previous page in the form | Click the Next Page Next Page button or the Previous Page Previous Page button.
    Go to any page in the form | Choose Go To (Edit menu). The Go To Page dialog box appears, where you can enter the number of the page you want to view. (You can also click a thumbnail image to move to any page in the form.)

Home > Move Around in a Form


HotDocs Help - Start and Exit HotDocs Filler

Start and Exit HotDocs Filler

To edit saved form documents, you must start HotDocs Filler.

To start HotDocs Filler

  • Complete one of the following steps:
    • At the Start menu, click Programs > HotDocs 10 > HotDocs Filler. HotDocs opens an empty Filler window.
    • At the HotDocs template library, choose HotDocs Filler from the Tools menu.
Note: To close HotDocs Filler, choose Exit (File menu). (You can also press Alt+F4.)

Home > Start and Exit HotDocs Filler


HotDocs Help - View the Form in More than One Window

How Do I...?

  • View the Form in More than One Window

View the Form in More than One Window

When you need to copy and paste fields, viewing the current form in multiple windows within Filler can be helpful. Also, when you have several forms open at once, you can view all open windows simultaneously

To display the form in more than one window

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Click the Window menu and make a selection, based on information in the following table:
    To | Do This
    Open an additional copy of the current form | Choose New Window.
    Display all open forms arranged from left to right | Choose Tile Vertical.
    Display all open forms arranged from top to bottom | Choose Tile Horizontal.
    Display all open forms so they overlap from top-left to bottom-right | Choose Cascade.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Creating and Working with Forms > View the Form in More than One Window


HotDocs Help - Create Independent Addendums for Forms

How Do I...?

  • Create Independent Addendums for Forms
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Split a Multi-Line Answer Between the Form and the Addendum

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Create Independent Addendums for Forms

Sometimes your form includes duplicate pages that must be given to or filed with a specific party. (For example, perhaps you have a form where one copy must be given to the client, and another copy must be filed in your office.) You can select an option that specifies that a new addendum page should begin following a specified field. This makes it possible to create multiple, independent addendums.

To create independent addendums

  1. Select the field(s) and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  2. Click the Overflow tab. The view changes to show overflow options.
  3. Select Begin new addendum following this field.
Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining Form Overflow Properties > Create Independent Addendums for Forms


HotDocs Help - Define Overflow Properties for Run-on Fields

How Do I...?

  • Create Independent Addendums for Forms
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Split a Multi-Line Answer Between the Form and the Addendum

Reference Material

  • Use Answer Overflow and Addendum Text Codes

Define Overflow Properties for Run-on Fields

When an answer is too large to fit in its field, HotDocs, by default, warns you and asks how to handle the overflow. You can customize the field overflow properties, controlling how HotDocs automatically handles answer overflows.

For example, you can have HotDocs automatically create an addendum, where each answer that overflows is sent. In the field that overflows, HotDocs can insert cross-reference text that points you to a specific item in the addendum. You can designate the text that is used both for the cross-reference and for the label in the addendum.

Another option is for you to have HotDocs automatically reduce the answer’s font size. You can set a minimum point size and control if the answer is automatically reduced to this size before displaying an overflow warning message. (In reducing the font size, be cautious, because others may find the smaller size harder to read.) (See Change the Font Used for a Field.)

How you define overflow properties depends on the type of field you are creating. Grouped fields and tables are handled a little differently from regular fields. Grouped fields are shown in the addendum as just one answer.

To set the properties for a run-on group

  1. Edit a form document. (See Edit a Saved Form Document.)
  2. Select the run-on group whose overflow properties you want to define.
  3. Click the Field Properties Field Properties button and click the Overflow tab.
  4. Complete any of the following steps:
    To | Do This
    Automatically shrink an answer that overflows to a specific point size | Select Shrink answer as needed and enter a point size in the points box.
    Automatically send an answer that overflows to the addendum

    Select Send answer to addendum.

    To send only part of a multi-line answer to the addendum, select Split answer.

    Use a check box in the grouped fields to indicate the answer overflows

    Sometimes forms include a check box that indicates when an answer is continued elsewhere, such as in the addendum or in an attachment. Choosing one of these options selects that check box when the answer overflows.

    Select either Indicator check box is first in field group or Indicator check box is last field in group, depending on where the check box that indicates overflow is positioned.

    Select No addendum entry indicator check box if there is no check box to indicate an answer has been sent to an attachment or addendum.

    Define the text that appears in the answer field that an answer is sent to the addendum

    If you want the indicator check box to be the only designation that a field overflows, enter NONE in this box.

             Enter the text in the Cross-reference text box. (Click Use Answer Overflow and Addendum Text Codes for a list of reference numbering codes you can use.)
    Define the text that identifies the answer once it has been sent to the addendum | Enter the text in the Addendum label text box.
    Make an answer the first item on its addendum page | Select Begin addendum entry on a new page.
    Make an answer the last item on its addendum page | Select Begin new page following addendum entry.
Caution: Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining Form Overflow Properties > Define Overflow Properties for Run-on Fields


HotDocs Help - Use Answer Overflow and Addendum Text Codes

How Do I...?

  • Create Independent Addendums for Forms
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Define Overflow Properties for Run-on Fields
  • Split a Multi-Line Answer Between the Form and the Addendum

Use Answer Overflow and Addendum Text Codes

These instructions can also be used to control numbering in overflow and addendum text both at the Form Document tab of the assembly window and in HotDocs Filler.

As you customize the appearance of an addendum, you can insert any combination of codes to merge page numbering into addendum headers and footers. Also, when defining overflow cross-references and labels, you can insert codes that number entries in the addendum, particularly answers in tables that overflow. Finally, in both cases, you can control the type of number that is used—Arabic, Roman, or alphabetic.

Addendum Header and Footer Page Numbering Codes

You can use the following codes to merge page numbers in addendum headers and footers. For example, the header text Financial Aid Application, page <PAGE> would insert at the top of each addendum page the form title followed by the number of the current page in the form (that is, Financial Aid Application, page 1). The footer text Page <PAGE> of <PAGES> would insert at the bottom of each addendum page the number of the current page followed by the total number of pages in the form (that is, Page 1 of 7).

Page Numbering Code | What It Inserts in Assembled Document
<PAGE> | Current page in the document
<PAGES> | Total number of pages in the document, including addendum pages
<DOCPAGES> | Total number of pages in the document, without including the addendum
<PAGEINFO> | Current page in the document / Total pages in the document
<ADMPAGE> | Current page in the addendum
<ADMPAGES> | Total number of pages in the addendum
<ADMPAGEINFO> | Current page in addendum / Total pages in addendum.

Addendum Label and Cross-Reference Text Numbering Codes

As you define how HotDocs should handle fields that overflow, you can use the following codes to merge reference numbers in cross-references and addendum labels. For example, in a table with two rows and two columns, the number codes <ROW>, <COLUMN> would insert 2, 1 for the answer in the first column of the second row. For that same cell of the table, <MEMBER> would insert 3, since the field is the third field in the table counting from the first cell of the table. And again for that answer <MEMBER:A> would insert C, the item number as an uppercase alphabetic character (1=A, 2=B, C=3, etc.).

Numbering Code | What It Inserts in Assembled Document
<REFNR> | Addendum item number
<VARNAME> | The name of the variable
<ROW> | Table row number (merged in addendum only)
<COLUMN> | Table column number (merged in addendum only)
<MEMBER> | Table cell sequence number (merged in addendum only)

Numbering Format Codes

To change the format of the number, between the page or referencing number code and the closing angle bracket (>), type a colon (:) immediately followed by one of the page format codes described in the following table. (A complete entry would look like this: <DOCPAGES:A>.)

Page Format Code | What Number is Merged
1 | Arabic numerals (default)
A | Uppercase letters
a | Lowercase letters
I | Uppercase Roman numerals
i | Lowercase Roman numerals

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Defining Form Overflow Properties > Use Answer Overflow and Addendum Text Codes


HotDocs Help - form template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

form template

A template that is created and automated in HotDocs Automator. It is distinguished from a text template by the fact that the underlying text cannot be modified because it is static. (See also form document.)

Home > HotDocs Glossary of Terms > form template


HotDocs Help - Contact HotDocs Sales and Support

Contact HotDocs Sales and Support

HotDocs Technical Support

Support for customers with technical support agreements is available by calling the numbers below. To expedite your call, please be at the computer on which the program is running.

Outside the European Union:

Method of Contact | Information
Telephone | (800) 828-8328 (U.S.) (801) 615-2200 (International) Note: U.S. technical support is available from 7:00am to 6:00pm (MST), Monday through Friday.
E-mail | support@hotdocs.com
Web Site | http://www.hotdocs.com/support/

Inside the European Union:

Method of Contact | Information
Telephone | 0870 0100 676 (U.K.) +44 131 220 9027 (International) Note: U.K. technical support is available from 9:00am to 5:00pm (GMT), Monday through Friday.
E-mail | tech@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk
Note:
  • You may also find answers or solutions to questions you have in the HotDocs Knowledge Base. To view the Knowledge Base (as well as access other support options), please visit http://help.hotdocs.com/knowledgebase/.
  • Click here for information on providing the HotDocs Publications team with documentation feedback.

HotDocs Sales Support

Experienced HotDocs consultants are available to help you with a variety of services, including integrating HotDocs with other products, building a template library, or providing training. Please contact your sales representative to learn more.

Outside the European Union:

Method of Contact | Information
Telephone | (800) 500-3627 (U.S. Sales) (801) 615-2200 (U.S. Business) +44 131 226 3999 (International)
Fax | (877) 356-3627 (U.S.) (801) 868-3627 (International)
E-mail | sales@hotdocs.com
Web Site | http://www.hotdocs.com http://www.hotdocs.com/products http://www.hotdocs.com/services
Address | 387 South 520 West Suite 210 Lindon, Utah 84042

Inside the European Union:

Method of Contact | Information
Telephone | 0870 606 6050 (U.K.) +44 131 226 3999 (International)
Fax | 0131 220 9024 (U.K.) +44 131 220 9024 (International)
E-mail | info@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk
Address | 14 South Charlotte Street Edinburgh, EH2 4AX Scotland

Home > Contact HotDocs Sales and Support


HotDocs Help - Documentation Feedback

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010

Reference Material

  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Documentation Feedback

To improve the quality of the tutorials and the help files, we invite you to make comments or suggestions. When doing so, please include as much information about your experience using the documentation as possible. For example, include which version of the product you are using, as well as whether your suggestion is in regards to the Installation Guide and Tutorial or the electronic help file. If commenting about a specific topic, include that information as well.

Caution: The HotDocs Publications team cannot respond to technical support or project consulting questions. We are mainly interested in problems with the documentation itself—such as erroneous information, grammatical and spelling errors, or suggestions for topics to include in the next release of the software.

E-mail your comments and suggestions to publications@hotdocs.com.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > Documentation Feedback


HotDocs Help - Exit HotDocs

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010

Reference Material

  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Exit HotDocs

When you are finished using HotDocs, you can exit it.

To exit HotDocs

  • Click Exit (File menu).

Home > All About... > Starting With HotDocs > Exit HotDocs


HotDocs Help - Form a Help Search Query

Form a Help Search Query

Using Search is perhaps the most powerful option you have for searching the help file. To form a search query, please keep the following in mind:

  • If you want to find a topic that contains two or more terms, regardless of where the terms appear in the topic, enter those terms in the search box. For example, if you want to find a topic on using the instant update feature for a document, you could enter the search words instant update document. All topics that contain all of those search terms are listed in the results.
  • To search for a specific phrase, you can surround the phrase in quotation marks. For example, to find information about the Highlight Fields button, enter the search phrase (including quotation marks) "highlight fields button". All topics with that exact phrase are listed on the Search Results page.
  • You can also search using Boolean phrases such as AND, OR, and NOT:
    • Words separated by AND will display results that contain all of the words in your search. (This is the way Search works by default.)
    • Words separated by OR will display results that contain either of the words in your search. For example, you could search using "intake interview" OR "interview template" and view all topics that contain either of those phrases.
    • Words separated by NOT will display results that contain the first word in the search, but not the second. For example, if you want to find all topics that contain the word group but not table, you could enter the search phrase group NOT table.
Note:
  • For full instructions on using the help file, see Get Help Using HotDocs.
  • When you view a topic in a search results list, the help system highlights your search terms. If you want to remove these highlights, click the [image] Remove Highlighting button . (To show highlighted terms again, click the [image] Highlight Search Terms button.)

Home > Form a Help Search Query


HotDocs Help - Get Help Using HotDocs

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010

Reference Material

  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Get Help Using HotDocs

HotDocs Help Window Overview

HotDocs User includes a Help file to assist you in using the product.

The HotDocs Help window is divided into three parts – the navigation bar along the top of the help window, the main help content pane, and the topic navigation path that appears along the bottom of the window (which is visible as you are viewing specific help topics).

Organization of the Help File

Content within the help file is categorized into four areas:

  1. Overviews: These topics describe, in general terms, a particular feature or tool of HotDocs.
  2. How do I …?: These topics provide step-by-step instructions for completing a task in HotDocs.
  3. Reference Material: These topics offer additional information about a HotDocs feature or tool, such as background data or tips.
  4. Dialog Box Descriptions: These topics provide information for a specific dialog box or window. (You usually access these help topics by clicking the Help button on a dialog box that has one.)

Find Topics in the Help File

To use the help file, you have several options:

  • Click the Home link in the navigation bar to view the main “table of contents” for the help file. This displays a page that describes sections of the help file. You can click a folder and navigate to the specific help topic that most interests you.
  • Click the Index link to view a listing of all the topics in the help file, referenced by index keyword.
  • Enter a search term or phrase in the Search box and click Search to view topics that contain your search phrase. If the search phrase is found, a Search Results page is displayed, showing the different topics, grouped by category, that meet your criteria.
Note: See Form a Help Search Query for detailed instructions on creating a search query.

What’s This? Help and Dialog-Level Help

HotDocs provides two other types of help—What’s This? Help and Dialog-Level Help.

  • To access What’s This Help, at any dialog box where What’s This? Help is available, click the What’s This? Help button, either on the title bar ( What's This Help ) or in the toolbar ( What's This Help), and then click the item for which you want help.
  • To access dialog-level help, click the Help button at any dialog that contains one.

Other Help Resources

  • Click the Contact link to view different options for contacting HotDocs Corporation.
  • Click Glossary to view a glossary of HotDocs terms.
  • Click the Print Print Topic button to print a help topic.
  • Click the Increase Size Increase Size or Decrease Size Decrease Size buttons to increase or decrease the font size used for viewing the help file.
Note:
  • For additional help using HotDocs, you can view the online HotDocs Knowledge Base. See http://help.hotdocs.com/knowledgebase.
  • When you view a topic in a search results list, the help system highlights your search terms. If you want to remove these highlights, click the [image] Remove Highlighting button. (To show highlighted terms again, click the [image] Highlight Search Terms button.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > Get Help Using HotDocs


HotDocs Help - List of HotDocs File Name Extensions

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010

Reference Material

  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

List of HotDocs File Name Extensions

The following is a list of all file types used by HotDocs:

File Name Extension | Type of File
.RTF | Word RTF Template
.DOT | Word Template
.WPT | WordPerfect Template
.HFT | HotDocs Envoy-based Form Template
.HPT | HotDocs PDF-based Form Template
.HFD | HotDocs Envoy-based Form Document
.HPD | HotDocs PDF-based Form Document
.DOC | Word Document
.WPD | WordPerfect Document
.CMP | HotDocs Component File
.CMP | HotDocs Interview Template
.HDL | HotDocs Template Library
.HDL | HotDocs Clause Library
.HCL | HotDocs Clause Archive
.HDA | HotDocs Auto-Assemble File
.HDI | HotDocs Auto-Install File
.HAL / .HDL | HotDocs Answer Library Note: HotDocs 6 through HotDocs 2008 supported binary answer libraries (or answer libraries with the .HAL file name extension). Starting with the release of HotDocs 2009, however, HotDocs now supports both binary answer libraries and XML-based answer libraries (which use the .HDL file name extension). By default, HotDocs will continue to use binary answer libraries as long as the file properties of items in the library use characters that are compatible with your system's default language. If you define answer file properties that contain foreign characters, HotDocs will create an XML-based answer library (so that it can properly display these characters in the Properties tab of the library window.)
.ANS / .ANX | HotDocs Answer File Note: HotDocs 6 through HotDocs 2008 supported two types of answer files—binary answer files and XML answer files. These files were typically named using the .ANS and .ANX file name extensions, respectively. Starting with the release of HotDocs 2009, however, HotDocs can save answer files in only XML format. This means that if you open a binary answer file (such as an .ANS file) in HotDocs 2009, make a change to the file, and then save it, the contents of the answer file will be converted to and saved as XML. (The file name, however, will continue to use the ANS file name extension.) If you want the answer file to be compatible with versions of HotDocs prior to HotDocs 2009, see Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.
.HDPMX | Publisher Answer Source Mapping File (This file is used to save variable mapping information created and used by other third-party applications.)
.HDUMX | User Answer Source Mapping File (This file is used to save variable mapping information created and used by other third-party applications.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > List of HotDocs File Name Extensions


HotDocs Help - Quick Help Links

Reference Material

  • What Is HotDocs?

Overviews

  • Quick Help Links

Quick Help Links

Using the links below, you can quickly find topics of interest, particularly if you are a new user.

New and Enhanced Features of HotDocs 10

Get Help Using HotDocs

Starting HotDocs

What Is HotDocs?

Start HotDocs

Overview: Use HotDocs Libraries

Create a Library

Work with Templates and Other Files in a Libary

Assembling a Document

Assemble a Text or Form Document

Select an Answer File for Assembly

Navigate Through Answer-Gathering Dialogs

Preview the Assembled Text Document

Save an Assembled Text or Form Document

Save an Answer File During Assembly

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs > Quick Help Links


HotDocs Help - Restore Installation Defaults

Restore Installation Defaults

At times, you may want to restore default settings in HotDocs. You can accomplish this by clearing the Current User key of the Registry.

Caution: You must be extremely careful when working in the System Registry. Failure to follow the instructions below exactly could result in your making changes that negatively affect all of the programs on your computer. You may want to ask your system administrator for help if you are unsure of what you are doing.

To restore installation defaults

  1. At the Start menu, select Run. The Run dialog box appears.
  2. In the Open box, type regedit and click OK. The Registry Editor appears.
  3. Navigate to HKEY_CURRENT_USER > Software > HotDocs > HotDocs.
  4. Select the HotDocs subfolder and press Delete. Click Yes to confirm the deletion.
  5. Check for the registry key HKEY_CURRENT_USER > Software > LexisNexis > HotDocs 6. If it exists, proceed to Step 6. Otherwise, proceed to Step 7.
  6. Select the HotDocs 6 subfolder and press Delete. Click Yes to confirm the deletion.
  7. Close the Registry Editor.

Home > Restore Installation Defaults


HotDocs Help - Start HotDocs

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010

Reference Material

  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Start HotDocs

To start HotDocs so you can edit templates or assemble documents, you must first open the HotDocs library. The library includes commands for performing most tasks in HotDocs.

To start HotDocs

  • Choose Start > Programs > HotDocs 10 > HotDocs User. The HotDocs library window appears.
Note: To start HotDocs, you can also click the HotDocs HotDocs button in the word processor toolbar. This will open and display the HotDocs library window.

Home > All About... > Starting With HotDocs > Start HotDocs


HotDocs Help - Use HotDocs with Microsoft Word 2007 and 2010

How Do I...?

  • Exit HotDocs
  • Start HotDocs
  • Use HotDocs with Microsoft Word 2007 and 2010

Reference Material

  • Documentation Feedback
  • Get Help Using HotDocs
  • List of HotDocs File Name Extensions

Use HotDocs with Microsoft Word 2007 and 2010

If you are using HotDocs with Microsoft Word 2007 or 2010, you should be aware of a few differences between earlier versions of Word and Word 2007/2010:

  • Location of HotDocs toolbar: To access the HotDocs editing and navigation toolbar buttons, you must click the HotDocs tab of the Word ribbon. This displays each of the editing and navigation commands.
  • Accessing the HotDocs button: The HotDocs button is located on the HotDocs tab of the Word ribbon.
  • File formats: Word 2007/2010 includes two new XML-based template formats—.DOTX (indicates the file does not use macros) and .DOTM (indicates the file does use macros). These template formats are not supported in HotDocs. However, if you are using Word 2007/2010 to save assembled documents, you can save in these formats: .DOCX and .DOCM.
  • Compatibility Mode: When you edit existing templates in Word 2007/2010, the template opens in Compatibility Mode. According to the Microsoft Word 2010 Help file, "Compatibility Mode makes sure that no new or enhanced features in Word 2010 are available while you work with a document, so that people who are using previous versions of Word will have full editing capabilities."

    If you plan to use your templates with just Word 2007/2010, you can convert your templates to Word 2007-10 format using the Word conversion tool. (See the Word Help file for additional information on doing this.) If you plan to distribute or share your templates with users who are using earlier versions of Word, however, you should either continue to work in Compatibility Mode, or you should take care not to use features specific to Word 2007/2010. (The Word Help file has a full list of Word 2007/10 elements.)

  • Styles: When you create a new, empty Word template, HotDocs applies whatever styles are in HotDocs.dotx to the new template. When you create a new template based on another template or document, HotDocs applies the styles used in that template or document to the new template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Starting With HotDocs > Use HotDocs with Microsoft Word 2007 and 2010


HotDocs Help - What is XML?

What is XML?

In HotDocs, template libraries, answer libraries, answer files, and component files are all created using XML. This format allows easier integration between HotDocs and other third-party applications. It also allows you to use a wider range of international languages (as long as they read left to right) both as you develop templates and as you assemble documents.

XML (eXtensible Markup Language) is a computer language designed to store and transmit data between applications. Like HTML (HyperText Markup Language), it contains customized markers, or tags, that identify the information in an XML file. However, while HTML describes the way a page looks, XML defines what the content is and controls the way data is structured, making it easy for diverse programs to access the same information.

For example, in HTML, to indicate a book title, you would italicize it using the <i> tag. In XML, you could mark the title using a <booktitle> tag. The HTML tag simply formats the text (making it italic), while the XML tag actually defines what the text is (a book title).

All XML code must be validated to ensure proper use of tags and the correct exchange of data with the application accessing the XML (in this case, HotDocs). This validation happens using either a document type definition file (or DTD) or an XML schema document (or XSD file). HotDocs files use the latter method for validating XML content. By default, these schema documents are found in C:\Program Files\HotDocs\Schemas.

Several resources are available on the Internet and in print that contain extensive information on XML, including the official documentation of the World Wide Web Consortium, which is a non-profit organization responsible for setting Internet standards. The W3C provides a useful index that references XML technology.

Caution:Only people who have a solid understanding of XML should attempt to manually modify the contents of an XML file.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > What is XML?


HotDocs Help - All About...

All About...

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

Related Topics

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

Home > All About...


HotDocs Help - All About...

All About...

+ Using Command-Line Options

  • Overview: Command-Line Options
  • Full List of Command-Line Options
  • Answer File
  • Answer Summary
  • Clause Name
  • Default Answer File
  • Discard Answers
  • Exit HotDocs
  • Finish Interview Action
  • Hide Library
  • HotDocs Auto-Assemble File
  • HotDocs Auto-Install File
  • Interview Scope
  • Keep Interview Group
  • Library File
  • Lock Answer File
  • Lock Library
  • New Answer File
  • No Assembly Window
  • No Interview
  • Output File
  • Overlay Answer File
  • Paper Size
  • Paper Tray
  • Print
  • Print Answers Only
  • Print Both
  • Print Copies
  • Print Duplex
  • Print Form Only
  • Print Without Dialogs
  • Question Summary
  • Save Answers
  • Save Answers Prompt
  • Send to Word Processor
  • Show Library
  • Start Interview Group
  • Suggest Save
  • Suggest Save New
  • Suppress Unanswered Warning
  • Template File
  • Use Command-Line Options at File Properties
  • Use Command-Line Options When Starting HotDocs
  • Use Command-Line Options when Using a Shortcut to Start HotDocs

Home > All About...


HotDocs Help - All About...

All About...

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Installing HotDocs

  • What Is HotDocs?
  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • System Requirements
  • Install HotDocs
  • Understand HotDocs Installation
  • Default File Locations in HotDocs 10
  • Use International Characters in HotDocs
  • HotDocs and XML File Formats
  • Uninstall HotDocs

Related Topics

+ Using the Keyboard in HotDocs

  • Use the Keyboard to Work in HotDocs
  • Full List of Keyboard Shortcuts

+ What's New in HotDocs User

  • New and Enhanced Features of HotDocs 10

Home > All About...


HotDocs Help - All About...

All About...

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Using the Keyboard in HotDocs

  • Use the Keyboard to Work in HotDocs
  • Full List of Keyboard Shortcuts

Related Topics

+ Installing HotDocs

  • What Is HotDocs?
  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • System Requirements
  • Install HotDocs
  • Understand HotDocs Installation
  • Default File Locations in HotDocs 10
  • Use International Characters in HotDocs
  • HotDocs and XML File Formats
  • Uninstall HotDocs

+ What's New in HotDocs User

  • New and Enhanced Features of HotDocs 10

Home > All About...


HotDocs Help - All About...

All About...

+ Using HotDocs Libraries

  • Overview: Use HotDocs Libraries
  • Create a Library
  • Open a Library
  • Add Templates and Other Files to a Library
  • Work with Templates and Other Files in a Libary
  • Remove Items from a Library
  • Change the Properties of a Single Library Item
  • Change the Properties for Multiple Items in a Library
  • Sort Items in a Library
  • Organize the Contents of a Library
  • Create a Favorites Folder in the Template Library
  • Create a New Library By Exporting Part of an Existing Library
  • Import One Library Into Another
  • Print a List of Items in a Library
  • Save a Library
  • Save the Contents of a Library as a Text File
  • Move Items Within a Library
  • Move Items to New Locations on Disk
  • Copy Templates to New Locations

Home > All About...


HotDocs Help - All About...

All About...

+ Legal Notices

  • Copyright Information
  • Software License Agreement
  • Third-Party Software Acknowledgements

Home > All About...


HotDocs Help - All About...

All About...

+ What's New in HotDocs User

  • New and Enhanced Features of HotDocs 10

Related Topics

+ Installing HotDocs

  • What Is HotDocs?
  • Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs
  • System Requirements
  • Install HotDocs
  • Understand HotDocs Installation
  • Default File Locations in HotDocs 10
  • Use International Characters in HotDocs
  • HotDocs and XML File Formats
  • Uninstall HotDocs

+ Using the Keyboard in HotDocs

  • Use the Keyboard to Work in HotDocs
  • Full List of Keyboard Shortcuts

Home > All About...


HotDocs Help - All About...

All About...

+ Setting HotDocs Options

  • Overview: HotDocs Options
  • Interviews and Dialogs
  • Document Assembly
  • Document Markup
  • Form Documents
  • Question and Answer Summaries
  • Personal Information
  • Spell Checking
  • Word Processors
  • File Locations
  • File Management
  • Template Set Updates

Home > All About...


HotDocs Help - Becoming Familiar with HotDocs

Becoming Familiar with HotDocs

What Is HotDocs?

Quick Help Links

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Becoming Familiar with HotDocs


HotDocs Help - All About...

All About...

+ Becoming Familiar with HotDocs

  • What Is HotDocs?
  • Quick Help Links

Home > All About...


HotDocs Help - All About...

All About...

+ Creating Template and Document Summaries

  • Overview: Question and Answer Summaries
  • View a Question Summary
  • View an Answer Summary

Related Topics

+ Answer Files: Saving Answer Files

  • Overview: Save Answers
  • Create a New Answer File
  • Create a Default Answer File
  • Suggest an Answer File for Every Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Attach an Answer File to an E-mail Message
  • Spell Check Answers

+ Answer Files: Using Answer File Manager

  • Overview: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager

+ Assembling Documents Linked to a Database

  • Overview: Assemble Documents Linked to a Database
  • Select Records During Document Assembly
  • Sort Database Records During Assembly
  • Filter Database Records During Assembly
  • Save Selected Records in an Answer File

+ Completing an Interview

  • Overview: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Search for a Specific Template in a Library
  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Overlay Answers in the Current Answer File
  • Assemble Multiple Documents
  • Use the Assembly Queue
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Save an Answer File During Assembly
  • Switch Answer Files During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • View Individual Rows in a Spreadsheet
  • Select Clauses During an Interview
  • View an Assembled Document in Markup View
  • Answer Date Questions
  • View an Answer's Variable Name
  • Use the End of Interview Dialog
  • Edit Answers at the Document Preview Tab
  • Spell Check Answers

+ Using Published and Web-Based Files

  • Overview: Use Published Files on the Internet
  • Register HotDocs to Work with Web Browsers
  • Add an Auto-Assemble File on the Internet to a HotDocs Library
  • Download Auto-Assemble Files for Use Offline
  • Install a Template Set
  • Check for Template Set Updates
  • Upload Answers
  • Add a Web Page to a HotDocs Library

+ Working with Assembled Form Documents

  • Overview: Assemble a Form Document
  • Enter Answers Directly at the Form Document Tab
  • View the Assembled Form Document
  • Assemble a Fillable PDF Document
  • Override an Answer in a Form
  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form
  • Edit a Saved Form Document
  • Create a Form Field
  • Select a Field
  • Detect Borders to Create or Resize a Field
  • Move a Field on a Form
  • Change the Borders and Margins of a Field
  • Copy One or More Form Fields
  • Resize Form Fields
  • Change the Tab Order of Fields
  • Group Form Fields So Answers Can Flow From One Field to Another
  • Ungroup Form Fields
  • Change the Font Used for a Field
  • Format Lines and Paragraphs of Text in a Form Field
  • Rotate Answers in a Field
  • Keep Contents of Form Fields from Printing
  • Cross Out Static Text on the Form
  • Circle Static Text on a Form
  • Insert a Graphic File in a Form
  • Convert Answers on the Form to Bar Code Format
  • Flow a Single Answer Across Two or More Pages in a Form
  • Check Form Fields for Answer Overflow
  • Customize the Look of the Addendum
  • Define Overflow Properties for a Regular Field
  • Split a Multi-Line Answer Between the Form and the Addendum

+ Working with Assembled Text Documents

  • Preview the Assembled Text Document
  • Edit Answers at the Document Preview Tab
  • Edit Document Text at the Document Preview Tab
  • View an Assembled Document in Markup View
  • Send the Assembled Text Document to the Word Processor
  • Open a Saved Text Document for Editing
  • Print an Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save Assembled Text Document as PDF
  • Save Assembled Form Document as PDF
  • Assign Security Options to a PDF Document

Home > All About...


HotDocs Help - All About...

All About...

+ Document Assembly

  • Can't Attach Answer File or Document to Outlook 2007 E-mail Message
  • Changing Unanswered Text Markers
  • Discerning Between Template Preview and Actual Template
  • Downloading HDIs and HDAs as ZIP Files
  • Editing Answers in Assembled Document
  • Entering a Two-Digit Year
  • HotDocs Skips Questions When Navigating from Child Dialog
  • Increasing Font Size
  • Installing Support for New Word Processor
  • Moving Between Questions in Interview Slow
  • Moving to the Next Dialog After Entering a Date or Number
  • Organizing Files in the Library vs. on the Disk
  • Overriding an Answer in a Form
  • Printing Form Document Takes Incredibly Long Time
  • Printing Form Document is Off-Center
  • Receiving Error Messages When Launching HDAs, HDIs
  • Restoring System Defaults to HotDocs
  • Saving Answers During Interview
  • Specifying Printing Options When Printing Text Documents
  • Understanding What Happens When Deleting Templates from the Library
  • Updating Changes Made in Word Processor Document in the Answer File, Template
  • Updating Cross-References in an Assembled Document
  • Viewing File Names Instead of Template Titles at Library

Home > All About...


HotDocs Help - HotDocs Glossary of Terms

HotDocs Glossary of Terms

This glossary contains template development terms as well as document assembly terms. To view a definition for a specific term, click a letter to jump to that section of the glossary.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

.ANS

File name extension that designates that the file is a HotDocs answer file. Starting with the release of HotDocs 2009, all answers files (even those with the .ANS file name extension) are saved in XML format. The .ANS file name extension is retained to ensure backwards compatibility with HotDocs 2008.

.ANX

File name extension that designates a HotDocs answer file.

accelerator

A key or key combination that quickly performs routine tasks in HotDocs. For example, rather than click the Print button, a user can press Ctrl+P and the document will be printed. Accelerators are useful when users don't want to use the mouse.

addendum

The last section of a form document that contains answers that don't fit in their allotted fields on the actual form. (See also overflow.)

additional text

See dialog element.

ADO

Short for ActiveX Data Objects, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ODBC.)

answer

Data users enter during an interview. Answers are usually merged into the document, but sometimes they are used to calculate other answers that are used in the document.

answer file

A saved file that contains the answers entered during an interview. Often users save their answers in a file so they can use them to assemble other similar documents.

Answer File Manager

The library used to manage answer files. With Answer File Manager, users can group answer files, view histories of their usage, and so forth. (The alternative is using Windows Explorer to find, view, and use answer files.)

answer library

See library and Answer File Manager.

answer management

The system of using Answer File Manager to store and manage answer files. (The alternative is using Windows Explorer to find, view, and use answer files.)

answer sharing

The process of creating and using same-named variables in multiple templates so that a user can use the same answer file to assemble multiple documents. (Can also be called variable flow-through.)

Answer Summary

A brief report HotDocs generates that lists the questions asked during an interview, followed by the answers that were entered. (See also Question Summary.)

answer wizard

A button attached to a form field that users can click during direct-fill assembly. When they click this button ( Answer Wizard), a pop-up interview appears, asking one or more questions that are required in order for an answer to be merged in the field. Frequently, answer wizards are assigned to inactive fields in a form.

ascend

The process of sorting answers in alphanumeric order, from 1 to 9, and from A to Z. (See also descend.) You can also sort items in a template library, clause library, and answer library.

ASK instruction

An instruction that forces a dialog to be asked at a specific location in the script or template. Frequently, ASK instructions are used when creating an interview component. They allow developers to control the order in which dialogs are asked during the interview.

assemble, assembly

See document assembly.

Assembly Queue

A dialog box that shows a list of assemblies—pending, current, and completed. Users can open the Assembly Queue by clicking its button ( Assembly Queue) in the assembly window toolbar. It is most useful when users have selected multiple templates for assembly.

assembly window

The window that appears when a user selects a template to assemble. By default, it includes the Interview tab, the Document tab, the Question Summary tab, and Answer Summary tab. Each of these tabs displays something unique about the document being assembled, such as the questions that are required to customize the document or the assembled document itself.

auto-assemble file

A self-executable file that contains one or more templates and their related files. When packaged in an auto-assemble file (or HDA), the files are temporarily extracted and used to assemble the document. Once assembly is complete, the extracted files are deleted. Auto-assemble files are useful if template developers don't want users to have editing access to the template files themselves.

auto-install file

A self-executable file that contains one or more templates and their related files. When extracted, the files are saved to disk and references to them are added to a library. Auto-install files provide a useful way to distribute templates or updates to template sets.

automate, automation

The process of converting any document (text or form) into an interactive template. At its very core, automation is replacing changeable text in the document with variables. Additional automation steps include making text in the template conditional, repeating sections of the template so multiple answers can be entered, and inserting other boilerplate text into the template.

Automator

See HotDocs Automator.

[Top]

B

bar code

A format for an answer or a group of answers so that data can be quickly scanned using an optical scanner. Bar codes are supported in both form templates and text templates.

binary files

In versions of HotDocs prior to HotDocs 2009, represents the format HotDocs-specific files—such as library files, component files, and so forth—were saved in. Binary file formats are common in most software applications. They allow information about the files to be encoded for storage and processing purposes. However, one limitation of storing information in HotDocs in binary format is that third-party application developers aren't able to inspect, edit, or otherwise make use of information contained in the files. Another limitation is that the binary formats used in HotDocs do not support the use of foreign characters (for example, international characters that are not represented in your computer system's default language).

browser

A window that allows users to view HTML documents.

built-in variable

A predefined variable that performs a special function in a template, such as inserting either today's date or the name of the current answer file. Built-in variables include TODAY, PN#, ANSWER FILE NAME, and COUNTER.

[Top]

C

.CMP

File name extension that designates that the file is a component file.

century rollover

A HotDocs setting that controls whether years entered as two digits appear as 1900-century years or 2000-century years.

check-box field

A type of form template field that represents some sort of pre-existing option a user must select.

chevrons

The double-angle brackets (« ») that surround a variable in a text template. Together, the chevrons and variable name make up the variable field, for example, «Client Name».

child dialog

A dialog that is inserted within another dialog. When it's inserted, it becomes linked to that dialog—users can't answer questions in it without first viewing the parent dialog. Usually the two dialogs are related in content or purpose.

clause

Predefined sections of text that can be selected and added to an assembled document. Usually clauses are grouped together in a clause library so users can choose which ones they want to insert, although some clauses are merged in the document automatically.

clause archive

A compressed file that contains all of the clauses for a given template or clause library. During assembly, clauses in the archive are extracted so they can be selected and added to an assembled document.

clause library

A file that contains a listing of available clauses. Users can select the clauses they want to use from the library, designate the order they should be merged in the document, and then answer any questions contained in the clauses. The clauses are then merged in the document.

command-line option

An instruction used to control the operation of HotDocs. These instructions, or commands, are added to any command line that causes HotDocs to run. They can alter the operation of specific templates, or they can affect the overall operation of HotDocs.

comments

Notes or thoughts entered by the template developer either in a script or in a template. Comments are one way to document processes within the template. If entered correctly, they will not be visible to users in the assembled document.

component

An element in a HotDocs template that displays or stores information about the answers that are merged. Examples of components include variables, dialogs, dialog elements, merge text groups, and formats.

component file

The file that stores all of the components used in a template. The component file and template file are both necessary for template development and document assembly to work correctly. Developers use Component Manager to work with components.

Component Manager

The tool used to coordinate component usage in a template. Component Manager shows all of the components used in the template and provides options for working with those components.

Computation variable

A type of component that performs calculations or executes other instructions within the template. Computation variable scripts are created using the HotDocs scripting language.

conditional text

Text in the template that should be included in the assembled document only under certain circumstances. Conditions are controlled using IF instructions and expressions.

COUNTER

An expression that keeps track of the current number of repetitions in a repeated dialog. Each time a new repetition is added, the COUNTER is increased.

custom interview

A script that controls how and the order in which variables and dialogs are asked during an interview. The template developer creates this script.

[Top]

D

.DOC

File name extension that designates that the file is a Microsoft Word document. (See text document.)

.DOT

File name extension that designates that the file is a Microsoft Word DOT template. (See text document.)

database

A file that contains a collection of data. Template developers can map variables in templates to fields in a database table so that answers can be retrieved from it and merged in the assembled document.

Database Connection

See HotDocs Database Connection.

date detection

The HotDocs setting that controls how HotDocs interprets and merges dates entered during the interview—for example, whether the date appears as DAY MONTH YEAR (British), or MONTH DAY YEAR (United States).

Date variable

A type of component that merges a date in the document.

default interview

The interview HotDocs automatically generates based on the order variables are asked in the template.

default word processor

When multiple word processors (for example, Word and WordPerfect) or when multiple versions of a single word processor (for example, Word 2000 and Word XP) are installed, the word processor HotDocs uses by default for automation and document assembly.

delimiter

A character, such as a tilde (~) or vertical bar (|), that delineates answers or values in a script or instruction.

descend

The process of sorting answers in reverse alphanumeric order, from 9 to 1, and from Z to A. (See also ascend.)

developer

See template developer.

dialog

  1. In template development, represents the component in which the developer groups variables and other components.
  2. In document assembly, represents the group of questions in the Interview tab of the assembly window where users enter their answers.

dialog element

A component that lets developers more easily add additional text, hyperlinks, buttons, graphics, lines, and spacing to dialogs. These can help make the dialog more visually pleasing and informative.

direct-fill assembly

The process of entering answers directly at the Form Document tab of the assembly window rather than answering questions at the Interview tab.

document

The file that is created after a template has been assembled.

document assembly

The process HotDocs goes through as it processes scripts in the template and merges answers into the document. At the end of the assembly process, the user has a document tailored to his or her needs.

document manager

A third-party application that stores various data files, including documents and answer files. Using a document manager, users can track versions and show histories of the document as well as enter other physical data about the files being stored, such as the date they were created, who created them, and so forth.

Document Preview tab

A tab of the assembly window that shows how the text document has been assembled using the answers entered in the interview. (See also Form Document tab and Interview tab.)

double-angle bracket

See chevrons.

driver

See printer driver.

duplicate

The process of copying a variable to create a new one.

[Top]

E

Edit field

A type of form template field that is used for entering text, dates, and numbers. It is the most commonly used type of field on a form.

ELSE IF / ELSE

See IF instruction.

End of Interview dialog

The last dialog displayed in an interview, which contains a report of the number of questions that are still unanswered. It also provides options for working with the assembled document.

example format

A predefined format for how an answer should look when it is merged in the assembled document. This allows the user to enter the answer however they want in the interview, but forces it to appear a specific way in the finished document.

explicit index

A reference to a specific answer in a list of answers. For example, to merge the third answer from a list, a template developer would assign the index number of [3] to the variable that is being merged, like this: «Service Date[3]». The third date in the list would then be merged.

expression

A command in a script that retrieves a special value. Expressions help calculate dates, sums, and so forth.

[Top]

F

field

A place in the template that denotes where users' answers should be merged, or where a specific instruction should be executed. In a text template, a field is denoted by chevrons. In a form template, a field is denoted by a colored box that is overlaid on the form's static text.

file name extension

Three characters appended to a file name that identify the type of file so Windows knows what program to use to work with the file.

fill

The process of assembling a form document.

fillable field

In Adobe Acrobat or Reader, represents a dynamic field in which a user can enter data while viewing the document. Using HotDocs, users can create fillable PDF templates from these PDF documents that contain fillable fields.

Filler

See HotDocs Filler.

filter

A script that removes unrelated or unwanted answers from a list of answers. For example, perhaps there is a list of a client's children but only the names of minor children should be merged. A filter can extract just this data from the list.

fixed value

A predefined answer, such as a date, number, or string of text. When working with instructions and expressions, placeholders are replaced either with fixed values or with variables.

foreign language DLL

A file that allows template developers and users to access Date variable and Number variable formats in languages other than English. This allows these dates and numbers to be formatted correctly in the assembled document. Supported languages include French, Spanish, German, Swiss German, Austrian German, Dutch, and Italian.

From HotDocs 10 onwards, the functionality provided by the Foreign Language DLL's is integrated with HotDocs.

form document

The file that is created from an assembled form template. Form documents are distinguished from text documents by the design of the document—forms are static in nature, meaning the underlying text of the document cannot be changed or modified. (See also text document.)

Form Document tab

A tab of the assembly window that shows how the form document has been assembled using the answers entered in the interview. When viewing the Form Document tab, users can enter or change their answers by clicking on the form fields and changing the answer.

form template

A template that is created and automated in HotDocs Automator. It is distinguished from a text template by the fact that the underlying text cannot be modified because it is static. (See also form document.)

format example

See example format.

[Top]

H

.HDA

File name extension that designates that the file is a HotDocs auto-assemble file.

.HDI

File name extension that designates that the file is HotDocs auto-install file.

.HFD, .HPD

File name extension that designates that the file is a HotDocs form document.

.HFT, .HPT

File name extension that designates that the file is a HotDocs form template.

HotDocs Automator

The tool used to automate form templates, or those templates whose underlying static text cannot be changed. Examples of form templates include tax preparation forms, applications, and so forth.

HotDocs Compare

Caution:Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

A HotDocs add-in tool that is used to compare different versions of an assembled document. Using HotDocs Compare, users can take a "snapshot" of an assembled document, change some answers in the interview, and then compare the two versions.

HotDocs Database Connection

A tool that provides the mapping needed to connect templates to a database. Answers can be retrieved from the database during the interview, which keeps users from manually having to enter their answers. (Starting with the release of HotDocs 2008, HotDocs Database Connection (the separate product) was fully integrated into all editions of HotDocs.)

HotDocs Developer

A version of HotDocs that contains the tools necessary to automate a simple to highly complicated set of both text and form templates. It is also used to assemble both text and form templates. (See also HotDocs Developer LE.)

Note:Prior to the release of HotDocs 10, Developer was named Professional Edition.

HotDocs Developer LE

A version of HotDocs that contains the tools necessary to automate a simple to moderately complicated set of text templates. HotDocs Developer LE can also be used to assemble text and form documents. (See HotDocs Developer.)

Note:Prior to the release of HotDocs 10, Developer LE was named Standard Edition.

HotDocs Filler

The application used to view assembled form documents.

HotDocs Options

A section of the software where template developers and end users can set their preferences for working with HotDocs.

HotDocs PDF Advantage

A HotDocs add-in that allowed the creation and automation of PDF-based form templates, as well as the ability to save most types of documents as PDF (assembled or otherwise). From HotDocs 10 onwards, this is no longer a separate add-in, but is instead fully integrated into HotDocs.

HotDocs Player

A version of HotDocs that is used for assembling published (and registered) templates.

HotDocs Player functions differently to HotDocs User, which can assemble any template created by HotDocs Developer. For more information, see HotDocs User.

HotDocs Player Edition

A version of HotDocs that is used for assembling published (and registered) templates.

HotDocs Professional Edition

Please see HotDocs Developer.

HotDocs Server

The Web-based version of HotDocs. When using HotDocs Server, interviews are presented in a user's Web browser. Answers are then sent back to a server where the document can be assembled. HotDocs Server allows users to create documents and answer files without requiring them to have HotDocs installed on their desktop.

HotDocs Standard Edition

Please see HotDocs Developer LE.

HotDocs User

A version of HotDocs that is used for assembling any templates created using HotDocs Developer.

HotDocs User functions differently to HotDocs Player, which can only assemble registered templates. For more information, see HotDocs Player.

[Top]

I

IF instruction (also ELSE IF, ELSE, END IF)

A set of instructions and expressions that control the inclusion and exclusion of optional text in a document. IF instructions are based on either True/False variables or true/false expressions. IF instructions can also be used to control whether certain instructions or expressions are processed in computationscripts.

import

  1. When working with libraries, the process of copying template files into the currently viewed library. These files can be imported for assembly only or for editing and assembly.
  2. When working with answer files, the process of copying an answer file to the default Answers folder and then adding it to the answer library.

inactive field

A form document field on which the user cannot directly enter an answer. Fields can be inactive for any number of reasons. For example, the field may be conditioned or it may contain a Computation variable. Frequently, a template developer provides an answer wizard to help the user answer all of the questions that will make the field active.

infinite loop

The process of a HotDocs script repeatedly reprocessing itself until HotDocs stops responding. For example, a computation can repeatedly scan a text string, character by character, for a specific value. As HotDocs searches for this value, it adds information to what is called the processing stack. If too much information gets added to this stack, HotDocs may get into an infinite loop and stop responding.

INSERT instruction

An instruction that inserts one template into another. For example, if boilerplate text needs to be used in multiple documents, a template that contains that text can be created and inserted in each template that requires it (via an INSERT instruction). This way, if changes need to be made to the text, the change has to be made in only one template.

inserted dialog

See child dialog.

inserted template

A template that is inserted into another template using an INSERT instruction.

instant update

A command in the HotDocs assembly window that, when selected, updates the interview every time a user enters or changes an answer in the interview. Sometimes this updating may cause HotDocs to behave sluggishly as users move between answer fields. In such cases, the user can turn the instant update command off. Then HotDocs will update the interview only as it needs to.

instruction

A command in a script or template that performs a special task, such as inserting a template or asking a dialog at a specific place in the interview.

intake interview

See interview template.

interview

A presentation of questions that must be answered in order to create an assembled document. The interview is viewable by clicking the Interview tab of the assembly window.

interview component

A computation script that defines how a custom interview will look and function. An interview component usually includes ASK instructions to ask all of the dialogs/variables in the interview. The script frequently includes other instructions, such as REPEAT instructions and INSERT instructions as well as conditions for using these instructions. The name of this component is defined at the Component File Properties dialog box.

interview outline

The leftmost pane of the assembly window that lists all of the dialogs in the interview. Viewing the outline shows the natural progression of the interview. Icons in the outline also indicate whether questions in the associated dialog are completely answered, partially answered, or not answered at all.

Interview tab

A tab of the assembly window that shows the outline of questions in the interview as well as the dialogs that contain the questions. Users enter answers while viewing the Interview tab. (See also interview.)

interview template

A template that contains a series of interview questions designed to gather information about a person (or persons) or matter. Answers are saved in an answer source file, which can then be linked to a dialog in a template that requires the same information. Generally, interview templates can be used to create a list of possible answers so users have more options to choose from.

iteration

One instance of a repeated dialog.

[Top]

J

JS files

Stands for JavaScript files, which are used to display interviews in a Web browser. When templates are published for use with HotDocs Server, HotDocs generates these JavaScript files for the interview.

[Top]

K

keywords

A broad term used to describe scripting instructions, expressions, and operators. Keywords are used in a script and generate values or perform certain tasks.

[Top]

L

library

A window used to display and organize templates. The library does not store the actual files—instead, it contains shortcuts (or links) to the files, which are stored on disk. In addition to the template library, HotDocs also uses an answer library, which is more commonly known as Answer File Manager.

line break

A code in a Word document that indicates that text should appear on a new line within the same paragraph. For example, if the user must enter separate lines in a single paragraph (such as lines in an address), a line break should be used. (See also paragraph mark.)

linked field

Represents a HotDocs field in a fillable PDF template that is associated with an Adobe fillable field. By creating this association between a HotDocs field and a fillable field, template developers can create HotDocs fields that precisely match fields in the underlying PDF. Users who assemble the document can then edit answers associated with linked/fillable fields in the saved PDF.

list

Two or more answers to one question merged in the document.

[Top]

M

manual index

See explicit index.

map, mapping

See variable mapping.

mark up, markup

The formatting applied to a Word template or an assembled Word document that shows simplified template development marks. For example, when viewed in Markup View, variables in a template appear between brackets rather than chevrons. (See also Markup View.)

Markup View

A view that shows a simplified version of a Word template or an assembled document. This simplified view may be useful if a non-HotDocs user must review the template or document. When viewing a template or document in Markup View, variable and answer fields are marked using brackets.

merge field

  1. During template development, the place in the template where a variable is inserted.
  2. During document assembly, the place where the user's answer will be inserted.

merge text

The text that will be merged in a document if a user chooses a specific Multiple Choice variable option. For example, if a user chooses Male as the option, a masculine pronoun such as he or his can be merged instead of Male.

model

A tool in the script editor that template developers can use in writing scripts. A model shows the full instruction or expression—including any placeholders that must be replaced for the script to work correctly. Developers can drag these models from their respective lists and then replace the placeholders with the appropriate values.

Multiple Choice variable

A type of component that merges a predefined answer in the document.

[Top]

N

navigation bar

  1. In an interview (at the Interview tab), the toolbar used to move from dialog to dialog.
  2. In a document (at the Document tab), the toolbar used to move between merged answers in a document.

non-breaking space / hyphen

A property that can be assigned to a variable that keeps the answer from being split across two lines in the assembled document.

notation

An identification assigned to a variable name to help identify what type of variable it is. For example, Client Name TE would indicate that the variable is a Text variable. (Typical component notations include TE (Text), DA (Date), NU (Number), MC (Multiple Choice), TF (True/False), CO (Computation), and DI (dialog).)

Number variable

A type of component that merges a numeric value in the document.

[Top]

O

ODBC

Short for Open Database Connectivity, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ADO.)

operator

A symbol or word that causes either an operation (such as addition) or a comparison to be performed in a computation script or expression.

order

The process of designating the sequence in which form template fields are asked in the tab order. Establishing this order in a form is important for users who directly fill the form document.

outline

See interview outline.

overflow

Answers in a form document that do not fit in the allotted field space. Overflowing answers are usually sent to the addendum.

overlay

The process of using the Overlay Answers command to merge existing answers into the current answer file. When answers are overlaid, the answers become a part of the current answer file. They also overwrite any existing answers in the interview.

[Top]

P

.PDF

File name extension that designates that the file is a Portable Document Format file, a format created and supported by Adobe. PDFs are a useful way of distributing documents in a format most users can view—as long as they have Adobe Acrobat, Adobe Reader, or HotDocs Filler installed. With HotDocs, template developers can also create PDF-based form templates. They can also create PDFs from assembled documents.

paragraph mark

A code in a Word document that indicates that text following the mark should appear in a new paragraph. (See also line break.)

parent dialog

A dialog that contains a child dialog.

pattern

Determines how a Text variable will be displayed and formatted in the interview and in the assembled document. By default, HotDocs includes three patterns in all new templates (Social Security number, telephone number, and time of day), but template developers can create custom patterns.

PDF417

The two-dimensional bar code format used in HotDocs Filler.

Personal Information variable

A type of component that stores basic information about a user, such as a name, a company name, and a phone number. This information is saved in the Current User key of the Windows System Registry. Once answered, users won't be prompted to enter it again.

placeholder

A marker in an instruction or expression model that indicates where a value must be substituted. This value must be a literal value or a variable. Instruction and expression models help the developer use the correct syntax in a script.

pointed component file

When sharing components across multiple templates, represents the template's own component file, which, in turn, points to the shared component file.

pop-up interview

A dialog a user can display during an interview. Usually a pop-up interview shows a different view of the dialog. For example, if a user is entering answers in a spreadsheet, he or she can click the Edit Row Edit Row button and a pop-up interview appears that shows just the questions (and answers) from that particular row in the spreadsheet.

processing stack

A sequential list of templates and components HotDocs is processing at any given time. Each time a new component is processed, it is added to the stack. (Once processing is finished, it is removed.) In some instances where recursion is used in a script, the same component is repeatedly added to the list. If the number of components exceeds the stack limit, an infinite loop error will occur. (The stack limit can be changed at the Component File Properties dialog box.)

prompt

Text that can be assigned to a variable to help the user better understand how to answer the question.

punctuate

The process of formatting a REPEAT instruction so that a list of answers will appear in sentence format, like this: The client owns real estate in New York, Pennsylvania, and Montana. (New York, Pennsylvania, and Montana are the list items. The punctuation adds the commas and the conjunction and).

[Top]

Q

Question Summary

A brief report HotDocs generates that lists questions asked during an interview. The summary includes blank lines for handwritten answers. (See also Answer Summary.)

queue

See Assembly Queue.

[Top]

R

.RTF

File name extension that designates that the template file is a Word RTF file. (See text template.)

reference

In a form document, the text that is added to the addendum to identify any overflow answers. (See also label.)

reference path

A folder path for a template in which the drive letter and some or all of the folder names are represented by a keyword. At runtime, this keyword is mapped to an actual path on the user's computer so that when the user accesses the template, the keyword is replaced by the path. This allows templates saved in one central location to work on multiple workstations regardless of how the drives on the workstation are mapped.

REPEAT instruction

An instruction that repeatedly asks the same variable(s) so that two or more answers can be entered. REPEAT instructions are used to create lists of answers in the document.

repeated dialog

A dialog that contains the variables that need to be repeated so that multiple answers can be entered. (See REPEAT instruction.)

repeated series dialog

One of two representations of a dialog that is repeated. With a repeated series, the dialog is asked repeatedly until all answers in the list have been entered. (See also spreadsheet dialog.)

resource

Supplemental help that can be included with a variable or dialog to help users better understand how to answer the questions they are viewing. Resources appear in the resource pane of the assembly window.

[Top]

S

script

One or more instructions and/or expressions that generate a value or execute some kind of procedure.

script editor

The tool used to write a script. The script editor includes several options to make the script-writing process easier, including color-coding, auto-complete lists, and a toolbar for completing other tasks.

selection grouping

A dialog property assigned to True/False variables, clauses, and child dialogs which presents these options as check boxes (multiple-select) or option buttons (single-select).

Send to Word Processor command

A command that opens the word processor and copies the assembled document into it. Once opened in the word processor, the user can make any changes necessary to the document.

SET instruction

An instruction in a template or script that assigns a value to a variable. Variables that have their values set should not be asked again in the interview.

shared component file

A common component file to which several related templates are linked. To use a shared component file, the template's own component file must be pointed to the shared file. Changes to components in the file are reflected in all templates that use it. (See also pointed component file.)

sort

The process of alphabetizing answers in a repeated list or items in a library. Sorting can be done in ascending or descending order.

spreadsheet dialog

One representation of a repeated dialog. Each row in a spreadsheet represents one repetition in a dialog. (See also repeated series dialog.)

static text

The underlying text in a form template or document that does not change. To enter answers on a form, form fields must be created and overlaid on the static text.

strike-through field

A type of form template field that is used for crossing out static text on the form.

summary

See Question Summary and Answer Summary.

supplemental component

A term used to define components such as patterns, example formats, dialog elements, and merge text. Supplemental components are associated with regular components, but they can be created and edited as standalone components.

syntax

The language used in writing scripts. For a script to work properly, the script must be written in a way that HotDocs can understand. This language consists of instructions, expressions, operators, and values (such as text, numbers, dates, or answers users enter).

[Top]

T

template

A word processor or form document that has been converted to HotDocs format so that it can be automated. When in template format, changeable text in the template can be replaced with variables. Other instructions can be added as well, such as instructions that create lists, condition text, and insert other templates.

template developer

The person responsible for automating the templates in the set. The template developer creates and inserts the variables in the template, arranges variables in dialogs, and performs other custom tasks in the template. (See also user.)

template development

See automate, automation.

test

The process of testing a variable or other component to make sure it looks right and works correctly.

test assemble

The process of assembling a document for the purpose of ensuring the interview works correctly and the automation within the template produces a correctly assembled document. During a test assembly, developers can easily edit components and have the test assembly window updated with changes.

text document

A document that is viewed in either Word or WordPerfect. It can represent a document before it is automated as well as a document after it has been assembled. When in document format, it is not associated with (or linked to) HotDocs in any way. (See also text template.)

text template

A template that is created and automated in Microsoft Word or WordPerfect. It is distinguished from a form template by the fact that the underlying text of the template can be modified. (See also text document.)

Text variable

A type of component that merges text in the document.

title

A property of a variable or dialog that specifies a more user-friendly name for the component. For example, if project standards require components be named using notations, names like Employee Name TE may not make sense to a user. However a title like Employee Name can be used instead.

True/False expression

A script that must result in either true or false. Expressions are used for merging or excluding optional text in a document. They are also used for determining which parts of a script will be executed, based on answers or other values entered by a user. Expressions are often used when a simple True/False variable doesn't convey the condition needed. (See IF Instruction.)

True/False variable

A type of component that determines a true/false status of some condition and then merges the appropriate answer or text.

[Top]

U

unanswered text

Text in a text document that indicates that a question is unanswered. By default, unanswered questions appear as ***Variable Name***, but this can be customized.

Unicode

Computer specification that makes it possible for computers to represent and manipulate characters used in most of the world’s written languages. Unicode support in HotDocs makes it possible to automate and assemble documents in non-native, left-to-right-reading languages. This includes automating and assembling Microsoft Word templates as well as PDF-based form templates.

user

The customer, client, or person who assembles documents from templates. (See also template developer.)

[Top]

V

value

In an interview, it represents a user's answer. In a script, it represents data that must be used in executing the script. (The value can either be a literal value or a user's answer.)

variable

A component that is used to represent changeable text (such as names, dates, numbers, etc.) in the template. Types of variables include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information.

variable flow-through

See answer sharing.

[Top]

W

.WPD

File name extension that designates that the file is a WordPerfect document. (See text document.)

.WPT

File name extension that designates that the file is a WordPerfect template. (See text template.)

[Top]

X

XML

Stands for eXtensible Markup Language. It is a computer language designed to store and transmit data between applications. Like HTML (HyperText Markup Language), it contains customized markers, or tags, that identify the information in an XML file. However, while HTML describes the way a page looks, XML controls the way data is structured, making it easy for diverse programs to access the same information. (For example, in HTML, to indicate a book title, you would italicize it using the <i> tag. In XML, you could mark the title using a <booktitle> tag. The HTML tag simply formats the text (making it italic), while the XML tag actually defines what the text is (a book title).) In HotDocs, you can save libraries and answer files in XML format.

[Top]

Home > HotDocs Glossary of Terms


HotDocs Help - .HDA

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.HDA

File name extension that designates that the file is a HotDocs auto-assemble file.

Home > HotDocs Glossary of Terms > .HDA


HotDocs Help - .HDI

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.HDI

File name extension that designates that the file is HotDocs auto-install file.

Home > HotDocs Glossary of Terms > .HDI


.topic 787
When labeling text blocks, includes comments the developer has entered for the instructions that control the text block. For example, if the text block is conditional, any comments the developer has included about why the text is conditional will be merged in the field label.

.topic 1301
Causes HotDocs to display IF, REPEAT, and SPAN instructions in annotations. These annotations can appear either as footnotes or endnotes. Annotations are ordered sequentially. When applied to closing text blocks, they can help you pair opening and closing instructions.

.topic 1299
If a comment is merged in an opening field label, causes HotDocs to include a closing field marker at the end of the comment. This may make it easier to identify markup fields when working with larger blocks of text.

.topic 1288
Shows which character will be used to indicate where an END IF instruction is used in a template. An END IF instruction shows where the condition controlling the inclusion of text in the document ends.

.topic 1281
Shows which character will be used to indicate where an answer field begins in a template.

.topic 737
Forces toolbars in the assembly window to a new line when the width of the assembly window won't allow the toolbars to be displayed in full.

.topic 1153
Marks text in the assembled document that can be edited. This includes both answers and document text. Marking text this way makes the text you can change more easily identifiable. If this button is grayed, it may be because the template provider has disabled the functionality.

.topic 897
Sends assembled documents to the word processor that matches the template's file type. For example, if the template's file type is RTF or DOT, HotDocs will send the assembled document to Microsoft Word. If the file type is WPT, it will be sent to WordPerfect.

.topic 939
Specifies the application ID HotDocs uses when assembling form documents. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 1076
Displays a color palette so you can assign colors to script keywords or syntax items.

.topic 1072
Causes HotDocs to include keywords in the auto-complete list that are used infrequently in a script, including language and month keywords as well as some keywords associated with built-in variables (like PN# and Personal Information variables).

.topic 691
Manually starts the next assembly. (This option is available if Auto Start is not selected.)

.topic 655
Removes the selected answer file or folder. When you delete an answer file, you can choose whether to delete just the reference to the file in the library as well as to delete the actual file from disk.

.topic 622
Continues the installation process, using the information you have provided.

.topic 621
Displays a dialog box where you can locate and select a folder to store the template files.

.topic 587
Specifies a description for the selected answer library item. Descriptions are optional.

.topic 584
Determines if an answer file has been assigned a default title. If so, that title is added to the Title box.

.topic 870
Sets a component file property that enables all new templates you create to be used with HotDocs Server. When a template is enabled, HotDocs will warn you if you attempt to use a feature in your template that isn't supported with a Web browser. Additionally, setting this property allows you to test assemble the template in the browser and publish the files needed for use with HotDocs Server.

.topic 747
Displays a warning when a user chooses to override an answer at the Form Document tab.

.topic 249
Displays the entire width of the current form page in the window.

.topic 228
Either creates a new field or selects an existing field during direct-fill assembly of a form document.

.topic 224
Pastes any text that has been saved to the Windows Clipboard into the current answer field.

.topic 20
Creates a new HotDocs library. The New Library dialog box will appear where you can enter a title, description, path, and file name for the library. Once created, you can add templates or other files to the library. A single template can be referenced in multiple libraries.

.topic 35
Displays Component Manager so you can edit the components in a given template without opening the template. (You must select a template from the template list before you click this button.)

.topic 505
Specifies information about the library item, such as how the item should be used, or when it was created. This information appears when you select the item and view its properties.

.topic 760
Determines that new fields with a width and height less than or equal to this value will be considered check-box fields.

.topic 779
Determines how many lines of text can appear in a form answer field, if the answer field is an inch tall.

.topic 811
Determines how much space on the page is used for the header.

.topic 813
Displays the Font dialog box, where you can set font properties for the addendum header.

.topic 817
Displays the Font dialog box, where you can set font properties for the addendum footer.

.topic 873
Sets the time interval for automatically saving changes made to the component file. (Use your word processor's features for backing up changes to the template text.)

.topic 874
Determines the appearance of the icon used to designate the component type -- the icon will display either an image or a text abbreviation.

.topic 877
Includes a column in the Template Manager component list that lists component types.

.topic 1034
Closes this dialog box without saving any changes.

.topic 1012
Shows variables that are asked more than once in an interview. If your automation causes a variable to be asked more than once in the interview and the user enters different answers for each variable, whatever answer the user enters last will be used all places the variable is merged.

.topic 1050
Searches the titles and descriptions of all of the clauses for the text you type in the Find text box.

.topic 930
Specifies the format name for regular answer files (ANS). This format name allows HotDocs to send files to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to manage HotDocs answer files with a Document Manager.)

.topic 665
Pastes any items currently saved on the Windows Clipboard to the location you specify in the library.

.topic 106
Reports how frequently HotDocs is processing interview as well as dialog scripts. Often, frequent processing can lead to sluggish performance during the interview. The number on the left indicates the number of times the interview script has been processed during the current assembly session. The number on the right indicates the number of times the dialog script has been processed for the dialog you are viewing.

.topic 1129
Allows the user to print a copy of the document.

.topic 1138
Closes this dialog box and applies all security changes you have made.

.topic 734
Lets you assign colors to answers and unanswered questions in the assembled document. Also lets you assign colors to sections of the document you can edit. (To view the assembled document with these colors, click the Highlight Fields button in the assembly window toolbar.)

.topic 735
Lets you choose the assembled document text to which you want to assign a specific color: answered text, unanswered text, editable text, or edited text. To assign a color, select the item and click the Color drop-down button.

.topic 753
Displays a warning when you attempt to create a field using the Fill tool. The warning displays information about choosing the correct tool to create the field.

.topic 1285
Shows which character will be used to indicate where an INSERT instruction ends in a template.

.topic 781
Lets you assign default font properties for all new edit fields you create.

.topic 1166
Takes you to the beginning of the assembled document.

.topic 938
Specifies the application ID HotDocs uses when assembling Adobe Acrobat documents. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 1019
Displays helpful information about this dialog box.

.topic 927
Closes the dialog box and saves the changes you made to the Personal Information variable.

.topic 690
Lists the templates selected for assembly and their current assembly status. Templates will be assembled in this order. To change the order, select a template and click the Move Up or Move Down button.

.topic 551
Displays the Browse dialog box so you can see the location on disk where your template is saved.

.topic 530
Adds another cut or copied item to the Windows Clipboard. If you add multiple items to the Clipboard, all items will be pasted the next time you use the Paste command.

.topic 871
Displays a warning message when you edit a template that is pointed to a shared file. This can help you avoid making changes that might cause problems in other templates.

.topic 851
Checks the spelling of an answer only if it contains multiple lines of text, such as a paragraph.

.topic 833
Inserts a bullet character next to each prompt.

.topic 741
Causes HotDocs to display answer fields by default whenever you open a form.

.topic 722
Specifies when the resource button should appear next to an answer field that includes a resource. Specifically, HotDocs can display the resource button only when the user is viewing that particular answer field, or it can display resource buttons for all of the fields at once.

.topic 681
Saves the answer file in XML format before attaching it to the e-mail.

.topic 603
Closes the dialog box without saving any changes.

.topic 541
Sorts the contents of a folder from 9 to 1, and from Z to A.

.topic 523
Specifies information about the library, such as what kinds of templates are included, or when the library should be used. Descriptions are optional. If specified, it appears when the user views the properties of the top folder in the library.

.topic 242
Opens the Open Answer File dialog box so you can select another answer file for the interview.

.topic 514
Remembers the answer file shown in the Answer file to use with this assembly box, and suggests it for use the next time you assemble a document.

.topic 512
Opens the Select Answer File dialog box where you can select an answer file for assembling the document.

.topic 28
Removes the selected library item or items from the library. You can also choose to delete the actual files from disk. If the templates you delete are stored on the local disk, they will be sent to the Windows Recycle Bin. If they are stored on a network, they will be permanently deleted.

.topic 101
Displays only those templates and clause libraries that contain the text you enter in the Find box in their file names, titles, or descriptions.

.topic 235
Displays any previous dialogs that have unanswered variables. (If all variables in previous dialogs have been answered, this button is inactive.)

.topic 792
Specifies what part of a table is sent to the addendum when an answer in the table is too large for the table cell.

.topic 814
Specifies the text that appears in the addendum footer.

.topic 825
Places vertical lines on the right and left side of the addendum, with numbering in the left margin.

.topic 894
Displays a dialog box where you can select a different default folder for your text templates.

.topic 895
Specifies the default location where either startup files (for Word) or macro files (for WordPerfect) are stored.

.topic 900
Lists the various types of files HotDocs uses and specifies the default folder where these files are saved. You can change these locations by clicking Edit and specifying a new location.

.topic 924
Closes this dialog box without saving your changes.

.topic 1033
Closes the dialog box and maps the variables you have selected.

.topic 1040
Arranges the clause library window with other open HotDocs windows so you can view the windows simultaneously. Adjust the clause library to the height you want before clicking the button.

.topic 1077
Applies the bold formatting to the selected script element.

.topic 104
Displays the HotDocs window status bar.

.topic 1168
Goes to the previous unanswered question in the document.

.topic 1213
Displays the What's This? help cursor.

.topic 1282
Shows which character will be used to indicate where an answer field ends in a template.

.topic 666
Allows you to locate an answer file and automatically copy it to the default Answers folder. If managing your answer files using Answer File Manager, the file will also be added to the manager.

.topic 1067
Marks required questions in the interview with an asterisk to help you identify questions you must answer in order to complete the interview and assemble the document.

.topic 1065
Lets you assign a font to the selected item.

.topic 956
When viewing a side-by-side comparison, highlights changes in both panes of the Comparison tab as you navigate through the document.

.topic 950
Lets you choose which element of a comparison (either strike-throughs or underlines) you want to change the color of. Select the item from the drop-down list.

.topic 1097
Places a button in the End of Interview dialog that lets you close the assembly window without saving the assembled document.

.topic 932
Specifies the format name for Microsoft Word documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 695
Moves the selected entry closer to the bottom of the queue.

.topic 656
Sorts the items in the currently selected folder in the order you have specified.

.topic 640
Overwrites the existing template files with new template files.

.topic 582
Displays a dialog box where you can locate and select an answer file to add to the answer library.

.topic 553
Checks for a default title assigned to the template. If a title has been assigned, it appears in the Title box. (HotDocs checks the template's component file for the title.)

.topic 751
Creates a log file that lists all changes made directly in the form. If there is a system failure while you are working in Automator, the next time you open the form, it will use the log file to reapply all changes made to the form. (This log file restores only changes made to the form -- it does not restore any changes to the component file.)

.topic 745
Displays a warning when a user is entering answers at the Form Document tab, but the answer is longer than the field.

.topic 715
Controls whether the assembly queue retains a list of assemblies that have been completed during a given session of HotDocs (or the time between when you start HotDocs and when you close it). While viewing the Assembly Queue, you can manually control the number of completed items either by clicking the Clean Up button or by clicking the Delete button. (Clicking Clean Up removes all completed assemblies, while clicking Delete removes whichever document you currently have selected.)

.topic 714
Specifies the text merged in a document when a question is left unanswered. (In some instances, the template provider has specified this text for you.)

.topic 567
Saves the properties of the answer file using the information you have provided and closes the dialog box.

.topic 561
Displays the file name and folder path of the answer file.

.topic 525
Closes the dialog box without saving any changes.

.topic 232
Displays the Field Properties dialog box during direct-fill assembly of form documents. This allows you to modify the appearance of answers in that field.

.topic 245
Sends a copy of the assembled document to a word processor or HotDocs Filler, depending on the type of template you are using. Once in the word processor or HotDocs Filler, you can make post-assembly changes to the document. Be aware, however, that any changes you make will only affect that document -- your changes will not be saved in the answer file.

.topic 511
Creates an empty answer file for assembling the document. The word "New Answer File" appears in the Answer file to use with this assembly box.

.topic 29
Sorts the items in a library or a folder in a library in either ascending or descending alphanumeric order. You can also specify whether to include items in subfolders. You must have a folder selected to sort items in it.

.topic 775
Sets the minimum distance between the top margin of the field and the addendum item.

.topic 893
Specifies the default location where text template files are stored.

.topic 896
Displays Windows Explorer, showing the folder where either startup (Word) or macro (WordPerfect) files are stored.

.topic 920
Specifies the keyword used with a reference path. The keyword is used to identify the folder path where the templates will be installed on the user's computer.

.topic 923
Saves the information you have provided and closes this dialog box.

.topic 1003
Closes this dialog box without deleting any selected items.

.topic 1045
Displays a dialog box where you can sort the contents of the selected folder in ascending (A to Z) or descending (Z to A) order.

.topic 1063
Displays the different color palettes from which you can choose. To restore the default colors, choose Default from the top of the System color list.

.topic 1115
Closes this dialog box and changes the properties for the files you have selected.

.topic 1132
Allows the intended recipient to copy content from the document.

.topic 1137
Allows the intended recipient to fill form questions in the document.

.topic 1158
Displays the saved document snapshot and the current document in two panes, rather than a single pane. Text in the snapshot that has changed is crossed out, while the new text is added to the current document and underlined.

.topic 1208
Shows or hides the ruler for the document. The ruler can help you more precisely align text within the document.

.topic 1304
When annotating instruction text in a template, causes HotDocs to display the annotation marker in the closing field marker for the instruction.

.topic 864
Causes HotDocs to use the UK spelling dictionary.

.topic 780
Lets you assign a default font for check-box fields on a form.

.topic 954
Shows the default file location for saved snapshot documents. Each time you save a document snapshot, it will be saved to this folder. Saved snapshots will be available at the Comparison tab. Saving multiple snapshots lets you compare different versions against the current version of the document.

.topic 1095
Places a button in the End of Interview dialog that lets you save the assembled document to disk.

.topic 919
Allows you to choose which format HotDocs should use to save the assembled PDF-based document. Your options include HPD and PDF. You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 694
Moves the selected entry closer to the top of the queue.

.topic 693
Removes the selected template from the assembly queue. You can only delete templates that are not currently being assembled.

.topic 620
Specifies the default location where the template file(s) are stored.

.topic 853
Ignores words that contain all capital letters, such as acronyms.

.topic 835
Inserts a bullet character next to each answer.

.topic 602
Saves changes made to the library item's title or description and closes the dialog box.

.topic 565
Assigns the answer file to be stored in the Pattern subfolder.

.topic 524
Saves the changes you have made and closes the dialog box.

.topic 225
Shows and hides the colored field backgrounds during direct-fill assembly of a form document.

.topic 23
Prints a document that lists the contents of the current library, including file names, titles, and descriptions.

.topic 38
Displays the Assembly Queue dialog box, which lists all the documents you have assembled, you are currently assembling, or you are waiting to assemble. At this dialog box, you can reorder the queued assemblies, as well as remove pending or completed assemblies from the list.

.topic 504
Checks the component file to see if the template provider has assigned a default template title. If no default title has been assigned, HotDocs suggests a title based on the file name.

.topic 761
Prevents users from entering hard returns in single-line answer fields. This option affects only new fields you create, not any existing fields.

.topic 890
Specifies the word processor that will be used when you send the assembled document to the word processor. If you have multiple versions of a word processor installed, it also controls which version will be suggested when you create new templates.

.topic 1078
Applies the italic formatting to the selected script element.

.topic 1103
Places a button in the End of Interview dialog that lets you have HotDocs change the assembly window view to the Form Document tab so you can view the assembled form document.

.topic 1128
Confirms the password you entered. This password is required to open the document. Make sure you communicate this password to the intended recipient.

.topic 1151
Creates a snapshot of the document as it's currently assembled so you can continue to answer questions in the interview and then compare the current document against the snapshot. Comparing different versions of the assembled document lets you track changes you make in the interview and determine how answers you enter can affect the outcome of the document.

.topic 1160
Keeps both comparison panes synchronized so that when you scroll the view of one, the view in the other pane is likewise scrolled.

.topic 1164
Goes to the next difference in the documents you are comparing.

.topic 1250
Lets you choose the format for the file you are saving.

.topic 1253
Closes the dialog box without saving any of the selections you have made.

.topic 785
Sends only rows that overflow to the addendum.

.topic 1101
Determines what happens either when the End of Interview dialog is hidden or when you click the Finish Interview button. In this case, if you are assembling a form document, HotDocs will send the assembled document to HotDocs Filler.

.topic 1100
Determines what happens either when the End of Interview dialog is hidden or when you click the Finish Interview button. In this case, if you are assembling a text document, HotDocs will change the view to the Document Preview tab.

.topic 1093
Places a button in the End of Interview dialog that lets you paste the assembled text into the currently open word processor document. This is useful if you are assembling clauses and the clause text must be inserted into an existing document.

.topic 885
Allows you to assign a custom color to the different field types in a text template. Choose the field type from this drop-down list and then choose a color at the Color drop-down list. (To restore default colors, choose Default at the top of the Palette tab.)

.topic 941
Specifies the application ID HotDocs uses when assembling Microsoft Word documents. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 915
Allows you to choose which format HotDocs should use to save the assembled WordPerfect document. Your options include WPD and PDF (as long as you have HotDocs Developer, Developer LE or User installed). You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 1020
Shows a list of all the potential problems for which HotDocs can search in your template. You can select which options you want selected. If HotDocs encounters a problem, it displays it in the Warnings in interview box. Failure to fix such problems may result in an incorrect interview and assembled document.

.topic 1017
Updates the list of warnings generated when you test assemble your template. For example, if you clear a warning and then re-test assemble the document, you can select the warning again and click this button and it will redisplay any relevant warnings.

.topic 692
Switches the assembly mode between automatic (where HotDocs automatically assembles documents listed in the queue) and manual (where you must manually click the Assemble button for each document listed in the queue).

.topic 653
Displays the New Answer File dialog box where you can specify the type of answer file you want to create as well as provide a file name, title, and description for the file.

.topic 588
Lists when an answer file was used and with which template it was used.

.topic 121
Displays a summary of questions in an interview as well as any answers you entered.

.topic 837
Determines how much of the viewable window is used to display each variable prompt.

.topic 731
Specifies the year used to distinguish 20th century dates from 21st century dates. Two-digit years less than or equal to this number are understood as 2000-century years. Two-digit years greater than the number you enter are understood as 1900-century years.

.topic 682
Applies the information you have specified and closes the dialog box.

.topic 230
Scrolls form documents up and down, and side to side during direct-fill assembly.

.topic 221
Restores changes that were made to an answer.

.topic 21
Opens a different library. The Open Library dialog box will appear where you can select the library you want.

.topic 502
Opens the Add Item File Name dialog box where you can locate and select a HotDocs library item.

.topic 990
Displays the folders that represent the different areas of HotDocs that can be customized. Click a folder to display the relevant options.

.topic 774
Sets the vertical alignment of the text.

.topic 802
Specifies the paper size that should be used in printing forms you create. Once you specify this option, it will be applied to all new forms you create.

.topic 822
Controls the distance between the addendum labels and the actual answers.

.topic 891
Specifies the default location where word processor document files are stored.

.topic 1079
Allows you to choose the font for the text in your scripts. You can also select a point size for the text.

.topic 1111
Allows you to browse for and then specify a new file location for the templates whose properties you are changing.

.topic 1139
Closes this dialog box without assigning any security options.

.topic 1163
Goes to the previous difference in the documents you are comparing.

.topic 1162
Takes you to the beginning of the document.

.topic 1216
Applies the bold font style to the selected text.

.topic 888
Lets you choose the circumstances under which HotDocs inserts a return character after it inserts an instruction. Selecting Always means HotDocs will always insert the return character. Selecting Smart means HotDocs will insert the return character when working with entire paragraphs of text. Selecting Never means HotDocs will never insert a return character. (In all cases, whenever HotDocs inserts a return character with an instruction, it will also remove the character once the instruction is processed in the assembled document.)

.topic 784
Sends the contents of the entire table to the addendum any time an answer in the table overflows.

.topic 1305
Applies the bold format to markup field markers. Using this format may make markup fields more distinguishable.

.topic 934
Specifies the format name for HotDocs PDF-based form documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 247
Searches for text in the document.

.topic 631
Shows existing Start menu folders. If you want to save the shortcut for the template set in one of these folders, select the folder and click OK.

.topic 550
Shows the file name of the library item.

.topic 912
Specifies the file name and path of the .DLL file that allows you to use third-party document management software.

.topic 860
Provides a list of possible replacements that are typographically similar to the misspelled word.

.topic 857
Formats the replacement word to match the capitalization of the misspelled word.

.topic 854
Ignores words that contain both uppercase and lowercase letters.

.topic 850
Checks the spelling of an answer before advancing to the next dialog in the interview.

.topic 746
Displays a warning when a user attempts to answer a question at the Form Document tab and the field is inactive.

.topic 716
Specifies how frequently HotDocs checks download sites for newer versions of auto-assemble files. If you select With Each Use, HotDocs will check for a new version each time you use the file. If you select Once Per Session, HotDocs will check only once during the time you have HotDocs running. If you select Never, HotDocs will not update the file.

.topic 713
Controls whether HotDocs prompts you to save a copy of an assembled document after it has been sent to the word processor or HotDocs Filler. If selected, a dialog box where you can specify file information will appear when you close the assembly window.

.topic 712
Controls whether HotDocs prompts you to save a copy of the assembled document when you close the assembly window.

.topic 710
Controls whether the Answer File dialog box appears at the start of each assembly.

.topic 600
Displays the library item's title. This title appears when you select the item at the library and view the Properties tab.

.topic 248
Shows and hides the resource pane where helpful information about a question or group of questions can be viewed.

.topic 231
Allows you to type any answer in the field, even if the field requires a certain type. For example, you can override a number-only field and type a text answer.

.topic 226
Shows and hides thumbnail images of each page in the form. You can use these pages to move through the document.

.topic 25
Copies the selected library item or items and saves them to the Windows Clipboard. (If you select a folder, HotDocs will copy the folder with all its contents.) You can then paste them into another part of the current library or into a different library.

.topic 36
Launches Template Manager, which allows you to manage components in several component files at once. Template Manager also lets you manage templates, including renaming templates or converting multiple templates at once.

.topic 501
Specifies the file name of the library item.

.topic 772
Displays the Font dialog box where you can set the font properties for the field.

.topic 795
Identifies each addendum entry. The default label is a number.

.topic 803
Specifies the paper tray that should be used when printing forms. Once you specify this option, it will be applied to all new forms you create.

.topic 513
HotDocs 6 uses the "Remember selected answer file" check box (#514) instead of a "last" button.

.topic 1062
Displays a drop-down list of all the different items in the assembly window to which you can assign custom colors or font properties. Select the item, and then choose the color or font property.

.topic 1080
Shows the currently assigned font and point size for scripts.

.topic 931
Specifies the format name for HotDocs XML answer files. This format name enables HotDocs to send files to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to manage HotDocs answer files with a Document Manager.)

.topic 940
Specifies the HotDocs application ID. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to manage HotDocs answer files with a Document Manager.)

.topic 1116
Closes this dialog box without changing any of the properties.

.topic 1124
Shows the password you are assigning to this document, which is required to edit the document.

.topic 1156
Displays the Interview tab and shows you where in the interview the question is asked.

.topic 1170
Goes to the next answer in the document.

.topic 1310
Causes HotDocs to assign text formatting such as bolding and italicizing to markup fields when previewing a template.

.topic 1091
Places a button in the End of Interview dialog that lets you review any dialogs in the interview that have unanswered questions. However, if there are no unanswered questions in the interview, this button will not appear.

.topic 260
Deletes the selected repetition from the interview. Any answers you have entered will be lost.

.topic 1074
Specifies how many characters wide tabs should be in scripts. This setting affects all tabs, including any existing tabs you have used in your scripts

.topic 918
Allows you to choose which format HotDocs should use to save the assembled Envoy-based document. Your options include HFD, HPD, and PDF (as long as you have HotDocs Developer, Developer LE or User installed). You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 660
Specifies the text for which you are searching in answer file titles and descriptions. You can type the text directly in the box, or you can click the drop-down button and select text from a previous search.

.topic 611
Imports the library in such a way that you will be able to edit the items in the library, assemble them, and modify the structure of the library.

.topic 843
Deletes the selected Personal Information variable from the list.

.topic 842
Displays the Add Personal Information dialog box where you can create a new Personal Information variable, and specify an answer for it. If this variable is used in a template, the information will be merged into the document automatically.

.topic 564
Displays a description of the answer file, such as what it should be used for, or when it was created.

.topic 241
Replaces the current answer file with a new, empty answer file.

.topic 100
If you have the Properties tab selected, HotDocs shows information about the file you have selected, such as file types, names, and descriptions (where given). If you have the Preview tab selected, HotDocs displays the template text.

.topic 810
Specifies the text that appears in the addendum header.

.topic 823
Controls the distance between each answer that is sent to the addendum.

.topic 875
Controls how HotDocs displays the test assembly window. The test window always appears as the top window, or HotDocs can create a Windows taskbar item for the test assembly window (allowing you to move between open windows more easily).

.topic 1048
Opens Component Manager so you can work with the clause components or other components (such as variables) used in the clauses.

.topic 883
When typing the name of a new component, causes HotDocs to suggest existing component names, based on the text you are typing. (If the text you are entering matches the name of an existing component, HotDocs tries to complete the name for you.)

.topic 1110
Allows you to change the file location HotDocs uses to find the files whose properties you are changing. To have HotDocs look for the files in the default location, select Default.

.topic 1134
Allows the intended recipient to edit the content of the document, including making changes to the text.

.topic 1210
Checks the document for any misspelled words and provides you the option of correcting the mistake.

.topic 1220
Aligns the text in the center of the document page.

.topic 1221
Aligns the text with the right edge of the document page.

.topic 1223
Increases the space between the left edge of the document and the text you are editing.

.topic 1271
Lets you locate the new folder where you want to save the type of file you are editing.

.topic 1302
Lets you choose the format for marking up annotated text blocks. You can choose either Footnote or Endnote. IF, REPEAT, and SPAN instructions referenced in the annotation will appear in the footnote/endnote text. Footnotes appear in the footer of the page where the annotation is merged, while endnotes appear at the end of the document.

.topic 1261
Marks each level of IF and REPEAT instructions in a template using a custom color. (For example, all first-level IF instructions will use a specific color, while all second-level instructions will use a different color, and so on.)

.topic 1068
Restores all default appearance settings for items in the assembly window.

.topic 1102
Determines what happens either when the End of Interview dialog is hidden or when you click the Finish Interview button. In this case, if you are assembling a form document, HotDocs will change the view to the Form Document tab.

.topic 1094
Places a button in the End of Interview dialog that lets you copy the assembled document to the Windows Clipboard so you can paste it into any document you choose. (This option is available to Word users only.)

.topic 258
Checks the spelling of text answers entered during the interview.

.topic 256
Opens the Component Editor for the component you currently have selected.

.topic 569
Retrieves a title that has already been assigned to this answer file.

.topic 253
Displays the What's This help icon so you can click on specific buttons or options in a dialog box and view a short explanation of its function.

.topic 661
Displays an outline of the folders and subfolders used to organize the answer files.

.topic 654
Displays the Add Item dialog box where you can add existing answer files or folders to your answer library.

.topic 623
Cancels the installation process and closes the dialog box.

.topic 583
Specifies the title that will appear when you select the item and view its properties.

.topic 863
Opens a dialog box where you can locate and select another dictionary to use for checking spelling.

.topic 840
Lists Personal Information variables and any answers that may be given for these variables. Answers are automatically merged into documents that use these variables.

.topic 740
Specifies the measurement units used for field types, field margins, and other aspects of forms.

.topic 540
Sorts the contents of a folder from 1 to 9, and from A to Z.

.topic 251
Displays the assembly queue, which lists all of the templates you have chosen for assembly. The queue gives you greater control over the assembly process when you are assembling multiple documents.

.topic 250
Shows the whole form document in the window.

.topic 236
Displays the previous answer-gathering dialog.

.topic 227
Allows you to place your cursor in a form's answer field and type an answer.

.topic 31
Assembles a text or form document, clause library, or interview template. The HotDocs assembly window will appear.

.topic 32
Creates a new template or clause library file and adds it to the list of items in the library.

.topic 103
Specifies the text for which you are searching in template titles and descriptions. You can type the text directly in the box, or you can click the drop-down button and select text used in a previous search.

.topic 506
Saves the information you have entered and closes the dialog box.

.topic 812
Specifies the horizontal alignment of the header text.

.topic 892
Displays a dialog box where you can select a new default location to store word processor document files.

.topic 1000
Deletes the reference to the template or templates from the library.

.topic 1013
Shows variables that are referenced in a dialog script that have their values set later in the template. Doing this may cause HotDocs to change the value that is being used by the dialog script, which could ultimately change the appearance of the dialog and therefore, the interview.

.topic 1014
Shows variables that are used in the interview but not specifically asked that then have their values set later in the interview. (An example of this would be a variable used with ASK NONE or with the Ask automatically option cleared.)

.topic 1047
Displays the Item Properties dialog box where you can change the title and description of folders and clauses in the current clause library.

.topic 718
Causes HotDocs to warn you when you attempt to assemble a document while HotDocs is busy assembling others. At this message box, you can choose to add the template to the assembly queue so that it can be assembled once the current assembly is complete.

.topic 1161
Synchronizes the views once you have scrolled or changed the view in one of the Comparison tab panes. When you click the button, the pane that is out of synch will be scrolled to the same position as the pane you are viewing.

.topic 1201
Copies the selected text and saves a copy of it to the Windows Clipboard so you can paste it somewhere else in the document.

.topic 1203
Discards the changes you made to the document text.

.topic 1226
Displays the Document Text Editor toolbars.

.topic 782
Shows the font size HotDocs will use in attempting to resolve overflow by shrinking the answer's font size. Once an answer has been shrunk to this size, if the field still overflows, you must choose a different overflow status option.

.topic 786
Sends only the contents of a single overflowing field to the addendum if it overflows.

.topic 1291
Not implemented.

.topic 1280
Not implemented.

.topic 1262
Marks each IF and REPEAT instruction field using a custom color. (For example, the first instruction in a template will be marked using one color, while the next instruction will be marked using a different color, and so on.)

.topic 899
Lists the different word processors with which HotDocs integrates. If a listed word processor is enabled and selected, it is supported for use with HotDocs. If a word processor is enabled but not selected, support can be installed. (Simply select the word processor and click OK to run the installation.) If a word processor is disabled, it means the word processor is not installed on your computer and it cannot be used with HotDocs.

.topic 1167
Moves you to and highlights the previous section of the document that you can edit. To edit the text, make sure your cursor is in the text and click the Edit Document Text button.

.topic 1099
Determines what happens either when the End of Interview dialog is hidden or when you click the Finish Interview button. In this case, if you are assembling a text document, HotDocs will send the assembled text document to the word processor.

.topic 1090
Keeps the End of Interview dialog from appearing during the interview. When you click Next at the last dialog, HotDocs will display the assembled document, either at the Document tab or in the word processor or HotDocs Filler. (You choose which option you prefer by selecting a Finish Interview Action, below.)

.topic 517
Assembles the template(s) using the specified answer file and immediately displays the assembled document, either in the word processor/HotDocs Filler, or at the Document tab of the assembly window. (Which application is used to display the document depends on the Finish Interview Action specified at HotDocs Options.)

.topic 259
Inserts a new, empty repetition above the current repetition.

.topic 935
Specifies the format name for PDF documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 755
Allows you to choose a pre-defined color theme for HotDocs Automator or Filler. This theme determines the colors that will be used for the different types of fields on the form.

.topic 1046
Prints a list of clause titles, clause file names, and the clause library in which the clause is located.

.topic 624
Displays helpful information about the dialog box.

.topic 641
Continues the installation process without warning you of any other overwriting situations.

.topic 612
Cancels the import process without making any changes to the library.

.topic 580
Specifies the type of item you want to add to the answer library. The item you select controls which other fields are available.

.topic 913
Displays a dialog box where you can browse and locate the necessary ODMA DLL file.

.topic 859
Provides a list of possible replacements that sound like the misspelled word.

.topic 750
Creates a backup file of a form template when you first create it, which can protect your work from system failure. This backup file is saved in the same folder as the original file and is denoted by a tilde character (~) in the file name extension.

.topic 724
Controls the order in which you tab to the Next and Previous buttons in the navigation bar.

.topic 720
Controls how repeated dialogs are displayed in the interview outline -- whether HotDocs uses a special icon to show that the dialog is repeated or whether HotDocs uses a regular icon.

.topic 562
Opens a dialog box where you can specify the location of the answer file.

.topic 522
Opens a dialog box where you can specify the location for the new HotDocs library file.

.topic 252
Opens the HotDocs Options dialog box where you can specify several preferences that control how HotDocs works.

.topic 229
Changes the view of the form document during direct-fill assembly, increasing the magnification (or decreasing it when used in combination with the Shift or Ctrl keys).

.topic 102
Displays an outline of the folders, templates, and clause libraries available in the library. These icons are only references to the actual files, similar to desktop shortcuts. Changing the library organization does not change the organization of files on your local disk or network.

.topic 770
Specifies the character that will be used if the field is selected during assembly.

.topic 777
Sets the minimum distance between the left margin and the addendum item.

.topic 794
Specifies how the addendum reference is displayed in a run-on group.

.topic 876
Expands the list of components in Template Manager to include example formats, patterns, and so forth.

.topic 1011
Shows variables that have their values set, but that are also asked later in the interview. This may cause problems because the value specified by the SET instruction will always overwrite users' answers.

.topic 1043
Removes the selected clause from the clause library.

.topic 1070
Causes HotDocs to start each new line of script at the same level of indentation as the preceding line.

.topic 1114
Allows you to specify command-line options for the items whose properties you are changing. Any options you specify here will be applied to all of the items you are changing.

.topic 1251
Instructs HotDocs to use the format you specify here the next time you save a similar file, rather than prompting you to choose a format each time you save the document. For example, if you know you will always save assembled Word documents as RTF, you would select that option at the Save As drop-down button and then select this option. Each Word document you save from this point forward will be saved as RTF.

.topic 1200
Cuts the selected text and saves a copy of it to the Windows Clipboard so you can paste it somewhere else in the document.

.topic 1309
Causes HotDocs to show only basic markup fields when you preview the Word template in the template library. Usually, minimal markup uses only field markers when identifying fields in a template. You can also assign basic font formatting to the fields.

.topic 1297
When provided by the developer, displays comments instead of variable titles or names when marking answer fields in a template.

.topic 739
Displays a warning message when you edit document text and view paragraph marks at the Document Text Editor. (The Document Text Editor adds a paragraph mark to the text you are editing. This mark will be removed when you close the Editor. This means you should not delete or edit the properties of the mark.)

.topic 1172
Moves you to and selects the next section of the document that you can edit. To edit the text, make sure your cursor is in the text and click the Edit Document Text button.

.topic 733
Causes HotDocs to mark (using a different color) sections of the assembled document that can be edited. To edit these sections of text, make sure your cursor is in the text and click the Edit Document Text button.

.topic 953
Lets you save multiple snapshot documents so that you can compare these different versions against the current assembled document. When saving multiple snapshots, the documents will be listed in the Saved snapshot drop-down list at the Comparison tab.

.topic 1098
Places a button in the End of Interview dialog that lets you easily review these options so you can add or remove commands from the dialog.

.topic 884
Allows you to choose a custom color for the template field type selected. To restore default field colors, choose Default at the top of the Palette tab.

.topic 917
Allows you to choose which format HotDocs should use to save the assembled Word RTF document. Your options include DOC, RTF, and PDF (as long as you have HotDocs Developer, Developer LE or User installed). You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 257
Determines when HotDocs updates the interview. If the button is pressed down, this happens when you move between answer fields. If it is not pressed down, this happens when you navigate to another dialog. This can help speed up how quickly you are able to move through answer fields in the dialog.

.topic 570
Shows a history of when the answer file was used and with which document.

.topic 40
Displays helpful information about the dialog box.

.topic 697
Removes entries for assemblies that have been completed.

.topic 590
Closes the dialog box, ignoring any information you have provided.

.topic 831
Limits how many multiple choice options appear in question and answer summaries. This can help you conserve space within the summary.

.topic 729
Specifies the way HotDocs displays a date -- whether in U.S.-standard or U.K.-standard format.

.topic 711
Controls whether a warning about unanswered questions appears either when you send the document to the word processor, or when you print or save the document.

.topic 680
Specifies the answer file name used for the e-mail attachment.

.topic 544
Closes this dialog box without implementing your changes.

.topic 543
Sorts the items in the currently selected folder.

.topic 237
Displays the next answer-gathering dialog in the interview.

.topic 771
Sets the smallest font size that can be used to resolve answer overflow. When HotDocs reaches this limit, if the answer still doesn't fit in the field, you will have to choose some other way to resolve the overflow.

.topic 1051
Specifies the text for which you are searching in clause titles or descriptions. You can type the text directly in the box, or you can click the drop-down button and select text from a previous search.

.topic 263
When selected (pressed in), causes HotDocs to honor all DEBUG instructions in the template or script you are testing. Each time HotDocs processes a DEBUG instruction, the HotDocs Debugger window will appear. When cleared (not pressed in), HotDocs will ignore DEBUG instructions in your template or script. You can use the Debugger to step through your template or script field by field to discover why the test is producing results you don't expect.

.topic 1123
Requires a password when editing the contents of the document. Specify (and confirm) the password in the boxes below.

.topic 1126
Requires the intended recipient to enter a password when opening the document. Specify (and confirm) the password in the boxes below.

.topic 1150
Lists saved document snapshots you've created. You can retrieve any of these snapshots to compare changes in the most current version of the document.

.topic 886
Selects this component file property in each new template you create. When enabled, users can change their answers while viewing the Document Preview tab of the assembly window. When a user changes an answer, it is updated everywhere else it is used in the document.

.topic 1205
Searches through the document for a specific word or phrase you specify. If the text is found, the text is highlighted.

.topic 1215
Specifies the point size for the text you are editing.

.topic 1224
Decreases the space between the left edge of the document and the text you are editing.

.topic 1154
Highlights any text you can edit in the document. Sometimes you may need to make changes to the text of a document. Changing it at the Document Preview tab lets you save your changes in the answer file so if you ever need to reassemble the document, your changes can be reapplied.

.topic 1270
Shows the file path for the file you are editing.

.topic 1308
Displays the different color schemes for viewing the different types of markup fields in a template. Regular displays the default colors assigned to field types, while Nested assigns different colors to text blocks, depending on the level of insertion. Sequential assigns a unique color to each text block in the template. You can customize the specific colors at the Field Colors page of HotDocs Options.

.topic 1307
Causes HotDocs to mark fields in a marked up template using color. Sometimes color can help you better distinguish between blocks of text and other markup fields. Choose the color scheme by clicking the Color drop-down button. To customize the colors you use, make your changes at the Field Colors page of HotDocs Options.

.topic 936
Specifies the format name for Microsoft Word documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 861
Includes in the list of possible spelling replacements entries that are made up of more than one word.

.topic 122
Displays a Question Summary, which shows a list of questions that are asked in the interview.

.topic 642
Closes this dialog box without saving any changes.

.topic 589
Saves your changes and closes the dialog box.

.topic 555
Closes the Item Properties dialog box, saving any changes you have made.

.topic 552
Shows the title of the library item. The title is used to identify the file in the library, rather than the file name.

.topic 858
Provides a list of possible replacements when misspelled words are found.

.topic 855
Ignores words that also contain digits.

.topic 838
Limits Question Summaries to show only the questions that were actually used in the interview.

.topic 749
Lets you designate a non-default printer for printing your form documents. This allows you to keep your default printer settings for all other documents or projects you print without forcing you to manually choose a different one for forms.

.topic 744
Specifies the magnification level used when you open a form.

.topic 520
Specifies the file path and name of a library.

.topic 246
Prints a copy of the current document.

.topic 223
Copies the selected text and saves it to the Windows Clipboard. You can then paste it elsewhere.

.topic 220
Undoes the most recent change made to an answer.

.topic 27
Adds an item to the library. The Add Item dialog box will appear where you can choose to add a template, folder, or clause library. The new item will be inserted below the currently selected item.

.topic 22
Save any changes you have made to the open template library.

.topic 503
Specifies the title of the item, which appears when you select the item and view its properties. HotDocs suggests a title based on the file name. If the template provider has specified a default title, you can click the Get Title button and that title will be used instead.

.topic 776
Sets the minimum distance between the bottom margin and the addendum item.

.topic 778
Sets the minimum distance between the right margin and the addendum item.

.topic 815
Controls the space on the page that is used for the footer.

.topic 872
Sets the default style for grouping True/False variables, clauses, and grouped child dialogs. The option you specify here will be used in all new dialogs you create. If you need a different style for a specific dialog, you can make the change at the Options tab of that dialog's Dialog Editor.

.topic 1010
Shows variables with the Save in answer file property selected whose values are set to a value. Leaving this option selected will cause HotDocs to prompt users to save the answer file, even if they dont enter any other answers in the interview.

.topic 1052
Displays an outline of the folders and subfolders used to organize the clauses.

.topic 1125
Confirms the password you entered, which is required to edit the document.

.topic 1127
Shows the password you are assigning to this document, which is required to open the document. Make sure you communicate this password to the intended recipient.

.topic 1209
Displays paragraph and other document marks in the document.

.topic 1211
Prints a copy of the edited text.

.topic 1222
Aligns the text with both the left and right edges of the document page.

.topic 1286
Not implemented.

.topic 898
Starts up Word before sending the assembled document to the word processor. This is necessary if the underlying template uses AutoExec or AutoOpen macros. (HotDocs explicitly disables the execution of Auto macros in Word before it sends a document to Word after assembly. Auto macros that run when Word is started by HotDocs interfere with HotDocs' ability to set Word up properly so it can execute PLAY instructions, etc.)

.topic 262
Moves the selected repetition down in the list of answers. You should be aware, however, that if the template provider has assigned sorting options to the list, answers in the assembled document will be listed in that order instead of the order you specify here.

.topic 1071
Causes HotDocs to color-code the various keywords and other syntax items used in a script. You can specify the colors HotDocs uses by making your selection in the list below.

.topic 752
Allows you to choose whether to print PDF-based documents using HotDocs or Adobe Acrobat. You can also choose to be prompted each time you print.

.topic 905
Removes the selected reference path.

.topic 696
Keeps the assembly queue on top of all other windows.

.topic 632
Continues the installation process using the information you have provided.

.topic 610
Imports the library in such a way that you will be able to assemble documents, but not modify the library structure or edit items in the library.

.topic 556
Closes the Item Properties dialog box, ignoring any changes you have made.

.topic 856
Formats the replacement words HotDocs suggests to match the capitalization of the misspelled word.

.topic 721
Specifies how much detail about inserted dialogs will automatically appear in the interview outline. Depending on the complexity of the template, viewing multiple layers of inserted dialogs may make viewing the interview outline difficult.

.topic 683
Cancels the task, ignoring any information you have provided.

.topic 244
Saves the document to disk. The Save As dialog box will appear, allowing you to specify a name and location for the saved file.

.topic 516
Cancels the assembly process. The HotDocs library window appears again.

.topic 515
Continues the assembly process, using the answer file shown in the Answer file to use with this assembly box.

.topic 991
Closes the HotDocs Options dialog box, saving any changes you have made. However, some settings may not take effect until you restart HotDocs, or until you create new components.

.topic 773
Sets the horizontal alignment of the text.

.topic 800
Causes HotDocs to generate an interview for the template based on variables used in the template. If variables are linked to dialogs, HotDocs displays the dialogs. Otherwise, it will display each variable in its own dialog.

.topic 878
Includes a column in the Template Manager component list that shows whether a component is missing from the component file, is not used in the template, or is used in both the template and the component file.

.topic 664
Copies the selected answer file to the Windows Clipboard so you can paste it someplace else in the library.

.topic 1130
Allows the user to print only a low-resolution copy of the document.

.topic 1131
Keeps the user from printing a copy of the document.

.topic 1133
Allows visually impaired recipients access to the document.

.topic 1135
Allows you or the intended recipient to make page-level edits in the document.

.topic 1171
Goes to the next unanswered question in the document.

.topic 264
Sorts columns in a spreadsheet in either ascending or descending order. To sort on a second level, include those search options on the second line of the Sort Spreadsheet dialog.

.topic 1206
Searches through the document for the next instance of a specific word or phrase for which you are looking. If the text is found, the text is highlighted.

.topic 1214
Lets you choose the font for the text you are editing. To choose a font, first select the text you want to change and click the drop-down button and select the font you want.

.topic 1227
Shows the document containing the text you are editing.

.topic 1306
Applies the italic format to text inside a markup field. Using this format may make markup fields more distinguishable.

.topic 1295
Shows the opening marker for editable text blocks. This marker will replace the SPAN instruction in the marked up view of the template. SPAN instructions allow you to edit the text of the assembled document while previewing it at the assembly window.

.topic 1260
Lets you assign colors to the different types of fields in a text template. To assign a color to the field name, click on a field name in the list. To assign a background color (or highlight), click on the background.

.topic 1096
Places a button in the End of Interview dialog that lets you save the assembled document as a PDF document.

.topic 1092
Places a button in the End of Interview dialog that lets you send the assembled document to the word processor.

.topic 1073
Causes HotDocs to insert a tab character in a script when you press the Tab key. (When this option is cleared, pressing Tab will move your cursor to the next field in the dialog box. In order to insert a tab character in the script, you must press Ctrl+T.)

.topic 904
Allows you to add a new reference path to the list of available reference paths.

.topic 903
Allows you to edit an existing reference path by changing the keyword or file path.

.topic 928
Closes the dialog box without saving any changes.

.topic 630
Shows the name of the Start menu folder where a shortcut to the template set will be placed.

.topic 581
Specifies the answer file's name and path.

.topic 910
Allows you to manage your answer files using Windows Explorer, Answer File Manager, or another third-party application. The option you choose depends largely on your project's needs.

.topic 841
Displays the Edit Personal Information dialog box, where you can edit the Personal Information variable name and answer.

.topic 832
Includes a blank space between the column's margin and the prompt, creating a hierarchy of dialog titles and prompts.

.topic 830
Allows you to choose whether the summary will appear in one or two-column format. Your selection determines which options are available below.

.topic 743
Causes HotDocs to display thumbnail images of each page in the form by default whenever you open a form. You can use thumbnails to move between pages in the form.

.topic 601
Shows a description of the library item, such as when it was created, or how it should be used. You can select the item and view the description at the Properties tab.

.topic 222
Cuts the selected text and saves it to the Windows Clipboard. You can then paste the text into another answer field.

.topic 123
Shows a listing of the dialogs in the interview. When you click a dialog icon, HotDocs displays the questions you must answer in the dialog pane.

.topic 37
Publishes the selected files so they can be distributed to others. The Publishing Wizard will appear where you can specify the type of file you'd like to publish.

.topic 507
Closes the dialog box without saving your changes.

.topic 791
Resolves overflow by sending all answers that overflow to the addendum. Users will not be presented with any other options.

.topic 793
Inserts this text into the field when an answer is sent to the addendum. The default reference is "See # in Addendum."

.topic 801
Applies the double-sided printing option to all new forms you create.

.topic 1041
Allows you to create a new clause and add it to the clause library. You can copy existing document or template text into the clause, or you can type the clause text "as you go." If you copy existing template text, make sure you copy any variables used in the template into the clause library's component file.

.topic 1049
Displays the What's This icon, so you can click on specific buttons or options in a dialog box and view a short explanation of its function.

.topic 880
Causes HotDocs to display a warning message before it converts a template to the latest version of HotDocs.

.topic 881
Causes HotDocs to display a warning message when you attempt to move a variable that is linked to one dialog to a new dialog. (Variables can be linked to only one dialog at a time. To share variables between dialogs, you must first clear the Link variables to this dialog option at the Options tab of the Dialog Editor for one of the dialogs.)

.topic 1064
Displays a list of colors from which you can choose. This color will be applied to the item you select in the Item drop-down list.

.topic 719
Controls where all assembly window tabs are placed, either along the top of the window or along the bottom. This includes the Interview tab, the Document tab, and the Summary tabs.

.topic 1113
Allows you to change (or update) the file name extension used in the library reference. You can either type the file name extension in the box, or you can select an existing extension from the drop-down list. Note, however, that changing the file name extension here does not change the extension for the actual file.

.topic 1121
Allows you to assign minimum security options to the document, including disabling the ability to print the document, changing the contents of the document, copying or extracting the contents of the document, and adding or changing comments in the document. While security is less, the document is compatible with versions of Acrobat back to version 3.

.topic 1207
Searches through the document for a specific word or phrase you specify and replaces it with other text you specify.

.topic 1218
Applies the underline font style to the selected text.

.topic 1155
Highlights text in the document you have changed. Sometimes you may need to make changes to the text of a document. Changing it at the Document Preview tab lets you save your changes in the answer file so if you ever need to reassemble the document, your changes can be reapplied.

.topic 783
Causes HotDocs to send only the part of the multi-line answer that overflows to the addendum.

.topic 1292
Shows which character will be used to indicate where a REPEAT instruction begins in a template. REPEAT instructions are used to create lists of answers in a document. If comments indicating the purpose of the REPEAT instruction have been included by the developer, you can choose to merge these comments in the field label as well. They will appear after this character.

.topic 1283
Not implemented.

.topic 738
Moves you to the actual next/previous dialog in the interview. This means that if you are in a child or inserted dialog and you click Next Dialog, HotDocs will close the child dialog and take you to the next dialog in the interview outline, rather than back to the parent dialog.

.topic 952
Lets you browse to designate the file location where document snapshots should be saved. Each time you save a snapshot of a document, the file will be saved to this location and you will be able to access it from the Comparison tab of the assembly window.

.topic 942
Specifies the application ID HotDocs uses when assembling WordPerfect documents. This application ID enables communication between HotDocs and other applications, such as document management software. You can change the default value to match the ID currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 914
Allows you to choose which format HotDocs should use to save answer files. Your options include HotDocs 2009-10 format and HotDocs 2005-2008 format. You can also choose to have HotDocs prompt you for the file format each time you save answer files.

.topic 925
Shows the name of the Personal Information variable you are creating or editing.

.topic 657
Displays the Item Properties dialog box where you can modify information about the item.

.topic 902
Lists the keywords and the file paths used to set up references.

.topic 836
Specifies the type of border that is used to separate the columns in a Question or Answer Summary.

.topic 742
Causes HotDocs to overlay variable names on form fields whenever you open form templates for editing.

.topic 563
Specifies the answer file title. This title identifies the file in Answer File Manager.

.topic 560
Specifies the format for saved answers. You can select the default HotDocs format (.ANS) or XML format (.ANX).

.topic 24
Removes the selected library item or items and saves those items to the Windows Clipboard. (If you select a folder, HotDocs will remove the folder with all of its contents.) You can then paste the items into another part of the current library or into a different library.

.topic 30
Displays the title, file name, and description of a selected library item so you can edit them.

.topic 34
Displays the Answer File Manager where you can organize existing answer files or create an empty answer file to be used in a later assembly.

.topic 824
Displays the Font dialog box, where you can set other font properties for the addendum entries.

.topic 922
Opens a dialog box where you can locate and specify the actual file path used for the reference path.

.topic 717
Specifies a default format for dates that are merged into the assembled document. Enter your own example format using one of the following: June 3, 1990; 3 June 1990; 03 JUN 90; 06/03/90; or 3rd day of June, 1990. (If the template provider has specified a format for a specific date, that format will override the format you choose here.)

.topic 1169
Goes to the previous answer in the document.

.topic 736
Warns you when you are printing a text document from the assembly window that you won't see a Print dialog box (where you can specify custom printing options). If you need to print using non-default settings, you must send the document to the word processor and use the word processor's Print command.

.topic 1212
Lets you preview a copy of the document before you print it.

.topic 266
Displays the name of the variable so if you have questions about a specific question in the interview, you can communicate with the template provider and let them know the name of the variable in question.

.topic 1298
Causes HotDocs to display a Multiple Choice variable's merge text (or possible options) in the markup field, rather than the variable's title or name.

.topic 1296
Shows the closing marker for editable text blocks. This marker will replace the END SPAN instruction in the marked up view of the template.

.topic 1289
Shows which character will be used to indicate an ELSE IF  instruction in a template. (An ELSE IF instruction may merge alternative text in the document if the preceding condition controlling inclusion of the text block isn't true.)

.topic 261
Moves the selected repetition up in the list of answers. You should be aware, however, that if the template provider has assigned sorting options to the list, answers in the assembled document will be listed in that order instead of the order you specify here.

.topic 255
Arranges the assembly window with any template development windows. Adjust the height of the test assembly window and click this button. This allows you to work in both windows simultaneously.

.topic 658
Closes the Select Answer File dialog box and starts the interview using the specified answer file.

.topic 254
Clears the answer from the answer field.

.topic 126
Displays a spreadsheet of variables, prompts, current answers, and variable types. You can sort the spreadsheet by clicking the spreadsheet column headings.

.topic 662
Displays information about the answer file when the Properties tab is selected. Displays a spreadsheet of the variables and current answers when the Contents tab is selected.

.topic 911
Specifies whether documents will be stored using standard Windows dialog boxes or using a document manager.

.topic 834
Includes a blank space between the column's margin and the answer, creating a hierarchy of the prompts and answers.

.topic 730
Controls whether HotDocs will require you to enter a four-digit year when typing a date. If you clear this option, you should specify a Century rollover year, which tells HotDocs how to interpret two-digit years.

.topic 726
Specifies what action takes place when you press the Enter key while the cursor is in a multi-line field.

.topic 725
Specifies what action takes place when users press the Enter key while the cursor is in a single-line field.

.topic 238
Displays the next answer-gathering dialog that has an unanswered variable. (If all variables in upcoming dialogs have been answered, this button is inactive.)

.topic 26
Pastes any library items that have been saved to the Windows Clipboard into the current library. The item or items will be pasted below the currently selected item in the library.

.topic 33
Opens the selected template or clause library so you can edit it.

.topic 790
Resolves all answer overflow by reducing the font size.

.topic 816
Specifies the horizontal alignment of the footer text.

.topic 879
In Template Manager, overlays component icons with a graphic reminder of the component's status.

.topic 1004
Displays helpful information about this dialog box.

.topic 1044
Displays the Clause Editor where you can edit the name, prompt, or text of the selected clause.

.topic 1112
Allows you to assign a pre-defined reference path to items you have selected. (You must have a reference path already defined in HotDocs Options for this option to be available.)

.topic 1122
Allows you to assign more complicated security options to the document. This level of security, however, makes it so the document can't be viewed in any version earlier than Acrobat 5.

.topic 1204
Reapplies the changes you made to the document text.

.topic 1217
Applies the italic font style to the selected text.

.topic 1225
Displays short descriptions of buttons or commands over which you hover your mouse cursor.

.topic 1273
Closes the dialog box without saving the changes you've made.

.topic 1303
Lets you choose whether numbers or letters will be used to mark annotations. The annotation appears in the markup field label. If you apply annotation to the end of text blocks, these annotations can help you pair opening and closing instructions more easily.

.topic 1300
When a developer includes comments in an instruction field, includes those comments in the closing field label for the text block.

.topic 1293
Shows the closing marker for a repeated text block. This character will indicate the end of the list of answers.

.topic 1287
Shows which character will be used to indicate where an IF instruction begins in a template. The character takes the place of the opening instruction. If comments are assigned to the instruction, you can choose to merge them after the character. This can help you better understand the conditions under which the text block will be merged in the document.

.topic 955
Causes HotDocs to display a message box asking users if they'd like to include changes they've made in the document when creating a comparison snapshot.

.topic 937
Specifies the format name for WordPerfect documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 933
Specifies the format name for HotDocs form documents. This format name enables HotDocs to send documents to other applications, such as document management software. You can change the default value to match the format name currently used by your document manager. (You must first specify the File Management option to use a document manager to organize the documents assembled in HotDocs.)

.topic 916
Allows you to choose which format HotDocs should use to save the assembled Word document. Your options include DOC, RTF, and PDF (as long as you have HotDocs Developer, Developer LE or User installed). You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 882
Causes HotDocs to display a warning message when you attempt to close a Component Editor using the X in the title bar. This warning message tells you that changes you have made will be saved to the component file. If you don't want these changes saved, you should click Cancel.

.topic 1018
Takes you to the specific place in the template or component file that is generating the warning.

.topic 652
Closes the Select Answer File dialog box without specifying an answer file for the assembly.

.topic 531
Deletes items previously saved to the Windows Clipboard, and saves the new items instead.

.topic 862
Specifies the name of your personal dictionary. When a word is not in the spell checker's dictionary, the spell checker looks in UIGNORE.TLX to see if you have added the word.

.topic 852
Ignores capitalized words, such as names, cities, titles, and so on.

.topic 748
Highlights existing text when you tab between answer fields during the interview.

.topic 727
Specifies what happens when HotDocs reformats an answer in an answer field as you are trying to move to a new dialog. It can keep you in the dialog so you can see the change that is made (which requires you to click Next again), pause so that you can see the change and then move to the next dialog, or simply leave the dialog and go to the next one in the interview without showing you any reformatting.

.topic 723
Controls whether the navigation bar appears in the dialog pane. You can use the navigation bar to move between dialogs in the interview.

.topic 521
Specifies the title of the library. This title will appear in the title bar of the library window.

.topic 240
Displays a list of recently used answer files. Click this button to select a different answer file.

.topic 39
Opens the HotDocs Options dialog box where you can specify preferences that control how HotDocs works.

.topic 585
In HotDocs 6, the effect of pattern answer files is achieved using overlay answer files.

.topic 1042
Adds an existing clause to the clause library. You can also use this button to add a folder to the clause library.

.topic 1120
Assigns no security options to the PDF document you are creating.

.topic 1136
Allows the intended recipient to annotate the document.

.topic 732
Selects the option at the HotDocs assembly window that automatically marks text in the assembled document you can edit. This text can include answers as well as paragraph text.

.topic 1165
Moves you to the end of the document.

.topic 1152
Saves a snapshot of the document using the answers you've entered. You can then change answers in the interview and then compare the changed document with the snapshot.

.topic 1252
Closes the dialog box and saves the file using the properties you have defined.

.topic 1272
Closes the dialog box, saving the changes you have made.

.topic 267
Opens the Test Panel, where you can perform several diagnostic tests on the current test assembly.

.topic 1294
Includes markup fields for editable text blocks in the document. (By default, HotDocs hides editable text blocks when in Markup View.)

.topic 1290
Shows which character will be used to indicate an ELSE instruction in a template. An ELSE instruction merges document text if all other preceding conditions are false.

.topic 1284
Shows which character will be used to indicate where an INSERT instruction begins in a template. INSERT instructions merge other documents into the document you are assembling.

.topic 1066
Lets you assign a font size to the selected item.

.topic 951
Assigns colors to deletions and insertions in a comparison document. For example, you can assign one color to strike-through text and assign a different color to underlined text. This can help you better differentiate between the changes.

.topic 105
Shows the number of documents still waiting to be assembled. You can double-click this box and HotDocs will display the assembly queue so you can more easily manage waiting and completed assemblies.

.topic 926
Shows the answer you want assigned to the Personal Information variable. This answer is stored in the system registry. Once given, you will not be prompted to enter it again.

.topic 659
Filters the answer files in the current library based on the text you have typed in the Find box. HotDocs searches both the titles and descriptions for the text.

.topic 554
Specifies a description of the library item, such as when it was created, or how it should be used.

.topic 532
Closes the dialog box without saving any changes.

.topic 901
Displays a dialog box where you can browse and select a new default location for your files. (You can't change the location for program files.)

.topic 728
Specifies the way HotDocs displays a date in an answer field. However, the format that is used when the date is merged into the assembled document depends either on the format assigned by the template provider, or the default date format you assign at the Document Assembly folder.

.topic 568
Closes this dialog box without saving any changes.

.topic 542
Sorts items in the subfolder based on the Sort Order option you selected.

.topic 125
Shows information the template provider may have included to help you answer specific questions.

.topic 124
Displays the dialog pane where you can provide answers to questions or, if you are at the End of Interview dialog, select options for working with the assembled document.

.topic 243
Saves changes to the answer file.

.topic 510
Shows the title of the answer file that will be used for completing the interview. To change which answer file you are using, click either the Select Answer File button or the New Answer File button.

.topic 239
Displays the HotDocs library window.

.topic 500
Displays the type of library item you want to add.

.topic 992
Closes the HotDocs Options dialog box, ignoring any changes you have made.

.topic 762
Ensures that answers in multi-line fields are aligned with the top border of the field.

.topic 796
Sets the distance between the addendum label and the actual answer.

.topic 921
Specifies the file path used with a reference path.

.topic 1001
Removes references to each template you have selected from the library.

.topic 1002
Leaves the current reference to the item in the library  it does not delete it.

.topic 1030
Shows the name of the current variable, its type, and the name of the variable to which you want to link. When mapping variables for an answer source, variable types must match, for example, a Text variable must map to another Text variable. The Variable name column lists variables in the current dialog. The Map to column shows either the names of variables used in the answer source (if you're mapping to an answer source file), or the names of other variables in the template (if you're mapping to the CURRENT ANSWER FILE).

.topic 1016
Shows a list of warnings that HotDocs generated, based on the selections you have made below. You can select an item in this list, click the Go to Warning button, and HotDocs will take you to the place in the template or component file that is generating the error.

.topic 586
In HotDocs 6, you don't need to specify the answer file type (.ANX) when you add it to the answer library.

.topic 1061
Displays the different elements in the assembly window which you can customize. You can click one of these elements and HotDocs will automatically select it in the Item list so that you can assign the property.

.topic 1075
Lists all the different elements you can use in a script. You can select one of these elements and assign a specific color or format to it.

.topic 663
Removes (or cuts) the selected answer file to the Windows Clipboard so you can paste it someplace else in the library.

.topic 1157
Displays the Document tab and shows you the first place in the document where the answer is used. (To view the next instance of the answer, either press Ctrl+M or press Shift as you click the Next button.)

.topic 1159
Displays the saved document snapshot and the current document in a single pane, rather than in two panes. Text in the snapshot that has changed is crossed out, while the new text is added to the current document and underlined.

.topic 887
Sets this component file property for all new templates you create. Specifically, where an answer is merged in the document, HotDocs marks the field with special markers, which allow users to highlight the answers at the Document Preview tab, move between the answers in the document using the Document Navigation Bar, and move between the answer in the document and the question in the interview. Additionally, if you enable answer editing, users can edit their marked answers.

.topic 1202
Pastes the text saved to the Windows Clipboard at the current cursor position in the document.

.topic 1219
Aligns the text with the left edge of the document page.

.topic 889
Sets a property at the Dialog Element Editor that automatically generates the name for the dialog element for you. The name that is generated is comprised of the type of element you are creating, as well as custom information you enter about the element.

.topic 1320
Removes the requirement that component names in model documents not contain spaces or other special characters. (Names should only contain letters, numbers, and underscores.) If names in your automation contain these non-standard characters, selecting this option will cause HotDocs to display error messages when you either assemble a model document, or when you convert a model document to template format.

.topic 960
Causes HotDocs to check for template set updates each time you start HotDocs. When there is an update, HotDocs notifies you that it is available for download.

.topic 961
Displays a window that shows the progress HotDocs makes in installing template set updates.

.topic 962
Lists the template sets for which automatic updates may be available.

.topic 788
Lets you send assembled PDF-based forms to Adobe Acrobat rather than HotDocs Filler.

.topic 907
Allows you to choose which format HotDocs should use to save fillable PDF documents. Your options include HPD, static PDF, and fillable PDF. You can also choose to have HotDocs prompt you for the file format each time you save the document.

.topic 1104
Places a button in the End of Interview dialog that lets you send the assembled document to Adobe Acrobat.


.topic 20032
Test assembles a form document from the template.

.topic 20025
Changes the font for the selected field or fields.

.topic 20024
Undoes the last change you made to fields in the form. (You cannot undo changes made to HotDocs components (variables, dialogs, and so forth) or to answers in an assembled form document.)

.topic 20049
Prints the template.

.topic 20044
Moves to the page just after the current page in the form.

.topic 20035
In a HotDocs form template, activates the Select Text and Fields Tool, which allows you to either select a field or select static text in the form. You can select text, copy it, and then paste the text wherever you need it -- for example, in a variable's Prompt or Variable name box.

.topic 20022
Saves the current form. If the form has never been saved, HotDocs will ask for the path and file name to use.

.topic 20040
Shows or hides the field backgrounds.

.topic 20038
Displays the entire width of the current form page in the window.

.topic 20050
Opens the HotDocs library (if it's not already open) and brings it to the front.

.topic 20033
Allows you to enter information in the field, such as an answer.

.topic 20042
Shows or hides a thumbnail view of each page in the form at the left of the window.

.topic 20031
Displays Component Manager, which you use to work with variables, dialogs, clauses, and other HotDocs components.

.topic 20028
Displays the Align dialog box where you can align the selected field or fields.

.topic 20026
Changes the properties for the selected field or fields.

.topic 20048
Reapplies any changes you have made to the template.

.topic 20045
Displays helpful information about the dialog box.

.topic 20037
Activates the Zoom Tool, allowing you to increase or decrease magnification of the template.

.topic 20043
Moves to the page just before the current page in the form.

.topic 20039
Displays the entire length of the current form page in the window.

.topic 20020
Creates a new form template file. (The new file won't contain any static text.)

.topic 20041
Shows or hides the variable names in the fields.

.topic 20023
Prints a copy of the form.

.topic 20036
Makes the Scroll Tool the current cursor. Use the cursor to grab the current form page and drag it around the window.

.topic 20029
Creates a new variable and attaches it to the selected field.

.topic 20034
Activates the Select Tool. This button allows you to select an existing field so that you can move it, resize it, or edit its properties (including the variable properties).

.topic 20030
Opens the Dialog Editor where you can create a dialog. When you click OK, it attaches an ASK instruction to the selected field.

.topic 20027
Detects the borders of the field that contains the cursor and creates the field if it doesn't already exist. If a field is selected, its borders are redetected.

.topic 20047
Opens the Component Editor for the field that is currently selected.

.topic 20051
Opens the HotDocs Options dialog box where you can specify several preferences that control how HotDocs works.

.topic 20021
Opens a form template file for editing, or opens a saved form document for printing or editing.


.topic 11432
If selected, indicates that the link will be displayed in the dialog whenever the template is assembled using HotDocs Server. If you don't want the link to appear in HotDocs Server, clear this option.

.topic 11415
Shows the text that will be used for the Script link. For example, it may contain instructions for clicking the link or it may describe what will happen if the user clicks the link.

.topic 10553
Shows the text you want to use for the entire repeated series. Specifying a repeated series label lets you customize the titles used for each individual repetition in the dialog.

.topic 11214
Closes the dialog box without applying any of the labeling options you may have selected.

.topic 11212
Causes HotDocs to apply the word processor's hidden text property to field comments and labels. When you click OK, everything in the comment field will be hidden. To view the comments again, you can either clear this option, or you can use the word processor's command for showing/hiding hidden text.

.topic 11080
Indents matching pairs of IF and REPEAT instructions, based on the level of their insertion.

.topic 11004
Prevents the interview outline from appearing during assembly, but still shows answer-gathering dialogs.

.topic 10927
Closes the dialog box without saving any changes.

.topic 10597
Displays the resource directly in the resource pane.

.topic 10153
Specifies the folder in which the library shortcut will be installed. If you leave this box empty, the shortcut will be installed in the HotDocs folder. If you select Prompt for which folder should contain the shortcut, the folder name you specify will be suggested, but the user can still select a different one.

.topic 10150
Creates an auto-install file that will create the template library on the user's computer and point the items in the library to templates on a CD. Templates and their associated files must be saved in the first-level folder on a CD, and must use the same name as the library base file name (including the first three letters, PUB).

.topic 10143
Installs the files in the template set as read-only.

.topic 10163
Verifies the password that allows you to register templates.

.topic 10170
Specifies the title you want for the auto-assemble (.HDA) or auto-install (.HDI) file.

.topic 10112
Lets you publish templates created in HotDocs 2009 and later so that they can be used with HotDocs 2006-2008. When you select this option, HotDocs changes the component file format to HotDocs 2006-2008.

.topic 10536
Shows a list of all instruction models you can use when scripting. Instruction models perform some kind of action in the script. They contain placeholders, which must be replaced with values, variables (so that the user can provide the value), or other models. To view specific information about each instruction, highlight the instruction in the list and press Ctrl+F1.

.topic 10214
Tells HotDocs to add the resource button label text to all selected component files when you click OK.

.topic 10248
Closes the dialog box without saving any changes.

.topic 10512
Causes HotDocs to save the answer in the answer file. If the answer should not be saved, for example, because it is an answer assigned by a SET instruction, clear this option.

.topic 10513
Controls the number of characters that must be merged with the answer into the assembled document.

.topic 10601
Limits the number of characters the user can type for an answer.

.topic 10711
When cleared, allows you to assign field-specific properties to this variable field. (Field-specific properties apply to only the current instance of the variable, while default field properties apply to all instances of the variable.)

.topic 10577
Adds a check box to a list of Multiple Choice options. Depending on the selection options, this will either be a None of the Above option or an Other option.

.topic 10547
Specifies the number of characters allowed in a prompt before the prompt either wraps to the next line (Left alignment) or moves above the answer field (Automatic alignment).

.topic 10712
Displays a list of Multiple Choice options with their accompanying prompts and merge text. You can assign field-specific merge text at this dialog box. To edit the options and prompts, you must click the Edit Component button and make your changes there.

.topic 10846
Closes the dialog box without saving any changes.

.topic 10890
Shows the name of the merge text group. You can use the existing name, or assign a new one. (By default, HotDocs names merge text groups using the options specified.)

.topic 10901
Creates a new True/False variable.

.topic 10921
Creates a new Number variable.

.topic 10952
Creates or edits a Date variable. To create a Date variable, type a variable name in the Component box and click New. To edit an existing Date variable, select it from Component drop-down list and click Edit.

.topic 10541
Adds a None of the Above option to the list of grouped True/False variables. This allows the user to answer the question without choosing one of the options you have provided.

.topic 10640
Defines the type of connection you want to use for a database component. If you choose a simple connection, HotDocs will build the connection string for you based on the options you select when you specify the OLE DB provider. If you choose a user-defined connection, you must specify all the information yourself in the Connection string box.

.topic 10642
Shows the information contained in the connection string, including the OLE DB provider, the file name and location of the database file, and the user name and password required to access data in the database.

.topic 10650
Displays the custom command you use to query the database for its fields.

.topic 10684
Defines the comparison that must exist between the database field and the value to the right of this field.

.topic 11041
Shows the word or phrase in the new variable name you want to replace. (For example, if you want to duplicate the variables Plaintiff Name, Plaintiff Address, and Plaintiff Gender to create Defendant Name, Defendant Address and Defendant Gender, you can type Plaintiff in this box, and then type Defendant in the next box.)

.topic 11063
Causes only the instances of the text found in the currently selected script to be replaced. (For this option to be available, you must manually select (highlight) a section of the script before you click the Find and Replace button.)

.topic 11170
Creates a new template library (using the file name specified below) and adds all the generated templates to it. Both the templates and the library file will be saved to the generated templates folder you specified at the Specify Template Folder window of this wizard.

.topic 11110
Instructs HotDocs to continue processing the interview until it either finds another explicit DEBUG instruction (which will cause the Debugger to appear again) or it finishes processing.

.topic 11118
Shows a list of variables referenced in the field or script you are debugging, as well as any answers for the variables.

.topic 10724
Forces users' answers to stay on a single line in the assembled document. Non-breaking spaces and hyphens can be applied to existing formats or to default formats. Either select the format from the drop-down list or leave the Format drop-down list empty (which assigns the default format) and then select this check box.

.topic 11236
Closes the dialog box without renaming any of the components.

.topic 11247
Removes any property codes (such as paragraph formatting, character formatting, etc.) that may be left in the assembled document after the section of text to which the property was applied has been removed via IF instructions. Removing these property codes can decrease the size of the assembled document.

.topic 11251
Removes any comments added to the template once the document is assembled and sent to the word processor.

.topic 11404
Allows you to place a link on the dialog that, when clicked, executes a computation script. This may be useful if you want users to perform a computation or other type of command and have the result immediately take effect.

.topic 11424
Displays the dialog element text in all representations of the dialog.

.topic 10566
Lets you create and drag a component to the dialog's Contents list. To do this, click on an icon and drag it to list. When you release the mouse button, the component editor opens where you can specify the new component's properties.

.topic 10847
Prints a copy of just the components listed in the Component list.

.topic 10997
Checks the spelling of the components you have selected (highlighted) in the component list.

.topic 10225
Deprecated

.topic 11414
Lets you create or edit the Computation variable you want to launch from the dialog. When the user clicks the link in the dialog, the computation will be executed.

.topic 10281
If selected, applies the specific property to the component file.

.topic 11172
Overwrites an existing library file with the one created during template set generation.

.topic 11166
Overwrites any existing template and component files with those created during template set generation.

.topic 11164
Shows the name of the MS Access database you are using to generate templates from marked up documents. To select a file, click the Browse button next to the file name box.

.topic 10329
Brings all open component editors to the front.

.topic 11031
Specifies an existing clause you want to add to the current clause library.

.topic 11019
Closes the Properties dialog box without saving any changes.

.topic 11009
Specifies the text displayed when the user hovers the mouse over a resource button.

.topic 11007
Positions the cursor at the "TypeHere" bookmark when the assembled document is sent to the word processor.

.topic 11005
Creates generic dialog titles (based on dialog contents) for dialogs that don't already have a title specified.

.topic 10979
Displays more alternatives to the word in the Not in Dictionary box. A deeper search takes longer but produces better possible replacements. If this button is not available, HotDocs is searching at the deepest level.

.topic 10720
Saves the component properties without closing the component editor.

.topic 10760
Allows you to specify a clause for insertion into the assembled document.

.topic 10120
Shows the files that will be included in the published files, including any bitmap files you use for a custom splash screen, or files users will need to access variable resources.

.topic 10117
Closes the dialog box and saves the information.

.topic 10110
Displays the Web Destination dialog box, where you can browse the Internet and select the URL for uploading your published files.

.topic 10100
Publishes the selected templates as standard template files. The template and component files will be copied to the same folder and protected with any protection options you select.

.topic 10504
Shows the string of text for which you are searching. If a variable name contains the text string, it will be displayed in the list.

.topic 10327
Shows and hides a second component list. When you show the second component list, you can open another component file and copy components between the two files.

.topic 10733
Displays the Dialog Editor so you can make changes to the dialog you are asking. If you have the HotDocs Database Connection installed, it displays the Database Editor, which allows you to edit the properties of the database component you are asking.

.topic 10211
Specifies the default product title that will be assigned to every selected component file.

.topic 10218
Tells HotDocs to specify the type of online interview you have selected in all selected component files when you click OK.

.topic 10241
Copies the component(s) from the selected file and closes the dialog box.

.topic 10510
Makes sure the variable is asked during the interview. If this option is cleared, the variable will not be asked unless an ASK instruction specifically calls for the variable.

.topic 10617
Closes the Component Editor, saving any changes you have made.

.topic 10703
Allows you to create a True/False variable.

.topic 10710
Formats the user's answer based on the example format you select. This format will be applied to this specific instance of the variable only.

.topic 10749
Displays a dialog box where you can create a new variable.

.topic 10532
Controls what components are shown in the component list.

.topic 10549
Displays a dialog box where you can select a file to be used as an answer source for this dialog. Usually, this is an answer file, but if you are integrating HotDocs with a third-party application using the API, it can be a special .DLL file.

.topic 10575
Displays the list of options so that the user can either select one answer or multiple answers.

.topic 10782
Specifies the dialog you want repeated. If you have the HotDocs Database Connection installed, it specifies the database component you want repeated. Often, you repeat dialogs (or database components) so you can merge a list of answers, rather than a single answer.

.topic 10785
Specifies a variable in the dialog that will be used for sorting the list of answers.

.topic 10623
Allows you to provide longer selections of merge text for a Multiple Choice variable.

.topic 10821
Replaces only those instances of the text that are capitalized the same as the text in the Find What box.

.topic 10822
Excludes instances where the text in the Find What box occurs as part of another word.

.topic 10841
Prints any assigned variable prompts, dialog titles, and dialog element text.

.topic 10892
Closes the dialog box and saves any changes you have made to the merge text.

.topic 10922
Creates a new Date variable.

.topic 10940
Specifies the file name and folder path of the template's actual component file -- or the component file that was created when the template was created.

.topic 11071
Specifies the character position in the script where you want the cursor to move to. Each character, including space characters between script items, is counted.

.topic 11082
Reapplies any changes you have made to the script.

.topic 11093
Removes any commenting that has been applied to the selected script. Once the script is uncommented, HotDocs will attempt to process it.

.topic 10679
Updates answers retrieved from a database so they are current when they are merged into an assembled document. This allows data in a table to be updated without the user having to manually re-select the record or do something else that causes HotDocs to update the connection. When this option is cleared, linked answers will only be updated when the user makes some change to the database table -- for example adding, removing, or moving a selected row.

.topic 11061
Searches the selected portion of the script and replaces any found instances with the suggested replacement. Ignores any found instances that are not in the selected text.

.topic 11122
Shows the list of all variables in the current component file.

.topic 10298
Tells HotDocs to set the component file property that will enable users to use Instant Update in a browser-based interview.

.topic 11230
Lists the components you have selected in the Existing Component Names column. These are the components you want to rename. Also lists the new component names in the New Component Names column. You must change these components' names, either by entering each new name or by "batch" replacing existing words or phrases in the component name with the new words. You do this by using the options below. The check-box column indicates which variables will be renamed. The Type column identifies what type of component it is.

.topic 11241
Shows the name of the component that will be used to generate the custom interview. This component should contain the script that asks all of the variables and instructions used in the template.

.topic 11242
Causes HotDocs to generate the interview for the template based on the order in which variables and instructions are asked in the template.

.topic 11406
Allows you to place a link on the dialog that, when clicked, opens a Web page.

.topic 11425
Displays the dialog element text only when the dialog is shown as a spreadsheet. (If the user clicks Edit Row while editing a specific row of a spreadsheet, the text will not appear in the pop-up interview.)

.topic 11269
Removes any bookmarks HotDocs merges when marking editable text in the assembled document.

.topic 11438
Shows how much a line of spacing takes in a dialog, relative to the font height. For example, if you enter 100%, the space will be the same height as the text. If you enter a number higher than this, then the space height will be larger than the font height.

.topic 10810
Searches through just the list of components that are showing in the Component Manager list for the specified text string.

.topic 11608
Shows a list of warnings that HotDocs generated, based on the selections you have made below. You can select an item in this list, click the Go to Warning button, and HotDocs will take you to the place in the template or component file that is generating the error.

.topic 11612
Shows variables that have their values set, but that are also asked later in the interview. This may cause problems because the value specified by the SET instruction will always overwrite users' answers.

.topic 11618
Resets all of the counts to zero. This lets you clear the data so you can perhaps perform a more close analysis of scripting without having to work with existing data.

.topic 10220
Deprecated

.topic 11427
Displays the link as a button on the dialog.

.topic 11223
Closes the SPAN Field dialog box without creating the Span component or inserting the SPAN field in the template.

.topic 11175
Adds the new templates to the currently open library.

.topic 11205
Shows the list of files that contain references to the file you are renaming. Template Manager will update these references so that the files will continue to work correctly.

.topic 11018
Closes the dialog box and saves any changes you have made to the component file properties.

.topic 11016
Specifies the user-friendly name of the URL to which you are uploading answers. This will be the destination if users are prompted to upload their answers after an assembly.

.topic 11000
Specifies a default template title. The title appears in the library when you select the template and view the Properties tab.

.topic 10191
Specifies the name of the new template. If the template is stored somewhere other than the default template folder, it also shows the file path.

.topic 10167
Shows the password that users must type before they can assemble from an auto-assemble file or install from an auto-install file.

.topic 10104
Compresses and publishes multiple templates, related files, and HotDocs library as an auto-install (HDI) file. When HotDocs is passed an auto-install file and the library already exists in the library folder, HotDocs either updates the existing content or creates new library entries with the contents of the .HDI.

.topic 10101
Compresses and publishes the selected template or templates as individual auto-assemble (HDA) files. When HotDocs is passed an auto-assemble file, it "unpacks" all the files and starts assembling. When it finishes, HotDocs deletes the files.

.topic 10326
Formats the variables you insert into a template from Component Manager.

.topic 10245
Lists component files into which the copied components may be pasted. Select the files you want to copy the component(s) into and click Paste.

.topic 10261
Maximizes the file list to show all template and clause library files, as well as their related component files, inserted templates, and clause template files.

.topic 10140
Shows the title you want for the library that is included in the auto-install (.HDI) file. The title appears as the top folder of the library.

.topic 10300
Places the Component Manager window to the left of either the library window, Automator window, or word processor window. This way, you can work in both windows simultaneously.

.topic 10502
Specifies text to help users understand what kind of answer is expected. If no prompt text is given, the variable name will be used instead.

.topic 10705
Allows you to create a Computation variable. Click the Edit Component button to specify a computation script.

.topic 10576
Controls how HotDocs displays Multiple Choice options. The style you select depends on whether users can select one or several options.

.topic 10787
Specifies a variable in the dialog that will be used for organizing a sublist of answers.

.topic 10789
Specifies the Computation variable used to filter answers from a list. Only answers that match the criteria of this computation are merged into the document.

.topic 10780
Allows you to select a dialog that you want repeated. This allows the user to merge a list of answers into the assembled document, rather than just a single answer.

.topic 10730
Allows you to insert an ASK instruction that displays a specific dialog.

.topic 10809
Closes the dialog box without saving any changes.

.topic 10827
Searches variable and dialog plain-text resources and replaces the text string with the text you specify.

.topic 10851
Allows you to view the properties of the component you want to copy into the current component file. This can help you identify differences between the component you are copying and the component that already exists.

.topic 10877
Closes the dialog box without saving any changes.

.topic 10885
Replaces the current selection of template text with the variable and searches for the next instance.

.topic 10900
Creates a new Text Variable.

.topic 10904
Creates a new Multiple Choice variable.

.topic 10655
Contains the text string for which you are searching in the list of variables.

.topic 10685
Lists the possible values to which the database field can be compared. A database record will only be included if the comparison results in a true value.

.topic 11052
Searches for instances of the text that match identically the word you entered in the Find What box.

.topic 11088
Searches for a specific word or text string and replaces it with word or text string you specify.

.topic 11111
Causes the HotDocs Debugger to close and returns you to the test assembly window. Also causes HotDocs to disable the Debugger. To enable it again, click the Enable Debugging button.

.topic 11028
When the template is used with HotDocs Server, causes the interview to include an interview outline when it's first presented. Interview outlines can help the user better navigate through the question-answering process.

.topic 10291
Specifies whether the user can show or hide the interview outline in a Web-based interview.

.topic 11257
When the assembled document is sent to Microsoft Word, removes any text entered in the Manager box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11264
When the assembled document is sent to Microsoft Word, removes any custom properties defined at the Custom tab of the document's Properties dialog box. Removing these properties may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11401
Allows you to include additional information on the dialog to help the user answer the questions correctly.

.topic 11426
Displays the dialog element text only when the user clicks the Edit Row button at a spreadsheet and the dialog appears in the pop-up interview. The text will not appear when viewing the spreadsheet.

.topic 11429
When displaying the link as a hyperlink, allows you to use text for the hyperlink. Specify the text at the Properties tab.

.topic 10996
Checks the spelling of just the components listed in the Components list.

.topic 11271
When the template is used with HotDocs Server, groups all of the dialogs in the interview together so they appear as one collective group. (Otherwise, the dialogs appear individually, as they do in desktop HotDocs.)

.topic 11610
Displays helpful information about the dialog you are viewing.

.topic 11613
Shows variables that are asked more than once in an interview. If your automation causes a variable to be asked more than once in the interview and the user enters different answers for each variable, whatever answer the user enters last will be used all places the variable is merged.

.topic 11428
Displays the link as hyperlink text on the dialog.

.topic 11416
Shows the full path and file name of the executable file you want to run from the dialog.

.topic 11408
Shows the text you want to add to the dialog. Usually, this text provides additional information about the questions in the dialog.

.topic 11232
Shows the new word or phrase in the component name you want to replace. (For example, if you want to rename the variables Plaintiff Name, Plaintiff Address, and Plaintiff Gender to Client Name, Client Address, and Client Gender, you can type Plaintiff in the Replace box, and then type Client in this box.)

.topic 10507
Shows an alternate name for the component. Sometimes you use component names that are useful for you during template development, but are not useful for users during an interview. For example, maybe you name your components with some type of notation, like Client name TE. To a user, this name, if seen in an interview, may not make much sense. Here, a title (like Client's Name) can be used in place of the component name.

.topic 11213
Closes this dialog box and applies the labeling options you have specified.

.topic 10332
Allows you to sort the list of components either alphabetically by name or by component type.

.topic 10977
Replaces all instances of the word with the word in the Change to box.

.topic 10971
Shows the word the spelling checker could not recognize.

.topic 10134
Displays the text you want to add to the default expiration message. By default, when a user attempts to use a template that is either going to expire or has already expired, HotDocs automatically displays a warning message that gives these details, including the expiration date. You can include additional information that will appear in this message box -- for example, contact information for obtaining an updated template or template set.

.topic 10768
Specifies the clause library or template to be inserted in this template.

.topic 10766
Displays the Component Editor, where you can change the properties of the selected component.

.topic 10162
Allows you to distribute published template sets with HotDocs Player. (You must have a special license to use this option. Please contact your HotDocs sales representative for more information.)

.topic 10734
Closes the dialog box and inserts the ASK instruction into the template.

.topic 10272
Shows the component list. This includes all components associated with the files in the file list. This list shows important information about the components, such as component type and status (which indicates how the component is used). Selecting files in the file list will cause Template Manager to display red arrows next to the components that are used in that particular file. Likewise, selecting a component will cause Template Manager to display red arrows next to the files that use the component. This helps you determine relationships between components and files.

.topic 10215
Specifies the resource button tooltip text that will be assigned to every selected component file.

.topic 10224
Tells HotDocs to specify this page icon property in all selected component files when you click OK.

.topic 10246
Displays a warning when components to be pasted will overwrite existing components.

.topic 10263
Displays the Component File Properties dialog box where you can specify properties that can be applied to all the files you have selected.

.topic 10500
Specifies the name of the component.

.topic 10592
Shows the text you want displayed when the user views the resource pane during assembly.

.topic 10600
Suggests a pattern for users when they enter answers for this variable. HotDocs provides a telephone number pattern, a Social Security number pattern, and time of day patterns. You can also create your own pattern by typing one in the box. (See the HotDocs Helps for a list of pattern codes you should use.)

.topic 10742
Allows you to create a conditional expression that will merge text into the document if the preceding expression is false, but the current expression is true.

.topic 10750
Lists the components used in the current component file.

.topic 10572
Displays a spreadsheet of multiple-choice options, prompts and merge text. If you need more room to specify any of this information, click the Options tab.

.topic 10731
Allows you to insert an ASK instruction that displays a database table from which the user can select one or more records.

.topic 10840
Prints the component types of the selected component.

.topic 10876
Closes the dialog box and attaches the wizard to the field.

.topic 10909
Closes the dialog box and displays the Component Editor for the type of component you are creating.

.topic 10959
Specifies the name of the component you are either creating or editing.

.topic 10232
Allows you to specify whether the online interview will appear in multiple pages or one continuous page. If you select Multi-page, HotDocs will present each dialog in its own page.

.topic 10641
Defines the properties of the connection HotDocs has to the database. ADO connections require you to specify an OLE DB provider while Microsoft Data Link connections require the connection information to be stored in a separate file. Finally, an ODBC connection requires you to specify an OLE DB provider for ODBC. (ODBC connections require you to create and use a data source for your database application.)

.topic 10645
Allows you to browse for the Microsoft Data Link file that contains the connection information HotDocs needs to link to the database.

.topic 10676
Specifies the user name required to access the data in the database.

.topic 11042
Shows the new word or phrase in the new variable name you want to use. (For example, if you want to duplicate the variables Plaintiff Name, Plaintiff Address, and Plaintiff Gender to create Defendant Name, Defendant Address and Defendant Gender, you can type Plaintiff in the Replace box, and then type Defendant in this box.)

.topic 11045
Closes the dialog box and creates the new variables based on the information you have provided.

.topic 11092
Causes the selected text to become inactive, meaning HotDocs won't process it when it processes the computation. Often, template developers "comment out" scripting if they need to close the scripting dialog box but HotDocs won't let them because the script is invalid. Additionally, developers often add personal explanations to the scripts they are writing, and commenting them out keeps the computation operational.

.topic 11112
Causes the Debugger to step into the current field or line of script to show how HotDocs has processed it using the answers you have provided.

.topic 10288
Tells HotDocs to set the component file property that will display the interview outline when a browser-based interview is first displayed.

.topic 10565
Limits the number of spreadsheet rows that are viewable in the dialog pane.

.topic 11273
Causes HotDocs to ask only those variables and dialogs in the interview that are relevant. If a variable isn't needed by the document, it will either be grayed or hidden, depending on the 'When irrelevant' property.

.topic 11419
Shows the Web address of the page you want users to link to from the dialog.

.topic 10911
Creates a new Span component. Span components let you mark text in the template that can be edited by the user once the document has been assembled.

.topic 11156
Opens the Browse window so you can specify the folder you want to work in.

.topic 11033
Shows the description you want for the clause or folder. The description appears at the Properties tab of the clause library window when the item is selected. Descriptions are optional.

.topic 10970
Shows the word the spelling checker could not recognize. You can look at the prompt just above this box and see where the misspelled word was found.

.topic 10764
Presents the clause as a yes/no question, allowing the user to choose whether to insert the clause in the assembled document.

.topic 10762
Allows you to select a template for insertion into the template. Both templates will be assembled in the same interview and will produce a single document.

.topic 10184
Displays helpful information about the dialog box.

.topic 10324
Shows the text of the component for which you are searching.

.topic 10323
Searches the names of components and identifies those that contain the same text you typed in the Find text box.

.topic 10312
Checks text used in components (such as prompts) for accurate spelling.

.topic 10217
Tells HotDocs to set the online compatibility option for every component file selected when you click OK.

.topic 10251
Lists the component files in which the component will be renamed.

.topic 10262
Minimizes the list to show only templates and clause libraries. Doing this hides any related files, such as component files, inserted templates, or clause files.

.topic 10267
Removes the selected component from the corresponding component file(s). If you remove a component that is still referenced in the template, you will create an unresolved reference. You will not be able to assemble a document from that template. (You should only delete components whose statuses are Unused.)

.topic 10301
Saves any changes you have made while working with Component Manager. (To save changes made in the template, click the Save Template button in template window.)

.topic 10702
Allows you to create a Date variable.

.topic 10708
Specifies the name of the variable. This name can have up to 50 alphanumeric characters, but must begin with a letter character. You can type a new name, or select an existing variable from the drop-down list.

.topic 10715
Specifies the character added to an answer when it is merged into the assembled document. Fill characters are added until the field width setting is reached.

.topic 10535
Lists the operators you can drag into the Script box. Operators help you compare relationships between items in your script. They also allow you to add or subtract values.

.topic 10155
Specifies the folder path and file name of the icon file you want to be used for the icon. If you don't specify an icon, a generic HotDocs icon will be used.

.topic 10804
Searches for the text in literal text strings (which are used in computation and dialog scripts).

.topic 10882
Shows the name of the variable which will replace text in the template.

.topic 10933
Closes the dialog box without saving any changes.

.topic 10233
Allows users to control whether they see the interview in a single page or multiple pages. If you want to let them choose, select Show. If you want to control how the user views the interview, select Hide. This hides the presentation button in the online interview.

.topic 11020
Prevents HotDocs from infinitely processing a WHILE instruction, which will cause HotDocs to stop responding. This number represents the number of times HotDocs will loop through an instruction before stopping.

.topic 10509
Specifies how wide a spreadsheet column should be, based on the minimum number of units you enter here. HotDocs will always use this number as its basis and then adjust the size of the column wider, depending on the size of the prompt in the column heading and the available space in the dialog pane.

.topic 11066
Replaces all instances of found text with the text you have specified in the Replace With box. If you select this option, HotDocs will not warn you before it makes the replacement.

.topic 11090
Indents the selected text.

.topic 11091
Realigns the indented text with the left margin of the scripting box. (If the text has been indented more than once, realigns the text with the previous tab stop.)

.topic 11125
Adds the variable to the list of variables whose answers the Debugger should track.

.topic 11027
When the template is used with HotDocs Server, turns Instant Update on. (Instant Update controls how frequently the interview updates as users answer questions in it. Depending on the complexity of the template, this updating can cause a delay for the user. When Instant Update is turned off, the interview is updated only as much as it needs to be.)

.topic 10284
Tells HotDocs to set the component file property that will assign the Max WHILE iterations specified in the next box.

.topic 10285
Specifies how many times a WHILE instruction will be repeated before it stops.

.topic 10289
Specifies whether the interview outline will be showing initially in a web-based interview.

.topic 10292
Tells HotDocs to set the component file property that will display the resource pane when a browser-based interview is first displayed.

.topic 11234
Displays helpful information about the dialog box.

.topic 11261
When the assembled document is sent to Microsoft Word, removes any text entered in the Comments box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11439
Lets you enter the height percentage you want for spacing.

.topic 11420
Opens a Web browser window so you can test or find the URL for the Web page you want to link to from the dialog.

.topic 11012
Marks merge fields with bookmarks in both the Document Preview tab and in the word processor document. These bookmarks are useful because users can click the Highlight Answers button in the assembly window and answers will be highlighted with a special color. Users can then edit the answer (if Enable Edit Answer at Document Preview tab is selected) as well as move between the field in the document and the answer field in the interview.

.topic 11200
Shows the name you want to assign to the template and any of its dependent files.

.topic 11011
Enables the template to be used with HotDocs Server. This includes checking the template for any features that will not work when used in a browser-based interview or server-based assembly. Selecting this option also allows you to test the template in a Web browser.

.topic 10229
Tells HotDocs to set all selected component files to use the specified placeholder. This takes effect when you click OK.

.topic 10990
Checks the spelling of dialog titles and element text, as well as variable prompts and multiple-choice options.

.topic 10108
Locates a published settings (.HDP) file you have saved previously. You can browse through a list of files to find the file that contains the setting you want to use.

.topic 10531
Automatically indents matching pairs of IF/END IF and REPEAT/END REPEAT instructions.

.topic 10325
Shows the text of the component for which you are searching.

.topic 10318
Controls which type of components are shown in the component list.

.topic 10306
Creates a new component, such as a variable, clause, or dialog.

.topic 10741
Allows you to create a conditional instruction that will merge text into the document if the preceding instruction is false, but the current instruction is true.

.topic 10747
Displays the area in which you can create the expression. You can use your mouse to drag variables, operators, and models from the lists below to this box, or you can press Ctrl+Space to have HotDocs display these lists directly in the script so you can use the keyboard to choose the syntax item you need.

.topic 10748
Specifies the type of component shown in the component list. You can filter this list by clicking the drop-down button and selecting a more-specific component type.

.topic 10752
Shows the string of text for which you are searching. If a variable name contains the text string, it will be displayed in the list.

.topic 10756
Closes the dialog box without inserting an IF instruction into the template.

.topic 10533
Displays a dialog box where you can create a new variable, clause, or dialog.

.topic 10580
Sets the minimum number a user can enter.

.topic 10807
Searches for the text in variable and dialog resources. (This only searches plain-text resources.)

.topic 10855
Replaces the component in the current component file with the one you are copying.

.topic 10856
Does not replace the current component with the one you are copying. No replacement is made.

.topic 10872
Allows you to attach an answer wizard to the field, which can help a user provide the correct answer. This option specifically tells HotDocs to ask the variables used to answer the question with default dialogs.

.topic 10883
Replaces only those instances of the text that have the same capitalization as the selected instance.

.topic 10923
Creates a new True/False variable.

.topic 10926
Closes the dialog box and displays the Component Editor for the type of component you are creating.

.topic 10950
Creates or edits a Text variable. To create a Text variable, type a variable name in the Component box and click New. To edit an existing Text variable, select it from the Component drop-down list and click Edit.

.topic 10951
Creates or edits a Number variable. To create a Number variable, type a variable name in the Component box and click New. To edit an existing Number variable, select it from Component drop-down list and click Edit.

.topic 10957
Creates or edits a dialog. To create a dialog, type a dialog name in the Component box and click New. To edit an existing dialog, select it from the Component drop-down list and click Edit.

.topic 10630
Represents a variable used in the dialog. You can click one of these icons and drag it to a new location. This includes dragging up to three variables to the same line in the dialog.

.topic 10721
Replaces only the current instance of the template text with the variable you are creating.

.topic 10682
Allows you to create another comparison for your filter. Selecting AND means the previous condition and this condition must be true for the record to be displayed. Selecting OR means only one of the conditions must be true.

.topic 10878
Allows you to attach an answer wizard to the field, which will then display a database table from which a user can choose a specific record.

.topic 11051
Finds the next instance of the text for which you are searching.

.topic 11064
Finds the next instance of the text for which you are searching so you can determine if you want to replace it.

.topic 11065
Replaces the current instance of found text with the text you have specified in the Replace With box.

.topic 10552
When cleared, causes HotDocs not to ask the dialog when it is used in a REPEAT instruction or in an expression that refers to the dialog's True/False answer. This eliminates much of the need for ASK NONE blocks.

.topic 11127
Shows a list of all the variables whose values you want to watch as you use the HotDocs Debugger.

.topic 11231
Shows the word or phrase in the component name you want to rename. (For example, if you want to rename the variables Plaintiff Name, Plaintiff Address, and Plaintiff Gender as Client Name, Client Address and Client Gender, you can type Plaintiff in this box, and then type Client in the next box.)

.topic 11246
Removes the revision ID numbers that Word merges in the document each time you edit the document text. (Word merges these numbers to improve merge accuracy.) If several changes are made to the template, the size of the file increases. Removing these IDs from the assembled document keeps the document from taking up extra disk space.

.topic 11256
When the assembled document is sent to Microsoft Word, removes any text entered in the Author box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11433
Determines the width of the button. When specifying a measurement, a unit represents the width of the character "5". The default value, <auto>, makes the button wide enough to accommodate the length of the text on the button.

.topic 11435
Shows the file path and name of the graphic file you are using.

.topic 10962
Creates or edits a dialog element. To create a dialog element, type a name in the Component box and click New. To edit an existing dialog element, select it from the Component drop-down list and click Edit.

.topic 11444
Places the image in the center of the dialog.

.topic 10226
Deprecated

.topic 10223
Deprecated

.topic 10725
Allows you to enter a comment for the variable field or instruction. Comments can help users or other readers of the template understand better the automation you've used in the template.

.topic 11410
Lets you designate the font size for the caption. The number you enter here is a percentage of the size used for other text in the dialog. For example, if you enter 100% as the Font size, the caption will be the same size as the question prompts. If you enter 200%, the text size will be twice as large.

.topic 11204
Shows file information about the files you are renaming, including what the new file names will be.

.topic 11162
Selects all documents.

.topic 11006
Causes HotDocs to use variable names instead of prompts when generating a Question or Answer summary.

.topic 11003
Uses the INTERVIEW computation (which you must create) to generate the interview, rather than using a list of variables and instructions pulled directly from the template. This can help improve interview-processing speed if your template contains large numbers of variables and scripts. See the HotDocs Help file for more detailed information.

.topic 10995
Closes the dialog box without saving any changes.

.topic 10994
Closes this dialog box and begins spell checking the properties you have specified for the selected components.

.topic 10978
Adds the unrecognized word to your personal dictionary. The spelling checker will not question the word again. (If this button is grayed out, it is because the dictionary file (UIGNORE.TLX) is marked as read-only. To add words to the dictionary, you must allow write access for it.)

.topic 10769
Displays a dialog box where you can locate and select the clause library or template to be inserted.

.topic 10181
Advances to the next dialog box of the Publishing Wizard.

.topic 10154
Sets the label for the icon. If you leave this box empty, the library title will be used as the label.

.topic 10152
Lets the user specify a folder for the shortcut.

.topic 10103
Compresses and publishes the selected template, related files, and HotDocs library as individual auto-install (HDI) files. When HotDocs is passed an auto-install file and the library already exists in the library folder, HotDocs either updates the existing content or creates new library entries with the contents of the .HDI.

.topic 10319
Controls which type of components are shown in the component list.

.topic 10313
Activates the What's This help cursor. You can use this icon to click on specific fields or options in the dialog box so you see a short explanation of each feature's purpose.

.topic 10310
Displays the Find and Replace in Components dialog box where you can locate and change text strings in your components.

.topic 10210
Tells HotDocs to add the default product title to all selected component files when you click OK.

.topic 10255
Closes the Rename Component dialog box without making any changes.

.topic 10304
Inserts the selected variable into a template at the current cursor position.

.topic 10602
Controls the number of lines that will appear in an answer field.

.topic 10719
Closes the dialog box without saving your changes.

.topic 10746
Displays the True/False Variable Editor, where you can assign properties to the True/False variable you are using for the IF instruction.

.topic 10581
Sets the maximum number a user can enter.

.topic 10786
Organizes the list of answers in either ascending (A to Z, 1 to 9) or descending (Z to A, 9 to 1) order. You choose the variable on which you will sort.

.topic 10829
Closes the dialog box without saving any changes.

.topic 10888
Closes the dialog box without saving any changes.

.topic 10893
Closes the dialog box without saving any changes.

.topic 10903
Creates a new Number variable.

.topic 10905
Creates a new dialog.

.topic 10943
Closes the dialog box without saving any changes.

.topic 10956
Creates or edits a clause component. To create a clause component, type a name in the Component box and click New. To edit an existing clause component, select it from Component drop-down list and click Edit.

.topic 10230
Allows you to specify which unanswered variable placeholder will be used.

.topic 10654
Searches the list of components for the text string you type in the Find text box. Only those variables that contain the text string exactly as you type it will be displayed.

.topic 10683
Lists the possible database fields you can use to create the filter.

.topic 11089
Displays the Go To dialog box where you can specify the location in the script to which you want to move your cursor. You can go to either a specific line or character in the script.

.topic 11022
Keeps the End of Interview dialog from appearing in the interview. When the user clicks Next at the last dialog in the interview, HotDocs will either send the assembled document to the word processor or it will display the Document tab, depending on which End of Interview action the user has defined.

.topic 11113
Causes the HotDocs Debugger to not step through any computation or subtemplate referenced in the field unless it encounters another DEBUG instruction.

.topic 11115
Displays helpful information about items in the HotDocs Debugger.

.topic 10293
Specifies whether the resource pane will be displayed by default in a web-based interview.

.topic 11240
Shows the name of the component file to which the current template is pointed. This shared component file must be saved to the same folder as the pointed component file. (Click the drop-down button to select the file.) If you want to unpoint the component file, choose the blank line at the top of the list.

.topic 11268
Copies the properties in the shared component file to the current component file. Only the properties listed on this tab will be copied.

.topic 11422
Shows a list of images you can select to include in the dialog. If the image you want isn't found in this list, click the Browse button to locate it.

.topic 10848
Prints just the components you have selected (highlighted) in the component list.

.topic 10555
Determines how HotDocs will treat the variable if it's not needed in the interview. Your options include assigning the default setting (which is specified at Component File Properties), graying the variable, hiding it, or always showing it, regardless. (For this setting to work properly, you must select the 'Automatically disable irrelevant variables and dialogs' option at Component File Properties.)

.topic 11224
Displays helpful information about the dialog box.

.topic 11178
Generates the templates and adds them to a new library. You must specify the file name and location in the Library file name box.

.topic 10283
When selected, applies the designated property to the component file.

.topic 10282
Tells HotDocs to allow users to edit their answers while viewing the assembled document at the Document Preview tab.

.topic 11013
Allows users to edit answers while viewing the Document Preview tab. When users change answers, other references to that answer will be updated.

.topic 11174
Allows you to choose which file format you want to use for your Word templates. It is recommended you choose RTF, as RTF templates assemble much faster than DOT templates.

.topic 11171
Shows the name of the library that will be created if you select Create a new library and add new templates to it. This library file will be saved to the generated templates folder you specified at the Template Options window of this wizard.

.topic 11161
Lists all the documents in the markup database. These are the documents you will use to generate a set of HotDocs templates. Select or clear the documents you want to include or exclude.

.topic 11035
Closes the dialog box without adding an item to the clause library.

.topic 11017
Causes HotDocs to automatically upload the answers without prompting the user.

.topic 11015
Specifies the URL of the server to which HotDocs should upload the answers given when this template is used for assembly.

.topic 11008
Prevents the Answer File dialog box from appearing when a user assembles a document from this template.

.topic 10193
Specifies the title for the template or clause library. The title appears in the HotDocs library and allows you to provide a more descriptive name than just the file name.

.topic 10192
Allows you to select a file location for your new template or clause library file.

.topic 10116
Specifies a title for the destination URL.

.topic 10105
Publishes the HotDocs Server files required for assembling a template on a server. The files generated include the template file (.WPT, .HPT, or .RTF), the component file (.CMP), the variable collection file (.HVC), and the interview definition file (.JS). Before publishing, you must enable the template for use with HotDocs Server. To do this, make the change at Component File Properties.

.topic 10573
Inserts a new row between existing rows of multiple choice options.

.topic 10564
Specifies text to help users understand what information is expected for this dialog. When finished entering your text, drag it to the Contents list.

.topic 10562
Lists the components that are currently included in the dialog. You can change the order items are listed by dragging an item to a new location.

.topic 10314
Displays a minimized version of Component Manager, showing only the features used primarily for creating and inserting variables into the template.

.topic 10216
Specifies an option that will enable every selected component file and template for use with HotDocs Server. When enabled, HotDocs will warn you if you're using features that aren't supported in browser-based interviews or server-based assembly. Additionally, when templates are enabled, HotDocs allows you to test the template in a browser and publish the files needed for HotDocs Server.

.topic 10242
Closes the dialog box without saving your changes.

.topic 10253
Selects all listed component files. When you click Rename, HotDocs will apply the change to every component file in the list.

.topic 10511
Causes HotDocs to warn the user if the variable is unanswered. Clearing this option suppresses these warnings.

.topic 10709
Displays the Variable Editor where you can customize the variable, including assigning prompts, resources, and variable-specific properties.

.topic 10743
Allows you to create a conditional test based on a True/False variable. Depending on the answer the user chooses, the conditional text will be merged into the assembled document.

.topic 10745
Shows the True/False variable used to control the condition.

.topic 10570
Provides a list of multiple choice options that already exist in this template.

.topic 10151
Creates a shortcut to the library in the user's Start menu. You can specify the location of the shortcut, or allow the user to specify it. (To allow the user to specify it, you must select Prompt for which folder should contain the shortcut.) The shortcut is created when the user installs the file you are currently publishing.

.topic 10784
Allows you to punctuate a list of answers in sentence-style. For example, your list could appear as A, B, and C -- with the comma preceding the final item in the list. Click the drop-down button to see a list of formats.

.topic 10788
Organizes sublists of answers in either ascending (A to Z, 1 to 9) or descending (Z to A, 9 to 1) order. You choose the variable on which you will sort.

.topic 10791
Shows and hides additional formatting options for the REPEAT instruction, including special filtering and sorting options.

.topic 10860
Closes the dialog box without saving any changes.

.topic 10902
Creates a new clause component.

.topic 10907
Creates a new Computation variable.

.topic 10932
Closes the dialog box and saves the changes you have made.

.topic 10644
Saves the connection string information in a Microsoft Data Link file rather than in the component file. This makes it easier to distribute the template and database to others who will not use the same connection parameters you do.

.topic 10663
Shows the order in which fields in the table will be arranged into columns. You can drag any field in this list to a new location to change this order.

.topic 11046
Closes the dialog box without implementing any changes.

.topic 11050
Specifies the text string for which you are searching.

.topic 11057
Specifies the text for which you are searching.

.topic 11070
Specifies the line number in the script where you want the cursor to move to. Each line of script is counted, even if there is nothing on the line.

.topic 11081
Removes any changes you have made to the script.

.topic 11083
Removes the selected text and copies it to the Clipboard.

.topic 11084
Copies the selected text to the Clipboard.

.topic 11117
Indicates why HotDocs is displaying the HotDocs Debugger, for example, because it is processing the template to generate an interview or because it is assembling the document.

.topic 11024
When the template is used with HotDocs Server, lets the user choose whether to hide the interview outline.

.topic 10236
Tells HotDocs to set the component file property that will keep the End of Interview dialog from appearing when a user completes the interview.

.topic 10239
Specifies whether variable names will be used in a Question or Answer Summary.

.topic 10290
Tells HotDocs to set the component file property that will allow the user to show and hide the interview outline in a browser-based interview.

.topic 10963
Creates or edits a span component. To create a span component, type a name in the Component box and click New. To edit an existing span component, select it from the Component drop-down list and click Edit.

.topic 10795
Sorts answers in the list before HotDocs filters the list.

.topic 10849
Prints a copy of all of the components in the component file.

.topic 11445
Places the image along the right margin of the dialog.

.topic 11431
If selected, indicates that the link will be displayed in the dialog whenever the template is assembled using the desktop version of HotDocs. If you don't want the link to appear in desktop HotDocs, clear this option.

.topic 11179
Generates the templates but doesn't add them to any library. (You can add them to a library later. See the HotDocs Helps for instructions on adding templates to a library.)

.topic 11128
Adds or removes variables from the custom watch list. This list shows the variables you want to watch as you are debugging your template or script.

.topic 11155
Shows the name of the existing component file HotDocs should look in before creating a new variable. If a variable already exists in the existing component file, HotDocs copies that variable into the new component file, rather than copying it from the markup database.

.topic 10674
Allows the end user to filter the records. Filtering options will appear in the interview. A correctly designed filter reduces the number of records users must view, making it easier for them to find the record they need.

.topic 10673
Allows the end user to sort the records in alphanumeric order. Users can sort any column in the table in order to find the record they need more quickly.

.topic 11032
Specifies the folder's or clause's title that will appear in the clause library.

.topic 10773
Displays helpful information about the dialog box.

.topic 10771
Closes the dialog box and inserts the specified clause, clause library, or template instruction into the template.

.topic 10198
Shows the folder path and file name of the file whose contents you want to copy into the new template.

.topic 10180
Closes the Publishing Wizard and publishes the files, based on the information you have provided.

.topic 10537
Shows a list of all expression models you can use when scripting. Expression models help produce values. They contain placeholders, which must be replaced with values, variables (so that the user can provide the value), or other models. To view specific information about each expression, highlight the expression in the list and press Ctrl+F1.

.topic 10317
Opens a dialog box where you can locate and select a second component file from which you can copy components into the current component file.

.topic 10735
Closes the dialog box, discarding any information you have provided.

.topic 10254
Renames the components in the selected component file(s).

.topic 10264
Copies the selected components and saves them to the Clipboard.

.topic 10266
If renaming a component, displays the Rename Component dialog box, where you can type a new name for the selected component. If renaming a template, displays the Rename Files dialog box where you can type the new name for the template or other library file. When you click Rename, HotDocs will update the file name wherever it is used.

.topic 10619
Saves changes made to the component without closing the component editor.

.topic 10740
Determines that if all other conditions in the instruction are false, the following instruction should be used and the corresponding template text should be merged into the assembled document.

.topic 10751
Allows you to search for a specific variable in the list, based on the text you type in the Find text box.

.topic 10132
Enter the number of days before the expiration date that you want the user to be warned the files will expire.

.topic 10123
Saves a file that contains the settings you have used to publish this file. The file is saved with an .HPD extension. The next time you publish templates, you can use this file so that you don't have to enter all the information again. (You can load your settings at the first dialog box of the Publishing Wizard.)

.topic 10770
Opens the inserted template so you can edit it.

.topic 10801
Finds only those instances of the text that are capitalized the same as the text in the Find What box.

.topic 10823
Confirms each replacement of text. Each time HotDocs finds the text to replace, it displays the component name, where the text to replace was found, and the text that will be used in place of the found text if you say yes.

.topic 10826
Searches for and replaces instances of the text string in merge text options and text variable patterns. It also searches and replaces text strings in variable example formats.

.topic 10852
Shows the folder path and file name of the component file into which you are copying.

.topic 10854
Allows you to view the properties of the component that exists in the selected component file. This can help you identify differences between the component you are copying and the component that already exists.

.topic 10874
Specifies the name of the computation or dialog you are using for the answer wizard.

.topic 10941
Specifies the file name and folder path of the component file you want to use for the current template. If the file is already pointed and you want to unpoint it, select the blank line at the top of the drop-down list.

.topic 10722
Replaces multiple instances of the template text with the variable you are creating.

.topic 10643
Launches the Data Link Properties dialog box, where you can define the connection information.

.topic 10651
Controls what components are shown in the component list.

.topic 11053
Searches for instances of the text that match identically -- including case -- the word you entered in the Find What box.

.topic 11062
Causes instances of the text found in the entire script to be replaced.

.topic 11124
Specifies the text you are searching for in the variable name. You can type the text directly in the field, or you can click the drop-down button and choose text from a previous search.

.topic 11233
Searches the names in the New Component Names column and replaces any text it finds with text from the Replace With boxes.

.topic 10613
Sorts the list of components either by alphabetical name or by component type.

.topic 11265
Instructs HotDocs to use the custom interview script specified in the Interview component box when it generates the interview for the template. If you'd rather have HotDocs generate a default interview, select Generate default interview instead.

.topic 11266
Opens the Computation Editor so you can create the custom interview script.

.topic 10830
Searches through the components showing in the Components list for the specified text string. When it finds the text string, replaces it with the suggested text.

.topic 11606
Inserts several hidden field markers in the assembled document that allow HotDocs to find the correct location in the template when you click Go to Template. (To see these markers, you can right-click in the assembled document and choose Show Codes.)

.topic 10219
Deprecated

.topic 11220
Shows the name of the Span component. It is recommended that you use unique names when creating Span components so that when users save edited document text in answer files, the answer won't overwrite SPAN fields in other documents.

.topic 11211
Causes HotDocs to insert the level of the REPEAT or IF instruction in the field's label. If the field is nested, the level number will be incremented. Levels are identified by the letter L. For example, if labeling the third level of a REPEAT instruction, the text L3 will be merged in the label.

.topic 11210
Causes HotDocs to label IF and REPEAT fields. A label can help you identify matching instructions within a series of instructions. The label that will be assigned will be a number. For example, HotDocs will label the first REPEAT instruction in the template with the number 1, the next REPEAT instruction with a number 2, and so forth.

.topic 11165
Shows the file location where the generated templates will be created. If you choose to also create a library for the templates, the library will be created here, too.

.topic 11152
Creates one component file containing all the variables listed in the markup database. This option will NOT create any templates. Master component files are useful if you want to use the same components in multiple templates but want the ability to customize the components on a per-template basis. Once you have created a master component file, you can create your templates and then copy the appropriate components from the master file into the corresponding component files. (Otherwise, you could simply point all component files to a shared component file.)

.topic 11151
Creates individual component files for the generated templates, but then points them to a shared component file. (Specify the shared component file name in the Shared component file name box, below.) Shared component files are useful if you want all your templates to use the exact same components -- including the same prompts and formatting. (See the HotDocs Helps for more information on sharing component files.)

.topic 11150
Creates individual component files for each template in the markup database. The templates will use their own component files, rather than point to a shared component file.

.topic 10972
Shows the word that will replace the unrecognized word if you click Change or Change All.

.topic 10200
Creates the template or clause library.

.topic 10199
Allows you to locate and select the template or document whose contents will provide the basis of the template you are creating.

.topic 10182
Returns to the previous dialog box of the Publishing Wizard.

.topic 10133
Shows the number of days after the expiration date that users can use the expired files.

.topic 10122
Deletes the selected file from the list of files to be added.

.topic 10118
Closes the dialog box without saving your changes.

.topic 10115
Displays a Web browser so you can easily identify the destination URL for uploading your published files.

.topic 10311
Prints a list of components. You can choose to print the variable types, prompts, formatting, and any plain text resources that have been assigned.

.topic 10307
Removes the selected component from the component file. If the component is used in the template, you must remove it there, as well.

.topic 10221
Tells HotDocs to specify this property to all selected component files when you click OK.

.topic 10520
Identifies the word processor file format of the clause text.

.topic 10618
Closes the Variable Editor, discarding any changes you have made.

.topic 10561
Causes the dialog to be repeated either as a series of dialogs or as a spreadsheet. Repeated dialogs allow the user to enter as many answers as necessary.

.topic 10790
Displays the Computation Editor, where you can create or modify the computation used to filter answers from a list of answers.

.topic 10825
Searches for the text in literal text strings (which are used in computation and dialog scripts) and replaces any text that is found with the text specified.

.topic 10857
Allows you to rename the component before it is copied into the current component file.

.topic 10858
Overwrites all existing components with the ones you are copying.

.topic 10908
Creates a new database component.

.topic 10954
Creates or edits a Multiple Choice variable. To create a Multiple Choice variable, type a variable name in the Component box and click New. To edit an existing Multiple Choice variable, select it from the Component drop-down list and click Edit.

.topic 10960
Closes the dialog box and opens the Component Editor.

.topic 10551
Creates an association (or link) between the dialog and variables in it. If you try to add variables used in this dialog to another dialog without first clearing this option, the variables will be removed from this dialog.

.topic 10652
Allows you to create a new variable in the component file.

.topic 10680
Specifies the field that will be used for organizing the data in a table.

.topic 11180
Lets you locate and specify the file location for the template library.

.topic 11405
Allows you to place a link on the dialog that, when clicked, launches an application. This may be useful if your users need to access other programs as they complete the interview.

.topic 11407
Allows you to place an image or picture on the dialog.

.topic 10611
Always shows a list of all components that use the current component whenever you click the Used In tab.

.topic 10832
Searches through all of the components in the component file for the specified text string. When it finds the text string, replaces it with the suggested text.

.topic 11615
Shows variables that are used in the interview but not specifically asked that then have their values set later in the interview. (An example of this would be a variable used with ASK NONE or with the Ask automatically option cleared.)

.topic 11602
Shows the variables that are referred to in the document but that aren't asked in the interview. This can help you identify problems in automation where you are referring to variables in the document but aren't asking them properly in the interview. This sometimes happens when you create a custom interview and forget to account for all variables in the template.

.topic 11203
Cancels the renaming process.

.topic 10670
Allows the user to choose multiple records during assembly. Selecting this option, in conjunction with setting up a REPEAT Database instruction, lets the user generate a list of answers from multiple records, rather than merge answers from a single record.

.topic 10980
Allows you to change your spell-checking options.

.topic 10142
Shows the description you want for the library that is included in the auto-install file. The description appears in the HotDocs library window when the library title is selected. Descriptions are optional.

.topic 10161
Makes the published template or templates usable only until a certain date. (You will be prompted to specify an expiration date at the Component File Expiration dialog box, which appears when you click Next.)

.topic 10121
Displays the Select Additional File(s) dialog box so you can browse lists of files and select any you want to include with the published set. For example, this can include a product splash screen bitmap you want to associate with an auto-install file.

.topic 10114
Specifies the URL where you want to upload your published files.

.topic 10582
Specifies the number of decimal places that will be shown (up to 7) in the dialog and in the assembled document.

.topic 10320
Displays the components in the component file you are currently viewing. You can filter this list by selecting a specific component type at Component type drop-down list.

.topic 10505
Displays yes/no options on the same line in a dialog.

.topic 10615
Displays a test assembly window so you can test the variable or dialog to make sure it works properly.

.topic 10616
Updates the assembly window with the changes you are implementing. (Once you click OK at the Component Editor, the changes are saved to the component file.)

.topic 10706
Allows you to use or create a new Personal Information variable. Personal Information variables ask information about the user. HotDocs then stores the user's answer in the system registry so that information can be used in other documents. Once a question has been asked, it is not asked again.

.topic 10713
Specifies the number of characters you want merged into an answer field. If the user's answer is shorter than this number, HotDocs will "pad" the answer with the designated Fill character. If it is longer, the answer will be merged as expected.

.topic 10717
Shows and hides additional formatting options that you can apply to this specific instance of the variable.

.topic 10543
Allows the variables in this dialog to be asked in separate dialogs. It also forces HotDocs to ask the variables individually instead of grouped in the dialog.

.topic 10548
Specifies the answer source used for this dialog. You can either type a file name in the box, or you can click the drop-down arrow and select CURRENT ANSWER FILE, which allows you to map answers in one dialog to answers in another dialog. (To use CURRENT ANSWER FILE, you must click Map Variables.)

.topic 10794
Displays helpful information about the dialog box.

.topic 10781
Allows you to select a database component so that a user can merge a list of database records into the assembled document, rather than just a single record.

.topic 10620
Allows you to choose a specific option so you can further customize its merge text and prompt.

.topic 10802
Excludes instances where the text in the Find What box occurs as part of another word.

.topic 10870
Allows you to attach an answer wizard to the field, which can help a user provide the correct answer. This option specifically tells HotDocs to use a Computation variable. You can specify the name of an existing variable in the Computation box, or you can click the Edit button to create a new computation. When the user clicks the wizard during assembly, HotDocs displays the variables and/or dialogs that are needed to provide the answer.

.topic 10871
Allows you to attach an answer wizard to the field, which can help a user provide the correct answer. This option specifically tells HotDocs to use a dialog. You can specify the name of an existing dialog in the Dialog box, or you can click the Edit button to create a new dialog. When the user clicks the wizard during assembly, the dialog you specify will be displayed.

.topic 10873
Clears any existing answer wizards that have been attached to the field. If you have multiple fields selected, this will clear all answer wizards.

.topic 10875
Opens the Component Editor so you can edit the properties of the wizard. For example, if you are creating a computation-based wizard, it opens the Computation Editor.

.topic 10886
Replaces all instances of the template text with the variable.

.topic 10920
Creates a new Text variable.

.topic 10953
Creates or edits a True/False variable. To create a True/False variable, type a variable name in the Component box and click New. To edit an existing True/False variable, select it from the Component drop-down list and click Edit.

.topic 10653
Lists the variables used in the component file. You can use these variables when creating your custom command.

.topic 10661
Shows a list of all the fields in the database table as well as a list of all the variables in the template. You can match fields to variables by clicking the Linked Variable drop-down button and selecting the variable. You can also select which field will be used to uniquely identify the record by selecting the Key box next to the Field Name column. Finally, select which fields will appear in the table by selecting the Display box next to the Field Name column.

.topic 10662
Causes only those variables that have not been linked to database table fields to appear in the Linked Variable drop-down lists. Clearing this option will list every variable in these lists. Be aware, however, that if you link an already-linked variable to a new field, the link to the first field will be broken. You can only link a variable to one field.

.topic 10675
Determines whether variables that are linked to fields in a database table (which can potentially be answered using data from the table) are specifically asked again during the interview.

.topic 11040
Lists the variables you have selected in the Existing Variables column. These are the variables of which you want to make duplicate copies. Also lists the new variables you want to create. You must change these variables' names, either by typing each new name in the New Variables column, or by "batch" replacing existing words or phrases in the variable name with the new words. You do this by using the options below. The check-box column indicates which variables will be duplicated.

.topic 11059
Keeps HotDocs from finding text strings that are only part of the string you entered in the Find What box.

.topic 10522
Shows the file type for the clause text.  The text for clauses is stored in a text template. This list shows which word processor will be used for the template.

.topic 10723
Specifies a font that should be used for just this specific instance of the variable. For example, maybe you want to have the answer appear as a bar code. To do this, you would select the bar code font from the drop-down list of available fonts.

.topic 10295
Specifies whether the user can turn the resource pane on and off in a web-based interview.

.topic 11250
Removes any bookmarks HotDocs merges when marking answers in the assembled document.

.topic 11263
When the assembled document is sent to Microsoft Word, removes any reported statistics for the document. Removing this text may improve the security of the document -- especially if sensitive information is represented by the statistics. (You view statistical information at the Statistics tab of the Document Properties dialog box.)

.topic 11403
Allows you to place empty space in the dialog to help you better define "sections" of a dialog.

.topic 11614
Shows variables that are referenced in a dialog script that have their values set later in the template. Doing this may cause HotDocs to change the value that is being used by the dialog script, which could ultimately change the appearance of the dialog and therefore, the interview.

.topic 11421
Shows the text that will be used for the Web link. For example, it may contain instructions for clicking the link or it may describe what will happen if the user clicks the link.

.topic 11176
Generates the templates and adds them to the library that is currently open and displayed.

.topic 10275
Converts the selected template or templates to the new format you specify. Your options include converting HotDocs 5 templates to the latest format, converting WordPerfect templates to RTF, and converting Word templates (DOTs) to RTF.

.topic 10274
Opens Component Manager for the selected file so you can edit components in that specific file.

.topic 11010
Specifies a marker that will be used in the assembled document when variables in the interview are left unanswered.

.topic 10993
Checks the spelling in any merge text options that have been specified for Multiple Choice variables.

.topic 10975
Ignores all instances of the word and continues checking the spelling.

.topic 10201
Closes the dialog box without saving your changes.

.topic 10144
Updates the library title and description during installation if the library already exists in the HotDocs folder.

.topic 10130
Shows the date on which the published files will expire and users will no longer be able to use them.

.topic 10195
Creates a new, empty template. Once the template is created, you can add text, variables, and other template components.

.topic 10102
Compresses and publishes multiple templates as one auto-assemble (HDA) file. When HotDocs is passed an auto-assemble file, it decompresses all the files and starts assembling each document as if the user had selected multiple templates at the library. When it finishes, HotDocs deletes the files.

.topic 10583
Specifies the currency symbol that will appear in the answer-gathering dialog to help the user know what type of number to type.

.topic 10321
Displays the components in the selected component file. You can filter this list by selecting a specific component type at Component type drop-down list.

.topic 10315
Specifies the file name and location of the current component file.

.topic 10213
Tells HotDocs to generate default dialog titles for all selected component files when you click OK.

.topic 10247
Pastes the components into the file and closes the dialog box.

.topic 10252
Clears the selection of all listed component files.

.topic 10593
Displays a dialog box where you can locate and select the file you are using for resources.

.topic 10596
Shows information about the resource file.

.topic 10610
Lists the different components that use the component you are editing. Double-clicking a component opens it for editing.

.topic 10718
Closes the dialog box and inserts a variable field based on the information you have provided.

.topic 10534
Lists the variables and other components you can use when creating your script.

.topic 10571
Provides commonly used merge text.

.topic 10621
Allows you to specify more prompt text than there is room available to enter at the Properties tab.

.topic 10803
Searches for the text in variable prompts, dialog titles, and dialog element text.

.topic 10842
Prints computation and dialog scripts.

.topic 10884
Replaces only the instances of the text that are complete words. For example, selecting this option prevents HotDocs from replacing the 'his' in 'this' with a variable.

.topic 10891
Lists the different merge text values assigned to this merge text group. You can edit these values.

.topic 10924
Creates a new Multiple Choice variable.

.topic 10231
Allows you to choose whether the online interview will be dynamic or static. If you select Dynamic, HotDocs updates the interview based on answers users enter. If you select Static, HotDocs displays all the variables in the interview, regardless of answers.

.topic 10273
Allows you to filter the list of components to show only a specific type.

.topic 10677
Specifies the password required to access the data in the database.

.topic 11043
Replaces existing words or phrases in the New Variables column with the new word or phrase you want to use. Once replaced, you can click Duplicate and HotDocs will create the new variables using the names you have suggested.

.topic 11044
Displays helpful information about this dialog box.

.topic 11021
Specifies the number of instructions HotDocs will allow in its processing stack before it won't allow any more to be added. Otherwise, an infinite number of instructions may be added, which can ultimately cause HotDocs to stop responding. This may happen when a computation "calls" itself over and over until the desired result is achieved. For example, you can use a recursive computation to scan a text string, character by character, for a specific value. As HotDocs searches for this value, it adds instructions for doing this to what is called a processing stack. If too many instructions get added to the stack, HotDocs may stop responding.

.topic 10603
Ensures that when the user presses the Enter key while answering the question, HotDocs inserts a paragraph break instead of a line break. (If you select this option, it is recommended you include a prompt that explains to the user what is happening.)

.topic 10237
Specifies whether the End of Interview dialog will be hidden.

.topic 10299
Specifies whether the Instant Update button will be allowed in a web-based interview.

.topic 11235
Closes the dialog box and renames the components you've selected.

.topic 11434
Determines the height of the button. When specifying a measurement, a unit represents the width of the character "5". The default value, <auto>, makes the button tall enough to accommodate the height of the text on the button.

.topic 10554
Shows the alternate text that should be used to identify the child dialog button  when it's inserted in another dialog. Frequently you specify a prompt here to help users better understand why they should click the child dialog button. (Note, however, that the dialog's name or title will be used to identify the dialog in the interview outline.)

.topic 11437
Lets you choose a font size for the caption.

.topic 11440
Lets you choose a width value for the button.

.topic 11442
Corresponds to the third parameter of the JavaScript window.open method (sFeatures). For example, to open the resource in a window that is 200 pixels high, 400 pixels wide, includes the status bar, and does not include the toolbar, menubar, and location bar, use this string: "height=200,width=400,status=yes,toolbar=no,menubar=no,location=no"

.topic 11607
Moves your cursor from the location in the test assembled document to the location in the template. This allows you to see how automation in the template affects the portion of the assembled document you are reviewing.

.topic 11617
Shows the number of times a dialog script is processed while the dialog it represents is the current dialog. Each time a dialog script is processed while the user is changing answers in the dialog, this number is incremented, which, in turn causes the script to update the appearance of the dialog.

.topic 11600
Generates the lists of variables either referred to in the document (but not appearing in the interview) or vice versa. These lists are generated based on answers in the current answer file.

.topic 11413
Lets you choose an existing Computation variable for the Script link. When the user clicks the link in the dialog, this computation will be executed.

.topic 11411
Allows you to specify the alignment of  the Caption text. Your options include Left, Centered, or Right.

.topic 11034
Closes the dialog box and adds the folder or clause to the clause library.

.topic 11002
Specifies a title that appears in the assembly window title bar. If no product title is specified, "HotDocs" is displayed.

.topic 10765
Specifies the single clause to be inserted into the template.

.topic 10165
Stores the required password users will need to type before they can edit the Microsoft Word documents produced from the published template or template set.

.topic 10111
Causes HotDocs to include any templates that may be included in your template using an INSERT or ASSEMBLE instruction.

.topic 10316
Displays a list of component files saved in the same folder as the current component file.

.topic 10141
Specifies the file name you want for the library that will be created when the user installs the auto-install (HDI) file. (The first three letters, PUB, will also be used.) This file name is also used as a reference path keyword for the template files that will be installed by the auto-install file.

.topic 10736
Displays helpful information about the dialog box.

.topic 10271
Shows the file list. This includes all templates, clause libraries, and interview templates you are exploring, along with the associated component files.

.topic 10227
Applies any properties that have the push button selected.

.topic 10260
Opens another instance of Template Manager. This is particularly useful if you are exploring a large number of templates and component files and want to isolate one or more files.

.topic 10302
Displays the Component File Properties dialog box, where you can change settings for the current component file.

.topic 10501
Formats the user's answer based on the example format you select. This format will be applied wherever the variable is used in the template, unless you specify a field-specific format at the Variable Field dialog box.

.topic 10515
Specifies the character that should be used to pad an answer. The character will be repeated until the answer fills the required width of the field.

.topic 10516
Specifies the text that is merged into the assembled document when the variable is left unanswered.

.topic 10521
Opens the clause text so you can edit it.

.topic 10590
Specifies the type of resource you will use for this variable. Options other than Plain Text require you to indicate the resource file as well as any information pertaining to that particular resource format. (HotDocs Developer LE users can only assign plain-text resources.)

.topic 10704
Allows you to create a Multiple Choice variable.

.topic 10753
Lists the operators you can drag into the Expression box. Operators help you compare relationships between items in your script. They also allow you to perform mathematical calculations on items in your script.

.topic 10530
Displays the area in which you can create the script. You can use your mouse to drag variables, operators, and models from the lists below to this box, or you can press Ctrl+Space to have HotDocs display these lists directly in the script so you can use the keyboard to choose the syntax item you need.

.topic 10550
Displays the Variable Mapping dialog box, where you can link an existing answer source to a dialog where the variable names are not the same.

.topic 10793
Closes the dialog box without saving your changes.

.topic 10622
Suggests this particular option as an answer for the user. The user can still change the answer during assembly.

.topic 10850
Shows the name of the component you are copying.

.topic 10859
Does not replace any components in the current component file with ones you are copying.

.topic 10672
Causes HotDocs to query the database table, return the requested records, and then close the connection. (The alternative is to clear this option, which will cause HotDocs to maintain its active connection to the database, which can impede performance of the component.)

.topic 10517
Specifies the method HotDocs will use to determine the width of the answer field. If you select Exactly, the number of units you enter will be how wide the answer field is. If you select Full, HotDocs will make the answer field fit the width of the dialog pane. If you select Calculated, HotDocs will determine the width based on possible and real answer lengths and the width of the dialog pane.

.topic 11116
Shows the template or script you are currently debugging. The HotDocs Debugger highlights the field or line it is currently processing.

.topic 10286
Tells HotDocs to set the component file property that will assign the maximum processing stack depth specified in the following box.

.topic 10287
Specifies how many items HotDocs will allow on the processing stack before it stops processing the script.

.topic 10296
Tells HotDocs to set the component file property that will turn the Instant Update button on when an browser-based interview is first displayed.

.topic 11244
Shows the name of the Word template that contains the macro(s) that should be played in the assembled document. This is especially useful when working with RTF templates, since macros can't be stored in the RTF file.

.topic 11253
If Change Tracking is turned on in the template, will turn it off once the document is sent to the word processor.

.topic 11258
When the assembled document is sent to Microsoft Word, removes any text entered in the Company box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11259
When the assembled document is sent to Microsoft Word, removes any text entered in the Category box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11436
Opens a folder so you can specify the graphic file you want to use.

.topic 10811
Searches through just the components you have selected (highlighted) in the component list for the specified text string.

.topic 11616
Shows the number of times the interview script has been processed during the current assembly session. Each time the script is processed and the appearance of the interview is updated, the number is incremented. This updating occurs whenever an answer is changed that has the potential of changing the contents of the interview.

.topic 11418
Shows the text that will be used for the Application link. For example, it may contain instructions for clicking the link or it may describe what will happen if the user clicks the link.

.topic 11409
Shows the text you want to include with the horizontal line. This text usually describes the questions in the following section of the dialog. Including it is optional.

.topic 11221
Displays the Span Component Editor, where you can specify the different properties of the Span component.

.topic 11177
Generates the templates and adds them to an existing library. (Specify the library in the Library file name box.)

.topic 10774
Uses the header specified in the inserted template, rather than the header in the parent template.

.topic 11201
Shows the existing name of the file.

.topic 10330
Minimizes all open component editors to the Windows taskbar.

.topic 11001
Specifies a default template description. The description appears in the library when you select the template and view the Properties tab. (Descriptions are optional.)

.topic 10981
Stops the spell-checking process and closes this dialog box.

.topic 10328
Creates a new component by copying an existing one.

.topic 10190
Specifies what type of file you want to create, including text and form templates, interview templates, and clause libraries.  When you select one of these options, HotDocs automatically attaches the correct file extension to the file name.

.topic 10131
Displays a calendar that allows you to select a date the published file will expire.

.topic 10107
Browses through a list of folders so you can select the location where you want HotDocs to place the published files. The published file must be saved locally before it can be uploaded or moved to a different location.

.topic 10503
Allows you to search for a specific variable in the list, based on the text you enter in the Find text box.

.topic 10700
Allows you to create a Text variable.

.topic 10308
Displays the Rename Component dialog box. Renaming a component here changes all references to it in the component file; however, you must manually rename references to the component that appear in the template.

.topic 10212
Causes HotDocs to select the option that will generate default dialog titles in all selected component files.

.topic 10240
Lists component files that each contain the component(s) selected for copying.

.topic 10514
Controls the placement of the answer and the fill character for variables that have a field width setting. Left-aligned variables insert fill characters after the answer text, while right-aligned variables insert fill characters before the answer text.

.topic 10701
Allows you to create a Number variable.

.topic 10542
Forces HotDocs to stop at this dialog, even if HotDocs considers everything in the dialog to be answered.

.topic 10545
Specifies whether the variable prompt should appear above the answer field or to the left.

.topic 10171
Specifies the file name you want for the auto-assemble (.HDA) file or auto-install (.HDI) file.

.topic 10808
Closes the Find dialog box and starts searching for the text.

.topic 10828
Closes the Find and Replace dialog box and starts searching for the text to replace.

.topic 10843
Prints any plain-text resources assigned to variables or dialogs.

.topic 10931
Specifies the example format.

.topic 10961
Closes the dialog box without saving any changes.

.topic 10646
Displays the Open Microsoft Data Link dialog box so you can locate the data link file that contains your connection information. HotDocs needs to know where this file is located so it can properly connect the template to the database file.

.topic 10660
Lists the name of the database table to which you are linking variables.

.topic 10681
Organizes the list of records in a column in either ascending (A to Z, 1 to 9) or descending (Z to A, 9 to 1) order, based on the field you selected in the Sort by column.

.topic 11086
Displays the Find dialog box where you can specify the word or text string for which you are searching.

.topic 11094
Displays the HotDocs Options dialog box where you can customize the way script editing features work.

.topic 11025
When the template is used with HotDocs Server, lets the user turn Instant Update on and off as they need. (Instant Update controls how frequently the interview updates as users answer questions in it. Depending on the complexity of the template, this updating can cause a delay for the user. When Instant Update is turned off, the interview is updated only as much as it needs to be.)

.topic 10234
Tells HotDocs to set the component file property that will keep the interview outline from appearing in the assembly window.

.topic 10506
Forces users' answers to stay on a single line in the assembled document. Non-breaking spaces and hyphens can be applied to existing formats or to default formats. Either select the format from the drop-down list or leave the Format drop-down list empty (which assigns the default format) and then select this check box.

.topic 11249
If your RTF template contains graphic images, removes the Windows metafile version of the graphic that Word inserted. Removing this metafile can significantly reduce the size of the RTF template.

.topic 11402
Allows you to insert a horizontal line on the dialog to separate questions in the dialog. If needed, you can also include text with the separator to better explain what's required in the following section.

.topic 11248
No help text is available.

.topic 11441
Lets you choose a height value for the button.

.topic 10648
Lets you map fields in your database table to variables in your template so that answers a user changes can be saved back to the database. Once you select this option, click the Field Map tab and specify the write-back options.

.topic 10998
Checks the spelling of all components in the component file.

.topic 11417
Opens a dialog box so you can locate the executable file you want to be launched from the dialog.

.topic 11222
Closes the SPAN Field dialog box and inserts the SPAN field in the template.

.topic 10280
Tells HotDocs to mark in the document where answers are merged. This allows users to highlight their answers as well as navigate between answer fields.

.topic 10775
Uses the footer specified in the inserted template, rather than the footer in the parent template.

.topic 11030
Specifies the type of item to be added to the clause library.

.topic 10973
Shows possible replacements for the unrecognized word.

.topic 10761
Allows you to select a clause library for insertion into the template.

.topic 10197
Creates a new template based on the contents of an existing template or document.

.topic 10194
Specifies a description of the template or clause library. Descriptions appear when you select the library item and view its properties. They are optional.

.topic 10106
Shows the folder where HotDocs will place the published files. Click the Browse button to specify a different location.

.topic 10546
Right-aligns prompts against the left edges of answer fields.

.topic 10228
Closes the dialog box without applying any changes.

.topic 10250
Specifies the new name for an existing component.

.topic 10265
Displays the Destination Component Files dialog box, where you specify the target files into which the selected components should be copied.

.topic 10269
Regenerates the template and component database and updates the Template Manager window.

.topic 10595
Shows specific information about the resource file.

.topic 10714
Controls the placement of the answer and the fill character for variables that have a field width setting. Left-aligned variables insert fill characters after the answer text, while right-aligned variables insert fill characters before the answer text.

.topic 10716
Specifies the text that will be merged into the assembled document if the variable is left unanswered.

.topic 10540
Groups True/False variables so that users can select a single-option button or check box. Otherwise, True/False variables appear as yes/no questions in the dialog.

.topic 10844
Prints component-specific data about the variable or dialog.

.topic 10906
Creates a new Date variable.

.topic 10925
Creates a new Computation variable.

.topic 10955
Creates or edits a Computation variable. To create a Computation variable, type a variable name in the Component box and click New. To edit an existing Computation variable, select it from the Component drop-down list and click Edit.

.topic 10598
Allows you to assign a resource to both individual options of a Multiple Choice variable as well as the entire Multiple Choice variable.

.topic 10647
Allows you select the custom data source you created to link your template to a specific database file.

.topic 11085
Pastes the selected text on the Clipboard at the cursor position in the script.

.topic 11087
Finds the next instance of the word or text string for which you are searching.

.topic 11123
Filters the list of variables based on the text you have typed in the Find box.

.topic 10238
Tells HotDocs to set the component file property that will cause variables names to be used when a Question or Answer Summary is generated.

.topic 11014
Saves the component file in the format you specify so that it can be used with that version of HotDocs. To keep the component file current with version of HotDocs you have installed, choose Current Version.

.topic 11252
When the assembled document is sent to Microsoft Word, accepts all changes made to the document using the Track Changes feature of MS Word. All changes will be merged in the assembled document.

.topic 11254
When the assembled document is sent to Microsoft Word, removes any text entered in the Title box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 10912
Creates a new dialog element.

.topic 11270
Opens a window so you can locate the Word template that contains the PLAY macro instruction.

.topic 11430
When displaying the link as a hyperlink, allows you to include an image with the hyperlink. Specify the image file name in the box below.

.topic 11443
Places the image along the left margin of the dialog.

.topic 11272
When the template is used with HotDocs Server, lets the user choose to show all of the dialogs on a single Web page (rather than individually).

.topic 11611
Shows variables with the Save in answer file property selected whose values are set to a value. Leaving this option selected will cause HotDocs to prompt users to save the answer file, even if they dont enter any other answers in the interview.

.topic 11601
Shows the variables that appear in the interview, but that aren't referred to in the document. This is useful in determining if you're asking irrelevant questions during the interview. To see which dialog uses the variable, double-click on the variable name and then click the Used In tab at the Variable Editor.

.topic 10222
Deprecated

.topic 11173
Causes HotDocs to open the template library you are about to create once all the templates are generated.

.topic 11163
Clears all selected documents.

.topic 11154
Checks an existing component file for components that match components in the markup database. If it finds such a component in the existing component file, it copies that component into the new component file, rather than creates the component using information from the markup database. This is useful if you have existing components that have been customized and you want the new templates to use the  customized version, rather than the new version.

.topic 10331
Saves changes to and closes all open component editors.

.topic 10686
Clears all filtering conditions assigned to the database component. If you have a complex filter (one with many conditions) and you want to remove a single condition, click that specific condition's Field drop-down button and select the blank line at the top of the drop-down list.

.topic 10671
Causes HotDocs to automatically merge the records that meet the filtering condition into the document. This means the user will not be allowed to select which records should be merged.

.topic 10992
Checks the spelling in any plain-text resources that have been assigned to the selected components.

.topic 10991
Checks the spelling of any literal text (or text between quotation marks) that is used in a computation script.

.topic 10196
Copies the current, open word processor file into the new template. You must have a word processor file open before you select this option.

.topic 10183
Closes the Publishing Wizard without publishing any files.

.topic 10109
Uploads published files to a Web server after the publishing process is complete.

.topic 10574
Removes the selected row of options from the variable.

.topic 10309
Displays the Find in Components dialog box, where you can search for components that contain a specific text string.

.topic 10305
Displays the Component Editor, where you can make changes to the selected component.

.topic 10732
Specifies the dialog that will be asked using this ASK instruction. If you have the HotDocs Database Connection installed, it specifies the database component that will be asked.

.topic 10268
Controls which components are shown in the component list. For example, you can select a file, click Focus, and see just a list of the components for that file. As long as the Focus button is selected, Template Manager will maintain focus of the file or files selected in the file list. (You can click other files and view their components.)

.topic 10303
Displays the Point Component File dialog box so you can point the current component file to a shared component file. This allows you to share one set of components between multiple templates.

.topic 10591
Displays resources in a pop-up window, instead of in the resource pane.

.topic 10744
Allows you to create a conditional test based on an expression rather than a simple True/False variable. Expressions must result in a true/false value. If an expression is true, HotDocs merges the conditional text into the assembled document.

.topic 10755
Closes the dialog box and inserts the IF instruction into the template.

.topic 10544
Prevents buttons for inserted dialogs from appearing in the dialog. Instead, the icon for the inserted dialog will appear in the interview outline.

.topic 10563
Lists variables and other components available in this template.

.topic 10172
Specifies information about the auto-assemble (.HDA) or auto-install (.HDI) file, such as what the files should be used for, or when they were created. The description appears on the Properties tab of the library window.

.topic 10763
Specifies the name of the clause you are creating.

.topic 10772
Closes the dialog box without saving any changes.

.topic 10800
Shows the text for which you are searching. You can enter up to 10 text strings.

.topic 10805
Searches for variables that are referenced in the components' prompts, merge texts, and scripts.

.topic 10806
Searches for the text in merge text options and text variable patterns. It also searches variable example formats.

.topic 10820
The Find what column contains the text you want to replace in the components. The Replace With column contains the text you want to use in place of the text in the Find what column. You can replace up to ten text strings at the same time. Enter each text string on a separate row, then enter text in one row of the Replace With column for each row of the Find what column that contains text.

.topic 10845
Closes this dialog box and prints the selected components.

.topic 10880
Shows the text for which you are searching.

.topic 10887
Skips replacing this instance of the selected text and searches for the next instance.

.topic 10910
Closes the dialog box without saving any changes.

.topic 10958
Creates or edits a database component. To create a database component, type a component name in the Component box and click New. To edit an existing database component, select it from the Component drop-down list and click Edit.

.topic 10518
Specifies how many units wide you want this variable's answer field to be in the interview. This affects the size of the field only if it is used in a standard dialog -- not a spreadsheet. (See the option below to specify a spreadsheet column width.) A single unit is as wide as the character "5."

.topic 11114
Causes the HotDocs Debugger to move you out of the current level of debugging and move you to the next item on the processing stack.

.topic 11121
Allows you to filter the list of current variables by variable type.

.topic 10294
Tells HotDocs to set the component file property that will allow the user to turn the resource pane on and off during a browser-based interview.

.topic 10297
Specifies whether the Instant Update button will be on initially in a web-based interview.

.topic 11243
Causes HotDocs to update all cross-references in the assembled document -- including updating references in the table of contents and index. This update happens when the document is sent to Word, printed, or saved to disk.

.topic 11255
When the assembled document is sent to Microsoft Word, removes any text entered in the Subject box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 11262
When the assembled document is sent to Microsoft Word, removes any text entered in the Hyperlink base box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 10831
Searches through just the components you have selected (highlighted) in the component list for the specified text string. When it finds the text string, replaces it with the suggested text.

.topic 10556
Determines how HotDocs will treat the dialog if none of the variables in the dialog are needed in the interview. When this option is selected, HotDocs will skip the dialog entirely. (For this setting to work properly, you must select the 'Automatically disable irrelevant variables and dialogs' option at Component File Properties.)

.topic 11423
Opens a dialog box so you can browse for the graphic file. Supported file types include .bmps, .pngs, .jpgs, and .gifs. The image will be displayed on the dialog during the interview.

.topic 11400
Causes HotDocs to automatically name the Dialog Element using information about the element you are creating. If you prefer to name the component yourself, clear this option.

.topic 11202
Closes this dialog box and renames the selected file with the information you have just provided.

.topic 11153
Shows the name of the shared component file you want to create if you selected to point all component files to a shared file. Or, if you are creating a master component file, shows that file name instead.

.topic 10333
Allows you to sort the list of components either alphabetically by name or by component type.

.topic 10976
Replaces the current instance of the word with the word in the Change to box. Other instances of the word will not be replaced.

.topic 10974
Ignores the current instance of the word and continues checking the spelling. The spelling checker will question any other instances of the word.

.topic 10156
Displays a dialog box where you can locate and select the graphic you want to use for Start menu icon. (This file must have the file extension, .ICO.)

.topic 10166
Requires users to enter a password before assembling from an auto-assemble file, or installing from an auto-install file. Specify the password in the Password box below.

.topic 10164
Requires users to enter a password before modifying an assembled document that has been sent to Microsoft Word, even if the template is in WordPerfect format before it is assembled. Specify the password in the box below.

.topic 10160
Prevents users from opening the template or template set in HotDocs and editing the files.

.topic 10322
Copies selected components from one component file to another.

.topic 10270
Displays the HotDocs Options dialog box, where you can specify how HotDocs displays components in the component list.

.topic 10754
Shows a list of models you can use to create a custom expression. Expressions must result in a true/false value.

.topic 10757
Displays helpful information about the dialog box.

.topic 10560
Specifies a title that identifies the dialog during the interview. If no title is given, the dialog name will be used.

.topic 10783
Displays the Dialog Editor, where you can make changes to the dialog you want repeated. (Repeated dialogs must be assigned a repeating style.) If you have the HotDocs Database Connection installed, you can also click this button to edit the database component.

.topic 10792
Closes the REPEAT Field dialog box, and inserts the REPEAT instruction into the template.

.topic 10824
Searches for and replaces the text string in variable prompts, dialog titles, and dialog element text.

.topic 10881
Allows you to modify the field-specific properties of the variable you are inserting. For example, you could assign a format for each instance of the variable.

.topic 10930
Specifies a component name for the supplemental component.

.topic 10942
Closes the dialog box and points the component file to the file you have selected.

.topic 10519
Specifies the method HotDocs will use to determine the width of columns in a spreadsheet. If you select Calculated, HotDocs will determine the width based on possible and real answer lengths and the width of the dialog pane. If you select At Least, the number of units you enter will be the minimum width of the column.

.topic 11058
Specifies the new text you want to be used in the script. HotDocs will search for the old text (specified in the Find What box) and replace it with the text you enter here.

.topic 11060
Searches for instances of the text that match identically -- including case -- the word you entered in the Find What box.

.topic 11072
Specifies the position in the script where you want the cursor to move to. This number should either be a character position or a line number.

.topic 11119
Shows the processing stack, or path of execution. This shows the sequential list of templates and components you are processing. This can help you determine how HotDocs came to be processing the current line or field. As you step into components, those components are added to the top of the stack.

.topic 11120
Shows a list of variables you have specifically chosen to watch as you are debugging. To add variables to the watch list, right-click in this pane and choose Add or Remove Variables from the shortcut menu.

.topic 11126
Removes the variable from the watch list.

.topic 11026
When the template is used with HotDocs Server, lets the user show and hide the resource pane as they need.

.topic 11029
When the template is used with HotDocs Server, shows the resource pane with the interview.

.topic 10235
Specifies whether the interview outline dialog will be hidden.

.topic 11260
When the assembled document is sent to Microsoft Word, removes any text entered in the Keywords box of the document's Properties dialog box. Removing this text may improve the security of the document -- especially if sensitive information is entered in this box during template development.

.topic 10612
Lists all components that use the current component.

.topic 11267
Instructs HotDocs to use the component file properties specified in the shared component file. Only those properties listed on this tab will be used. If you want to use the actual component file's properties, clear this option.

.topic 10812
Searches through all of the components in the component file for the text string.

.topic 11609
Takes you to the specific place in the template or component file that is generating the warning.

.topic 11274
Specifies the default action for when a template is set to automatically disable irrelevant variables and dialogs. (To use the default action, at each variable's Advanced tab, select Default from the When irrelevant drop-down list.)

.topic 10567
Keeps the Edit Row, Insert Row, and Delete Row buttons from appearing just below the spreadsheet in the interview. Options for using these commands are still available either by right-clicking on a specific row in the spreadsheet or by choosing the commands from the Edit menu.

.topic 10568
Lets you add a custom title to the Add Another button.

.topic 10776
Lets you insert a graphic image in a Microsoft Word template. Types of graphics you can insert include JPGs, PNGs, and GIFs. You can also insert an RTF document that contains a graphic.

.topic 10777
Lets you use a variable INSERT in the template, which allows you to specify the templates file name during document assembly, rather than during template development. The type of variable you insert must accept text as an answer. As such, you must use a Text variable, a Multiple Choice variable, or a Computation variable that produces a text result.

.topic 10778
Lists the types of components you can use in a variable INSERT instruction. The component must create a text result. (The variable is used to enter the file path and name of the inserted template at the time the document is assembled.)

.topic 10779
Shows the name of the variable you are using in a variable INSERT instruction. You can click the drop-down button to choose an existing variable, or you can click the Edit Component button to create a new component.

.topic 10813
Searches for the text in each component editor's Notes tab.

.topic 10833
Searches for and replaces instances of the text string in each component editor's Notes tab.

.topic 10861
Prints any notes associated with the selected components.

.topic 11630
Allows you to enter notes about the component you are editing. For example, you may want to provide information about how the component is used or explanations about any restrictions or other properties you may have assigned to it. Notes are only visible to those editing the component.


HotDocs Help - .HFD, .HPD

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.HFD, .HPD

File name extension that designates that the file is a HotDocs form document.

Home > HotDocs Glossary of Terms > .HFD, .HPD


.topic 0
Lets you insert a graphic file in a field on the form. Supported file types include JPG, BMP, and PNG. Insertion of the graphic can be controlled by using a variable, such as a True/False variable or Multiple Choice variable.

.topic 22805
Changes the field type to Control. This allows you to create a field on the form that can be used for "behind-the-scenes" tasks — the field will be processed and any answer or text that appears in it will be visible to the user, but the user cannot access the field.

.topic 22866
Allows you to span a Text variable field across multiple pages. If the answer doesn't fit in the field on the first page, it will overflow into any fields that have the same Named Group property.

.topic 23059
Displays helpful information about the dialog box.

.topic 23012
Displays helpful information about the dialog box.

.topic 22442
Displays helpful information about the dialog box.

.topic 22392
Displays helpful information about the dialog box.

.topic 23204
Prints each page of the document on a new sheet of paper.

.topic 23186
Measures page margins, indentation, and header/footer height using centimeters as the unit of measurement.

.topic 0

.topic 22550
Sets the page to which you want to move.

.topic 22390
Continues the insert process using the information you have provided.

.topic 0
Inserts pages before or after the page specified in the 'page' box.

.topic 22657
Specifies the width of the top border of the field.

.topic 22686
Moves to the last field in the template.

.topic 22768
Sets the minimum distance between the right border and the answer.

.topic 22852
Specifies the reference placed in the selected field when an answer overflows to the addendum.

.topic 22931
Closes the dialog box without saving any changes.

.topic 23032
No help text available.

.topic 23199
Closes the Interview Properties dialog box without making any changes.

.topic 22440
Continues the property replication process using the information you have provided.

.topic 23078
Closes the dialog box without saving any changes.

.topic 22128
Prints the even-numbered pages in ascending order (2, 4, 6, etc.).

.topic 23041
Displays helpful information about the dialog box.

.topic 22342
Displays helpful information about the dialog box.

.topic 23208
Specifies which paper tray of the printer should be used for printing the document.

.topic 23029
Ignores the answer overflow in the highlighted field and closes the Overflow Status dialog box.

.topic 23027
Closes the Overflow Status dialog box.

.topic 23026
Sends the answer information to an addendum at the end of the document, and inserts an addendum reference in the field.

.topic 22990
Continues the alignment or resizing process using the selections you've made.

.topic 22978
Shows what effects your current alignment selections will have.

.topic 22977
Changes the height of all selected fields to match the height of the bounding box -- the unseen outline that groups multiple selected fields.

.topic 22971
Changes the width of all selected fields to match the width of the bounding box -- the unseen outline that groups multiple selected fields.

.topic 22681
Closes the Position/Size dialog box, ignoring any changes you have made.

.topic 22683
Moves to the first field in the template.

.topic 22688
Uses typographic points for measuring the field location and size.

.topic 22863
Places the addendum reference in the last field of the run-on group.

.topic 22865
Allows you to span a Text variable field across multiple pages. If the answer doesn't fit in the field on the first page, it will overflow into any fields that have the same Named Group property.

.topic 22123
Specifies that you want to feed pages back through the printer to print the second side. You want HotDocs to coach you on how to insert the pages in the paper tray to get the second side to print correctly.

.topic 22992
Displays helpful information about the dialog box.

.topic 0
Creates a default dialog for each variable not assigned to a custom dialog.

.topic 23124
Specifies the distance between each entry in the addendum.

.topic 22597
Closes the Specify dialog box, changing the level of magnification.

.topic 22591
Closes the Go To Page dialog box without displaying a different page.

.topic 22103
Prints only the answers, arranging them to match the template layout. That way, you can manually feed a pre-printed form through the printer.

.topic 22702
Sets a column number for the selected field. This can ensure that when a user tabs through the fields, the tab order is correct.

.topic 22789
Opens a dialog box where you can locate and select an image file.

.topic 22831
Closes the Properties dialog box, ignoring any changes you have made.

.topic 22837
Moves to the last field in the template.

.topic 22855
Ensures that the selected field's addendum entry will be the last entry on the page.

.topic 22930
Closes the Overflow Properties dialog box and applies any changes you have made.

.topic 23002
Displays a pop-up window (known as an answer wizard) where you can provide the answers required for the current field to be active.

.topic 23051
Prevents the Override Field dialog box from being displayed in the future.

.topic 23000
No help text available.

.topic 23033
No help text available.

.topic 23193
No help text available.

.topic 24004
Specifies the number of columns that appear in the bar code. These settings determine the width and/or height of the bar code.

.topic 23233
Restores all default settings to options in this dialog box.

.topic 23077
Closes the dialog box and saves any changes you have made.

.topic 0
Lists the name of the Computation variable used to control the interview. This computation should contain a series of ASK and other instructions that specify what questions should be asked during the interview.

.topic 23181
Closes the Addendum dialog box, ignoring any changes you have made.

.topic 23180
Closes the Addendum dialog box, applying the changes you have made.

.topic 23102
Opens a dialog box where you can modify the font used in the header.

.topic 23101
Shows the text and codes that will be used to create the header.

.topic 22590
Closes the Go To Page dialog box and displays a different page.

.topic 23025
Reduces the answer's font size to the minimum font size specified in the Field Properties dialog box for this field.

.topic 22630
Closes the dialog box, saving any changes you have made.

.topic 22603
Deletes a row of answers from the spreadsheet.

.topic 22965
Moves selected fields up or down until they are centered, relative to the middle of the page.

.topic 22957
Moves selected fields left or right until they are centered, relative to the middle of the page.

.topic 22400
Specifies the files that will be changed.

.topic 22358
Specifies the page of the open template where the inserted pages will be placed.

.topic 22251
Lists the templates available to be the source for replacing static content.

.topic 22652
Specifies the distance between the top border of the field and the top edge of the page.

.topic 22687
Uses inches for measuring the field location and size.

.topic 22785
Shows what the text in the Example box will look like in the document.

.topic 22839
Uses typographic points for measuring the field margins and indents.

.topic 22858
Sends all information in the row to the addendum when a single cell in that row overflows.

.topic 22861
Places an "X" in every field of the run-on group.

.topic 23057
Closes the Override Field dialog box, overriding the selected field.

.topic 23304
Allows you to create a new Envoy-based (HFT) form template. When you click OK, save and name the template.

.topic 23061
No help text available.

.topic 22126
Causes the printer to print so the tops of the pages are at opposite ends of the paper. (If you were to put the paper in a 3-ring binder where holes are punched at the top, you can flip the page up and read the back side.)

.topic 22093
Displays resource information about the type of information that is required.

.topic 21414
Displays helpful information about the dialog box.

.topic 23122
Opens a dialog box where you can modify the font used for the addendum text.

.topic 23115
Specifies the amount of space used for the footer.

.topic 22106
Prints the template using both sides of the paper, so you can turn through the pages like a traditional book.

.topic 22102
Prints a copy of the form document without printing any answers.

.topic 22967
Leaves the width of the fields unchanged.

.topic 22961
Moves selected fields up or down until they are centered, relative to each other.

.topic 22500
Specifies the text for which to search.

.topic 22406
Specifies which check-box properties will be applied.

.topic 22351
Opens a dialog box where you can locate and select templates that contain pages you want to add to the current template.

.topic 22291
Closes the dialog box without saving any changes.

.topic 22767
Sets the minimum distance between the top border of the field and the answer.

.topic 22783
Displays the Field Example dialog box where you can type characters used for strike-through, or specify text or variables used to create barcodes.

.topic 22786
Prevents the selected field from appearing when the document is printed.

.topic 22788
Opens a dialog box where you can locate and select the graphic image for the selected field.

.topic 22850
Attempts to first resolve overflow in the selected field by reducing the font size.

.topic 22109
No help text available.

.topic 23020
No help text available.

.topic 23065
No help text available.

.topic 23190
Shows the name of the custom interview component you want to use for this template. The interview component is a computation script that asks the variables and dialogs required to complete the form.

.topic 24005
Determines the redundancy of information in the bar code to compensate for any damage that may be done to the bar code (for example, if the bar code is torn or if other marks have been made on the bar code). The higher the number, the less data
can be stored in the bar code. (However, the greater the chances are that the bar code will be readable.)

.topic 22803
Changes the field type to Check box. This allows users to select or clear check boxes on a form. Usually, you attach True/False or Multiple Choice variables to check box fields.

.topic 23073
Specifies the printing option you select as the default selection. HotDocs will not prompt you for this information again.

.topic 22146
Closes the dialog box without saving any changes.

.topic 22129
Prints the even-numbered pages in descending order (6, 4, 2, etc.).

.topic 22932
Displays helpful information about the dialog box.

.topic 22105
Prints all pages on separate sheets of paper.

.topic 23022
Selects the field so you can click a field border or handle and resize the field. Resizing the field to make it larger may resolve the overflow.

.topic 22600
Shows the text you enter and uses it as an example.

.topic 22968
Changes the width of all selected fields to match the narrowest selected field.

.topic 22963
Moves selected fields up or down until they align with the selected field that is closest to the top-left corner.

.topic 22501
Limits the search to exact matches of the text.

.topic 0
Continues the property replication process using the information you have provided.

.topic 22405
Clears all properties in the Regular Fields box.

.topic 0
Inserts pages after the page specified in the Page box.

.topic 22350
Lists the templates available for selecting pages to insert.

.topic 22658
Specifies the width of the right border of the field.

.topic 22777
Displays the Answer Wizard Field dialog box so you can specify the type of answer wizard you want to attach to the field. You can use a computation or dialog as a wizard, or you can have HotDocs suggest a default wizard. Finally, you can clear any existing wizards.

.topic 22838
Measures page margins, indentation, and header/footer height using inches as the unit of measurement.

.topic 22859
Specifies the amount of space between answers and their addendum labels.

.topic 23194
Copies the interview properties for the template to the component file. Whatever properties you have specified above (whether you have specified a custom or default interview) will be moved to Component File Properties where you will manage them from now on. They will be removed from the template.

.topic 22804
Changes the field type to Resource. This allows you to add a hyperlink to a form. When the user clicks on the hyperlink, he or she will see helpful information you provide. Usually form resources are used to describe properties or questions on the form in general.

.topic 22441
Closes this dialog box without saving any changes.

.topic 22356
Indicates whether the page will be inserted before or after the specified page in the current form.

.topic 23083
Forces the answer to appear in the answer field, even if part of the answer gets cut off.

.topic 22935
Moves to the previous field in the template.

.topic 22934
Moves to the first field in the template.

.topic 22140
Allows you to print on the back of a page that has already been printed so that the top on both sides is at the same end (like in side-to-side duplex printing). To do this, insert the page into the paper tray with the top to your right.

.topic 22125
Causes the printer to print so that the tops of both pages are at the same end of the paper. (If you put the paper in a 3-ring binder, you can flip the page and read both sides.)

.topic 22092
Displays a table wizard button so you can enter lists of answers in a pop-up interview, rather than directly in the form fields. This allows you to enter more answers than there is room for on the face of the form. Any overflow answers may be sent to the addendum.

.topic 22742
Displays helpful information about the dialog box.

.topic 23230
Closes the Body dialog box, applying the changes you have made.

.topic 23207
Specifies the size of paper to be used when printing the document.

.topic 23030
Continues checking for answer overflow in other fields.

.topic 22540
Continues the Find process using the information you have provided.

.topic 22252
Opens a dialog box where you can locate and select a template to be the source for the new static content.

.topic 22250
Shows the file path and name of the template that will be updated.

.topic 22659
Specifies the width of the bottom border of the field.

.topic 22772
Specifies the distance between lines of text in the selected field. For example, typing "1.0" would place each line of text one inch apart.

.topic 22853
Specifies the label used for the selected field's addendum entry.

.topic 23010
Closes the Inactive Field dialog box, saving any selections you have made.

.topic 22966
Shows all of the width alignment options.

.topic 22810
Lets you cross out static text on the form, based on answers users enter during the interview.

.topic 22809
Converts the text in the answer field to PDF417 bar code format. See the HotDocs Helps for more information on working with form bar codes.

.topic 22110
Causes HotDocs to determine which paper size to use based on the size of the PDF form.

.topic 23071
Prints the assembled document using HotDocs printing functionality. This option may be slower and content will print at actual size (not scaled).

.topic 22122
Allows you to take pages that have been printed on one side and feed them back through the printer to print the second side. Also allows you to specify that you don't want HotDocs to coach you on how to insert the pages in the paper tray to get the second side to print correctly.

.topic 23182
Displays helpful information about the dialog box.

.topic 22599
Displays helpful information about the dialog box.

.topic 22147
Displays helpful information about the dialog box.

.topic 23126
Displays the Variable Field dialog box where you can create or select a variable to appear in the header.

.topic 23123
Specifies the distance between the addendum labels and the actual entries.

.topic 22101
Prints the static text and the variable names or answers.

.topic 22604
Removes any text in the text box.

.topic 22601
Displays the table as a spreadsheet where you can type in answers. Column headings may be truncated.

.topic 22409
Clears all properties in the Form box.

.topic 22340
Continues the process of removing pages, using the information you have provided.

.topic 22689
Uses centimeters for measuring the field location and size.

.topic 22744
Moves to the previous field in the template.

.topic 22756
Centers the text between the top and bottom borders.

.topic 23192
Instructs HotDocs to generate the interview for the template based on the order variables and dialogs are asked in the template.

.topic 24003
Controls the number of rows that appear in the bar code. These settings determine the width and/or height of the bar code.

.topic 22950
Shows all of the horizontal alignment options.

.topic 22936
Moves to the next field in the template.

.topic 23072
Prints the assembled document using PDF Adobe Acrobat print functionality. This option will print the assembled document much quicker, but if you are printing to a non-PostScript printer, the results may be slightly off-center.

.topic 22138
Allows you to print on the back of a page that has already been printed on so that the top on both sides is at the same end (like in side-to-side duplex printing). To do this, you must insert the page into the paper tray with the top toward you.

.topic 22134
Allows you to print on the back of a page that has already been printed on. To do this, insert the page into the paper tray with the printed side up.

.topic 22632
Displays helpful information about the dialog box.

.topic 0
Aligns the footer text with the left margin.

.topic 0
Aligns the header text with the left margin.

.topic 23023
Overrides the field, and places the cursor in the highlighted field so you can edit the answer. When override is used, you can enter any type of answer.

.topic 22969
Changes the width of all selected fields to match the widest selected field.

.topic 22341
Closes the dialog box without saving any changes.

.topic 22651
Specifies the distance between the left border of the field and the left edge of the page.

.topic 22760
Sets the bottom of the field to match the right edge of the page.

.topic 22764
Specifies the smallest size the text in the selected field can be reduced to when trying to resolve answer overflow.

.topic 23300
Allows you to choose whether you want the new form to be Envoy-based (HFT) or PDF-based (HPT).  When you click OK, save and name the template.

.topic 23330
Closes this dialog box and creates the new template file.

.topic 22104
No help text available.

.topic 23031
Closes the Overflow Status dialog box without attempting to resolve the overflow.

.topic 22800
No help available.

.topic 22972
Shows all of the height alignment options.

.topic 22958
Shows all of the vertical alignment options.

.topic 23079
Displays helpful information about the dialog box.

.topic 22131
Prints so that pages come out of the printer with the printed side up.

.topic 22975
Changes the height of all selected fields to match the tallest selected field.

.topic 22951
Leaves the alignment of the fields unchanged.

.topic 22353
Sets the beginning page for inserting multiple pages.

.topic 22302
Shows the last page in the range of pages you want to delete. To delete a single page, set this number to match the number in the From box.

.topic 22745
Moves to the next field in the template.

.topic 22751
Places the start of each line adjacent with the left border of the field.

.topic 22753
Places the end of each line adjacent with the right border of the field.

.topic 22766
Sets the minimum distance between the left border and the answer.

.topic 22778
Shows the name of the variable required for answering the selected field.

.topic 22781
Displays the Variable Field dialog box where you can either create a new variable or edit an existing variable.

.topic 22782
Shows the title of the variable assigned to the selected field.

.topic 22840
Uses centimeters for measuring the field margins and indents.

.topic 22854
Ensures that the selected field's addendum entry will be the first entry on the page.

.topic 22864
Sends information only in the affected cell to the addendum.

.topic 23003
Overrides the field type, allowing you to enter any type of answer. The Override Field warning will appear (unless you have already suppressed it).

.topic 22111
Causes HotDocs to reduce the page size of the PDF form until it can fit within the printable area of the page.

.topic 22551
Shows the page range.

.topic 22145
Closes the Duplex Print Options dialog box and saves your changes. If the dialog box appeared while you were printing, continues with the printing process.

.topic 22121
Allows the printer to automatically print forms double-sided. When selected, you should not have to feed pages printed on one side back through the printer to print the second side.

.topic 0
Allows you to create a Computation variable to control how the interview is presented to users.

.topic 23119
Specifies the minimum distance between each addendum entry and the right edge of the page.

.topic 22595
Allows you to specify your own level of magnification.

.topic 23021
Places the cursor in the highlighted field so you can shorten the answer.

.topic 22964
Moves selected fields up or down until the center points of all fields are an equal distance from the selected fields above and below.

.topic 22956
Moves selected fields left or right until the center points of all fields are an equal distance from the selected fields on either side.

.topic 22955
Moves selected fields left or right until they align with the selected field that is closest to the top-left corner.

.topic 22490
Closes the dialog box listing the templates that were changed.

.topic 22680
Closes the Position/Size dialog box and applies the changes you have made.

.topic 22701
Specifies the row number for the selected field. This can ensure that when a user tabs through the fields, the tab order is correct.

.topic 22759
Sets the bottom of the field to match the bottom of the page.

.topic 22769
Sets the minimum distance between the bottom border and the answer.

.topic 22939
Measures page margins, indentation, and header/footer height using typographic points as the unit of measurement.

.topic 23303
Allows you to create a new PDF-based (HPT) form template.  When you click OK, save and name the template.

.topic 22120
No help text available.

.topic 23070
No help text available.

.topic 23195
Removes the specified interview properties from the form template file. In versions of HotDocs Automator prior to HotDocs 2006, these properties were always stored in the template file. Once you have specified these properties at Component File Properties, you should discard them from the template file.

.topic 24002
Determines the range of angles with which the bar code can be scanned. For example, when placed under the scanner, must the paper be flat and facing a single direction, or will the scanner be able to read the data regardless of how it's placed? The higher the number, the less restrictive the placement of the paper under the scanner will be.

.topic 23089
Displays helpful information about the dialog box.

.topic 22937
Moves to the last field in the template.

.topic 22139
Allows you to print on the back of a page that has already been printed so that the top on both sides is at the same end (like in side-to-side duplex printing). To do this, insert the page into the paper tray with the top to your left.

.topic 22682
Displays helpful information about the dialog box.

.topic 22292
Displays helpful information about the dialog box.

.topic 23400
Closes the About dialog box.

.topic 23185
Uses typographic points for measuring the page margins, indentation, and height of header/footer.

.topic 23110
Opens a dialog box where you can modify the font used in the footer.

.topic 23109
Shows the text and codes that will be used to create the footer.

.topic 22991
Closes the dialog box without changing the alignment or size of any fields.

.topic 22962
Moves selected fields down until they align with the bottom edge of the bottom-most field.

.topic 22408
Specifies which form properties will be applied.

.topic 22407
Clears all properties in the Check Boxes box.

.topic 22401
Opens a dialog box where you can locate and select other files to be changed.

.topic 22301
Shows the first page in the range of pages you want to delete.

.topic 22656
Specifies the width of the left border of the field.

.topic 22758
Adds equal spacing between each line in multiple lines of text, so the first line touches the top border and the last line touches the bottom border.

.topic 22761
Sets the bottom of the field to match the top of the page.

.topic 23011
Closes the Inactive Field dialog box, ignoring any selections you have made.

.topic 22124
No help text available.

.topic 23034
No help text available.

.topic 23191
Opens the Computation Editor where you create the custom interview script for the template.

.topic 22808
Lets you insert a graphic file in a field on the form. Supported file types include JPG, BMP, and PNG. Insertion of the graphic can be controlled by using a variable, such as a True/False variable or Multiple Choice variable.

.topic 22811
Allows you to circle static text on the form, based on answers to questions in the interview.

.topic 22830
Closes the Properties dialog box and applies any properties you have specified to the selected fields.

.topic 22592
Displays helpful information about the dialog box.

.topic 23205
Prints the document using both sides of the paper, so you can turn through the pages like a traditional book.

.topic 0
Aligns the header text with the right margin.

.topic 22602
Inserts a new row between existing rows on the spreadsheet.

.topic 22954
Moves selected fields right until they align with the right edge of the right-most field.

.topic 22450
Lists the templates that were changed.

.topic 22391
Closes the dialog box without saving any changes.

.topic 22354
Sets the ending page for inserting multiple pages. To insert a single page, set this number to match the number in the From box.

.topic 22653
Specifies the distance between the left border of the field and the right border of the field.

.topic 22684
Moves to the previous field in the template.

.topic 22740
Closes the Order dialog box, applying the changes you have made.

.topic 22743
Moves to the first field in the template.

.topic 22746
Moves to the last field in the template.

.topic 22784
Shows part of the text used to create a strike-through or a barcode.

.topic 22862
Places the overflow reference to the addendum in the first field of the run-on group.

.topic 22867
In a multi-line field, sends only the text that doesn't fit in the field to the addendum.

.topic 22127
No help text available.

.topic 22807
Lets you enter any answer in the field. This can include text, dates, numbers, and so forth.

.topic 22802
Changes the field type to Edit. This allows users to enter any type of text in the answer field.

.topic 22132
Causes printed pages to print with the printed side down.

.topic 22832
Displays helpful information about the dialog box.

.topic 23183
Restores the default settings to all addendum properties.

.topic 23118
Specifies the minimum distance between the header and the top of the page.

.topic 0
Adds space to the footer text to make it extend from the left margin to the right margin.

.topic 0
Places the footer text an equal distance from the left and right edges of the page.

.topic 0
Adds space to the header text to make it reach from the left margin to the right margin.

.topic 0
Aligns the header text with the right and left margins of the page.

.topic 23028
Begins checking for overflow again.

.topic 23024
Removes the override property from the field, and places the cursor in the highlighted field so you can edit the answer. After the override is removed, the answer you enter must be appropriate to the variable type. For example, in a Number variable, you can only type digits, not characters. (HotDocs will warn you when you attempt to enter an incorrect answer.)

.topic 22976
Changes the height of all selected fields to match the selected field that is closest to the top-left corner.

.topic 22952
Moves selected fields left until they align with the left edge of the left-most field.

.topic 22541
Closes the Find Text String dialog box without searching for any text.

.topic 22404
Specifies which field properties will be applied.

.topic 22741
Closes the dialog box without saving any changes.

.topic 22762
Sets the bottom of the field to match the left edge of the page.

.topic 22763
Displays the Font dialog box where you can modify the font properties for the selected field.

.topic 22771
Specifies the distance to indent the first line of text in the selected field.

.topic 22780
Shows the title of the variable used to limit when users can provide answers for the selected field.

.topic 23331
Closes this dialog box without creating a new template file.

.topic 22100
No help text available.

.topic 22130
No help text available.

.topic 23050
No help text available.

.topic 22135
Allows you to print on the back of a page that has already been printed on. To do this, insert the page into the paper tray with the printed side down.

.topic 22542
Displays helpful information about the dialog box.

.topic 23127
Displays the Variable Field dialog box where you can create or select a variable to appear in the footer.

.topic 23125
Inserts vertical lines on both sides of the addendum, and inserts line numbering on the left edge of the page.

.topic 23120
Specifies the minimum distance between the footer and the bottom of the page.

.topic 22598
Closes the Specify dialog box without changing the magnification.

.topic 22631
Closes the dialog box without saving any changes.

.topic 22973
Leaves the field heights unchanged.

.topic 22959
Leaves the alignment of the fields unchanged.

.topic 22403
Opens a dialog box where you can locate and select the template that will be the pattern for changing other files.

.topic 22654
Specifies the distance between the top border of the field and the bottom border of the field.

.topic 22685
Moves to the next field in the template.

.topic 22752
Centers the text between the left and right borders.

.topic 22754
Adds spacing between words in multiple lines of text, so each line touches the left and right field borders.

.topic 22755
Places the first line of text next to the top border of the field.

.topic 22757
Places the last line next to the bottom border of the field.

.topic 22779
Displays the IF Field dialog box where you can create a condition to limit when users can provide answers for the selected field.

.topic 22787
Makes the selected field a strike-through field you can use to cross out static text on the document.

.topic 22790
Places a barcode in the selected field.

.topic 22834
Moves to the first field in the template.

.topic 22835
Moves to the previous field in the template.

.topic 22938
Measures page margins, indentation, and header/footer height using inches as the unit of measurement.

.topic 22133
No help text available.

.topic 23060
No help text available.

.topic 23087
Closes the dialog box and completes the selected task.

.topic 22090
Displays a calendar so you can select a date.

.topic 23232
Displays helpful information about the dialog box.

.topic 22242
Displays helpful information about the dialog box.

.topic 22974
Changes the height of all selected fields to match the shortest selected field.

.topic 22953
Moves selected fields left or right until they are centered, relative to each other.

.topic 0
Closes this dialog box without saving any changes.

.topic 22290
Continues the replace process using the information you have provided.

.topic 22773
Specifies the number of lines of text allowed in a multi-line field.

.topic 22774
Specifies the number of characters allowed in an edit field.

.topic 22775
Specifies the field type of the selected field.

.topic 22851
Resolves overflow in the selected field by automatically sending the answer to the addendum.

.topic 22857
Sends all information in the table to the addendum when a single cell overflows.

.topic 23001
Displays a pop-up window where you can provide the answers required for the current field to be active.

.topic 23004
Prevents the Inactive Field dialog box from being displayed in the future.

.topic 23058
Closes the Override Field dialog box without changing the selected field.

.topic 22136
No help text available.

.topic 23198
Continues to associate the interview properties for the form template with the template and not the component file. To change interview properties, you will need to change them here, rather than at Component File Properties.

.topic 24001
Determines the width of the narrowest bar in a printed bar code. The smaller
the number, the stricter the requirements are for printing the bar code. (For example, the bar code must be printed on higher quality paper, etc.)

.topic 23088
Closes the dialog box without completing the selected action.

.topic 23082
Sends all answers that overflow within the document to the addendum.

.topic 23081
Allows you to return to the template and manually address each answer that overflows.

.topic 22137
Allows you to print on the back of a page that has already been printed so that the top on both sides is at the same end (like in side-to-side duplex printing). To do this, insert the page into the paper tray with the top away from you.

.topic 22091
Displays one or more answer-gathering dialog so that you can provide an answer for the variable field.

.topic 22222
Displays helpful information about the dialog box.

.topic 23231
Closes the Body dialog box, ignoring any changes you have made.

.topic 23206
Prints the document using both sides of the paper, so you can lift the pages up, like a flip-chart.

.topic 23184
Uses inches for measuring the page margins, indentation, and height of the header/footer.

.topic 23117
Specifies the minimum distance between each addendum entry and the left edge of the page.

.topic 23107
Specifies the amount of space used for the header.

.topic 22107
Prints the template using both sides of the paper, so you can lift the pages up, like a flip-chart.

.topic 22970
Changes the width of all selected fields to match the selected field that is closest to the top-left corner.

.topic 22960
Moves selected fields up until they align with the upper edge of the upper-most field.

.topic 22402
Specifies the template used as a pattern for changing other files. This is a unique form template created especially for this process.

.topic 22836
Moves to the next field on the template.

.topic 22940
Uses centimeters for measurements in the addendum (for example, margin sizes and indenting).

.topic 24051
Lists all of the HotDocs field properties that may be different from the fillable fields in the underlying PDF. Select which properties you want to compare and click OK. (Clear any properties you don't want to compare.)

.topic 24052
Selects all of the HotDocs fields properties you want to compare against the fields in the fillable PDF.

.topic 24053
Clears all selected HotDocs field properties.

.topic 24054
Closes the dialog box and begins checking the fillable fields in the template.

.topic 24055
Closes the dialog box and cancels the Check Fillable Fields command.

.topic 21272
Indicates that the field property for the linked HotDocs field will be changed to match the properties specified for the fillable field.

.topic 24069
Shows the field property that is different between the HotDocs field and the fillable field.

.topic 24070
Shows the specific field property setting associated with the given HotDocs field.

.topic 24071
Shows the specific field property setting associated with the underlying fillable field.

.topic 24072
Displays the Check Fillable Fields Options dialog box, where you can change the selection of properties you want to compare.

.topic 24073
Changes the selected properties for the current HotDocs field only. HotDocs makes the change and then displays the next field comparison.

.topic 24074
Changes the selected properties for all HotDocs fields that have different properties from the fillable fields.

.topic 24075
Ignores the suggested changes for the current field.

.topic 24076
Ignores all suggested changes for all HotDocs fields that have different properties from the fillable fields.

.topic 24077
Cancels the Check Fillable Fields command and closes the dialog box without making any further changes.

.topic 24057
Creates a HotDocs field and links it to the current fillable field.

.topic 24058
Creates HotDocs fields and links them to all fillable fields currently not associated with a HotDocs field.

.topic 24059
Skips the current fillable field and doesn't create a linked HotDocs field.

.topic 24060
Skips all fillable fields in the template where no link field exists. No additional fields will be created.

.topic 24061
Cancels the Check Fillable Fields command.

.topic 24063
Links the current HotDocs field to the nearby fillable field.

.topic 24064
Links all potential HotDocs fields to the nearby fillable fields in the template.

.topic 24065
Skips linking the current HotDocs field to the nearby fillable field and searches for the next field to check fillable properties.

.topic 24066
Skips linking HotDocs fields for all possible fillable fields in the template.

.topic 24067
Cancels the Check Fillable Fields command.

.topic 22871
Specifies that a new addendum page should begin following this field, regardless of whether it overflows. Reference numbers for addendum items will also restart.

.topic 24006
Lets you select how foreign characters in the bar code should be encoded. Select UTF-8 to properly encode foreign characters. (Choosing ANSI encodes the text in non-Unicode format, which means if you use foreign characters in the text, these characters may not appear correctly.)

.topic 22818
Shows the name assigned to the fillable field. This name comes from Adobe Acrobat.

.topic 22793
Shows how thick the circled field's line will be.


HotDocs Help - .HFT, .HPT

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.HFT, .HPT

File name extension that designates that the file is a HotDocs form template.

Home > HotDocs Glossary of Terms > .HFT, .HPT


HotDocs Help - HotDocs Automator

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Automator

The tool used to automate form templates, or those templates whose underlying static text cannot be changed. Examples of form templates include tax preparation forms, applications, and so forth.

Home > HotDocs Glossary of Terms > HotDocs Automator


HotDocs Help - HotDocs Compare

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Compare

Caution:Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

A HotDocs add-in tool that is used to compare different versions of an assembled document. Using HotDocs Compare, users can take a "snapshot" of an assembled document, change some answers in the interview, and then compare the two versions.

Home > HotDocs Glossary of Terms > HotDocs Compare


HotDocs Help - HotDocs Database Connection

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Database Connection

A tool that provides the mapping needed to connect templates to a database. Answers can be retrieved from the database during the interview, which keeps users from manually having to enter their answers. (Starting with the release of HotDocs 2008, HotDocs Database Connection (the separate product) was fully integrated into all editions of HotDocs.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > HotDocs Database Connection


HotDocs Help - HotDocs Developer

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Developer

A version of HotDocs that contains the tools necessary to automate a simple to highly complicated set of both text and form templates. It is also used to assemble both text and form templates. (See also HotDocs Developer LE.)

Note: Prior to the release of HotDocs 10, Developer was named Professional Edition.

Home > HotDocs Glossary of Terms > HotDocs Developer


HotDocs Help - HotDocs Developer LE

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Developer LE

A version of HotDocs that contains the tools necessary to automate a simple to moderately complicated set of text templates. HotDocs Developer LE can also be used to assemble text and form documents. (See HotDocs Developer.)

Note: Prior to the release of HotDocs 10, Developer LE was named Standard Edition.

Home > HotDocs Glossary of Terms > HotDocs Developer LE


HotDocs Help - HotDocs Filler

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Filler

The application used to view assembled form documents.

Home > HotDocs Glossary of Terms > HotDocs Filler


HotDocs Help - HotDocs Options

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Options

A section of the software where template developers and end users can set their preferences for working with HotDocs.

Home > HotDocs Glossary of Terms > HotDocs Options


HotDocs Help - HotDocs PDF Advantage

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs PDF Advantage

A HotDocs add-in that allowed the creation and automation of PDF-based form templates, as well as the ability to save most types of documents as PDF (assembled or otherwise). From HotDocs 10 onwards, this is no longer a separate add-in, but is instead fully integrated into HotDocs.

Home > HotDocs Glossary of Terms > HotDocs PDF Advantage


HotDocs Help - HotDocs Player

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Player

A version of HotDocs that is used for assembling published (and registered) templates.

HotDocs Player functions differently to HotDocs User, which can assemble any template created by HotDocs Developer. For more information, see HotDocs User.

Home > HotDocs Glossary of Terms > HotDocs Player


HotDocs Help - HotDocs Player Edition

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Player Edition

A version of HotDocs that is used for assembling published (and registered) templates.

Home > HotDocs Glossary of Terms > HotDocs Player Edition


HotDocs Help - HotDocs Professional Edition

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Professional Edition

Please see HotDocs Developer.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > HotDocs Professional Edition


HotDocs Help - HotDocs Server

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Server

The Web-based version of HotDocs. When using HotDocs Server, interviews are presented in a user's Web browser. Answers are then sent back to a server where the document can be assembled. HotDocs Server allows users to create documents and answer files without requiring them to have HotDocs installed on their desktop.

Home > HotDocs Glossary of Terms > HotDocs Server


HotDocs Help - HotDocs Standard Edition

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Standard Edition

Please see HotDocs Developer LE.

Home > HotDocs Glossary of Terms > HotDocs Standard Edition


HotDocs Help - HotDocs User

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs User

A version of HotDocs that is used for assembling any templates created using HotDocs Developer.

HotDocs User functions differently to HotDocs Player, which can only assemble registered templates. For more information, see HotDocs Player.

Home > HotDocs Glossary of Terms > HotDocs User


HotDocs Help - IF instruction (also ELSE IF, ELSE, END IF)

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

IF instruction (also ELSE IF, ELSE, END IF)

A set of instructions and expressions that control the inclusion and exclusion of optional text in a document. IF instructions are based on either True/False variables or true/false expressions. IF instructions can also be used to control whether certain instructions or expressions are processed in computationscripts.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > IF instruction (also ELSE IF, ELSE, END IF)


HotDocs Help - import

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

import

  1. When working with libraries, the process of copying template files into the currently viewed library. These files can be imported for assembly only or for editing and assembly.
  2. When working with answer files, the process of copying an answer file to the default Answers folder and then adding it to the answer library.

Home > HotDocs Glossary of Terms > import


HotDocs Help - inactive field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

inactive field

A form document field on which the user cannot directly enter an answer. Fields can be inactive for any number of reasons. For example, the field may be conditioned or it may contain a Computation variable. Frequently, a template developer provides an answer wizard to help the user answer all of the questions that will make the field active.

Home > HotDocs Glossary of Terms > inactive field


HotDocs Help - infinite loop

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

infinite loop

The process of a HotDocs script repeatedly reprocessing itself until HotDocs stops responding. For example, a computation can repeatedly scan a text string, character by character, for a specific value. As HotDocs searches for this value, it adds information to what is called the processing stack. If too much information gets added to this stack, HotDocs may get into an infinite loop and stop responding.

Home > HotDocs Glossary of Terms > infinite loop


HotDocs Help - inserted dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

inserted dialog

See child dialog.

Home > HotDocs Glossary of Terms > inserted dialog


HotDocs Help - inserted template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

inserted template

A template that is inserted into another template using an INSERT instruction.

Home > HotDocs Glossary of Terms > inserted template


HotDocs Help - INSERT instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

INSERT instruction

An instruction that inserts one template into another. For example, if boilerplate text needs to be used in multiple documents, a template that contains that text can be created and inserted in each template that requires it (via an INSERT instruction). This way, if changes need to be made to the text, the change has to be made in only one template.

Home > HotDocs Glossary of Terms > INSERT instruction


HotDocs Help - Install Start Menu Shortcut

Install Start Menu Shortcut

Note:To access this dialog box: At the HotDocs library, choose Install Templates (File menu).

Sometimes, when you install a template set, HotDocs adds a shortcut for the template library to the Start menu. In this case, the template set publisher is allowing you to choose where you want the shortcut item. You can type a new folder name in the Start menu folder box, or you can select an existing program folder from the Existing folders list. Once the shortcut is added to the Start menu, you can launch the template library using it.

Home > Install Start Menu Shortcut


HotDocs Help - Install Template Set Dialog Box

Install Template Set Dialog Box

Note:To access this dialog box: At the HotDocs library, choose Install Templates (File menu).

When you install a template set, you must choose locations on your local disk or network where the library file and the templates contained in the auto-install file should be saved.

Options Available

Specify where the templates should be installed: Accept the suggested Template Sets folder location, or click the Browse Browse button to choose a different location.

Choose where the library file should be installed: Click the drop-down button and choose whether to save the library to the shared Templates folder, the user-specific Libraries folder, or, if you installed the templates to a custom folder, to the same folder as specified for the templates.

Once specified, HotDocs copies the library and the templates to the locations specified. If the template set publisher has allowed it, it may also add a shortcut for the template set to the Start menu.

Note: If you are updating a template set, these options will be disabled. However, you will be able to see where the files will be copied.

Home > Install Template Set Dialog Box


HotDocs Help - Install Templates Password Dialog Box

Install Templates Password Dialog Box

Note:To access this dialog box: At the HotDocs library, choose Install Templates (File menu).

In order to install this file and use the template library and/or associated templates, you must first specify a password. If you are not certain what the password is, contact the template set publisher.

Home > Install Templates Password Dialog Box


HotDocs Help - instant update

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

instant update

A command in the HotDocs assembly window that, when selected, updates the interview every time a user enters or changes an answer in the interview. Sometimes this updating may cause HotDocs to behave sluggishly as users move between answer fields. In such cases, the user can turn the instant update command off. Then HotDocs will update the interview only as it needs to.

Home > HotDocs Glossary of Terms > instant update


HotDocs Help - instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

instruction

A command in a script or template that performs a special task, such as inserting a template or asking a dialog at a specific place in the interview.

Home > HotDocs Glossary of Terms > instruction


HotDocs Help - intake interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

intake interview

See interview template.

Home > HotDocs Glossary of Terms > intake interview


HotDocs Help - interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

interview

A presentation of questions that must be answered in order to create an assembled document. The interview is viewable by clicking the Interview tab of the assembly window.

Home > HotDocs Glossary of Terms > interview


HotDocs Help - interview component

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

interview component

A computation script that defines how a custom interview will look and function. An interview component usually includes ASK instructions to ask all of the dialogs/variables in the interview. The script frequently includes other instructions, such as REPEAT instructions and INSERT instructions as well as conditions for using these instructions. The name of this component is defined at the Component File Properties dialog box.

Home > HotDocs Glossary of Terms > interview component


HotDocs Help - interview outline

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

interview outline

The leftmost pane of the assembly window that lists all of the dialogs in the interview. Viewing the outline shows the natural progression of the interview. Icons in the outline also indicate whether questions in the associated dialog are completely answered, partially answered, or not answered at all.

Home > HotDocs Glossary of Terms > interview outline


HotDocs Help - Interview tab

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Interview tab

A tab of the assembly window that shows the outline of questions in the interview as well as the dialogs that contain the questions. Users enter answers while viewing the Interview tab. (See also interview.)

Home > HotDocs Glossary of Terms > Interview tab


HotDocs Help - interview template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

interview template

A template that contains a series of interview questions designed to gather information about a person (or persons) or matter. Answers are saved in an answer source file, which can then be linked to a dialog in a template that requires the same information. Generally, interview templates can be used to create a list of possible answers so users have more options to choose from.

Home > HotDocs Glossary of Terms > interview template


HotDocs Help - iteration

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

iteration

One instance of a repeated dialog.

Home > HotDocs Glossary of Terms > iteration


HotDocs Help - JS files

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

JS files

Stands for JavaScript files, which are used to display interviews in a Web browser. When templates are published for use with HotDocs Server, HotDocs generates these JavaScript files for the interview.

Home > HotDocs Glossary of Terms > JS files


HotDocs Help - Keyboard Shortcuts for Answer File Manager

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for Answer File Manager

To Do This | Press This
Tab between the item list and the Find options | Tab / Shift+Tab
Switch between Properties and Contents tabs | Ctrl+Tab
Open the Item Properties dialog box for the currently selected answer file | Alt+Enter
Remove the answer file from the library | Delete
Move the selected item up or down in the list | Alt+Up Arrow / Alt+Down Arrow
Expand or collapse a folder | Right Arrow / Left Arrow
Copy the selected answer file | Ctrl+C
Create a new answer file | Ctrl+N
Cut the selected item or text | Ctrl+X
Close Answer File Manager | Ctrl+W or Alt+F4
Switch between the answer file list and the Preview pane | F6
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Access the Answer File Manager toolbar | F10

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for Answer File Manager


HotDocs Help - Keyboard Shortcuts for a Clause Library at the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for a Clause Library at the Assembly Window

To Do This | Press This
Move a clause from the Available list to the Selected list | Insert
Remove a clause from the Selected list | Delete
Move to the top of the clause list | Home
Move to the bottom of the clause list | End
Move the selected clause up in the Selected list | Alt+Up Arrow
Move the selected clause down in the Selected list | Alt+Down Arrow

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for a Clause Library at the Assembly Window


HotDocs Help - Keyboard Shortcuts for the Comparison Tab of the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Comparison Tab of the Assembly Window

The shortcut commands for the Comparison tab are identical to those for the Document Preview tab, with the following changes:

To Do This | Press This
Move to the next difference in the document | Tab
Move to the previous difference in the document | Shift+Tab
Send the comparison document to the word processor | F11
Save the comparison document to disk | F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for the Comparison Tab of the Assembly Window


HotDocs Help - Keyboard Shortcuts for the Document Preview Tab of the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Document Preview Tab of the Assembly Window

To Do This | Press This
Tab through answers field in the document | Tab / Shift+Tab
Switch between tabs of the assembly window | Ctrl+Tab
Open a pop-up interview for the current answer field (Word users only) | Enter
Open the Document Text Editor for the section of editable text (Word users only) | Enter
Move through each unanswered question in the document (Word users only) | Ctrl+Down Arrow / Ctrl+Up Arrow
Move through each section of editable text (Word users only) | Ctrl+Shift+Down Arrow / Ctrl+Shift+Up Arrow
Select all of the text in the document | Ctrl+A
Copy the selected text to the Clipboard | Ctrl+C
Search through the document text for a specific word or phrase | Ctrl+F (Press F3 to find the next instance)
Move your cursor to a specific line number or character position in the document | Ctrl+G
Use a new, untitled answer file during the current interview | Ctrl+N
Open Answer File Manager | Ctrl+O
Save the current answer file | Ctrl+S
Close the assembly window | Ctrl+W or Alt+F4
Print a copy of the assembled document | Ctrl+P
Zoom in or out on the document text | Ctrl+= / Ctrl+-
Access the assembly window menu bar | F10
Send the assembled document to the word processor or HotDocs Filler | F11
Copy the assembled document to the currently open word processor document | Shift+F11
Copy the assembled document to the Clipboard | Ctrl+F11
Save the assembled document to disk | F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for the Document Preview Tab of the Assembly Window


HotDocs Help - Keyboard Shortcuts for the Form Document Tab of the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Form Document Tab of the Assembly Window

To Do This | Press This
Move between the different answer fields of the form document | Tab / Shift+Tab
View a pop-up interview for the selected field | Enter
View the Field Properties dialog box for the current field | Alt+Enter
Display the full list of options for a drop-down field | Alt+Down Arrow
Move between unanswered fields on the form | Ctrl+Down Arrow / Ctrl+Up Arrow
Select all of the text in a field, or, if your cursor isn't on a field, select all of the fields on the form page | Ctrl+A
Copy the selected text or fields to the Clipboard | Ctrl+C
Change the font properties of the selected field(s) | Ctrl+D
Go to a specific page in the form | Ctrl+G
Move between the fields in the document where the same answer is merged | Ctrl+M / Ctrl+Shift+M
Create a new answer file for use during the current interview | Ctrl+N
Open Answer File Manager so you can choose a different answer file for the current interview | Ctrl+O
Print a copy of the form document | Ctrl+P
Save the current answer file | Ctrl+S
Paste the contents of the Clipboard | Ctrl+V
Close the assembly window | Ctrl+W
Cut the selected text or field to the Clipboard | Ctrl+X
Zoom in or out on the form | Ctrl+= / Ctrl+-
Switch between the document pane and the resource pane | F6
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Check the spelling of answers on the form | F7
Display the page width of the form | F9
Display the full page of the form | Shift+F9
Access the assembly window menu bar | F10
Send the assembled document to HotDocs Filler | F11
Save a copy of the assembled document to disk | F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for the Form Document Tab of the Assembly Window


HotDocs Help - General Keyboard Shortcuts

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

General Keyboard Shortcuts

To Do This | Press This
Display all of the options in a drop-down list | Alt+Down Arrow
Move items up or down within a list (for example, the Contents list of the Dialog Editor) | Alt+Down Arrow / Alt+Up Arrow
Move between HotDocs windows | Alt+F6
View a shortcut menu | Shift+F10
Move between the different tabs of a window | Ctrl+Tab
Access the buttons in a toolbar (when no menu is provided) | F10
Open the HotDocs Help | F1
Display the What's This? Help cursor | Shift+F1
Display the What's This? Help text for a selected element | Ctrl+F1

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > General Keyboard Shortcuts


HotDocs Help - Keyboard Shortcuts for the Interview Tab of the Assembly Window

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Interview Tab of the Assembly Window

To Do This | Press This
Tab through answer fields in a dialog | Tab / Shift+Tab
Move to the next dialog in the interview | Enter
Insert a paragraph end in a multi-line answer | Ctrl+Enter
Move to the next dialog or the previous dialog in the interview | Page Down / Page Up
Move to the next unanswered dialog or previous unanswered dialog in the interview | Ctrl+Page Down / Ctrl+Page Up
Move through each unanswered question in a dialog | Ctrl+Down Arrow / Ctrl+Up Arrow
View all answers in a drop-down list | Ctrl+Down Arrow
Display the calendar for a date field | Alt+Down Arrow
Collapse or expand dialogs in the interview outline | Left Arrow / Right Arrow
Use a new, untitled answer file during the current interview | Ctrl+N
Open Answer File Manager | Ctrl+O
Save the current answer file | Ctrl+S
Indent the text in a multi-line answer file | Ctrl+T
Close the assembly window | Ctrl+W or Alt+F4
Display the resource for a field in a pop-up window | Alt+F1
Switch between the Answer File drop-down menu, the interview outline, the dialog pane, and the resource pane | Alt+Enter
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Check the spelling of answers in the interview | F7
Access the assembly window menu bar | F10
Send the assembled document to the word processor or HotDocs Filler | F11
Copy the assembled document to the currently open word processor document | Shift+F11
Copy the assembled document to the Clipboard | Ctrl+F11
Save the assembled document to disk | F12
Send the assembled document to the word processor and close HotDocs | Ctrl+F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for the Interview Tab of the Assembly Window


HotDocs Help - Keyboard Shortcuts for JavaScript Interviews

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for JavaScript Interviews

Navigation Bar

To Do This | Press This
Go to First dialog | Ctrl+Home
Previous Unanswered dialog | Ctrl+PgUp
Previous dialog | PgUp
Next dialog | PgDn
Next Unanswered dialog | Ctrl+PgDn
Go to Last Dialog | Ctrl+End

Spreadsheet Bar

To Do This | Press This
Edit Row | Ctrl+Enter
Insert Row | Ctrl+Insert
Delete Row | Ctrl+Del

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts for JavaScript Interviews


HotDocs Help - Keyboard Shortcuts at Template Library

Reference Material

  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • General Keyboard Shortcuts
  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for the Comparison Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts at Template Library

To Do This | Press This
Tab between the item list and the Find options | Tab / Shift+Tab
Switch between Properties and Preview tabs | Ctrl+Tab
Assemble the currently selected template | Enter
Open the Item Properties dialog box for the currently selected folder or item | Alt+Enter
Remove the template from the library | Delete
Collapse and expand the currently selected folder | Left Arrow / Right Arrow
Move through items in the library list | Up Arrow / Down Arrow
Move the selected item up or down in the list | Alt+Up Arrow / Alt+Down Arrow
Copy the selected item | Ctrl+C
Create a new library | Ctrl+N
Open an existing library | Ctrl+O
Print a copy of the item list | Ctrl+P
Cut the selected item or text and place a copy of it on the Clipboard | Ctrl+X
Open the HotDocs Help file | F1
Display the What's This? Help cursor | Shift+F1
Display the What's This? Help text for the currently selected interface element | Ctrl+F1
Close the template library | Alt+F4
Move focus to a different pane in the library | F6
Move between HotDocs windows | Alt+F6
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Access the library menu bar | F10
Display a shortcut menu | Shift+F10
Save a new copy of the library | F12

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Using the Keyboard in HotDocs > Full List of Keyboard Shortcuts > Keyboard Shortcuts at Template Library


HotDocs Help - keywords

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

keywords

A broad term used to describe scripting instructions, expressions, and operators. Keywords are used in a script and generate values or perform certain tasks.

Home > HotDocs Glossary of Terms > keywords


HotDocs Help - library

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

library

A window used to display and organize templates. The library does not store the actual files—instead, it contains shortcuts (or links) to the files, which are stored on disk. In addition to the template library, HotDocs also uses an answer library, which is more commonly known as Answer File Manager.

Home > HotDocs Glossary of Terms > library


HotDocs Help - line break

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

line break

A code in a Word document that indicates that text should appear on a new line within the same paragraph. For example, if the user must enter separate lines in a single paragraph (such as lines in an address), a line break should be used. (See also paragraph mark.)

Home > HotDocs Glossary of Terms > line break


HotDocs Help - linked field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

linked field

Represents a HotDocs field in a fillable PDF template that is associated with an Adobe fillable field. By creating this association between a HotDocs field and a fillable field, template developers can create HotDocs fields that precisely match fields in the underlying PDF. Users who assemble the document can then edit answers associated with linked/fillable fields in the saved PDF.

Home > HotDocs Glossary of Terms > linked field


HotDocs Help - list

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

list

Two or more answers to one question merged in the document.

Home > HotDocs Glossary of Terms > list


HotDocs Help - manual index

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

manual index

See explicit index.

Home > HotDocs Glossary of Terms > manual index


HotDocs Help - map, mapping

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

map, mapping

See variable mapping.

Home > HotDocs Glossary of Terms > map, mapping


HotDocs Help - mark up, markup

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

mark up, markup

The formatting applied to a Word template or an assembled Word document that shows simplified template development marks. For example, when viewed in Markup View, variables in a template appear between brackets rather than chevrons. (See also Markup View.)

Home > HotDocs Glossary of Terms > mark up, markup


HotDocs Help - Markup View

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Markup View

A view that shows a simplified version of a Word template or an assembled document. This simplified view may be useful if a non-HotDocs user must review the template or document. When viewing a template or document in Markup View, variable and answer fields are marked using brackets.

Home > HotDocs Glossary of Terms > Markup View


HotDocs Help - merge field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

merge field

  1. During template development, the place in the template where a variable is inserted.
  2. During document assembly, the place where the user's answer will be inserted.

Home > HotDocs Glossary of Terms > merge field


HotDocs Help - merge text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

merge text

The text that will be merged in a document if a user chooses a specific Multiple Choice variable option. For example, if a user chooses Male as the option, a masculine pronoun such as he or his can be merged instead of Male.

Home > HotDocs Glossary of Terms > merge text


HotDocs Help - Windows System Registry Definition

Windows System Registry Definition

The Windows System Registry is a central hierarchical database in Windows used to store information necessary to configure the system for one or more users, programs, and hardware devices. The Registry contains information that Windows continually references during operation, such as profiles for each user, the programs installed on the computer and the types of documents each can create, property sheet settings for folders and program icons, what hardware exists on the system, and which ports are being used. (Taken from the Microsoft Press Computer Dictionary, Third Edition. Copyright © 1998 Microsoft Press.)

Home > Windows System Registry Definition


HotDocs Help - model

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

model

A tool in the script editor that template developers can use in writing scripts. A model shows the full instruction or expression—including any placeholders that must be replaced for the script to work correctly. Developers can drag these models from their respective lists and then replace the placeholders with the appropriate values.

Home > HotDocs Glossary of Terms > model


HotDocs Help - Multiple Assemblies Dialog Box

Multiple Assemblies Dialog Box

Note:To access this dialog box: Select a template. > Click Assemble Assemble. > While the first document is assembling, select another template and click Assemble Assemble.

HotDocs will allow you to assemble only one document at a time. If you are currently assembling a document and you attempt to assemble another one, HotDocs will add it to the assembly queue and it won't be assembled until the current assembly is complete. If there are multiple templates in the queue, HotDocs will assemble them in the order they are added. (See Use the Assembly Queue.)

Options Available

Click Yes to add the template to the queue. Once you have completed the current assembly (and any others that are already listed in the queue), this template will be assembled.

Click No to keep the template from being added to the queue.

Select Don't warn me about multiple assemblies again to keep this message from appearing. The next time you attempt to assemble a document when HotDocs is already busy assembling, the template will be added to the queue.

Note: To view the assembly queue, click the Assembly Queue Assembly Queue button in either the library window toolbar or the assembly window toolbar.

Home > Multiple Assemblies Dialog Box


HotDocs Help - Multiple Choice variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Multiple Choice variable

A type of component that merges a predefined answer in the document.

Home > HotDocs Glossary of Terms > Multiple Choice variable


HotDocs Help - navigation bar

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

navigation bar

  1. In an interview (at the Interview tab), the toolbar used to move from dialog to dialog.
  2. In a document (at the Document tab), the toolbar used to move between merged answers in a document.

Home > HotDocs Glossary of Terms > navigation bar


HotDocs Help - New and Enhanced Features of HotDocs 10.1

New and Enhanced Features of HotDocs 10.1

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10.1


HotDocs Help - New and Enhanced Features of HotDocs 10.2

New and Enhanced Features of HotDocs 10.2

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10.2


HotDocs Help - New and Enhanced Features of HotDocs 10

New and Enhanced Features of HotDocs 10

The following new features and enhancements were implemented for the release of HotDocs 10:

Edition Name Changes

HotDocs is now available in three different editions:

New Name | Previous Name
Developer | Professional
Developer LE | Standard
User |
Player | Player

Interviews

Interviews have been updated and improved for HotDocs 10.

Changes to Files and Folders

HotDocs Files

New Filename | Previous Filename
hotdocs.exe | hotdocs6.exe

HotDocs Default Installation Folder

New Folder | Previous Folder
C:\Program Files\HotDocs | C:\Program Files\HotDocs 6

Home > New and Enhanced Features of HotDocs 10


HotDocs Help - New and Enhanced Features of HotDocs 10 HF1

New and Enhanced Features of HotDocs 10 HF1

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10 HF1


HotDocs Help - New and Enhanced Features of HotDocs 10 HF2

New and Enhanced Features of HotDocs 10 HF2

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10 HF2


HotDocs Help - New and Enhanced Features of HotDocs 10 HF3

New and Enhanced Features of HotDocs 10 HF3

This release of HotDocs contains software corrections and minor enhancements to existing features.

Home > New and Enhanced Features of HotDocs 10 HF3


HotDocs Help - No Dialog Level

No Dialog Level

No dialog-level help has been provided for this dialog box. For help on a specificitem in this dialog box, select the What's This? Help icon (either What's This? Help or What's This? Help) and click the specific item.

Home > No Dialog Level


HotDocs Help - non-breaking space / hyphen

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

non-breaking space / hyphen

A property that can be assigned to a variable that keeps the answer from being split across two lines in the assembled document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > non-breaking space / hyphen


HotDocs Help - notation

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

notation

An identification assigned to a variable name to help identify what type of variable it is. For example, Client Name TE would indicate that the variable is a Text variable. (Typical component notations include TE (Text), DA (Date), NU (Number), MC (Multiple Choice), TF (True/False), CO (Computation), and DI (dialog).)

Home > HotDocs Glossary of Terms > notation


HotDocs Help - Number variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Number variable

A type of component that merges a numeric value in the document.

Home > HotDocs Glossary of Terms > Number variable


HotDocs Help - ODBC

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ODBC

Short for Open Database Connectivity, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ADO.)

Home > HotDocs Glossary of Terms > ODBC


HotDocs Help - operator

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

operator

A symbol or word that causes either an operation (such as addition) or a comparison to be performed in a computation script or expression.

Home > HotDocs Glossary of Terms > operator


HotDocs Help - Change the Way Question and Answer Summaries Appear

How Do I...?

  • Change the Way Question and Answer Summaries Appear
  • Control Which Variables are Asked in a Question Summary

Change the Way Question and Answer Summaries Appear

In question and answer summaries, you can specify a one-column or a two-column format:

  • The one-column format displays a simple list of variable prompts and answers (if you're generating an answer summary) or empty answer fields (if you're generating a question summary). Prompts and answers are grouped by dialogs. To make these summaries easier to read, you can indent these lists or use bullets.
  • The two-column format displays a list of variable prompts in one column and their associated answers (if you're generating an answer summary) or empty answer fields (if you're generating a question summary) in a second column. Prompts and answers are grouped by dialogs. You can control the appearance of these columns by specifying borders and choosing the width of the column that contains the prompt.

To format question or answer summaries

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Question and Answer Summaries folder. The right pane changes to show the summary options.
  3. If you want the summary to appear in one-column format, click the Format drop-down button, choose One-Column, and select from the following options:
    • Select Indent prompts under dialog titles to include a tab between the column's margin and the prompt. Selecting this option makes the dialog titles and variable prompts appear hierarchical.
    • Select Precede prompts with bullet to insert a bullet character next to each prompt.
    • Select Indent answers under prompts to include a tab between the column's margin and the answer. Selecting this option makes the prompts and the answers appear hierarchical.
    • Select Precede answers with bullet to insert a bullet character next to each answer.
  4. If you want the summary to appear in two-column format, click the Format drop-down button, choose Two-Column, and select from the following options:
    • Select a border style from the Borders drop-down list. Your options include None, Plain, and Sculptured.
    • Specify a percentage in the Percent of width taken by prompt box. This percentage determines how much of the viewable window is used to display the prompt. You can change this number by clicking the up or down arrows, or by typing a number directly in the field.
  5. Optionally, change the number in the Maximum multiple-choice options to display box to control the number of multiple-choice options that appear in a question or answer summary.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Question and Answer Summaries > Change the Way Question and Answer Summaries Appear


HotDocs Help - Change Your Default Word Processor

How Do I...?

  • Change Word Processor File Locations
  • Change Your Default Word Processor
  • Install Support for New Word Processors

Change Your Default Word Processor

If you have both Microsoft Word and WordPerfect installed for HotDocs, you must choose which word processor HotDocs should use as the default. The default word processor determines which word processor will be opened when you finish the interview and send the assembled document to it.

To specify a default word processor

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Word Processors folder. The right pane changes to show supported word processors.
  3. Click the Default word processor drop-down button and select a word processor.
  4. Optionally, to send assembled documents to the word processor that matches the template file type, select Send assembled documents to word processor based on template type.
  5. Optionally, to start Word before you send the assembled document to it, select Launch Word before sending to word processor (allows auto macros to run). (This is useful if the underlying template uses AutoExec or AutoOpen macros, since HotDocs explicitly disables the execution of Auto macros in Word before it sends a document to Word after assembly.)
Note: Click here to see a list of which word processors are supported for this release.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Word Processors > Change Your Default Word Processor


HotDocs Help - Change Colors in HotDocs Forms

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Change Colors in HotDocs Forms

You can change the colors for field backgrounds and borders in HotDocs . Changes affect all forms edited or assembled using HotDocs. There are several custom color schemes from which you can choose.

To change colors

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The view changes to show general form options.
  3. Click the Color theme drop-down button and select a color scheme.
Note: To change the colors used for text template fields, see Define Colors for Fields and Instructions.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Change Colors in HotDocs Forms


HotDocs Help - Change HotDocs Program File Locations

How Do I...?

  • Assign Reference Paths to HotDocs Files
  • Change HotDocs Program File Locations

Change HotDocs Program File Locations

When you install and use HotDocs, the program makes several entries in the System Registry that indicate to HotDocs where to look for files, as well as where to suggest you save files. (See Understand HotDocs Installation.) In most situations, HotDocs uses this information each time you perform a task in HotDocs. If you ever need to change these default locations, you can do so at HotDocs Options.

If a full path is specified for the file you are attempting to access, that file path will be used, rather than the default file path. (To check whether a full path is given, select the item and click the Properties Properties button.)

You can change the default location HotDocs looks for the following files:

  • Library files (HDL files).
  • Template files (HFT, HPT, and CMP files). (To change the default location for text templates, see Change Word Processor File Locations.)
  • Template Sets (installed HDI files).
  • Catalog Files (files used to keep published template sets up to date).
  • Answer files (ANX files).
  • Form document files (HFD, HPD, and PDF files).

To change the default location of HotDocs files

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Locations folder. The window changes to show a listing of the different HotDocs file paths.
  3. In the HotDocs Folders group, select a file type and click Edit. The Browse for Folder dialog box appears
  4. Browse to the new location and click OK. HotDocs will use this location as the new default.
Caution:You must restart HotDocs for these changes to take effect.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Locations > Change HotDocs Program File Locations


HotDocs Help - Change Your Spell Checking Options

Change Your Spell Checking Options

HotDocs can spell check answers entered during an interview.

As HotDocs spell checks, it looks at the spell checking settings stored in the HotDocs section of the system registry to determine what words the spell checker looks at and how it decides on words to suggest as possible alternatives to words not in the dictionary. You can change these settings.

To change your spell checking options

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Spell Checking folder. The contents of the window change to show your spell checking options.
  3. Select appropriate options, as described in the following table:
    To | Do This
    Cause HotDocs to ignore capitalized words, such as names, cities, titles, and so on | Select Ignore capitalized words (e.g. Canada).
    Cause HotDocs to ignore words that contain all capital letters, such as acronyms or abbreviations | Select Ignore words in all capitals (e.g. ASAP).
    Cause HotDocs to ignore words that contain both uppercase and lowercase letters | Select Ignore words with mixed case (e.g. InLine).
    Cause HotDocs to ignore words that also contain digits | Select Ignore words with digits (e.g. Win95).
    Cause the replacement words HotDocs suggests to match the case of the misspelled word | Select Match case when comparing.
    Cause HotDocs to match the case of misspelled words when replacing them | Select Match case when replacing.
    Cause HotDocs to provide a list of possible replacements for misspelled words | Select Always suggest replacements.
    Cause HotDocs to provide a list of possible replacements based on words that sound like the misspelled word | Select Make phonetic suggestions.
    Cause HotDocs to provide a list of possible replacements based on words that are typographically similar | Select Make typographical suggestions.
    Cause HotDocs to provide a list of possible replacements that are made up of more than one word | Select Make split word suggestions.
    Cause HotDocs to check the spelling only if the text is more than 1 line | Select Check multiple-line text only.
    Cause HotDocs to use the British spelling dictionary rather than the English dictionary | Select Use UK spelling dictionary.

When a word is not in the spelling checker’s dictionary, HotDocs checks for it in your personal dictionary, Personal Dictionary.TLX. If it is not found there, you can add it by clicking Add at the Check Spelling dialog box.

Note: You can change these settings whenever you are spell checking. To do this, click Options at the Check Spelling dialog box.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Spell Checking > Change Your Spell Checking Options


HotDocs Help - Change the Way Dates Appear in Answer Fields

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Change the Way Dates Appear in Answer Fields

As you enter dates during an interview, HotDocs reformats the date to appear a certain way in the answer field. You can change this format. (To change the format of dates in the assembled document, see Specify a Default Date Format.)

To change the way dates appear in an answer field

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. At the Answer Entry group, select a date format from the Date display format drop-down list. Your options include 3 Jun 1990; June 3, 1990; 6/15/1990; and 15/6/1990.
Note: Whether the 6/15/1990 format or the 15/6/1990 format is available depends on your date detection format.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Change the Way Dates Appear in Answer Fields


HotDocs Help - Change the Units of Measurement for Forms

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Change the Units of Measurement for Forms

HotDocs measures the fields you create to identify whether they should be treated as check-box fields or edit fields. In addition, the units of measurement affect the margins around all fields and the amount of space used by the header and footer sections of the addendum.

To change the units of measurement

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show options for working with forms.
  3. Click the Show measurements in drop-down button and select Inches, Points, Centimeters, Picas, or Millimeters.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Change the Units of Measurement for Forms


HotDocs Help - Change Word Processor File Locations

How Do I...?

  • Change Word Processor File Locations
  • Change Your Default Word Processor
  • Install Support for New Word Processors

Change Word Processor File Locations

By default, HotDocs uses certain folders that were specified during installation to store text templates and assembled text document files that are used with HotDocs. These folder names and file paths become the default location HotDocs looks when no specific path is assigned at the file's properties.

At the library, you can check whether a full path is given by selecting the template and clicking the Properties Properties button. If a full path is given, HotDocs uses that information when accessing the file. Otherwise, HotDocs uses the default file location specified here.

You can change the locations HotDocs looks for these files.

To change the location of word processor files

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Word Processors folder so that it expands to show subfolders for each word processor that is installed.
  3. Click the word processor folder for which you want to make changes. The right pane changes to show the different file locations of the document, template, and startup files (or macro files for WordPerfect users).
  4. For each file location you want to change, click the Browse Browse button next to the file location path and navigate to the new location.

If templates in your library use the default file path for its templates, you must move your templates to this new location or HotDocs will not be able to find them. See Move Items to New Locations on Disk.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Word Processors > Change Word Processor File Locations


HotDocs Help - Control How HotDocs Handles Two-Digit and Four-Digit Years

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control How HotDocs Handles Two-Digit and Four-Digit Years

As a safety precaution, HotDocs requires you to enter four digits when entering the year portion of a date. If you enter a two-digit date, such as 7/9/99, HotDocs responds with this message: “You must enter a four-digit year.”

You can override this default option by specifying a century rollover year at the HotDocs Options dialog box. The number you enter controls how HotDocs interprets two-digit years. Two-digit years less than or equal to the number you enter are understood as 2000-century years. Two-digit years greater than the number you enter are understood as 1900-century years.

For example, if you specify a rollover value of 34, dates entered as 5/14/34 will appear as 14 May 2034. A date entered as 5/14/35 will appear as 14 May 1935.

To set a century rollover preference

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Answer Entry group, clear Require four-digit year in dates. The Century rollover year option becomes available, with the default rollover value of 50 selected.
  4. Type a new two-digit number value in the Century rollover year box (or click the up or down arrows to select a number.) Dates you enter where the year is greater than this value will appear as 19??, while dates where the year is less than this value will appear as 20?? (where ?? represents the year you type at the answer field.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control How HotDocs Handles Two-Digit and Four-Digit Years


HotDocs Help - Control How Child Dialogs Appear in the Interview Outline

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control How Child Dialogs Appear in the Interview Outline

As you assemble documents, HotDocs displays the dialogs from the template in the interview outline. Some dialogs contain inserted dialogs (or child dialogs) that are also represented visually in the interview outline. You can control just how much detail the outline shows for each parent and child dialog—a full view of all dialogs, a view of just the current dialog, or a view of just the parent dialog.

To change the appearance of child dialogs in the interview outline

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Interview Outline group, click the Automatically expand child dialog entries drop-down button and select one of the following options:
    • Choose Completely to have HotDocs expand the interview outline to show the relationship between all related dialogs.
    • Choose Partially to have HotDocs expand the interview outline to show only the dialog you are currently answering.
    • Choose Not at all to have HotDocs not expand the interview at all and show only the parent dialog in the interview outline.
Note: These views are controlled when you use the navigation bar or shortcut keys to complete an interview. Once you click in the interview outline, expansion of the outline is controlled by the mouse.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control How Child Dialogs Appear in the Interview Outline


HotDocs Help - Control What Happens When You Finish an Interview

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control What Happens When You Finish an Interview

By default, when you click Next Next at the last dialog in an interview, HotDocs displays the End of Interview dialog, which gives you options for working with the assembled document. For example, you can choose to send the assembled document to the word processor or Filler, or you can return to the interview and answer any unanswered questions. However, if the End of Interview dialog is hidden (see Use the End of Interview Dialog), clicking Next Next simply displays the assembled document. Where you view the document--either in the assembly window or in the word processor or HotDocs Filler--depends on which options you select.

Likewise, when you click the Finish Finish button in the navigation bar, HotDocs displays the assembled document. Again, you can choose where you view the document.

To define how HotDocs should finish an interview

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Interviews and Dialogs folder. The folder expands to show subfolders.
  3. Click the End of Interview subfolder. The window changes to show options for working with the End of Interview dialog.
  4. In the Finish Interview Action group, select an option for text documents:
    • To send all assembled text documents directly to the word processor, select Send assembled text documents to the word processor and close.
    • To view all assembled text documents directly at the Document Preview tab of the assembly window, select Proceed to the Document Preview tab.
  5. Select an option for form documents:
    • To send all assembled form documents directly to HotDocs Filler, select Send assembled form documents to HotDocs Filler and close .
    • To view all assembled form documents at the Form Document tab of the assembly window, select Proceed to the Form Document tab.

Now, whenever the End of Interview dialog is hidden and you click Next Next at the last dialog in the interview, HotDocs will perform the action you specified. Additionally, whenever you click the Finish Finish button, the same action will be performed.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control What Happens When You Finish an Interview


HotDocs Help - Control the Functionality of the Enter Key During the Interview

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control the Functionality of the Enter Key During the Interview

You can control the functionality of the Enter key as you enter answers in a dialog. For example, if you want to use the Enter key to advance to the next dialog instead of the next answer field, you can specify an option that will make this possible.

To specify how the Enter key functions during assembly

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, click the Enter key action in single-line fields drop-down button and select an option:
    • Choose Next dialog to have the Enter key display the next dialog.
    • Choose Next answer field to have the Enter key move your cursor to the next answer field.
    • Choose No action to make the Enter key not do anything.
Note: Pressing Enter in a multi-line text field will insert a line break, while pressing Ctrl+Enter will insert a paragraph end. (This affects Word users only.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control the Functionality of the Enter Key During the Interview


HotDocs Help - Control How Forms Appear When Opened

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Control How Forms Appear When Opened

When you open a form in HotDocs , different views of the form can be shown, such as fields and thumbnail views of form pages. You can control which views appear, as well as what level of magnification is used. These settings are used each time you open a form.

To control how forms appear when opened

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show options for working with forms.
  3. In the On Open group, select options that control the view when you open a form, as described in the following table:
    To | Do This
    Display the colored fields | Select Highlight Fields.
    Display thumbnail images of each page of the form

    Click Show Thumbnails.

    The thumbnails appear in a separate pane in the window. You can click on the thumbnail images to move through the form.

    Display forms at actual size. | Click Zoom and select 100%
    Match form width to the left and right edges of the window | Click Zoom and select Fit to Width.
    Matches form height to the top and bottom edges of the window | Click Zoom and select Fit to Height.
Note:
  • You can hide the fields and thumbnails by clearing these options.
  • To change the colors used for form fields, see Change Colors in HotDocs Forms.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Control How Forms Appear When Opened


HotDocs Help - Control the Tab Order of Buttons on the Navigation Bar

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Control the Tab Order of Buttons on the Navigation Bar

Sometimes as you navigate through an interview, you may press the Tab key to move between options in a dialog—including the buttons on the Navigation Bar. You can select an option that causes the Next Next button to always be the first button on the navigation bar to which you tab after answering questions in the interview. When this option is cleared and you press Tab after the last question in the interview, HotDocs will tab to the first active button in the Navigation Bar.

To control the Navigation Bar tab order

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, select Next button first in Navigation Bar tab order.

Now when tabbing from the last answer field in the dialog to the Navigation Bar, you will automatically tab to the Next Next button, regardless of whether the First Dialog First Dialog, Previous Unanswered Previous Unanswered, or Previous Previous buttons are active.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Control the Tab Order of Buttons on the Navigation Bar


HotDocs Help - Control Warnings During Assembly

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Control Warnings During Assembly

When you assemble form documents, situations may arise where your answers may be altered. These situations include when answers overflow the field, or when field settings are different. HotDocs can warn you in such situations.

To control warnings that display during assembly

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show several options for working with forms.
  3. In the While Filling group, make selections based on the following information:
    • Select Warn when leaving a field that overflows to display the Overflow Options dialog box when an answer needs more space than the field allows.
    • Select Warn when typing in a restricted field to display the Restricted Field dialog box when you type in a field that can't be answered until other fields have valid answers.
    • Select Warn when overriding a field to display the Override Field dialog box when you choose to override a field.
    • Select Warn when attempting to create a field using the Fill tool to display a message explaining how to create a field when viewing the Form Document tab of the assembly window.
Note: You can choose to have no warnings appear by clearing these options. This will not automatically resolve answer overflow or allow you to type answers in inactive fields. It only means no warnings will be displayed during the interview or direct-fill. When you attempt to save or print the document, you must resolve the overflow.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Control Warnings During Assembly


HotDocs Help - Control Which Variables are Asked in a Question Summary

How Do I...?

  • Change the Way Question and Answer Summaries Appear
  • Control Which Variables are Asked in a Question Summary

Control Which Variables are Asked in a Question Summary

Typically question summaries include all questions in a template. However, some questions may not be asked unless certain conditions are met or certain answers are entered. These kinds of questions are called conditional variables. You can limit question summaries so they show only the questions that are applicable, based on certain answers you provide.

An example of a conditional variable might be the section of an employee agreement template that deals with employee benefits. Questions relating to employee benefits are asked only if the employee qualifies for benefits. If you assemble a question summary for an employee who does not meet the conditions, the benefits questions should not appear in the summary.

To control conditional variables in a question summary

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Question and Answer Summaries folder. The window changes to show several summary options.
  3. In the Question Summaries group, select Honor IF instructions when answered.

This setting will take effect when you assemble a document, answer the conditional variables, and then view the question summary.

Note: To once again generate a question summary that shows all the document questions, clear Honor IF instructions when answered.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Question and Answer Summaries > Control Which Variables are Asked in a Question Summary


HotDocs Help - Customize the Appearance of Addenda

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Customize the Appearance of Addenda

You can format the form addendum to fit your project requirements.

To change the addendum's appearance

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Double-click the Properties for New Forms folder, then select the Addendum Properties subfolder. The window changes to show options that control the format of the addendum.
  4. In the Page Margins group, enter margin widths (or click the up or down arrows to select a number). These numbers control the spacing between the answer text and the edges of the field.
  5. In the Header Properties and Footer Properties groups, specify the header or footer text you want to appear in the addendum:
    • At the Header text or Footer text box, type the text you want displayed in the addendum header or footer. (See Use Answer Overflow and Addendum Text Codes.)
    • At the Height box, type a number (or click the up or down arrows to select a number). This number controls the vertical height of the header section.
    • Click Font to display the Font dialog box, where you can change font properties of the header text.
    • At the Alignment drop-down list, select one of the available options: Left, Center, Right, or Justified.
  6. In the Addendum Entries group, make the following changes:
    • To change the font properties of the addendum entries, click Font to display the Font dialog box.
    • To control the distance between the label and the actual answer, enter a number (or click the up or down arrows to select a number) in the Indent box.
    • To control the distance between answers in the addendum, enter a number (or click the up or down arrows to select a number) in the Spacing box.
  7. Select Number lines to format as pleading paper to place lines on the right and left side of the addendum, with numbers along the entire left edge.
Caution: The changes you make are not applied to existing forms. The changes won't take effect until you create a new template.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Customize the Appearance of Addenda


HotDocs Help - Customize the End of Interview Dialog

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Customize the End of Interview Dialog

Options in the End of Interview dialog allow you to work with assembled documents. Such options include sending documents to the word processor, saving them to disk, or closing the assembly window without doing anything. You can choose which of these options appear in the End of Interview dialog.

To choose which options appear in the End of Interview dialog

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Interviews and Dialogs folder. The folder expands to show subfolders.
  3. Click the End of Interview subfolder. The window changes to show which buttons you can choose to have appear in the End of Interview dialog.
  4. In the End of Interview Buttons group, choose which buttons you want on the End of Interview dialog by selecting the corresponding check box.
Caution: Buttons will be included only if they are selected and if they are relevant to the current interview. For example, HotDocs will display the Go to First Unanswered Dialog Go to the first unanswered question in the interview button only if there is at least one unanswered question in the interview.
Note: To customize the list of buttons while viewing the End of Interview dialog, you can right-click anywhere in the dialog and choose Change Options from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Customize the End of Interview Dialog


HotDocs Help - Customize the Look of the Dialog Pane

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Customize the Look of the Dialog Pane

You can change the appearance of the dialog pane. Specifically, you can change background colors and text properties (such as font face, size, and color). You can also change some of the properties of the resource pane as well as the interview outline.

Note: To restore all default properties after you have changed them, at the Appearance window, click Restore Default Fonts and Colors.

To change the appearance of the dialog, resource pane, or interview outline of the assembly window

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Interviews and Dialogs folder. The folder expands to show subfolders.
  3. Click the Appearance subfolder. The window changes to show a visual representation of the dialog pane.
  4. Make any changes, based on the following options:
    • To change the font or font size for text in the dialog, click the Dialog font drop-down button and choose the font from the list and enter a size in the Font size box.
    • To change the font or font size for text in the resource pane, click the Resource font drop-down button and choose the font from the list and enter a size in the Font size box.
    • To change the font or font size for text in the interview outline, click the Outline font drop-down button and choose the font from the list and enter a size in the Font size box. (To see these changes take effect, you must start a new assembly.)
    • To change the color of an item in the assembly window, click the Item color drop-down button and choose the item from the list. Then click the color drop-down button and choose the color.
    • To have HotDocs mark required questions with an asterisk, select Show asterisk for required fields .
Note: In addition to choosing the item whose properties you want to change using the drop-down lists, you can also click on an area in the dialog preview. This automatically selects the item (in the corresponding drop-down list) so you can then change the properties.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Customize the Look of the Dialog Pane


HotDocs Help - Define Field Colors

How Do I...?

  • Define Field Colors
  • Specify How Documents Should Be Marked Up

Define Field Colors

By default, when you insert fields in a HotDocs text template, HotDocs applies certain colors to the fields, depending on the field type. For example, all variable fields will be merged using a specific color, while all REPEAT instructions will be merged using a different color, and so forth.

Depending on the complexity of the template, there may be times when you want to use field coloring to view relationships between SPAN, IF and REPEAT instructions in the template. For example, when working with nested instructions, you may want all first-level instructions to be marked by one color, all second-level instructions to be marked by another color, and so forth. Additionally, you may want to view instructions in the template sequentially, meaning each instruction pair is marked with its own color.

At the Field Colors page, you can assign the colors HotDocs will use for marking fields and instructions in a template.

To customize the field colors in a text template

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Markup View (Word) folder. The folder expands to show subfolders.
  3. Click the Field Colors folder. The window changes to show lists of field types and instructions with their corresponding colors.
  4. Complete any of the following steps:
    • To specify the color for all field types in a template, click that particular field in the Regular column and choose the color you want from the palette.
    • To specify the color for each nested level of instruction, click that particular level in the Nested column and choose the color you want from the palette.
    • To specify the color for each matching pair of instructions, click that field in the Sequential column and choose the color you want from the palette.
  5. Repeat this process for each field type or level of instruction you want to change.

Once you have made these changes, you must click the Apply Colors Apply Colors button within your template to apply the new colors to any existing fields.

Note:
  • HotDocs allows you to assign up to 20 Nested and Sequential colors. If you want to use fewer color schemes, select the Level or Field after the last color you want used and assign black as the text color and white as the highlight color. (So, for example, if you want to show only four levels of nesting, click on Level 5 and assign the black/white color combination.)
  • If using the keyboard, tab to the row you need to access and press the Spacebar to show the foreground color palette. Press Shift+Spacebar to show the background color palette.
  • To restore default colors, click the Color drop-down button and choose Default at the top of the Palette tab.
  • To choose the colors used for form fields, see Change Colors in Form Fields.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Markup > Define Field Colors


HotDocs Help - Determine How Frequently HotDocs Checks for Template Set Updates

Determine How Frequently HotDocs Checks for Template Set Updates

If you are using a published template set and the template publisher provides automatic updates, you can have HotDocs check for these updates each time you start HotDocs. (Please check with your template set publisher to determine if your template set includes automatic updates.)

To check for template set updates

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Template Set Updates folder. The window changes to show update options.
  3. Complete any of the following optional steps:
    To | Do This
    Always check for updates when you start HotDocs | Select Perform scheduled checks for updates when HotDocs is started. (If HotDocs detects an update, it displays a warning icon in the status bar of the HotDocs window.)
    Display a window that shows the progress HotDocs makes in installing the updates | Select Show progress window when checking for updates.
    Choose the template sets for which you want to check for updates | Select the set in the Select the template sets you want to keep up-to-date list.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Template Set Updates > Determine How Frequently HotDocs Checks for Template Set Updates


HotDocs Help - Display Repeated Dialogs Using a Special Icon

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Display Repeated Dialogs Using a Special Icon

When HotDocs starts an assembly, it displays an interview outline as well as a dialog pane. The interview outline contains a list of all the dialogs in a given template. These appear as icons, followed by the name of the dialog. If HotDocs encounters a repeated dialog, it can display an icon that more closely represents a repeated dialog ( Repeated Dialog). When you click this icon, the interview outline expands to show each repeated dialog as entries underneath the dialog title. These entries are numbered to show which repetition you are on.

To display repeated dialogs using a special icon

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Interview Outline group, select Display repeat icons in interview outline.
Note: To have HotDocs show repeated dialogs in the main level of the interview outline, clear Display repeat icons in interview outline.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Display Repeated Dialogs Using a Special Icon


HotDocs Help - Display Resource Buttons Next to Answer Fields

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Display Resource Buttons Next to Answer Fields

In addition to viewing helpful information in the resource pane, you can specify an option that will display a View Resource Pane Resource button next to answer fields in the dialog pane. (Clicking this button causes the resource text to appear in a pop-up dialog.) You can also control when the button appears.

To have HotDocs display a resource button next to an answer field

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, click the Show answer field resource button drop-down button and select an option:
    • For the current field only causes HotDocs to display a resource button next to an answer field only when that field is active (or when you are answering it).
    • For all fields with a resource causes HotDocs to simultaneously display resource buttons for all answer fields in the dialog that contain a resource. The buttons appear regardless of which answer field is active.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Display Resource Buttons Next to Answer Fields


HotDocs Help - Display Warning When Questions are Unanswered

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Display Warning When Questions are Unanswered

As you complete a HotDocs interview, HotDocs keeps track of which questions you have answered. You can have HotDocs display a warning message if you attempt to send the document to the word processor without answering one or more questions. (The warning also appears when you save or print the document.) Leaving questions in an interview unanswered may result in an incorrectly assembled document. Heeding these warnings can help you ensure the accuracy of the document.

To have HotDocs display a warning when variables are unanswered

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Display unanswered warning before saving documents.
Note: If you don't want HotDocs to warn you about unanswered questions, clear Display unanswered warning before saving documents. Unanswered questions will still be reported in the End of Interview dialog, but HotDocs will no longer display warning messages.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Display Warning When Questions are Unanswered


HotDocs Help - Edit Answers for Built-In Personal Information Variables

How Do I...?

  • Edit Answers for Built-In Personal Information Variables

Edit Answers for Built-In Personal Information Variables

Personal Information variables gather basic information, such as your name, company, and phone number. This information is stored in the Current User section of the system registry so it can be used in assembled documents without you having to re-enter it.

When you assemble a document using a template that has Personal Information variables, HotDocs asks for any personal information required by the template that you haven’t already entered. If you want to specify this information before document assembly, however, or if you want to change existing answers, you can do this at the HotDocs Options dialog box.

Because built-in variables are shared between all users of your workstation, you cannot delete the variable. You can, however, remove any personal information that has been entered for it.

To edit answers for Personal Information variables

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Personal Information folder. The right pane changes to show several Personal Information variables.
  3. Select the variable you want to modify and click Edit. The Edit Personal Information dialog box appears.
  4. Enter an answer in the Answer box and click OK. The value is now listed in the Answer column.
Note: To remove an answer for a Personal Information variable, select the variable that contains the answer and click Delete. Click Yes to confirm the deletion.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Personal Information > Edit Answers for Built-In Personal Information Variables


HotDocs Help - Format Unanswered Variables in a Document

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Format Unanswered Variables in a Document

You can specify how an unanswered variable will appear in an assembled text document. (If a variable is left unanswered in a form document, the form field is left empty, regardless of which unanswered variable placeholder you have selected.)

To specify an unanswered variable format

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. At the Unanswered variable placeholder drop-down list, make a selection based on the following information:
    • Select ***Variable*** to insert the name of the variable with three asterisks on both sides of the variable name.
    • Select [Variable] to insert the name of the variable between two brackets.
    • Select Underscores to insert a blank line where the answer should be.
    • Select Asterisks to insert three asterisks.
    • Select Nothing to insert nothing in the unanswered field, not even a space.
Note:
  • Sometimes a template developer may assign a placeholder to be used with a variable. If so, the document may show a placeholder that is different than what you select here.
  • If you are using Microsoft Word (and the template developer has enabled answer editing at the Document Preview tab), you can edit answers while viewing the document. See Edit Answers at the Document Preview Tab.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Format Unanswered Variables in a Document


HotDocs Help - Include List of Completed Assemblies in Assembly Queue

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Include List of Completed Assemblies in Assembly Queue

As you assemble documents during a given session of HotDocs, you can have HotDocs create a list of each document you have assembled in the assembly queue. This list remains active during a particular session of HotDocs. (A session is the time between when you start HotDocs and when you close it.)

To list completed assemblies in the assembly queue

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. In the Assembly Queue group, select List completed assemblies.
Note: If you are assembling large numbers of documents and you don't want HotDocs to track completed assemblies, clear List completed assemblies. Then, once assembly has finished, the assembly is removed from the queue.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Include List of Completed Assemblies in Assembly Queue


HotDocs Help - Install Support for New Word Processors

How Do I...?

  • Change Word Processor File Locations
  • Change Your Default Word Processor
  • Install Support for New Word Processors

Install Support for New Word Processors

Caution: Before installing support for a new word processor, make sure you run the newly installed word processor program at least once. This creates entries for the new word processor in the Windows System Registry that HotDocs needs to properly integrate with the word processor.

When you install a new word processor and you want to use it with HotDocs, you can install support for it through HotDocs Options. If multiple users use the workstation, support for the word processor will be installed for them as well.

To install new word processor support

  1. Install the new word processor and run it at least once.
  2. Start HotDocs. (See Start HotDocs.)
  3. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  4. Click the Word Processors folder. The right pane changes to show a list of word processors which HotDocs supports. (Word processors for which you have already installed support are selected, while word processors that are not installed are disabled.)
  5. Select the word processor for which you want to install support.
  6. Click OK. The HotDocs Options dialog box closes.

Once you close the HotDocs Options dialog box, HotDocs runs the Current User Setup, which copies the required files to the correct program folders. (See Understand HotDocs Installation.)

Note:
  • Click here to see a list of which word processors are supported for this release.
  • To make the newly installed word processor the default word processor, you must manually select it after you install support for it. See Change Your Default Word Processor for details.
  • You may need to restart the word processor to add the correct HotDocs buttons and toolbars to it.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Word Processors > Install Support for New Word Processors


HotDocs Help - Make Assembly Window Toolbars Automatically Wrap

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Make Assembly Window Toolbars Automatically Wrap

The HotDocs assembly window includes several toolbars to help you accomplish the work you need. At times, the width of the assembly window won't allow all of the toolbars to be displayed at once—some of the toolbars scroll off the right edge of the window. You can select an option that allows those toolbars to wrap to a new line of the assembly window so you can view all of them at once.

To auto-wrap assembly window toolbars

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options
  3. Select Auto-arrange toolbars.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Make Assembly Window Toolbars Automatically Wrap


HotDocs Help - Manage Answer Files

How Do I...?

  • Manage Answer Files
  • Manage Assembled Document Files
  • Specify Document Management Settings

Manage Answer Files

To work with answer files, you can either use Answer File Manager, or you can use Windows Explorer. (See Overview: Use Answer Management.) Answer File Manager uses an answer library (.HAL) file to create, store, and select answer files. Windows Explorer allows you to work with answer files using the common File > Open or File > Save dialog boxes.

Which option you choose depends on your preference. For example, Answer File Manager works well if you are the only user and you like the functionality available with a library. However, Windows Explorer makes more sense for managing answer files in a multi-user setting. Windows Explorer also lets you see more clearly where the actual answer files are saved.

To change how HotDocs locates and manages answer files

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Management folder. The window changes to show file management options.
  3. Click the Manage answer files using drop-down button and select an option:
    • HotDocs Answer File Manager uses an answer library to create, store, and select answer files.
      Caution: The first user to open an answer library is the only one who has write access to it. That means only one person can modify items in the library at any given time. If multiple users must access the answer files, use Windows Explorer to manage the files.
    • Windows Explorer uses Windows Explorer to create, save, and select answer files.
    • Document Manager uses a third-party document management program to manage the use of answer files. (To use this option, make sure you specify the ODMA DLL file name and path in the Document manager ODMA DLL location box.)
  4. If you selected Document Manager, choose one of the following options from the Answer file save format drop-down list:
    • Ask Before Saving causes HotDocs to prompt for the file format each time an answer file is saved.
    • HotDocs Answer File (.anx) automatically saves the file in HotDocs 2009-10 format.
    • HotDocs 2005-2008 Answer File (.anx) automatically saves the file in HotDocs 2005-2008 file format. (See Compatibility of HotDocs 10 Files with Earlier Versions of HotDocs.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Management > Manage Answer Files


HotDocs Help - Manage Assembled Document Files

How Do I...?

  • Manage Answer Files
  • Manage Assembled Document Files
  • Specify Document Management Settings

Manage Assembled Document Files

You can use a document management program to control how assembled documents are saved. You can also specify the format HotDocs uses when it saves the document to the document manager.

To manage assembled documents

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Management folder. The window changes to show file management options.
  3. Click the Manage assembled documents using drop-down button and select an option:
    • Windows Explorer uses Windows Explorer to save and access assembled document files.
    • Document Manager uses a third-party document management program to manage assembled document files. (To use this option, make sure you specify the ODMA DLL file name and path in the Document manager ODMA DLL location box.)
  4. If you select Document Manager, you can specify the format of the assembled document by clicking the Save format drop-down button next to the types of documents you are saving and making a selection.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Management > Manage Assembled Document Files


HotDocs Help - Prompt to Save the Assembled Document When Closing the Assembly Window

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Prompt to Save the Assembled Document When Closing the Assembly Window

Whenever you close an assembly window, either before or after you send the assembled document to the word processor, HotDocs can ask if you want to save a copy of the assembled document.

To have HotDocs prompt you to save the assembled document

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Prompt to save document when closing assembly window. HotDocs will prompt you to save a copy of the assembled document whenever you close the assembly window.
  4. Optionally, select Prompt to save documents sent to word processor to have HotDocs prompt you to save a copy of the assembled document when you close the assembly window, even if you have sent the document to the word processor.
Note: Depending on your project needs, you may not need to save electronic versions of your documents. In such cases, you can clear both of these options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Prompt to Save the Assembled Document When Closing the Assembly Window


HotDocs Help - Prompt to Select an Answer File Before Assembly

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Prompt to Select an Answer File Before Assembly

You can have HotDocs prompt you to select an answer file when you assemble a document. When it does, you can choose to use an existing answer file; specify a new, untitled answer file; or use the answer file from your last assembly.

To have HotDocs prompt you for an answer file

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Prompt for answer file when beginning an assembly.
Note: Clear Prompt for answer file when beginning an assembly to have HotDocs bypass this option and start the interview immediately using an untitled answer file. Once the interview has started, you can save the current answer file at any time.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Prompt to Select an Answer File Before Assembly


HotDocs Help - Assign Reference Paths to HotDocs Files

How Do I...?

  • Assign Reference Paths to HotDocs Files
  • Change HotDocs Program File Locations

Assign Reference Paths to HotDocs Files

A HotDocs library will work only if each template listed in the library is located in the exact path specified in the Item Properties dialog box for that template. This makes it difficult to create a library that will work for multiple users who will not store the templates in the same locations. A reference path lets you create a library that will work, regardless of where users store their templates.

A reference path is a folder path for a template in which the drive letter and some or all of the folder names have been replaced with a caret (^) and a keyword. The keyword is associated with an actual folder path in the user's HotDocs settings. When HotDocs needs to open a template, it replaces the caret and keyword in the folder path for the template with the folder path that is associated with the keyword in the user's HotDocs Options.

Some common uses of reference paths are:

  • With distributed template sets which allow users to choose where they install the templates (even if they can only choose the drive to which the templates are installed).
  • With templates located on a network drive that is mapped to a different letter for some of the users.

In order for your library to work for users regardless of where they store the templates, you need to enter a reference path for all templates and clause libraries in the library. You should use the same keyword for all the items in the library.

If you know the library items won't all be stored in the same subfolders, use the keyword only in place of the part of the path that is identical for all items. For example, if some of the templates will be stored in a General subfolder and others will be stored in a Family Law subfolder, you would use the reference path ^keyword\General\template.ext for those templates in the General subfolder and ^keyword\Family Law\template.ext for those templates in the Family Law subfolder (where keyword is a placeholder for the keyword you use and template.ext is a placeholder for the file name and extension of the template).

To associate a keyword with a path and assign the reference path

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Locations folder. The window changes to show a listing of the different HotDocs file paths.
  3. In the Reference Paths section, click Add. The Add/Edit Reference Path dialog box appears.
  4. Type a keyword for the reference path in the Keyword box.
  5. Click the Browse Browse button next to the Path box, and specify the path to the subfolder you want to use.
  6. Click OK.

    Once you have designated the keywords and paths that HotDocs needs to know about your files, you can assign reference paths to the templates. (These templates must be saved to the subfolder you specified in Step 5, above.)

  7. At the HotDocs library window, select the template for which you want to specify a reference path and click the Properties Properties button. The Item Properties dialog box appears.
  8. If the File name box contains a folder path as well as a file name, delete the part of the path that is the same for all items in the library.
  9. Place your cursor before the first letter in the File name box and type caret (^), the keyword, and a backslash (\).
  10. Click OK.
Note: For instructions on assigning reference paths to multiple library items, see Change the Properties for Multiple Items in a Library.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Locations > Assign Reference Paths to HotDocs Files


HotDocs Help - Save Printer Information for Printing Forms

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Save Printer Information for Printing Forms

Forms may need to be printed using a specific printer. You can have HotDocs remember which printer you use to print form documents, saving you the task of manually selecting the printer each time, especially when the printer you use for forms is different than your default printer.

To save information about the printer you use to print forms

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show several options for working with forms.
  3. From the Printing group, select Remember the printer used for forms.
  4. Print a form document, selecting the printer you want to associate with forms.
Note: You can have HotDocs not remember printer information by clearing this option. This means HotDocs will suggest the default printer you have selected for all printing.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Save Printer Information for Printing Forms


HotDocs Help - Select Existing Answers When Tabbing Between Answer Fields

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Select Existing Answers When Tabbing Between Answer Fields

During an interview, you can have HotDocs automatically highlight existing text in an answer field when you tab to it. When you do this, you can immediately type a new answer without having to select the text first. If you need to edit part of an answer, rather than replace it entirely, you can clear this option.

To control text selection during the interview

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, select Select existing answers when tabbing between fields to have existing text highlighted when you tab to a field.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Select Existing Answers When Tabbing Between Answer Fields


HotDocs Help - Send Assembled PDF Documents to Adobe

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Send Assembled PDF Documents to Adobe

You can select an option that allows you send an assembled PDF-based document to Adobe Acrobat. When this option is selected, you can click the Send Document Send Document to Adobe Acrobat button and HotDocs will send the form document to Acrobat rather than HotDocs Filler. (If you want to view the assembled form document in Filler, you can still choose this option, too.)

To send assembled PDF-based documents to Adobe

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show options for working with forms.
  3. Click Send assembled PDF-based forms to drop-down button and choose Adobe Acrobat.
Note: To always send PDF-based forms to HotDocs Filler, click Send assembled PDF-based forms to and choose HotDocs Filler.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Send Assembled PDF Documents to Adobe


HotDocs Help - Set Rules for Handling Answer Overflow

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Set Rules for Handling Answer Overflow

An answer overflows when it takes more space than is available in the answer field of a form document. This often requires that some or all of the answer be sent to the addendum. You can set rules that automatically control what happens when answers overflow.

To control what happens when answers overflow

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Open the Properties for New Fields folder, then select the Overflow Properties subfolder. The window changes to show options that control answer overflow.
  4. Make selections for handling edit field overflow, based on the following options:
    • Select Shrink answer as needed to and then enter the point size in the points box. HotDocs will attempt to reduce the answer to this font size before warning of overflow.
    • Select Send answer to addendum to have HotDocs automatically resolve all overflow by sending answers to the addendum.
    • Select Split multi-line answer between form field and addendum to have HotDocs send only the part of the answer that overflows in a multi-line field to the addendum.
  5. Make selections for handling table overflow, based on the following options:
    • Select Send entire table to send all answers in the table to the addendum.
    • Select Send complete rows to send answers from each row that contains a cell which overflows to the addendum.
    • Select Send individual cells to send answers from individual cells that overflow to the addendum.
Caution: The changes you make are not applied to existing fields. The changes won't take effect until you create a new field.
Note:
  • You can customize the reference that appears in the overflowed answer field. This can help you determine where the answer is located in the addendum. (See Specify Addendum References and Labels for Answer Overflow.)
  • You can remove the rules that automatically handle answer overflow by clearing these options. This will require you to manually resolve each instance of answer overflow.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Set Rules for Handling Answer Overflow


HotDocs Help - Set Properties for New Check-Box Fields

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Set Properties for New Check-Box Fields

When you create a field in a form document, HotDocs checks the size to see if it should be a check-box field. You can adjust the measurement that is used to distinguish check-box fields from edit fields. If a new field is identified as an edit field, HotDocs assigns standard formatting to the field that controls how answers appear in the field. You can also assign other default properties of a check-box field, such as assign the character that will be used when a field is selected, as well as set the alignment and margins of a field.

To set the properties for all new check-box fields

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Click the Properties for New Fields folder. The window changes to show field detection options that affect what kind of fields are created.
  4. Make changes in the Check-Box Fields group, based on information in the following table:
    To | Do This
    Set font properties for text in check-box fields | Click the Font button, then make changes at the Font dialog box.
    Sets the minimum size for edit fields so that all fields created smaller than this size will be created as check-box fields.

    Enter a number in the Check-box detection threshold box.

    Note: If you specify 0.00 as the value of this box, no new fields will be created as check-box fields.
    Specify the character that will be inserted in a check box | Enter the character in the Character box.
    Specify the smallest size that will be used for the check-box character | Enter a font size in the Minimum size box.
    Set the horizontal alignment for text in check-box fields | At the Horizontal alignment drop-down list, select Left, Right, Center, or Justified.
    Set the verticalalignment for text in check-box fields | At the Vertical alignment drop-down list, select Left, Right, Center, or Justified.
    Change the distance between the check-box character and the edges of the field | At the Margins group, type a number (or click the up or down arrows to select a number) for the left, right, top, and bottom margins.
Caution: The changes you make are not applied to existing fields. The changes won't take effect until you create a new field. To change the appearance of existing check-box fields, right-click on a field in the form and select Properties from the shortcut menu.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Set Properties for New Check-Box Fields


HotDocs Help - Set Properties for New Edit Fields

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Set Properties for New Edit Fields

You can specify the default properties that will be used each time you create an edit field in a HotDocs form. You can control font sizes, text alignment and spacing, and field margins.

To set the properties for all new edit fields

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Open the Properties for New Fields folder. The window changes to show options that control how edit fields appear.
  4. Make changes in the Edit Fields group, based on information in the following table:
    To | Do This
    Set font properties for text in edit fields | Click Font and make your changes at the Font dialog box.
    Set the horizontal alignment for text in edit fields | At the Horizontal alignment drop-down list, select Left, Right, Center, or Justified.
    Set the vertical alignment for text in edit fields

    At the Vertical alignment drop-down list, select Left, Right, Center, or Justified.

    Note: Vertical alignment is only apparent in multiple-line fields.
    Align the text in multi-line fields with the top border of the field | Select Set to Top for multi-line fields.
    Change the distance between lines of text in a multiple-line field | At the Lines per inch box, type a number (or click the up or down arrows to select a number).
    Keep the user from manually entering multiple lines of text in a single-line answer field | Select Max lines 1 for single-line fields.
    Changes the distance between the text and the edges of the field | At the Margins group, type a number (or click the up or down arrows to select a number) for the left, right, top, and bottom margins.
Caution: The changes you make are not applied to existing fields. The changes won't take effect until you create a new field. To change the appearance of existing edit fields, right-click on a field in the form and select Field Properties from the shortcut menu.
Note: Some changes you make to these edit field properties may not affect specific fields because of settings assigned to these fields. For example, if the Max Lines setting for a field is set to 1, the Lines per inch property will have no effect—this property only affects multiple lines of text, but the Max lines setting limits the field to one line of text.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Set Properties for New Edit Fields


HotDocs Help - Set Paper Size and Paper Source Defaults for Printing Forms

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Set Paper Size and Paper Source Defaults for Printing Forms

You can specify the paper size and paper source to be used when forms are printed.

To set paper size and paper source properties for a form

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Click the Properties for New Forms folder. The window changes to show options that control the properties of newly created forms.
  4. At the Sides drop-down list, select one of the available options:
    • Choose Single-sided to print the form on one side of the paper.
    • Choose Double-sided, side-to-side to print the form on both sides of the paper, so consecutive pages read like a book.
    • Choose Double-sided, top-to-bottom to print the form on both sides of the paper, so consecutive pages read like a flip-chart.
  5. At the Paper Size drop-down list, select one of the available options.
  6. At the Paper Source drop-down list, select one of the available options.
Caution: The changes you make are not applied to existing templates. The changes won't take effect until you create a new template.
Note: You can use command-line options to specify these printing properties. See the Paper Tray and Paper Size command-line options.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Set Paper Size and Paper Source Defaults for Printing Forms


HotDocs Help - Set Properties for Viewing Answers and Editable Text in the Assembled Document

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Set Properties for Viewing Answers and Editable Text in the Assembled Document

If you are using Microsoft Word, you can view answers and assembled document text that can be edited while viewing the Document Preview tab. (See Edit Answers at the Document Preview Tab for details.) When doing this, you can control whether the answers and text are marked by a special color, which you can also define.

Caution: Some template developers choose to disable these features in their templates. If the options for editing answers and text are not available at the assembly window, this is why.

To always highlight answers and editable text in a document

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Highlight fields at Document Preview tab. This will mark answers in the document with the color you define at the Color drop-down. It will also mark editable document text as well as edited document text.
  4. Optionally, to change the color for answer fields or sections of editable text, click the Document field drop-down button, and choose the appropriate option. Then click the Color drop-down button and choose a color.
Note: To restore the default colors, choose the field type and then click the Color drop-down button. Choose Default from the top of the Palette tab.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Set Properties for Viewing Answers and Editable Text in the Assembled Document


HotDocs Help - Specify Addendum References and Labels for Answer Overflow

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Specify Addendum References and Labels for Answer Overflow

In a form document, when an answer overflows its answer field, the entire answer can be sent to an addendum. When this happens, HotDocs inserts text into the answer field, cross referencing you to the addendum for the full answer. You can specify what text is used in creating the cross reference as well as specify the text that identifies the answer once it has been sent to the addendum.

To control what information appears in overflow references and in the addendum

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Open the Properties for New Fields folder, then select the Overflow Properties subfolder. The window changes to show options that control answer overflow.
  4. In the Cross-reference text box, enter the cross-reference text you want to merge in the field if the answer overflows. (See Use Answer Overflow and Addendum Text Codes.)
  5. In the Addendum label text box, enter the text you want to appear as the label for the entry in the addendum.
  6. At the Table answer column indent box, enter a number (or click the up or down arrows to select a number) to control the distance between the label for that specific entry in the list of answers and the actual answer.
Caution: The changes you make are not applied to existing fields. The changes won't take effect until you create a new field.
Note: If you leave the Cross-reference text box empty, HotDocs uses a default reference, See # in Addendum.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Specify Addendum References and Labels for Answer Overflow


HotDocs Help - Specify How HotDocs Should Process the Date Order

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Specify How HotDocs Should Process the Date Order

When you type an answer for a Date variable, the first thing HotDocs does to process the information is to separate what you type into the different parts of a date, for example, the month, the day of the month, and the year. Once it has determined this, it formats the date and then merges the answer into the assembled document. Often, if the user spells out the month when typing a date (for example, May 6, 2006), HotDocs can easily distinguish between the different parts. However, if a user enters an all-digit value, such as 05/06/2006, HotDocs could process the date one of two ways—either as May 6, 2006 or as 5 June 2006.

You can specify an option that tells HotDocs the order in which you want months and days of months to be processed—either as Month Day Year, or as Day Month Year.

To specify a date order format for Date variables

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. At the Answer Entry group, click the Date Detection drop-down list and select a format:
    • Choose Month Day Year to have HotDocs assume the first set of numbers in an answer is the month while the second set is the day of the month.
    • Choose Day Month Year to have HotDocs assume the first set of numbers in an answer is the day of the month while the second set represents the month.
Note:
  • For HotDocs users in the United States, the default option is Month Day Year. For HotDocs users outside the U.S., the default option is Day Month Year.
  • To specify the format for the answer when it is merged into the assembled document, see Specify a Default Date Format.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Specify How HotDocs Should Process the Date Order


HotDocs Help - Specify a Default Date Format

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Specify a Default Date Format

You can specify a default format for dates that are merged in assembled documents. This default format is used if no format has been assigned by the template provider. It controls how dates are merged into the assembled document—not how dates are formatted for display during the interview. (See Change the Way Dates Appear in Answer Fields.)

To specify a default date format

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Type a date format in the Default date format box. (Use one of the following example formats: June 3, 1990; 3 June 1990; 03 JUN 90; 06/03/90; or 3rd day of June, 1990.)

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Specify a Default Date Format


HotDocs Help - Specify Document Management Settings

How Do I...?

  • Manage Answer Files
  • Manage Assembled Document Files
  • Specify Document Management Settings

Specify Document Management Settings

You can use a third-party document management program to manage documents and answer files you create using HotDocs.

When creating these third-party integrations, you must define several settings that indicate how HotDocs should "communicate" with the document manager. This includes providing application IDs for each of the applications used by HotDocs as well as providing file formats for the different files generated by a HotDocs assembly.

By default, HotDocs suggests values for each of these settings; however, you can change these values to match those values defined by the document manager.

To define advanced ODMA settings

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the File Management folder. The window changes to show file management options.
  3. Choose one or both of the following options:
    • Click the Manage answer files using drop-down button and select Document Manager.
    • Click the Manage assembled documents using drop-down button and select Document Manager.
  4. Click the Advanced ODMA Settings folder in the list on the left. The view changes to show advanced ODMA settings.
  5. In the Application IDs group, accept the default suggestions, or change the different IDs to match those defined by your document manager.
  6. In the Format Names group, accept the default file name suggestions, or change the file name extensions to match those defined by your document manager.
Caution:ODMA integrations do not support the use of foreign characters (for example, international characters that are not represented in your computer system's default language). If you use foreign characters in the advanced ODMA settings, or when profiling a document in the DMS, the ODMA integration will not work correctly.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > File Management > Specify Document Management Settings


HotDocs Help - Specify How Documents Should Be Marked Up

How Do I...?

  • Define Field Colors
  • Specify How Documents Should Be Marked Up

Specify How Documents Should Be Marked Up

Note: This feature is available to Word users only.

To specify how documents should be marked up

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Markup View (Word) folder. The window changes to show several markup options.
  3. Complete any of the tasks, described in the following table:
    To | Do This
    Choose the character or characters that should be used to mark fields in the template

    Enter the opening and closing characters in the boxes next to the field type:

    • Answers field = variable fields
    • Insertion field = INSERT instructions
    • Editable text = SPAN / END SPAN instructions
    • Conditional text = IF/ END IF instructions
    • Alternative text = ELSE IF / ELSE instructions
    • Repeated text = REPEAT / END REPEAT instructions
    Mark variable answer fields with any comments entered for the variable | Select Use developer comments to label answer fields. If comments have been entered for a variable field, they will be merged in the markup field.

    Use a Multiple Choice variable's merge text options as the label for its field

             Select Use option text to label multiple choice answer fields.
    Mark text blocks (such as IF, REPEAT, and SPAN instructions) using developer comments entered for the instruction

    Select Use developer comments to label beginning of text blocks.

    To merge the same comment in the closing markup field, select and end of text blocks.

    Include both opening and closing markers when merging a field label (which includes developer comments)

    By default, when HotDocs marks text blocks, an opening field marker is merged before the opening instruction and the closing marker is merged after the closing instruction.

    Select Enclose text block labels in markers.

    Selecting this option causes HotDocs to use the closing marker after the opening label. The closing marker will also be used at the end of the text block.

    In the following example, [* is the opening marker for conditional text while *] is the closing marker. The following is what will be merged in the marked up document:

    [*Insert paragraph if employee must complete a trial period*]
The length of [Employee Name]'s employment will be an initial term of six months.*]
    Include text block instructions in either a footnote or endnote

    Select Add Footnote/Endnote at beginning of text blocks. Then select whether the annotation will be marked using Letters or Numbers.

    To annotate the closing field label, select and end of text blocks.

    Apply font attributes, such as bold and italics, to a markup field

    Select Bold or Italic.

    Caution:Merge fields in the document are italicized by default. If you've used international characters in your answers, the italicized version of the font used in the document may not display the foreign characters correctly. If this is the case, clear the Italic attribute.
    Define the color scheme used for marking the different fields in the template | Select Color and click the Color drop-down button. Then choose the color scheme. (See Define Field Colors for details.)

    Include editable text markers when showing a template in Markup View

             Select Mark editable text blocks.
    Caution:Editable text blocks are not visible when viewing the markup of an assembled document.
    Show only basic markup when previewing the template at the HotDocs library

    Select Use minimal markup at the HotDocs library Preview tab.

    When this option is selected, HotDocs will simply mark fields using field markers. If comments have been assigned to variable fields, those comments will be merged. (They will not be merged for instruction fields, however.)

    To assign font formatting and color to markup fields at the Preview tab, select Apply attributes to answer fields when minimal markup is used .

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Markup > Specify How Documents Should Be Marked Up


HotDocs Help - Specify How PDF-based Forms Should Be Printed

How Do I...?

  • Change Colors in HotDocs Forms
  • Change the Units of Measurement for Forms
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Customize the Appearance of Addenda
  • Save Printer Information for Printing Forms
  • Send Assembled PDF Documents to Adobe
  • Set Paper Size and Paper Source Defaults for Printing Forms
  • Set Properties for New Check-Box Fields
  • Set Properties for New Edit Fields
  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow
  • Specify How PDF-based Forms Should Be Printed

Specify How PDF-based Forms Should Be Printed

When you print an assembled PDF-based form document, you can choose the program that controls the printing process—either HotDocs or Adobe Acrobat.

To specify how PDF-based form documents should always be printed

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several sub-folders, and the right pane changes to show several options for working with forms.
  3. At the Print PDF-based forms using drop-down list, do one of the following:
    • Select Always Ask to have HotDocs prompt you for your choice each time you print a PDF form.
    • Select HotDocs to always print the assembled document using HotDocs' printing technology.
    • Select Adobe Acrobat to always print the document using Adobe's printing technology.
Note: Click here for tips on which printing option you should choose.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Form Documents > Specify How PDF-based Forms Should Be Printed


HotDocs Help - Warn When Adding Assemblies to Assembly Queue

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Warn When Adding Assemblies to Assembly Queue

HotDocs will only allow you to assemble one document at a time. If you are currently assembling a document and you attempt to assemble another one, HotDocs will add it to the assembly queue and it won't be assembled until the current assembly is complete. If there are multiple assemblies in the queue, HotDocs will assemble them in the order they are added. (See Use the Assembly Queue.) You can have HotDocs warn you when you attempt to assemble a document and one is already being assembled.

To have HotDocs warn you when you add an assembly to the queue

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. In the Assembly Queue group, select Prompt before adding an assembly to the queue.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Warn When Adding Assemblies to Assembly Queue


HotDocs Help - Display Warning When Trying to Add a New Repetition

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Display Warning When Trying to Add a New Repetition

When answering repeated dialogs, you click the Add Another Add Another button to add a new, empty repetition to the series of dialogs. However, if you are already in a new, empty dialog, clicking this button has no effect. You can have HotDocs display a warning the reminds you that you must first answer at least one question in the current dialog before you can add a new repetition.

To display a warning when trying to add a new repetition to a dialog

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. Select Display warning when clicking Add Another button at empty dialog.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Display Warning When Trying to Add a New Repetition


HotDocs Help - Warn When HotDocs Reformats Date and Number Answers

How Do I...?

  • Change the Way Dates Appear in Answer Fields
  • Control How Child Dialogs Appear in the Interview Outline
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Control the Functionality of the Enter Key During the Interview
  • Control the Tab Order of Buttons on the Navigation Bar
  • Control What Happens When You Finish an Interview
  • Customize the End of Interview Dialog
  • Customize the Look of the Dialog Pane
  • Display Repeated Dialogs Using a Special Icon
  • Display Resource Buttons Next to Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Select Existing Answers When Tabbing Between Answer Fields
  • Specify How HotDocs Should Process the Date Order
  • Warn When HotDocs Reformats Date and Number Answers

Warn When HotDocs Reformats Date and Number Answers

When you type an answer in an answer field, HotDocs sometimes reads the answer and reformats it to appear a certain way. For example, if you type February 6, 2006 in a date field, HotDocs will reformat the answer to appear as 6 Feb 2006. Sometimes this reformatting can reveal an incorrectly interpreted answer, especially if the answer you typed is ambiguous. For example, the date 05/06/2006 may either be interpreted as June 5, 2006 or as May 6, 2006.

Depending on where the reformatted answer appears in the dialog, you may not even be aware that it has been reformatted. For example, when you enter an answer in one of the first answer fields in a dialog and then move to the next field, you will most likely see that your answer has been reformatted. However, if you enter an answer in the last answer field and click Next to advance to the next dialog, you may not see that the answer has been reformatted.

You can specify an option that forces HotDocs to alert you that an answer has changed before HotDocs advances to the next dialog.

To have HotDocs tell you it has reformatted an answer before advancing to the next dialog

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. Click the When answers are reformatted drop-down button and select one of the following options:
    • Choose Leave dialog anyway to have HotDocs immediately advance to the next dialog in the interview without showing you the reformatted answer.
    • Choose Pause before leaving dialog to cause HotDocs to reformat the variable and re-display it for one second before advancing to the next dialog.
    • Choose Don't leave dialog to cause HotDocs to reformat the variable and stay at the current dialog until you click Next again.
Note: This answer reformatting affects only how answers are displayed in the dialog pane. Answers in the assembled document are formatted as the developer specifies or according to the Default date format property.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Interviews and Dialogs > Warn When HotDocs Reformats Date and Number Answers


HotDocs Help - Warn When Printing Assembled Text Documents

How Do I...?

  • Display Warning When Questions are Unanswered
  • Format Unanswered Variables in a Document
  • Include List of Completed Assemblies in Assembly Queue
  • Make Assembly Window Toolbars Automatically Wrap
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Prompt to Select an Answer File Before Assembly
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Specify a Default Date Format
  • Warn When Adding Assemblies to Assembly Queue
  • Warn When Printing Assembled Text Documents

Warn When Printing Assembled Text Documents

When you print an assembled text document from the assembly window, HotDocs opens the document in the word processor, prints it using the default printing options, and then closes the word processor without ever displaying a Print dialog box.

Frequently, you may need to change the default printing options, which you can only do by sending the assembled document to the word processor and then by printing from the word processor's File menu. To help you remember this sequence of steps, you can have HotDocs warn you when it's about to print a document without displaying the Print dialog box. If you choose, you can stop the print job.

To display the Print warning

  1. At the HotDocs library, click the HotDocs Options Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. From the Assembly Window group, select Prompt before printing assembled document via word processor.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > All About... > Setting HotDocs Options > Document Assembly > Warn When Printing Assembled Text Documents


HotDocs Help - order

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

order

The process of designating the sequence in which form template fields are asked in the tab order. Establishing this order in a form is important for users who directly fill the form document.

Home > HotDocs Glossary of Terms > order


HotDocs Help - outline

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

outline

See interview outline.

Home > HotDocs Glossary of Terms > outline


HotDocs Help - overflow

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

overflow

Answers in a form document that do not fit in the allotted field space. Overflowing answers are usually sent to the addendum.

Home > HotDocs Glossary of Terms > overflow


HotDocs Help - overlay

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

overlay

The process of using the Overlay Answers command to merge existing answers into the current answer file. When answers are overlaid, the answers become a part of the current answer file. They also overwrite any existing answers in the interview.

Home > HotDocs Glossary of Terms > overlay


HotDocs Help - Overwriting Installed Templates Dialog Box

Overwriting Installed Templates Dialog Box

Note:To access this dialog box: At the HotDocs library, click Install Templates.

When you install a newer version of a template set and HotDocs detects any templates that already exist in the folder to which you are installing, it lets you control which existing files, if any, are overwritten with files from the new auto-install file.

Options Available

Overwrite and Continue: Overwrites the selected file with the new one and continues the installation. If it detects any other duplicate files, it stops and prompts you for instructions.

Overwrite All: Overwrites all existing duplicate files with the copies of the new files.

Cancel Installation: Cancels the installation process.

Home > Overwriting Installed Templates Dialog Box


HotDocs Help - paragraph mark

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

paragraph mark

A code in a Word document that indicates that text following the mark should appear in a new paragraph. (See also line break.)

Home > HotDocs Glossary of Terms > paragraph mark


HotDocs Help - parent dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

parent dialog

A dialog that contains a child dialog.

Home > HotDocs Glossary of Terms > parent dialog


HotDocs Help - pattern

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

pattern

Determines how a Text variable will be displayed and formatted in the interview and in the assembled document. By default, HotDocs includes three patterns in all new templates (Social Security number, telephone number, and time of day), but template developers can create custom patterns.

Home > HotDocs Glossary of Terms > pattern


HotDocs Help - PDF417

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

PDF417

The two-dimensional bar code format used in HotDocs Filler.

Home > HotDocs Glossary of Terms > PDF417


HotDocs Help - .PDF

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.PDF

File name extension that designates that the file is a Portable Document Format file, a format created and supported by Adobe. PDFs are a useful way of distributing documents in a format most users can view—as long as they have Adobe Acrobat, Adobe Reader, or HotDocs Filler installed. With HotDocs, template developers can also create PDF-based form templates. They can also create PDFs from assembled documents.

Home > HotDocs Glossary of Terms > .PDF


HotDocs Help - Personal Information variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Personal Information variable

A type of component that stores basic information about a user, such as a name, a company name, and a phone number. This information is saved in the Current User key of the Windows System Registry. Once answered, users won't be prompted to enter it again.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > Personal Information variable


HotDocs Help - placeholder

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

placeholder

A marker in an instruction or expression model that indicates where a value must be substituted. This value must be a literal value or a variable. Instruction and expression models help the developer use the correct syntax in a script.

Home > HotDocs Glossary of Terms > placeholder


HotDocs Help - pointed component file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

pointed component file

When sharing components across multiple templates, represents the template's own component file, which, in turn, points to the shared component file.

Home > HotDocs Glossary of Terms > pointed component file


HotDocs Help - pop-up interview

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

pop-up interview

A dialog a user can display during an interview. Usually a pop-up interview shows a different view of the dialog. For example, if a user is entering answers in a spreadsheet, he or she can click the Edit Row Edit Row button and a pop-up interview appears that shows just the questions (and answers) from that particular row in the spreadsheet.

Home > HotDocs Glossary of Terms > pop-up interview


HotDocs Help - Print PDF-Based Documents Dialog Box

Print PDF-Based Documents Dialog Box

Note:To access this dialog box: Assemble a PDF template. > Click the Form Document tab. > Click the Name Print button.

When you print a PDF-based form document, HotDocs asks which application you want to use to print the document—HotDocs or Adobe Acrobat. The following provides some guidelines for choosing an option:

When using HotDocs to print the document:

  • You cannot print a PDF-based form using a PostScript printer driver.
  • You should print within the 300 DPI (dots per inch) to 600 DPI range, as printing at higher resolutions may be problematic.
  • For the most reliable results, use a PCL-based printer with at least 8 MB RAM. Other types of printers may or may not print as expected.
  • You can print the document with or without the answers merged. (You cannot do this using Adobe Acrobat.)
  • Printing time takes longer than printing with Adobe Acrobat. (Printing at a lower resolution may decrease the amount of time it takes to print.)

When using Adobe Acrobat to print the document:

  • You can print a PDF-based form using a PostScript printer driver. (PostScript printer drivers are always recommended. Non-PostScript printer drivers may print the page off-center by 1/8 inch to 1/4 inch.)
  • Documents will print with both form fields and answers—you have no option of printing one or the other.
  • Printing time is faster than with the HotDocs print function.
  • Both printer options give you options for scaling the content to fit in the printable area.

Home > Print PDF-Based Documents Dialog Box


HotDocs Help - processing stack

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

processing stack

A sequential list of templates and components HotDocs is processing at any given time. Each time a new component is processed, it is added to the stack. (Once processing is finished, it is removed.) In some instances where recursion is used in a script, the same component is repeatedly added to the list. If the number of components exceeds the stack limit, an infinite loop error will occur. (The stack limit can be changed at the Component File Properties dialog box.)

Home > HotDocs Glossary of Terms > processing stack


HotDocs Help - prompt

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

prompt

Text that can be assigned to a variable to help the user better understand how to answer the question.

Home > HotDocs Glossary of Terms > prompt


HotDocs Help - punctuate

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

punctuate

The process of formatting a REPEAT instruction so that a list of answers will appear in sentence format, like this: The client owns real estate in New York, Pennsylvania, and Montana. (New York, Pennsylvania, and Montana are the list items. The punctuation adds the commas and the conjunction and).

Home > HotDocs Glossary of Terms > punctuate


HotDocs Help - Question Summary

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Question Summary

A brief report HotDocs generates that lists questions asked during an interview. The summary includes blank lines for handwritten answers. (See also Answer Summary.)

Home > HotDocs Glossary of Terms > Question Summary


HotDocs Help - queue

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

queue

See Assembly Queue.

Home > HotDocs Glossary of Terms > queue


HotDocs Help - reference

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

reference

In a form document, the text that is added to the addendum to identify any overflow answers. (See also label.)

Home > HotDocs Glossary of Terms > reference


HotDocs Help - reference path

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

reference path

A folder path for a template in which the drive letter and some or all of the folder names are represented by a keyword. At runtime, this keyword is mapped to an actual path on the user's computer so that when the user accesses the template, the keyword is replaced by the path. This allows templates saved in one central location to work on multiple workstations regardless of how the drives on the workstation are mapped.

Home > HotDocs Glossary of Terms > reference path


HotDocs Help - repeated dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

repeated dialog

A dialog that contains the variables that need to be repeated so that multiple answers can be entered. (See REPEAT instruction.)

Home > HotDocs Glossary of Terms > repeated dialog


HotDocs Help - repeated series dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

repeated series dialog

One of two representations of a dialog that is repeated. With a repeated series, the dialog is asked repeatedly until all answers in the list have been entered. (See also spreadsheet dialog.)

Home > HotDocs Glossary of Terms > repeated series dialog


HotDocs Help - REPEAT instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

REPEAT instruction

An instruction that repeatedly asks the same variable(s) so that two or more answers can be entered. REPEAT instructions are used to create lists of answers in the document.

Home > HotDocs Glossary of Terms > REPEAT instruction


HotDocs Help - resource

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

resource

Supplemental help that can be included with a variable or dialog to help users better understand how to answer the questions they are viewing. Resources appear in the resource pane of the assembly window.

Home > HotDocs Glossary of Terms > resource


HotDocs Help - .RTF

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.RTF

File name extension that designates that the template file is a Word RTF file. (See text template.)

Home > HotDocs Glossary of Terms > .RTF


HotDocs Help - script

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

script

One or more instructions and/or expressions that generate a value or execute some kind of procedure.

Home > HotDocs Glossary of Terms > script


HotDocs Help - script editor

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

script editor

The tool used to write a script. The script editor includes several options to make the script-writing process easier, including color-coding, auto-complete lists, and a toolbar for completing other tasks.

Home > HotDocs Glossary of Terms > script editor


HotDocs Help - selection grouping

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

selection grouping

A dialog property assigned to True/False variables, clauses, and child dialogs which presents these options as check boxes (multiple-select) or option buttons (single-select).

Home > HotDocs Glossary of Terms > selection grouping


HotDocs Help - Send to Word Processor command

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Send to Word Processor command

A command that opens the word processor and copies the assembled document into it. Once opened in the word processor, the user can make any changes necessary to the document.

Copyright © 2012 HotDocs Ltd. All rights reserved

Home > HotDocs Glossary of Terms > Send to Word Processor command


HotDocs Help - SET instruction

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

SET instruction

An instruction in a template or script that assigns a value to a variable. Variables that have their values set should not be asked again in the interview.

Home > HotDocs Glossary of Terms > SET instruction


HotDocs Help - shared component file

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

shared component file

A common component file to which several related templates are linked. To use a shared component file, the template's own component file must be pointed to the shared file. Changes to components in the file are reflected in all templates that use it. (See also pointed component file.)

Home > HotDocs Glossary of Terms > shared component file


HotDocs Help - sort

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

sort

The process of alphabetizing answers in a repeated list or items in a library. Sorting can be done in ascending or descending order.

Home > HotDocs Glossary of Terms > sort


HotDocs Help - spreadsheet dialog

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

spreadsheet dialog

One representation of a repeated dialog. Each row in a spreadsheet represents one repetition in a dialog. (See also repeated series dialog.)

Home > HotDocs Glossary of Terms > spreadsheet dialog


HotDocs Help - static text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

static text

The underlying text in a form template or document that does not change. To enter answers on a form, form fields must be created and overlaid on the static text.

Home > HotDocs Glossary of Terms > static text


HotDocs Help - strike-through field

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

strike-through field

A type of form template field that is used for crossing out static text on the form.

Home > HotDocs Glossary of Terms > strike-through field


HotDocs Help - summary

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

summary

See Question Summary and Answer Summary.

Home > HotDocs Glossary of Terms > summary


HotDocs Help - supplemental component

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

supplemental component

A term used to define components such as patterns, example formats, dialog elements, and merge text. Supplemental components are associated with regular components, but they can be created and edited as standalone components.

Home > HotDocs Glossary of Terms > supplemental component


HotDocs Help - syntax

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

syntax

The language used in writing scripts. For a script to work properly, the script must be written in a way that HotDocs can understand. This language consists of instructions, expressions, operators, and values (such as text, numbers, dates, or answers users enter).

Home > HotDocs Glossary of Terms > syntax


HotDocs Help - template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

template

A word processor or form document that has been converted to HotDocs format so that it can be automated. When in template format, changeable text in the template can be replaced with variables. Other instructions can be added as well, such as instructions that create lists, condition text, and insert other templates.

Home > HotDocs Glossary of Terms > template


HotDocs Help - template developer

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

template developer

The person responsible for automating the templates in the set. The template developer creates and inserts the variables in the template, arranges variables in dialogs, and performs other custom tasks in the template. (See also user.)

Home > HotDocs Glossary of Terms > template developer


HotDocs Help - template development

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

template development

See automate, automation.

Home > HotDocs Glossary of Terms > template development


HotDocs Help - test

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

test

The process of testing a variable or other component to make sure it looks right and works correctly.

Home > HotDocs Glossary of Terms > test


HotDocs Help - test assemble

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

test assemble

The process of assembling a document for the purpose of ensuring the interview works correctly and the automation within the template produces a correctly assembled document. During a test assembly, developers can easily edit components and have the test assembly window updated with changes.

Home > HotDocs Glossary of Terms > test assemble


HotDocs Help - text document

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

text document

A document that is viewed in either Word or WordPerfect. It can represent a document before it is automated as well as a document after it has been assembled. When in document format, it is not associated with (or linked to) HotDocs in any way. (See also text template.)

Home > HotDocs Glossary of Terms > text document


HotDocs Help - text template

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

text template

A template that is created and automated in Microsoft Word or WordPerfect. It is distinguished from a form template by the fact that the underlying text of the template can be modified. (See also text document.)

Home > HotDocs Glossary of Terms > text template


HotDocs Help - Text variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Text variable

A type of component that merges text in the document.

Home > HotDocs Glossary of Terms > Text variable


HotDocs Help - title

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

title

A property of a variable or dialog that specifies a more user-friendly name for the component. For example, if project standards require components be named using notations, names like Employee Name TE may not make sense to a user. However a title like Employee Name can be used instead.

Home > HotDocs Glossary of Terms > title


HotDocs Help - True/False expression

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

True/False expression

A script that must result in either true or false. Expressions are used for merging or excluding optional text in a document. They are also used for determining which parts of a script will be executed, based on answers or other values entered by a user. Expressions are often used when a simple True/False variable doesn't convey the condition needed. (See IF Instruction.)

Home > HotDocs Glossary of Terms > True/False expression


HotDocs Help - True/False variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

True/False variable

A type of component that determines a true/false status of some condition and then merges the appropriate answer or text.

Home > HotDocs Glossary of Terms > True/False variable


HotDocs Help - unanswered text

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

unanswered text

Text in a text document that indicates that a question is unanswered. By default, unanswered questions appear as ***Variable Name***, but this can be customized.

Home > HotDocs Glossary of Terms > unanswered text


HotDocs Help - Unicode

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Unicode

Computer specification that makes it possible for computers to represent and manipulate characters used in most of the world’s written languages. Unicode support in HotDocs makes it possible to automate and assemble documents in non-native, left-to-right-reading languages. This includes automating and assembling Microsoft Word templates as well as PDF-based form templates.

Home > HotDocs Glossary of Terms > Unicode


HotDocs Help - user

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

user

The customer, client, or person who assembles documents from templates. (See also template developer.)

Home > HotDocs Glossary of Terms > user


HotDocs Help - value

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

value

In an interview, it represents a user's answer. In a script, it represents data that must be used in executing the script. (The value can either be a literal value or a user's answer.)

Home > HotDocs Glossary of Terms > value


HotDocs Help - variable

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

variable

A component that is used to represent changeable text (such as names, dates, numbers, etc.) in the template. Types of variables include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information.

Home > HotDocs Glossary of Terms > variable


HotDocs Help - variable flow-through

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

variable flow-through

See answer sharing.

Home > HotDocs Glossary of Terms > variable flow-through


HotDocs Help - .WPD

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.WPD

File name extension that designates that the file is a WordPerfect document. (See text document.)

Home > HotDocs Glossary of Terms > .WPD


HotDocs Help - .WPT

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.WPT

File name extension that designates that the file is a WordPerfect template. (See text template.)

Home > HotDocs Glossary of Terms > .WPT


HotDocs Help - XML

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Developer
  • HotDocs Developer LE
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Player Edition
  • HotDocs Professional Edition
  • HotDocs Server
  • HotDocs Standard Edition
  • HotDocs User
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

XML

Stands for eXtensible Markup Language. It is a computer language designed to store and transmit data between applications. Like HTML (HyperText Markup Language), it contains customized markers, or tags, that identify the information in an XML file. However, while HTML describes the way a page looks, XML controls the way data is structured, making it easy for diverse programs to access the same information. (For example, in HTML, to indicate a book title, you would italicize it using the <i> tag. In XML, you could mark the title using a <booktitle> tag. The HTML tag simply formats the text (making it italic), while the XML tag actually defines what the text is (a book title).) In HotDocs, you can save libraries and answer files in XML format.

Home > HotDocs Glossary of Terms > XML